
 if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_curso' 
				and c.name='idActividad')
				
  ALTER TABLE capa_curso add idActividad bigint NULL default 1
go

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_ActividadMedida]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  

CREATE TABLE [dbo].[capa_ActividadMedida](
	[IdActividad] [bigint] IDENTITY(1,1) NOT NULL,
	[empresa] [bigint] NOT NULL,
	[clave] [varchar](10) NULL,
	[nombre] [varchar](50) NULL,
	[unidadMedida] [varchar](50) NULL,
	[equivalencia] [decimal](18, 2) NULL,
	[creditosVale] [decimal](18, 2) NULL,
 CONSTRAINT [PK_capa_ActividadMedida] PRIMARY KEY CLUSTERED 
(
	[IdActividad] ASC,
	[empresa] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_ActividadMedidaDetalle]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  

CREATE TABLE [dbo].[capa_ActividadMedidaDetalle](
	[idDetalle] [bigint] IDENTITY(1,1) NOT NULL,
	[idCurso] [bigint] NOT NULL,
	[empresa] [bigint] NOT NULL,
	[idActividad] [bigint] NOT NULL,
	[nombreDetalle] [varchar](250) NULL,
	[clave] [varchar](10) NULL,
	[nombre] [varchar](50) NULL,
	[unidadMedida] [varchar](50) NULL,
	[equivalencia] [decimal](18, 2) NULL,
	[creditosVale] [decimal](18, 2) NULL,
 CONSTRAINT [PK_capa_ActividadMedidaDetalle2_1] PRIMARY KEY CLUSTERED 
(
	[idDetalle] ASC,
	[idCurso] ASC,
	[empresa] ASC,
	[idActividad] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO


/********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'insertaPrimerCertificacionSR'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.insertaPrimerCertificacionSR
GO

CREATE PROCEDURE  dbo.insertaPrimerCertificacionSR
    (
		@companyId AS bigint
    )

AS 
		SET NOCOUNT ON
		SET DATEFORMAT MDY
		
		declare @cantidad int
		
		select @cantidad=COUNT(*)
		from capa_ActividadMedida
		where empresa=@companyId
		
		if @cantidad=0
			BEGIN		
				INSERT INTO capa_ActividadMedida
					   (empresa
					   ,clave
					   ,nombre
					   ,unidadMedida
					   ,equivalencia
					   ,creditosVale)
				 VALUES
					   (@companyId
					   ,'I'
					   ,'In-Service'
					   ,'Hours'
					   ,'10.00'
					   ,'.50')
			END
					  
GO

/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCertificacionSR'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCertificacionSR
GO

CREATE PROCEDURE  dbo.reporteCertificacionSR
    (
		@companyId AS bigint , 
		@codigo as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    declare @selectStatement as varchar(2048) 
    declare @fromStatement as varchar(2048) 
    declare @whereStatement as varchar(2048) 
    
    declare @selectStatement2 as varchar(2048) 
    declare @fromStatement2 as varchar(2048) 
    declare @whereStatement2 as varchar(2048) 
    
    declare @selectStatement3 as varchar(2048) 
    declare @fromStatement3 as varchar(2048) 
    declare @whereStatement3 as varchar(2048)                  
        
	set @selectStatement = '  SELECT empleados.codigo as codigo, 
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreTrabajador,
								tabulador.actividad as puesto,
								empleados.fchalta as fechaAlta,
								datosemps.nacional as Nacional,
								case contratos.tipo when 0 then ''Permanente'' when 1 then ''Temporal'' when 2 then ''Capacitacin inicial'' when 3 then ''De prueba'' else ''Sin tipo de contrato asignado'' end as TipoContrato,
								isnull(rhestudios.anioinicial,0) as anio,
								isnull(rhcarreras.carrera,'''') as carrera,
								isnull(rhescuelas.escuela,'''') as escuela,
								isnull(rhestudios.pais,'''') as pais,
								tabulador.actividad as ocupacion,
								0 as idprogramacion, 
								'''' as nombreCurso,
								'''' as lugar,
								''20150101'' as fechaInicial,
								''0'' as totalHoras,
								'''' as claveMedida,
								0 as equivalencia,
								0 as creditosVale,
								0 as creditos,
								0 as IdActividadTabla,
								'''' as claveActividadTabla,
								'''' as nombreActividadTabla,
								'''' as UnidadMedidaTabla,
								0 as equivalenciaTabla,
								0 as creditosValeTabla  '									
							
	set @fromStatement =   ' FROM empleados 
							 inner JOIN llaves 	  ON empleados.empresa = llaves.empresa  AND empleados.codigo = llaves.codigo
							 inner JOIN datosemps ON empleados.empresa = datosemps.empresa  AND empleados.codigo = datosemps.codigo
							 inner JOIN tabulador ON llaves.empresa = tabulador.empresa AND llaves.ocupacion = tabulador.ocupacion
							 inner JOIN centros   ON llaves.empresa = centros.empresa AND llaves.centro = centros.centro
							 inner JOIN contratos on contratos.empresa=empleados.empresa and contratos.codigo=empleados.codigo
							 left JOIN rhcatalogo ON dbo.empleados.codigo = dbo.rhcatalogo.codigo AND dbo.empleados.empresa = dbo.rhcatalogo.empresa
							 left JOIN rhsolicita ON dbo.rhcatalogo.Idcatalogo = dbo.rhsolicita.Idcatalogo
							 left JOIN rhestudios ON dbo.rhsolicita.idsolicitudes = dbo.rhestudios.idsolicitudes
							 left join rhEscuelas on rhescuelas.idescuela=rhestudios.idescuela and llaves.empresa=rhescuelas.empresa
							 left join rhcarreras on rhcarreras.idcarreras=rhestudios.idcarreras and rhcarreras.empresa=llaves.empresa
						   '
							
	set @whereStatement =  ' WHERE	empleados.empresa =  ' + convert(varchar,@companyId,112) +														 
						   ' and empleados.codigo=' + convert(varchar, @codigo,112) 

	set @selectStatement2 = ' select capa_empleadoprogramacion.codigo as codigo,
							'''' as nombreTrabajador, 
								'''' as puesto,
								''20000101'' as fechaAlta,
								'''' as Nacional,
								''Sin Asignar'' as TipoContrato,
								0 as anio,
								'''' as carrera,
								'''' as escuela,
								'''' as pais,
								'''' as ocupacion,
								capa_programacion.idprogramacion as idprogramacion, 
								capa_curso.nombre as nombreCurso,
								Capa_Lugar.lugar as lugar,
								capa_programacion.finicial as fechaInicial,
								isnull(capa_programacion.tothoras,''0'') as totalHoras,
								capa_ActividadMedidaDetalle.clave as claveMedida,
								capa_ActividadMedidaDetalle.equivalencia as equivalencia,
								capa_actividadmedidaDetalle.creditosVale as creditosVale,
								(convert(decimal(18,2),capa_programacion.tothoras) * capa_ActividadMedidaDetalle.creditosVale) / capa_actividadmedidaDetalle.equivalencia as creditos,
								0 as IdActividadTabla,
								'''' as claveActividadTabla,
								'''' as nombreActividadTabla,
								'''' as UnidadMedidaTabla,
								0 as equivalenciaTabla,
								0 as creditosValeTabla '
	set @fromStatement2 =   ' from capa_programacion 
							left join capa_empleadoprogramacion on capa_programacion.idprogramacion=capa_empleadoprogramacion.idprogramacion
							and capa_programacion.empresa=capa_empleadoprogramacion.empresa														
							left join Capa_Lugar on capa_programacion.idLugar=Capa_Lugar.idLugar
							and Capa_Lugar.empresa=capa_programacion.empresa 
							left join Capa_curso on capa_curso.empresa=capa_programacion.empresa
							and capa_curso.idcurso=capa_programacion.idCurso					
							left outer join capa_actividadMedidaDetalle on capa_actividadMedidaDetalle.empresa=capa_curso.empresa
							and capa_curso.idactividad=capa_actividadMedidaDetalle.idactividad'
							
	set @whereStatement2 =	' where capa_empleadoprogramacion.empresa=' + convert(varchar,@companyId,112) +
							' and capa_empleadoprogramacion.codigo=' + convert(varchar, @codigo,112) 
	
	set @selectStatement3 = ' SELECT ' + convert(varchar, @codigo,112) + ' as codigo,
								'''' as nombreTrabajador,
								'''' as puesto,
								''20000101'' as fechaAlta,
								'''' as Nacional,
								''Sin Asignar'' as TipoContrato,
								0 as anio,
								'''' as carrera,
								'''' as escuela,
								'''' as pais,
								'''' as ocupacion,
								0 as idprogramacion,
								'''' as nombreCurso,
								'''' as lugar,
								''20000101'' as fechaInicial,
								''0'' as totalHoras,
								''0'' as clavemedida,
								0 as equivalencia,
								0 as creditosvale,
								0 as creditos,
								IdActividad as IdActividadTabla,
								clave as claveActividadTabla,
								nombre as nombreActividadTabla,
								unidadMedida as UnidadMedidaTabla,
								equivalencia as equivalenciaTabla,
								creditosVale as creditosValeTabla'
	set @fromStatement3 =   ' FROM capa_ActividadMedida '
																													
	exec (  '( ' + @selectStatement  + @fromStatement  + @whereStatement  +  ' ) union ' +
			'( ' + @selectStatement2 + @fromStatement2 + @whereStatement2  +  ' ) union ' + 
			'( ' + @selectStatement3 + @fromStatement3 + ' )' )
			
GO
/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaConsultaDetalle'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaConsultaDetalle
GO

CREATE PROCEDURE  dbo.capaActividadMedidaConsultaDetalle
    (
		@companyId AS bigint,
		@IdActividad as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	SELECT isnull(IdActividad,0)
		  ,isnull(clave,'I')
		  ,nombre
		  ,unidadMedida
		  ,equivalencia
		  ,creditosVale
	  FROM capa_ActividadMedida
	  where empresa=@companyID
	  and IdActividad=@idActividad
GO
/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaConsultaLista'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaConsultaLista
GO

CREATE PROCEDURE  dbo.capaActividadMedidaConsultaLista
    (
		@companyId AS bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	SELECT IdActividad
		  ,clave
		  ,nombre
		  ,unidadMedida
		  ,equivalencia
		  ,creditosVale
	  FROM capa_ActividadMedida
	  where empresa=@companyID
GO


/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaEliminar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaEliminar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaEliminar
    (
		@companyId AS bigint,
		@idActividad as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DELETE FROM capa_ActividadMedida
    WHERE idActividad = @idActividad
    and empresa=@companyId

GO



/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaInsertar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaInsertar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaInsertar
(
	@companyId AS bigint,
	@clave varchar(2),
	@nombre varchar(50),
	@unidadMedida varchar(50),
	@equivalencia decimal(18,2),
	@creditosVale decimal(18,2)
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	INSERT INTO capa_ActividadMedida
           (empresa
           ,clave
           ,nombre
           ,unidadMedida
           ,equivalencia
           ,creditosVale)
     VALUES
           (@companyid
           ,@clave
           ,@nombre
           ,@unidadMedida
           ,@equivalencia
           ,@creditosVale)
GO

/*********************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaActualizar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaActualizar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaActualizar
(
	@IdActividad AS bigint,
	@companyId AS bigint,
	@clave varchar(2),
	@nombre varchar(50),
	@unidadMedida varchar(50),
	@equivalencia decimal(18,2),
	@creditosVale decimal(18,2)
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	UPDATE capa_ActividadMedida
	   SET clave = @clave
		  ,nombre = @nombre 
		  ,unidadMedida = @unidadMedida
		  ,equivalencia = @equivalencia
		  ,creditosVale = @creditosVale
	WHERE IdActividad   = @idActividad
	and empresa=@companyId
	
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenIdMedidaActualizar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaObtenIdMedidaActualizar
GO

CREATE PROCEDURE  dbo.capaObtenIdMedidaActualizar
(
	@companyId AS bigint,
	@clave varchar(2)
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	Select isnull(idActividad,0) 
	From capa_ActividadMedida
	Where clave = @clave
	and empresa = @companyId
	
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenNombreMedidaActualizar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaObtenNombreMedidaActualizar
GO

CREATE PROCEDURE  dbo.capaObtenNombreMedidaActualizar
(
	@companyId AS bigint,
	@id bigint
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	Select isnull(clave ,'I') as clave
	From capa_ActividadMedida
	Where idActividad = @id
	and empresa = @companyId
	
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaDetalleInsertar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaDetalleInsertar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaDetalleInsertar
(
	@empresa bigint,
	@idActividad bigint,
	@nombreDetalle varchar(250),
	@clave varchar(10),
	@nombre varchar(50),
	@unidadMedida varchar(50),
	@equivalencia decimal(18,2),
	@creditosVale decimal(18,2),
	@idCurso bigint
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	INSERT INTO capa_ActividadMedidaDetalle
           (empresa
           ,idcurso
           ,idActividad
           ,nombreDetalle
           ,clave
           ,nombre
           ,unidadMedida
           ,equivalencia
           ,creditosVale)
     VALUES
           (@empresa,
			@idCurso,
			@idActividad,
			@nombreDetalle,
			@clave,
			@nombre,
			@unidadMedida,
			@equivalencia,
			@creditosVale)
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaDetalleActualizar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaDetalleActualizar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaDetalleActualizar
(
	@empresa bigint,
	@idDetalle bigint,
	@idActividad bigint,
	@nombreDetalle varchar(250),
	@clave varchar(10),
	@nombre varchar(50),
	@unidadMedida varchar(50),
	@equivalencia decimal(18,2),
	@creditosVale decimal(18,2)
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	UPDATE capa_ActividadMedidaDetalle
    SET empresa = @empresa
      ,idActividad = @idActividad
      ,nombreDetalle = @nombreDetalle
      ,clave = @clave
      ,nombre = @nombre
      ,unidadMedida = @unidadMedida
      ,equivalencia = @equivalencia
      ,creditosVale = @creditosVale
   WHERE idDetalle=@iddetalle
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaDetalleEliminar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaDetalleEliminar
GO

CREATE PROCEDURE  dbo.capaActividadMedidaDetalleEliminar
(
	@empresa bigint,
	@idRegistro bigint
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	DELETE FROM capa_ActividadMedidaDetalle
    WHERE empresa=empresa
    and idDetalle=@idRegistro
    and empresa=@empresa
    
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaDetalleLista'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaDetalleLista
GO

CREATE PROCEDURE  dbo.capaActividadMedidaDetalleLista
(
	@empresa bigint,
	@idCurso bigint
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	SELECT idDetalle
		  ,nombreDetalle
		  ,idActividad
		  ,clave
		  ,nombre
		  ,unidadMedida
		  ,equivalencia
		  ,creditosVale
	FROM capa_ActividadMedidaDetalle
    where empresa=@empresa
    and idcurso=@idCurso
GO




IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaActividadMedidaDetalleDetalle'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaActividadMedidaDetalleDetalle
GO

CREATE PROCEDURE  dbo.capaActividadMedidaDetalleDetalle
(
	@empresa bigint,
	@idDetalle bigint
)

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	SELECT idDetalle
		  ,nombreDetalle
		  ,idActividad
		  ,clave
		  ,nombre
		  ,unidadMedida
		  ,equivalencia
		  ,creditosVale
	FROM capa_ActividadMedidaDetalle
    where empresa=@empresa
    and idDetalle=@idDetalle
GO

update capa_curso set idActividad=0 where idactividad is null