
if not exists (SELECT distinct(c.name)
               FROM dbo.SYSCOLUMNS C 
               INNER JOIN dbo.SYSOBJECTS T 
               ON C.[ID] = T.[ID]
               WHERE T.XTYPE = 'U' 
               and t.name='capa_CatalogoNorma' 
               and c.name='IdSTPS')
               
   ALTER TABLE capa_CatalogoNorma ADD IdSTPS varchar(10) NULL
   
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSActualizaCatalogoNorma2016')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSActualizaCatalogoNorma2016
GO

CREATE PROCEDURE dbo.capaSTPSActualizaCatalogoNorma2016
AS 

BEGIN

	SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    delete from capa_CatalogoNorma

	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CADM0593.01','CADM0593.01 - Recopilacin de informacin financiera en apoyo contable','3486')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CADM0594.01','CADM0594.01 - Control de crdito y cobranza','3487')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CADM0645.01','CADM0645.01 - Captacin de informacin demogrfica, econmica y social','3488')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAEL0481.01','CAEL0481.01 - Atencin de solicitudes para el servicio a los aparatos domsticos','3489')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAEL0500.01','CAEL0500.01 - Mantenimiento a los aparatos domsticos','3490')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGO0666.01','CAGO0666.01 - Produccin orgnica de cultivos agrcolas','3491')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGP0226.01','CAGP0226.01 - Produccin de agua purificada envasada','3492')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGP0226.02','CAGP0226.02 - Produccin de agua purificada  envasada','3493')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGP0352.01','CAGP0352.01 - Anlisis de agua para uso y consumo humano','3494')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0143.01','CAGR0143.01 - Operacin de cosechadora autopropulsada','3495')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0144.01','CAGR0144.01 - Operacin de tractor con implementos agrcolas mecnicos e hidrulicos','3496')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0144.02','CAGR0144.02 - Operacin de tractor con implementos agrcolas','3497')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0145.01','CAGR0145.01 - Operacin de tractor con implementos agrcolas neumticos y electrnicos','3498')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0364.01','CAGR0364.01 - Riego superficial en parcelas','3499')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0365.01','CAGR0365.01 - Riego presurizado en parcelas','3500')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAGR0365.02','CAGR0365.02 - Riego presurizado en parcelas','3501')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPE0440.01','CAPE0440.01 - Gestin de las prestaciones y remuneraciones del personal','3502')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPE0515.01','CAPE0515.01 - Establecimiento de vnculos y programas de desarrollo de la micro, pequea y mediana Empresas','3503')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPE0597.01','CAPE0597.01 - Adquisicin de bienes y servicios por licitacin','3504')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0231.01','CAPI0231.01 - Emplazamiento de apiarios','3505')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0232.01','CAPI0232.01 - Fortalecimiento de las colonias de abejas','3506')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0232.02','CAPI0232.02 - Fortalecimiento de las colonias de abejas','3507')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0269.01','CAPI0269.01 - Mantenimiento de la infraestructura apcola','3508')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0270.01','CAPI0270.01 - Cosecha de miel de abeja','3509')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0318.01','CAPI0318.01 - Aprovechamiento de cera de abeja','3510')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0367.01','CAPI0367.01 - Obtencin de jalea real','3511')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0368.01','CAPI0368.01 - Obtencin de propleo','3512')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0419.01','CAPI0419.01 - Obtencin de polen','3513')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0420.01','CAPI0420.01 - Cra de abeja reina','3514')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0528.01','CAPI0528.01 - Prestacin del servicio de polinizacin','3515')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0652.01','CAPI0652.01 - Cosecha de miel y cera de abeja','3516')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAPI0663.01','CAPI0663.01 - Obtencin de propleos, polen y jalea real','3517')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0024.01','CART0024.01 - Obtencin de la reproduccin de impresos, de acuerdo al sistema de impresin en offset','3518')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0024.02','CART0024.02 - Reproduccin de impresos','3519')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0025.01','CART0025.01 - Obtencin de la reproduccin de impresos, de acuerdo al sistema de impresin en serigrafa','3520')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0045.01','CART0045.01 - Impresin en tipografa','3521')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0089.01','CART0089.01 - Desarrollo del producto grfico','3522')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0142.01','CART0142.01 - Ejecucin del diseo grfico','3523')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0568.01','CART0568.01 - Corte de producto grfico','3524')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CART0643.01','CART0643.01 - Cosido de producto grfico','3525')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUP0521.01','CAUP0521.01 - Maquinado de piezas por control numrico','3526')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUP0626.01','CAUP0626.01 - Fusin de metales en hornos','3527')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUP0627.01','CAUP0627.01 - Fabricacin de moldes para fundicin de metales','3528')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUP0653.01','CAUP0653.01 - Estampado de componentes metlicos y no metlicos y ensamble de piezas metal mecnicas y de autopartes','3529')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0047.01','CAUT0047.01 - Operacin de vehculos de autotransporte','3530')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0047.02','CAUT0047.02 - Operacin de vehculos quinta rueda articulados de autotransporte de carga general','3531')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0072.01','CAUT0072.01 - Manejo de carga general durante el viaje','3532')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0072.02','CAUT0072.02 - Manejo y transportacin de carga general en caja seca','3533')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0080.01','CAUT0080.01 - Programacin y control del traslado de la carga','3534')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0080.02','CAUT0080.02 - Programacin y control del traslado de la carga','3535')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0116.01','CAUT0116.01 - Revisin vehicular antes y despus del viaje','3536')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0116.02','CAUT0116.02 - Revisin y diagnstico de vehculos de autotransporte de carga general quinta rueda articulados','3537')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0167.01','CAUT0167.01 - Traslado de materiales y residuos peligrosos','3538')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0167.02','CAUT0167.02 - Traslado de materiales y residuos peligrosos','3539')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0246.01','CAUT0246.01 - Distribucin de gas LP y carburante','3540')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0246.02','CAUT0246.02 - Carga, traslado y descarga de gas L P y Carburante en vehculo articulado','3541')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0422.01','CAUT0422.01 - Operacin de vehculos de autotransporte de carga general unitarios','3542')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0423.01','CAUT0423.01 - Conduccin y operacin de unidades motorrevolvedoras','3543')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0423.02','CAUT0423.02 - Conduccin y operacin de unidades revolvedoras','3544')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0455.01','CAUT0455.01 - Revisin y diagnstico de vehculos de autotransporte de carga general unitarios','3545')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0455.02','CAUT0455.02 - Diagnstico y determinacin del mantenimiento a vehculos de autotransporte de carga general unitarios','3546')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0503.01','CAUT0503.01 - Traslado de materiales y residuos peligrosos en vehculos unitarios','3547')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAUT0504.01','CAUT0504.01 - Distribucin de gas L. P. en autotanque','3548')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0001.01','CAZA0001.01 - Manejo de insumos y productos','3549')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0002.01','CAZA0002.01 - Preparacin de la caa y extraccin del jugo','3550')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0003.01','CAZA0003.01 - Purificacin del jugo. Eliminacin primaria de impurezas','3551')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0004.01','CAZA0004.01 - Evaporacin y cristalizacin','3552')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0009.01','CAZA0009.01 - Centrifugacin, secado y envase','3553')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0010.01','CAZA0010.01 - Refinacin de azcar con carbn no regenerable','3554')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0011.01','CAZA0011.01 - Refinacin de azcar con carbn regenerable','3555')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0016.01','CAZA0016.01 - Control del proceso de produccin de azcar','3556')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0017.01','CAZA0017.01 - Tratamiento de aguas','3557')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0017.02','CAZA0017.02 - Operacin de equipos de tratamiento de aguas','3558')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0018.01','CAZA0018.01 - Generacin y distribucin de vapor','3559')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0019.01','CAZA0019.01 - Generacin y distribucin de energa elctrica','3560')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0020.01','CAZA0020.01 - Transformacin de vapor en energa trmica y trabajo mecnico','3561')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0077.01','CAZA0077.01 - Control de prioridades de corte','3562')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0086.01','CAZA0086.01 - Planeacin y control de la produccin y de la cosecha de materia prima','3563')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0086.02','CAZA0086.02 - Planeacin y control de la produccin y de la cosecha de materia prima','3564')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0087.01','CAZA0087.01 - Programacin y verificacin de la produccin y de la cosecha de materia prima','3565')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0087.02','CAZA0087.02 - Programacin y verificacin de la produccin y de la cosecha de materia prima','3566')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0088.01','CAZA0088.01 - Organizacin del desarrollo del campo y de la cosecha de la materia prima','3567')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CAZA0088.02','CAZA0088.02 - Organizacin del desarrollo del campo y de la cosecha de materia prima','3568')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0136.01','CCAF0136.01 - Operacin y control del beneficiado hmedo de caf','3569')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0136.02','CCAF0136.02 - Operacin y control del beneficiado hmedo de caf','3570')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0137.01','CCAF0137.01 - Operacin y control del beneficiado seco de caf','3571')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0137.02','CCAF0137.02 - Operacin y control del beneficiado seco de caf','3572')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0178.01','CCAF0178.01 - Establecimiento y operacin de semilleros y viveros de caf','3573')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0178.02','CCAF0178.02 - Establecimiento y operacin de semilleros y viveros','3574')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0236.01','CCAF0236.01 - Manejo y preservacin del caf para el beneficio seco','3575')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0271.01','CCAF0271.01 - Evaluacin de la calidad en el beneficiado de caf','3576')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0272.01','CCAF0272.01 - Evaluacin de la calidad en la industrializacin de caf verde','3577')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0404.01','CCAF0404.01 - Exportacin de productos','3578')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAF0475.01','CCAF0475.01 - Tostado y molido de caf','3579')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAR0288.01','CCAR0288.01 - Recepcin  y preparacin del ganado a sacrificar','3580')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAR0336.01','CCAR0336.01 - Alimentacin, manejo y cuidados del ganado en pastoreo','3581')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAR0384.01','CCAR0384.01 - Alimentacin, manejo y cuidados del ganado en confinamiento','3582')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAR0441.01','CCAR0441.01 - Obtencin de carne de bovino en canal','3583')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCAR0508.01','CCAR0508.01 - Obtencin de piezas y cortes de carne','3584')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCCA0192.01','CCCA0192.01 - Elaboracin de planes de capacitacin en el sector rural','3585')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCCA0193.01','CCCA0193.01 - Facilitacin de procesos de formacin de productores rurales','3586')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCCA0366.01','CCCA0366.01 - Evaluacin de programas de desarrollo rural','3587')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCCA0427.01','CCCA0427.01 - Capacitacin especializada para el sector rural','3588')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCCA0580.01','CCCA0580.01 - Formulacin y evaluacin de proyectos de inversin del sector rural','3589')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0155.01','CCER0155.01 - Preparacin  y suministro de pasta para procesos de formado','3590')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0155.02','CCER0155.02 - Preparado de  pasta para procesos de formado','3591')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0157.01','CCER0157.01 - Manufactura de matrices para productos cermicos','3592')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0174.01','CCER0174.01 - Produccin de piezas cermicas por el proceso de vaciado','3593')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0174.02','CCER0174.02 - Produccin de piezas cermicas por el proceso de vaciado','3594')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0234.01','CCER0234.01 - Formado de piezas cermicas en torno','3595')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0234.02','CCER0234.02 - Formado de piezas cermicas en torno','3596')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0300.01','CCER0300.01 - Produccin de piezas cermicas por tarraja','3597')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0301.01','CCER0301.01 - Produccin de piezas cermicas por cabezal giratorio (Roller Head)','3598')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0312.01','CCER0312.01 - Produccin de piezas cermicas por prensado','3599')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0330.01','CCER0330.01 - Formado de piezas cermicas por extrusin','3600')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0371.01','CCER0371.01 - Forjado a mano de piezas cermicas','3601')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0477.01','CCER0477.01 - Esmaltado de piezas cermicas','3602')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0581.01','CCER0581.01 - Decorado de piezas cermicas','3603')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCER0582.01','CCER0582.01 - Horneado de piezas cermicas','3604')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0392.01','CCFE0392.01 - Atencin de solicitudes de servicio y restablecimiento del suministro de energa elctrica','3605')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0393.01','CCFE0393.01 - Mantenimiento a redes de distribucin de energa elctrica','3606')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0545.01','CCFE0545.01 - Anlisis del comportamiento del sistema elctrico de potencia','3607')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0546.01','CCFE0546.01 - Planeacin de la operacin de los equipos en el sector elctrico','3608')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0547.01','CCFE0547.01 - Operacin del sistema elctrico de potencia del rea de control','3609')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0548.01','CCFE0548.01 - Operacin del sistema elctrico de potencia de la subrea de control','3610')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0549.01','CCFE0549.01 - Operacin de generadores de vapor en procesos de generacin de energa elctrica en centrales convencionales','3611')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0550.01','CCFE0550.01 - Operacin del sistema de agua de alimentacin de una central termoelctrica','3612')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0551.01','CCFE0551.01 - Operacin de equipos de tratamiento de agua por evaporacin para la generacin de energa elctrica','3613')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0552.01','CCFE0552.01 - Operacin de equipos de tratamiento de agua por intercambio inico para la generacin de energa elctrica','3614')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0553.01','CCFE0553.01 - Tratamiento qumico del agua en la generacin de energa elctrica','3615')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0554.01','CCFE0554.01 - Cambio de aislamiento en lneas de transmisin energizadas','3616')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0555.01','CCFE0555.01 - Planeacin del mantenimiento de equipos en el sector elctrico','3617')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0556.01','CCFE0556.01 - Mantenimiento a generadores elctricos','3618')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0557.01','CCFE0557.01 - Mantenimiento a interruptores de media tensin','3619')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0558.01','CCFE0558.01 - Mantenimiento mecnico a bombas centrfugas multipasos','3620')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0559.01','CCFE0559.01 - Mantenimiento a transformadores de potencia','3621')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0560.01','CCFE0560.01 - Mantenimiento a bancos y cargadores de bateras','3622')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0561.01','CCFE0561.01 - Mantenimiento mecnico a precalentador de aire regenerativo horizontal','3623')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0562.01','CCFE0562.01 - Mantenimiento a interruptores de instrumentacin','3624')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0563.01','CCFE0563.01 - Mantenimiento a actuadores de elementos finales de control','3625')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0564.01','CCFE0564.01 - Mantenimiento a equipos de transmisin digital','3626')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0569.01','CCFE0569.01 - Supervisin del mantenimiento de los equipos en el sector elctrico','3627')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0601.01','CCFE0601.01 - Operacin de unidades de generacin termoelctrica','3628')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0602.01','CCFE0602.01 - Mantenimiento a elementos primarios de temperatura','3629')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0603.01','CCFE0603.01 - Mantenimiento a indicadores locales','3630')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0604.01','CCFE0604.01 - Mantenimiento a interruptores de baja tensin','3631')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0605.01','CCFE0605.01 - Mantenimiento mecnico a precalentador de aire regenerativo vertical','3632')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0606.01','CCFE0606.01 - Operacin de generadores elctricos en procesos de generacin termoelctrica','3633')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0607.01','CCFE0607.01 - Mantenimiento mecnico a intercambiadores de calor','3634')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0608.01','CCFE0608.01 - Mantenimiento a transmisores de instrumentacin','3635')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0609.01','CCFE0609.01 - Mantenimiento a instrumentos de medicin y control en tableros involucrados en procesos de generacin de energa elctrica','3636')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0610.01','CCFE0610.01 - Mantenimiento mecnico a ventilador centrfugo radial','3637')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0611.01','CCFE0611.01 - Facturacin de la energa elctrica consumida','3638')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0612.01','CCFE0612.01 - Ejecucin de los procesos comerciales de campo en el sector elctrico','3639')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0613.01','CCFE0613.01 - Configuracin del sistema de control y adquisicin de datos','3640')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0614.01','CCFE0614.01 - Integracin de los equipos de medicin de energa elctrica','3641')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0615.01','CCFE0615.01 - Planeacin del sistema elctrico de distribucin','3642')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0616.01','CCFE0616.01 - Mantenimiento a redes y lneas areas de distribucin de energa elctrica','3643')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0617.01','CCFE0617.01 - Mantenimiento a redes y lneas subterrneas de distribucin de energa elctrica','3644')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0618.01','CCFE0618.01 - Operacin de unidades de generacin hidroelctrica','3645')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0619.01','CCFE0619.01 - Operacin del sistema elctrico de unidades de generacin de energa elctrica','3646')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0620.01','CCFE0620.01 - Operacin de sistemas de combustible en unidades de generacin elctrica','3647')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0622.01','CCFE0622.01 - Mantenimiento mecnico a bombas de desplazamiento positivo','3648')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0623.01','CCFE0623.01 - Mantenimiento de las tuberas del generador de vapor mediante soldadura de cdigo','3649')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0624.01','CCFE0624.01 - Mantenimiento al regulador automtico de tensin (AVR)','3650')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0625.01','CCFE0625.01 - Mantenimiento a relevadores de sobrecorriente','3651')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0628.01','CCFE0628.01 - Mantenimiento mecnico a turbinas de vapor con cilindro de alta y baja presin','3652')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0629.01','CCFE0629.01 - Mantenimiento mecnico a compresores de aire reciprocantes y de tornillo','3653')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0631.01','CCFE0631.01 - Mantenimiento a transductores de instrumentacin','3654')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0632.01','CCFE0632.01 - Mantenimiento a controladores de sistemas automatizados','3655')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0633.01','CCFE0633.01 - Mantenimiento a equipos de comunicacin de ondas portadoras por lneas de alta tensin','3656')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0634.01','CCFE0634.01 - Mantenimiento al sistema de informacin y control local de estacin','3657')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0659.01','CCFE0659.01 - Mantenimiento a los equipos de instrumentacin y control de energa elctrica','3658')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0660.01','CCFE0660.01 - Mantenimiento mecnico a equipo rotativo y de bloqueo de generacin de energa elctrica','3659')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0661.01','CCFE0661.01 - Mantenimiento elctrico de equipos de generacin de  energa elctrica','3660')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0670.01','CCFE0670.01 - Mantenimiento del sistema de control supervisorio y  adquisicin de datos en tiempo real de un centro de control de energa','3661')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCFE0671.01','CCFE0671.01 - Evaluacin de la operacin del sistema elctrico de potencia','3662')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0235.01','CCHO0235.01 - Elaboracin de productos de chocolate y confitera, a partir de corte, depositado manual y modelado','3663')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0267.01','CCHO0267.01 - Recubrimiento de productos con chocolate o sustitutos, y confites','3664')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0268.01','CCHO0268.01 - Elaboracin de productos de chocolate o confitera, a partir de derivados del cacao o grasas sustitutas','3665')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0323.01','CCHO0323.01 - Elaboracin de caramelos y goma de mascar','3666')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0324.01','CCHO0324.01 - Elaboracin de productos de chocolate y confitera por formado manual corte o troquelado','3667')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0350.01','CCHO0350.01 - Obtencin de derivados del cacao a partir del grano','3668')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0351.01','CCHO0351.01 - Elaboracin de productos de confitera por moldeo mecnico','3669')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0369.01','CCHO0369.01 - Elaboracin de productos de chocolate y similares por moldeo o depositado mecnico','3670')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCHO0531.01','CCHO0531.01 - Envoltura, envasado y empaque de productos de chocolate, similares y confitera','3671')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0013.01','CCLZ0013.01 - Control y supervisin de la fabricacin del producto (Calzado)','3672')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0013.02','CCLZ0013.02 - Supervisin de procesos de produccin','3673')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0021.01','CCLZ0021.01 - Control y supervisin de la produccin del producto (Calzado Nivel Dos)','3674')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0048.01','CCLZ0048.01 - Terminacin del calzado','3675')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0049.01','CCLZ0049.01 - Ejecucin y preparacin del corte del calzado','3676')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0049.02','CCLZ0049.02 - Ejecucin del corte del calzado','3677')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0050.01','CCLZ0050.01 - Preparacin y pespunte de la capellada del calzado','3678')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0050.02','CCLZ0050.02 - Pespunte del corte del calzado','3679')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0097.01','CCLZ0097.01 - Planeacin y programacin de la fabricacin del producto','3680')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0098.01','CCLZ0098.01 - Coordinacin de la elaboracin de muestrarios','3681')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0150.01','CCLZ0150.01 - Diseo y rediseo de conceptos y del calzado','3682')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0151.01','CCLZ0151.01 - Desarrollo de los componentes del calzado','3683')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0425.01','CCLZ0425.01 - Esmerilado de la piel','3684')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0430.01','CCLZ0430.01 - Planeacin del trabajo en procesos de produccin','3685')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0636.01','CCLZ0636.01 - Terminado del calzado','3686')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0637.01','CCLZ0637.01 - Montado de calzado','3687')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCLZ0638.01','CCLZ0638.01 - Ensuelado de calzado','3688')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0068.01','CCNS0068.01 - Construccin de muros de piedra y/o piezas regulares','3689')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0068.02','CCNS0068.02 - Construccin de muros de piedra y/o piezas regulares','3690')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0069.01','CCNS0069.01 - Armado de elementos estructurales con acero de refuerzo','3691')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0069.02','CCNS0069.02 - Armado de elementos estructurales con acero de refuerzo','3692')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0070.01','CCNS0070.01 - Cimbrado de elementos estructurales','3693')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0070.02','CCNS0070.02 - Cimbrado de elementos estructurales','3694')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0071.01','CCNS0071.01 - Colado de elementos de concreto simple y de concreto armado','3695')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0071.02','CCNS0071.02 - Colado de elementos de concreto','3696')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0091.01','CCNS0091.01 - Instalacin de refractarios en coquizadora','3697')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0114.01','CCNS0114.01 - Realizacin de estudio geotcnico','3698')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0115.01','CCNS0115.01 - Anlisis de suelos y rocas','3699')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0158.01','CCNS0158.01 - Instalacin de sistema elctrico','3700')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0158.02','CCNS0158.02 - Instalacin del sistema elctrico','3701')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0159.01','CCNS0159.01 - Instalacin de sistema hidrosanitario','3702')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0160.01','CCNS0160.01 - Instalacin y reparacin de sistema hidrosanitario residencial','3703')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0160.02','CCNS0160.02 - Instalacin y reparacin de los sistemas hidrulico y sanitario','3704')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0161.01','CCNS0161.01 - Instalacin de sistema de gas','3705')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0161.02','CCNS0161.02 - Instalacin del sistema de gas','3706')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0218.01','CCNS0218.01 - Anlisis de precios unitarios','3707')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0218.02','CCNS0218.02 - Anlisis de precios unitarios','3708')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0221.01','CCNS0221.01 - Elaboracin de estructuras de acero para depsito y almacenamiento.','3709')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0313.01','CCNS0313.01 - Aplicacin de recubrimientos de pintura, pasta y grano','3710')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0316.01','CCNS0316.01 - Coordinacin de maniobras de izaje de cargas','3711')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0353.01','CCNS0353.01 - Colocacin de recubrimiento de cermica','3712')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0353.02','CCNS0353.02 - Colocacin de recubrimiento de cermica','3713')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0380.01','CCNS0380.01 - Instalacin para el aprovechamiento del gas natural para consumos hasta 170,000 kJ/h','3714')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0380.02','CCNS0380.02 - Instalacin para el aprovechamiento del gas natural para consumos hasta 170,000 kj/h','3715')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0405.01','CCNS0405.01 - Operacin del tractor Bulldozer','3716')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0406.01','CCNS0406.01 - Operacin de la retroexcavadora','3717')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0406.02','CCNS0406.02 - Operacin de la retroexcavadora-cargadora','3718')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0429.01','CCNS0429.01 - Construccin de pavimentos asflticos','3719')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0456.01','CCNS0456.01 - Impermeabilizacin de losas y techumbres','3720')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0499.01','CCNS0499.01 - Toma de muestras de concreto','3721')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0526.01','CCNS0526.01 - Determinacin de propiedades mecnicas del concreto endurecido','3722')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0541.01','CCNS0541.01 - Instalacin y mantenimiento de sistemas de comunicacin','3723')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0543.01','CCNS0543.01 - Instalacin de sistemas de placas de yeso con cartoncillo (SPYC)','3724')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0544.01','CCNS0544.01 - Determinacin de propiedades de los agregados para concreto hidrulico','3725')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0587.01','CCNS0587.01 - Determinacin especializada de propiedades del concreto','3726')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCNS0667.01','CCNS0667.01 - Supervisin de obras de edificacin con concreto hidrulico hasta cuatro niveles','3727')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0026.01','CCOM0026.01 - Compra de mercancas para ventas al menudeo Nivel 3','3728')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0027.01','CCOM0027.01 - Venta de mercancas en comercio al  menudeo Nivel 1','3729')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0028.01','CCOM0028.01 - Venta de mercancas en comercio al  menudeo Nivel 2','3730')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0028.02','CCOM0028.02 - Venta de mercancas en mostrador al menudeo','3731')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0034.01','CCOM0034.01 - Compra de mercancas para ventas al menudeo Nivel 2','3732')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0046.01','CCOM0046.01 - Dispensacin y manejo de medicamentos en farmacias','3733')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0046.02','CCOM0046.02 - Dispensacin y manejo de medicamentos en farmacias','3734')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0075.01','CCOM0075.01 - Almacenaje de mercancas en comercio al menudeo','3735')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0076.01','CCOM0076.01 - Venta de productos de ferretera en comercio al menudeo','3736')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0146.01','CCOM0146.01 - Administracin de pequeos establecimientos de comercio al detalle','3737')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0305.01','CCOM0305.01 - Venta de mercancas en tiendas departamentales','3738')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0306.01','CCOM0306.01 - Registro y cobro de transacciones en comercio al detalle','3739')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0377.01','CCOM0377.01 - Procesamiento de efectivo y documentos','3740')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0390.01','CCOM0390.01 - Servicios de atencin telefnica y telemercadeo','3741')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0390.02','CCOM0390.02 - Servicios de atencin telefnica y telemercadeo','3742')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0444.01','CCOM0444.01 - Supervisin del punto de venta','3743')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCOM0471.01','CCOM0471.01 - Promocin y venta de productos','3744')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0085.01','CCON0085.01 - Implantacin y evaluacin de nuevos sistemas','3745')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0085.02','CCON0085.02 - Implantacin y evaluacin de nuevos sistemas','3746')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0147.01','CCON0147.01 - Consultora general','3747')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0147.02','CCON0147.02 - Consultora general','3748')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0147.03','CCON0147.03 - Consultora general','3749')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0148.01','CCON0148.01 - Diseo y evaluacin de sistemas','3750')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0148.02','CCON0148.02 - Diseo y evaluacin de sistemas','3751')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0219.01','CCON0219.01 - Diagnstico de empresas micro, pequeas y medianas  Operaciones','3752')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0220.01','CCON0220.01 - Diagnstico de empresas micro, pequeas y medianas  Capital Humano y Direccin Estratgica','3753')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0396.01','CCON0396.01 - Ventas consultivas','3754')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0396.02','CCON0396.02 - Ventas consultivas','3755')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0398.01','CCON0398.01 - Asesora general en metrologa','3756')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0416.01','CCON0416.01 - Consultora en imagen pblica','3757')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0480.01','CCON0480.01 - Asesora especializada en metrologa de temperatura','3758')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0507.01','CCON0507.01 - Coordinacin del proceso de elaboracin de un Plan Estratgico','3759')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCON0657.01','CCON0657.01 - Deteccin de reas de oportunidad y mejoras de PyMEs','3760')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCPC0567.01','CCPC0567.01 - Servicios de cuidados faciales y corporales','3761')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCPC0586.01','CCPC0586.01 - Maquillaje del rostro del cliente','3762')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCPC0600.01','CCPC0600.01 - Cuidado de manos y pies','3763')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CCRJ0439.01','CCRJ0439.01 - Servicios bsicos de cerrajera','3764')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0197.01','CDEN0197.01 - Elaboracin de prtesis removible','3765')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0197.02','CDEN0197.02 - Elaboracin de prtesis dental removible','3766')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0198.01','CDEN0198.01 - Elaboracin de prtesis fija','3767')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0198.02','CDEN0198.02 - Elaboracin de prtesis dental fija','3768')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0253.01','CDEN0253.01 - Reparacin de prtesis dentales','3769')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0280.01','CDEN0280.01 - Elaboracin de aparatos de ortodoncia y ortopedia dental','3770')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CDEN0308.01','CDEN0308.01 - Preparacin de modelos dentales y modelado en materiales calcinables','3771')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0290.01','CELE0290.01 - Gestin de la produccin','3772')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0311.01','CELE0311.01 - Ensamble de componentes y productos electrnicos','3773')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0328.01','CELE0328.01 - Mantenimiento de equipo y maquinaria electrnica','3774')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0408.01','CELE0408.01 - Operacin de equipo automtico de tecnologa de montaje superficial','3775')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0522.01','CELE0522.01 - Ensamble de equipos mecatrnicos','3776')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0523.01','CELE0523.01 - Reparacin de ensambles elctricos y electrnicos','3777')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0524.01','CELE0524.01 - Produccin de componentes de equipos mecatrnicos','3778')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CELE0525.01','CELE0525.01 - Verificacin de equipos mecatrnicos y sus componentes','3779')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFAM0254.01','CFAM0254.01 - Constitucin de figuras asociativas con unidades econmicas familiares rurales','3780')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFAM0378.01','CFAM0378.01 - Elaboracin del programa de desarrollo de la empresa familiar rural','3781')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFAM0379.01','CFAM0379.01 - Direccin de la empresa familiar rural','3782')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFAM0513.01','CFAM0513.01 - Proyeccin del desarrollo sustentable y sostenible de la empresa familiar rural','3783')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0005.01','CFER0005.01 - Despacho y control de trenes','3784')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0005.02','CFER0005.02 - Despacho y control de trenes','3785')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0022.01','CFER0022.01 - Operacin y manejo de trenes en camino','3786')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0108.01','CFER0108.01 - Formacin de trenes','3787')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0134.01','CFER0134.01 - Coordinacin y supervisin del tren, equipo tractivo y unidades de arrastre','3788')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0277.01','CFER0277.01 - Coordinacin y supervisin del despacho y control de trenes','3789')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFER0374.01','CFER0374.01 - Apoyo al mantenimiento de va','3790')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0057.01','CFOR0057.01 - Obtencin de madera aserrada','3791')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0057.02','CFOR0057.02 - Obtencin de madera aserrada','3792')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0058.01','CFOR0058.01 - Produccin de plantas','3793')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0058.02','CFOR0058.02 - Produccin de plantas','3794')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0059.01','CFOR0059.01 - Dimensionado de madera','3795')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0060.01','CFOR0060.01 - Diseo e implementacin de inventario de recursos forestales','3796')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0061.01','CFOR0061.01 - Derribo direccional de arboles','3797')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0061.02','CFOR0061.02 - Derribo direccional de rboles','3798')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0078.01','CFOR0078.01 - Elaboracin de Programas de Manejo Forestal','3799')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0079.01','CFOR0079.01 - Planeacin y establecimiento de infraestructura para propagacin de plantas','3800')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0109.01','CFOR0109.01 - Programacin y capacitacin sobre plagas, enfermedades e incendios forestales','3801')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0110.01','CFOR0110.01 - Obtencin de germoplasma y capacitacin a personal operativo','3802')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0162.01','CFOR0162.01 - Prevencin, deteccin y combate de incendios forestales','3803')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0162.02','CFOR0162.02 - Prevencin, deteccin y combate de incendios forestales','3804')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0163.01','CFOR0163.01 - Direccin operativa y ejecucin de actividades de prevencin, deteccin y combate de incendios forestales','3805')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0239.01','CFOR0239.01 - Aplicacin de tratamientos silvcolas','3806')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0240.01','CFOR0240.01 - Organizacin y direccin del aprovechamiento forestal','3807')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFOR0241.01','CFOR0241.01 - Documentacin de materias primas forestales','3808')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0012.01','CFRM0012.01 - Produccin de formas farmacuticas slidas','3809')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0012.02','CFRM0012.02 - Produccin de formas farmacuticas slidas','3810')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0036.01','CFRM0036.01 - Produccin de formas farmacuticas semislidas','3811')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0037.01','CFRM0037.01 - Produccin de lquidos estriles','3812')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0038.01','CFRM0038.01 - Produccin de lquidos no estriles','3813')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0039.01','CFRM0039.01 - Produccin de lquidos utilizando el sistema de formado, llenado y sellado (FLS)','3814')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0062.01','CFRM0062.01 - Acondicionamiento de producto terminado','3815')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0063.01','CFRM0063.01 - Manufactura de dispositivos mdicos','3816')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0090.01','CFRM0090.01 - Promocin y ventas de productos farmacuticos','3817')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0117.01','CFRM0117.01 - Almacenaje y distribucin de materiales y producto terminado','3818')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0180.01','CFRM0180.01 - Planeacin y asesora de ventas de productos farmacuticos','3819')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0181.01','CFRM0181.01 - Desarrollo gerencial en ventas de productos farmacuticos','3820')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0249.01','CFRM0249.01 - Control de calidad de insumos, productos y servicios en la industria farmacutica','3821')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0250.01','CFRM0250.01 - Muestreo y auditora a procesos para garantizar la calidad en manufactura, acondicionado y servicios crticos en la industria','3822')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0251.01','CFRM0251.01 - Elaboracin de documentacin y seguimiento a sistemas de soporte de aseguramiento de calidad en la industria farmacutica','3823')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CFRM0281.01','CFRM0281.01 - Supervisin de ventas','3824')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CGAS0654.01','CGAS0654.01 - Sumistro de gas LP al menudeo','3825')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CGAS0655.01','CGAS0655.01 - Trasiego de gas LP en planta de distribucin','3826')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CGRA0389.01','CGRA0389.01 - Produccin de granos y oleaginosas','3827')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CGRA0520.01','CGRA0520.01 - Almacenamiento y conservacin de granos y oleaginosas','3828')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CGRA0520.02','CGRA0520.02 - Almacenamiento y conservacin de granos','3829')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHAR0464.01','CHAR0464.01 - Determinacin de la calidad de harina','3830')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHAR0518.01','CHAR0518.01 - Obtencin de harina de trigo','3831')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHOR0255.01','CHOR0255.01 - Poda de plantas','3832')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHOR0256.01','CHOR0256.01 - Mejoramiento de plantas','3833')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHOR0257.01','CHOR0257.01 - Establecimiento y manejo de plantaciones hortofrutcolas','3834')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHOR0309.01','CHOR0309.01 - Acondicionamiento del mango','3835')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHOR0310.01','CHOR0310.01 - Empaque y embarque de mango','3836')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0126.01','CHUL0126.01 - Extrusin de productos de hule','3837')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0126.02','CHUL0126.02 - Extrusin de productos de hule','3838')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0127.01','CHUL0127.01 - Vulcanizacin de productos de hule','3839')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0127.02','CHUL0127.02 - Vulcanizacin de productos de hule','3840')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0128.01','CHUL0128.01 - Mezclado de compuestos de hule','3841')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0128.02','CHUL0128.02 - Mezcla de compuestos de hule','3842')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0129.01','CHUL0129.01 - Construccin de productos de hule','3843')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0129.02','CHUL0129.02 - Construccin de productos de hule','3844')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0188.01','CHUL0188.01 - Control de procedimientos para la elaboracin de productos de hule','3845')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0292.01','CHUL0292.01 - Calandreo de productos de hule','3846')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0293.01','CHUL0293.01 - Molienda de productos de hule','3847')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0294.01','CHUL0294.01 - Preparacin de materias primas para la elaboracin de productos de hule','3848')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CHUL0372.01','CHUL0372.01 - Apoyos a procesos  de manufactura','3849')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0119.01','CICA0119.01 - Obtencin de conservas alimenticias comercialmente estriles','3850')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0120.01','CICA0120.01 - Embalaje de conservas alimenticias','3851')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0247.01','CICA0247.01 - Preparacin de mezclas para la obtencin de conservas alimenticias','3852')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0258.01','CICA0258.01 - Envasado de conservas alimenticias','3853')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0299.01','CICA0299.01 - Operacin de generadores de vapor','3854')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CICA0445.01','CICA0445.01 - Surtimiento de rdenes de embarque','3855')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0276.01','CINF0276.01 - Elaboracin de documentos mediante herramientas de cmputo','3856')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0283.01','CINF0283.01 - Anlisis y diseo de centro de datos','3857')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0284.01','CINF0284.01 - Anlisis y diseo de arquitectura cliente/servidor','3858')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0285.01','CINF0285.01 - Anlisis y diseo de sistemas de informacin','3859')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0286.01','CINF0286.01 - Anlisis y diseo de redes de datos','3860')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0376.01','CINF0376.01 - Elaboracin de documentos y comunicacin mediante el empleo de las caractersticas avanzadas de aplicaciones de cmputo','3861')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0650.01','CINF0650.01 - Instalacin y soporte tcnico de redes de datos (LAN)','3862')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CINF0669.01','CINF0669.01 - Programacin, desarrollo y diseo (arquitectura) de soluciones en JAVA','3863')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CIVH0266.01','CIVH0266.01 - Inspeccin vehicular','3864')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0399.01','CJOY0399.01 - Fundido de metales preciosos','3865')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0442.01','CJOY0442.01 - Laminado y trefilado de metales en joyera','3866')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0511.01','CJOY0511.01 - Preparacin de ceras','3867')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0511.02','CJOY0511.02 - Preparacin de ceras','3868')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0512.01','CJOY0512.01 - Vaciado de metales en joyera','3869')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0512.02','CJOY0512.02 - Vaciado de metales en joyera','3870')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CJOY0642.01','CJOY0642.01 - Troquelado de piezas en joyera','3871')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0245.01','CLCH0245.01 - Ordea mecanizada','3872')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0282.01','CLCH0282.01 - Inseminacin artificial de bovinos','3873')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0370.01','CLCH0370.01 - Distribucin de productos en redes locales','3874')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0375.01','CLCH0375.01 - Elaboracin de productos lcteos','3875')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0375.02','CLCH0375.02 - Elaboracin de productos lcteos','3876')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CLCH0426.01','CLCH0426.01 - Transportacin de la leche','3877')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0289.01','CMAU0289.01 - Mantenimiento de los sistemas de frenos','3878')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0289.02','CMAU0289.02 - Reparacin del sistema de frenos bsicos','3879')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0331.01','CMAU0331.01 - Afinacin de motores a gasolina con sistema de inyeccin','3880')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0331.02','CMAU0331.02 - Afinacin de motores a gasolina con sistema de inyeccin','3881')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0332.01','CMAU0332.01 - Afinacin de motores a gasolina con carburador','3882')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0332.02','CMAU0332.02 - Afinacin de motores a gasolina con carburador','3883')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0335.01','CMAU0335.01 - Reparacin de motores a gasolina','3884')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0344.01','CMAU0344.01 - Reparacin del sistema de suspensin con alineacin y balanceo','3885')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0345.01','CMAU0345.01 - Reparacin del sistema de direccin','3886')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0346.01','CMAU0346.01 - Servicio de lubricacin de los sistemas del vehculo automotriz','3887')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0347.01','CMAU0347.01 - Reparacin del sistema de embrague','3888')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0348.01','CMAU0348.01 - Reparacin del sistema de control de emisin de gases contaminantes','3889')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0360.01','CMAU0360.01 - Reparacin del sistema de transmisin manual','3890')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0361.01','CMAU0361.01 - Reparacin del sistema de transmisin automtica','3891')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0431.01','CMAU0431.01 - Reparacin de los componentes plsticos de la carrocera','3892')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0432.01','CMAU0432.01 - Reparacin del motor a diesel de los vehculos de rango medio y servicio pesado','3893')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0433.01','CMAU0433.01 - Reparacin del eje trasero de los vehculos de rango medio y servicio pesado','3894')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0434.01','CMAU0434.01 - Reparacin del sistema de inyeccin de los vehculos de rango medio y servicio pesado','3895')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0435.01','CMAU0435.01 - Reparacin del sistema de embrague de los vehculos de rango medio y servicio pesado','3896')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0436.01','CMAU0436.01 - Reparacin del sistema de frenos de aire de los vehculos de rango medio y servicio pesado','3897')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0462.01','CMAU0462.01 - Reparacin del sistema de frenos ABS','3898')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0488.01','CMAU0488.01 - Repintado de los componentes metlicos, plsticos y de madera de la carrocera de vehculo automotriz utlizando equipo programable','3899')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0488.02','CMAU0488.02 - Repintado de los componentes metlicos y plsticos de la carrocera de vehculo automotriz utilizando equipo programable','3900')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0489.01','CMAU0489.01 - Repintado de los componentes metlicos, plsticos y de madera de la carrocera de vehculo automotriz','3901')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0520.01','CMAU0520.01 - Igualado del color en el repintado de los componentes metlicos, plsticos y de madera del vehculo automotriz','3902')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0520.02','CMAU0520.02 - Igualado de color en el repintado automotor','3903')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMAU0521.01','CMAU0521.01 - Reparacin de los componentes metlicos exteriores de la carrocera','3904')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0043.01','CMEC0043.01 - Preparacin del mantenimiento a sistemas electromecnicos','3905')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0113.01','CMEC0113.01 - Mantenimiento a sistemas para la transmisin de potencia mecnica','3906')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0133.01','CMEC0133.01 - Mantenimiento de sistemas de aire acondicionado y refrigeracin','3907')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0149.01','CMEC0149.01 - Mantenimiento a sistemas generadores de vapor','3908')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0168.01','CMEC0168.01 - Mantenimiento a ventiladores y sopladores','3909')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0169.01','CMEC0169.01 - Mantenimiento a subestaciones','3910')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0170.01','CMEC0170.01 - Mantenimiento a plantas elctricas de emergencia','3911')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0171.01','CMEC0171.01 - Mantenimiento a circuitos de control','3912')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0172.01','CMEC0172.01 - Mantenimiento a sistemas ininterrumpibles de energa','3913')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0173.01','CMEC0173.01 - Mantenimiento a bombas','3914')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0204.01','CMEC0204.01 - Mantenimiento a generadores de energia elctrica','3915')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0205.01','CMEC0205.01 - Mantenimiento a motores elctricos','3916')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0206.01','CMEC0206.01 - Mantenimiento a compresores','3917')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0207.01','CMEC0207.01 - Mantenimiento a reductores de velocidad','3918')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0208.01','CMEC0208.01 - Mantenimiento a medidores mecnicos','3919')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0209.01','CMEC0209.01 - Mantenimiento a gras y polipastos','3920')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0210.01','CMEC0210.01 - Mantenimiento a sistemas hidrulicos','3921')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0211.01','CMEC0211.01 - Mantenimiento a elementos mecnicos,  mediante proceso de soldadura','3922')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0212.01','CMEC0212.01 - Mantenimiento a sistemas neumticos','3923')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0213.01','CMEC0213.01 - Mantenimiento a vlvulas','3924')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0214.01','CMEC0214.01 - Mantenimiento a instalaciones elctricas','3925')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0215.01','CMEC0215.01 - Mantenimiento a elementos mecnicos mediante aplicacin de maquinados','3926')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0216.01','CMEC0216.01 - Administracin del servicio de mantenimiento a los sistemas electromecnicos','3927')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0411.01','CMEC0411.01 - Mantenimiento de sistemas electrnicos y microprocesados','3928')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0414.01','CMEC0414.01 - Mantenimiento de sistemas mecnicos y electromecnicos','3929')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEC0424.01','CMEC0424.01 - Mantenimiento de sistemas elctricos','3930')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMEN0647.01','CMEN0647.01 - Traslado de envos de mensajera y paquetera','3931')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0044.01','CMIN0044.01 - Fragmentacin de roca','3932')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0044.02','CMIN0044.02 - Fragmentacin de roca','3933')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0044.03','CMIN0044.03 - Fragmentacin de roca','3934')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0094.01','CMIN0094.01 - Transporte y carga de mineral','3935')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0095.01','CMIN0095.01 - Aseguramiento de la granulometria del mineral','3936')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0096.01','CMIN0096.01 - Recuperacin de minerales o metales','3937')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0202.01','CMIN0202.01 - Preparacin del sistema de fundicin de metales y minerales','3938')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0203.01','CMIN0203.01 - Obtencin de  minerales y metales','3939')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0259.01','CMIN0259.01 - Obtencin de carbn','3940')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0478.01','CMIN0478.01 - Operacin de la planta beneficio','3941')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0478.02','CMIN0478.02 - Operacin de la planta de beneficio','3942')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0479.01','CMIN0479.01 - Carga y acarreo de mineral y tepetate','3943')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0479.02','CMIN0479.02 - Carga y acarreo de mineral y tepetate','3944')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0570.01','CMIN0570.01 - Supervisin de mina y planta','3945')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0576.01','CMIN0576.01 - Muestreo de minerales en planta de beneficio','3946')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0578.01','CMIN0578.01 - Extraccin de carbn en mina subterrnea','3947')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0579.01','CMIN0579.01 - Extraccin de carbn en tajo','3948')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0589.01','CMIN0589.01 - Beneficio de carbn','3949')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0630.01','CMIN0630.01 - Control de emergencias en mina y planta de beneficio','3950')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMIN0649.01','CMIN0649.01 - Separacin de metales por electrlisis','3951')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMME0357.01','CMME0357.01 - Maquinado de piezas por desprendimiento de viruta','3952')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMME0469.01','CMME0469.01 - Preparacin de superficies metlicas para la aplicacin de recubrimiento anticorrosivo','3953')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMME0591.01','CMME0591.01 - Inspeccin a la superficie del elemento por ensayos no destructivos','3954')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMME0599.01','CMME0599.01 - Inspeccin volumtrica al elemento por ensayos no destructivos','3955')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMTO0320.01','CMTO0320.01 - Obtencin de nixtamal y masa','3956')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMTO0320.02','CMTO0320.02 - Produccin de nixtamal y masa','3957')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMTO0321.01','CMTO0321.01 - Obtencin de tortilla','3958')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMTO0321.02','CMTO0321.02 - Produccin de tortilla de maz','3959')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0035.01','CMUE0035.01 - Preparacin de  materia prima en la  fabricacin  y/o ensamble de muebles de madera','3960')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0065.01','CMUE0065.01 - Control de la calidad de los muebles de madera durante el proceso de produccin y embarque','3961')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0066.01','CMUE0066.01 - Fabricacin de piezas de hierro forjado','3962')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0067.01','CMUE0067.01 - Fabricacin de piezas torneadas','3963')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0102.01','CMUE0102.01 - Almacenaje y embarque de los productos terminados','3964')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0103.01','CMUE0103.01 - Pintado de piezas, componentes y muebles','3965')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0104.01','CMUE0104.01 - Montaje final y decorado del mueble','3966')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0105.01','CMUE0105.01 - Fabricacin de piezas rauteadas del mueble','3967')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0135.01','CMUE0135.01 - Armado de muebles de tablero','3968')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0154.01','CMUE0154.01 - Correccin de desperfectos de los muebles','3969')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0184.01','CMUE0184.01 - Aplicacin de pintura electrosttica en muebles metlicos','3970')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0237.01','CMUE0237.01 - Acabado de los muebles de madera','3971')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CMUE0238.01','CMUE0238.01 - Tapizado de muebles','3972')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0164.01','COAS0164.01 - Operacin del proceso manual y semiautomtico de potabilizacin y tratamiento de aguas residuales','3973')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0165.01','COAS0165.01 - Control de los procedimientos operativos manual y semiautomtico de potabilizacin y tratamiento de aguas residuales','3974')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0227.01','COAS0227.01 - Direccin de empresas de agua y saneamiento','3975')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0228.01','COAS0228.01 - Difusin de la empresa de agua y saneamiento y promocin de la cultura del agua','3976')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0307.01','COAS0307.01 - Conservacin y operacin de la red de agua potable','3977')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0319.01','COAS0319.01 - Conservacin del funcionamiento operativo de la red de alcantarillado','3978')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0391.01','COAS0391.01 - Conservacin de la red de alcantarillado con el vehculo de desazolve','3979')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COAS0453.01','COAS0453.01 - Atencin al suministro de agua potable con micromedicin','3980')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPH0474.01','COPH0474.01 - Bombeo de aguas','3981')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0106.01','COPT0106.01 - Produccin de anteojos','3982')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0107.01','COPT0107.01 - Produccin de lentes pticas','3983')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0107.02','COPT0107.02 - Produccin de lentes pticas y anteojos','3984')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0138.01','COPT0138.01 - Prctica de exmenes de refraccin','3985')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0139.01','COPT0139.01 - Venta de productos y servicios pticos','3986')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0139.02','COPT0139.02 - Venta de productos y servicios pticos','3987')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0187.01','COPT0187.01 - Adaptacin de lentes de contacto','3988')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0248.01','COPT0248.01 - Fabricacin de lentes de contacto','3989')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0656.01','COPT0656.01 - Examen de refraccin y adaptacin de lentes de contacto','3990')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('COPT0658.01','COPT0658.01 - Procesamiento de lentes pticas','3991')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPAN0278.01','CPAN0278.01 - Elaboracin de pan francs','3992')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPAN0279.01','CPAN0279.01 - Elaboracin de pan dulce','3993')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPAN0322.01','CPAN0322.01 - Elaboracin de pasteles y productos de repostera','3994')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPAN0651.01','CPAN0651.01 - Elaboracin de productos de panificacin','3995')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0055.01','CPES0055.01 - Preparacin de estanquera, siembra y control del cultivo de camarn por el sistema semi intensivo','3996')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0055.02','CPES0055.02 - Preparacin de estanquera, siembra y control de cultivo de camarn por el sistema semi intensivo','3997')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0056.01','CPES0056.01 - Engorda y cosecha de camarn por el sistema semi intensivo','3998')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0056.02','CPES0056.02 - Engorda y cosecha de camarn por el sistema semi intensivo','3999')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0081.01','CPES0081.01 - Operacin de equipos de navegacin para captura de camarn','4000')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0082.01','CPES0082.01 - Operacin de equipos de propulsin para captura de camarn','4001')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0111.01','CPES0111.01 - Operacin de equipo de cubierta y artes de pesca para captura de camarn','4002')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0182.01','CPES0182.01 - Obtencin de producto envasado de origen pesquero','4003')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0183.01','CPES0183.01 - Obtencin de producto congelado de origen pesquero','4004')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0222.01','CPES0222.01 - Operacin de artes de pesca riberea y aguas interiores','4005')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0223.01','CPES0223.01 - Obtencin de productos ahumados de origen pesquero','4006')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0224.01','CPES0224.01 - Obtencin de productos seco-salados de origen pesquero','4007')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0225.01','CPES0225.01 - Manejo y conservacin a bordo de productos de pesca riberea y aguas interiores','4008')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0273.01','CPES0273.01 - Operacin de embarcaciones con motor fuera de borda','4009')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0273.02','CPES0273.02 - Operacin de embarcaciones con motor fuera de borda','4010')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0317.01','CPES0317.01 - Elaboracin de harina de pescado','4011')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0358.01','CPES0358.01 - Produccin de postlarvas de camarn en laboratorio','4012')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0358.02','CPES0358.02 - Produccin de postlarvas de camarn en laboratorio','4013')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0415.01','CPES0415.01 - Operacin de equipo de cubierta y artes de pesca para captura de atn por el sistema de cerco','4014')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0473.01','CPES0473.01 - Cultivo de especies pisccolas dulce acucolas por el sistema semi intensivo','4015')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPES0573.01','CPES0573.01 - Supervisin del cultivo de camarn por el sistema semi intensivo','4016')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0131.01','CPLA0131.01 - Obtencin de productos de plstico por inyeccin','4017')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0132.01','CPLA0132.01 - Obtencin de productos de plstico por extrusin','4018')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0179.01','CPLA0179.01 - Obtencin de productos de plstico a travs del proceso de extrusin soplo','4019')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0229.01','CPLA0229.01 - Obtencin de productos de plstico reforzado','4020')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0230.01','CPLA0230.01 - Obtencin de productos de plstico por filamento continuo','4021')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0291.01','CPLA0291.01 - Reciclado de productos de plstico','4022')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPLA0373.01','CPLA0373.01 - Termoformado de productos plsticos','4023')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOD0189.01','CPOD0189.01 - Servicio podolgico preventivo','4024')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOD0217.01','CPOD0217.01 - Teraputica podolgica','4025')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0297.01','CPOR0297.01 - Operacin de montacargas','4026')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0298.01','CPOR0298.01 - Supervisin de maniobras portuarias','4027')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0315.01','CPOR0315.01 - Operacin de equipo para maniobras portuarias','4028')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0338.01','CPOR0338.01 - Inspeccin de embarcaciones','4029')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0381.01','CPOR0381.01 - Acomodo y sujecin de la carga','4030')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0382.01','CPOR0382.01 - Mantenimiento de embarcaciones menores de fibra de vidrio','4031')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CPOR0383.01','CPOR0383.01 - Supervisin de almacenamiento','4032')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0112.01','CQMC0112.01 - Operacin de procesos qumicos mediante sistema automtico de control','4033')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0122.01','CQMC0122.01 - Control de procesos qumicos','4034')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0123.01','CQMC0123.01 - Operacin de procesos qumicos en rea operativa','4035')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0295.01','CQMC0295.01 - Obtencin de productos qumicos molidos','4036')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0296.01','CQMC0296.01 - Obtencin de productos qumicos destilados','4037')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0326.01','CQMC0326.01 - Manejo de lquidos','4038')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0327.01','CQMC0327.01 - Mezclado de productos qumicos','4039')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0417.01','CQMC0417.01 - Aplicacin de pintura en polvo','4040')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0418.01','CQMC0418.01 - Instalacin de tuberas para el traslado de hidrocarburos','4041')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0421.01','CQMC0421.01 - Servicio de pailera industrial','4042')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0466.01','CQMC0466.01 - Obtencin de productos qumicos por absorcin','4043')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CQMC0470.01','CQMC0470.01 - Obtencin de productos qumicos por extraccin','4044')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0156.01','CRCH0156.01 - Integracin de personal a la organizacin','4045')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0201.01','CRCH0201.01 - Operacin del sistema administrativo de gestin humana','4046')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0233.01','CRCH0233.01 - Planeacin estratgica de recursos humanos','4047')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0386.01','CRCH0386.01 - Administracin de la capacitacin','4048')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0387.01','CRCH0387.01 - Imparticin de cursos de capacitacin','4049')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0542.01','CRCH0542.01 - Diseo e imparticin de cursos de capacitacin','4050')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0542.02','CRCH0542.02 - Diseo e imparticin de cursos de capacitacin','4051')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0664.01','CRCH0664.01 - Imparticin de cursos de capacitacin','4052')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CRCH0665.01','CRCH0665.01 - Diseo didctico para la capacitacin','4053')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CREG0412.01','CREG0412.01 - Atencin a usuarios en la inscripcin de los actos del estado civil de las personas','4054')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CREG0413.01','CREG0413.01 - Atencin a usuarios en los servicios de certificacin de los actos del estado civil resguardados','4055')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSAD0448.01','CSAD0448.01 - Reconocimiento aduanero','4056')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSAD0540.01','CSAD0540.01 - Representacin del agente aduanal en los actos  y formalidades del despacho aduanero','4057')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0535.01','CSCE0535.01 - Comercio electrnico bsico operativo, cadena de abasto','4058')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0536.01','CSCE0536.01 - Comercio electrnico bsico operativo, compras','4059')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0537.01','CSCE0537.01 - Comercio electrnico bsico operativo, procesos administrativos internos','4060')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0572.01','CSCE0572.01 - Planeacin de la reconversin de pequeas y medianas empresas al comercio electrnico','4061')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0572.02','CSCE0572.02 - Comercio electrnico para PyMES','4062')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0575.01','CSCE0575.01 - Intercambio electrnico de datos','4063')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCE0598.01','CSCE0598.01 - Determinacin de estrategias de comercio electrnico para ofrecer respuesta eficiente al consumidor','4064')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCS0397.01','CSCS0397.01 - Servicios de embellecimiento del cabello','4065')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCS0509.01','CSCS0509.01 - Control interno de los servicios de limpieza','4066')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCS0565.01','CSCS0565.01 - Atencin de los nios y las nias en centros de atencin infantil','4067')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCS0662.01','CSCS0662.01 - Cuidado del adulto mayor','4068')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSCS0668.01','CSCS0668.01 - Servicios generales de cuidado de nios, nias y adolescentes','4069')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0274.01','CSDO0274.01 - Lavado y planchado de prendas del hogar','4070')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0274.02','CSDO0274.02 - Servicios de lavado y planchado de prendas','4071')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0275.01','CSDO0275.01 - Servicios bsicos de limpieza en el hogar','4072')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0275.02','CSDO0275.02 - Servicios generales de limpieza','4073')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0325.01','CSDO0325.01 - Servicios de alimentacin en el hogar','4074')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0325.02','CSDO0325.02 - Servicios generales de alimentacin','4075')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0325.03','CSDO0325.03 - Servicios generales de alimentacin','4076')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSDO0510.01','CSDO0510.01 - Servicios generales de cuidado de nios y  nias','4077')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0260.01','CSED0260.01 - Desarrollo de diagnsticos de servicios','4078')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0261.01','CSED0261.01 - Obtencin de informacin para la toma de decisiones','4079')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0262.01','CSED0262.01 - Anlisis e interpretacin de informacin en estudios de evaluacin','4080')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0263.01','CSED0263.01 - Desarrollo de estudios de evaluacin','4081')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0264.01','CSED0264.01 - Desarrollo de programas y proyectos','4082')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0265.01','CSED0265.01 - Presupuestacin de programas y proyectos','4083')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSED0452.01','CSED0452.01 - Desarrollo y evaluacin de la competencia laboral de capacitandos con base en una Norma Tcnica de Competencia Laboral','4084')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0064.01','CSEG0064.01 - Servicios contra incendios','4085')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0064.02','CSEG0064.02 - Servicios contra incendios','4086')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0092.01','CSEG0092.01 - Atencin prehospitalaria bsica','4087')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0093.01','CSEG0093.01 - Soporte bsico de vida y primeros auxilios','4088')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0121.01','CSEG0121.01 - Atencin prehospitalaria avanzada','4089')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0190.01','CSEG0190.01 - Primera respuesta a emergencias que involucran materiales peligrosos','4090')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0191.01','CSEG0191.01 - Respuesta tcnica a emergencias que involucran materiales peligrosos','4091')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0302.01','CSEG0302.01 - Muestreo de emisiones contaminantes a la atmsfera en fuentes fijas','4092')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0339.01','CSEG0339.01 - Control bsico de plagas urbanas','4093')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0339.02','CSEG0339.02 - Control bsico de plagas urbanas','4094')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSEG0443.01','CSEG0443.01 - Verificacin de las condiciones de seguridad e higiene del centro de trabajo','4095')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSIM0519.01','CSIM0519.01 - Comercializacin de bienes inmuebles','4096')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0341.01','CSOL0341.01 - Inspeccin de soldadura. Categora 1','4097')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0341.02','CSOL0341.02 - Inspeccin de soldadura. Categora 1','4098')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0343.01','CSOL0343.01 - Inspeccin de soldadura. Categora 2','4099')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0343.02','CSOL0343.02 - Inspeccin de Soldadura. Categora 2','4100')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0437.01','CSOL0437.01 - Aplicacin de soldadura por arco metlico protegida con gas (GMAW)','4101')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0460.01','CSOL0460.01 - Inspeccin de soldadura. Categora 3','4102')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0460.02','CSOL0460.02 - Inspeccin de soldadura. Categora 3','4103')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0490.01','CSOL0490.01 - Aplicacin de soldadura oxiacetilnica (autgena). (OFW - A)','4104')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0491.01','CSOL0491.01 - Aplicacin de soldadura por resistencia (RW)','4105')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0492.01','CSOL0492.01 - Realizacin de corte con oxgeno y gas combustible (OFC)*','4106')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0493.01','CSOL0493.01 - Aplicacin de soldadura por arco con electrodo metlico revestido  (SMAW)','4107')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0494.01','CSOL0494.01 - Aplicacin de soldadura por arco sumergido (SAW)','4108')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0495.01','CSOL0495.01 - Aplicacin de soldadura por arco con tungsteno y gas (GTAW)','4109')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0496.01','CSOL0496.01 - Aplicacin de soldadura protegida con gas (GMAW) en acero inoxidable','4110')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0497.01','CSOL0497.01 - Aplicacin de soldadura por arco con alambre tubular (con ncleo de fundente)  (FCAW)','4111')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSOL0498.01','CSOL0498.01 - Realizacin de trabajos de recubrimiento con soldadura','4112')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPU0362.01','CSPU0362.01 - Funciones bsicas de la actuacin policial','4113')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPU0363.01','CSPU0363.01 - Investigacin criminalstica','4114')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPU0401.01','CSPU0401.01 - Regulacin del trnsito de vehculos, personas y transporte','4115')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPU0595.01','CSPU0595.01 - Deteccin de drogas, personas, substancias y artefactos explosivos con perros de  intervencin','4116')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0194.01','CSPV0194.01 - Vigilancia de accesos','4117')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0194.02','CSPV0194.02 - Vigilancia de accesos','4118')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0349.01','CSPV0349.01 - Intalacin de sistemas electrnicos de deteccin y alarma','4119')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0349.02','CSPV0349.02 - Instalacin de sistemas electrnicos de deteccin y alarma','4120')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0402.01','CSPV0402.01 - Proteccin de personas','4121')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0402.02','CSPV0402.02 - Proteccin de personas (personalidades) en zona de movimiento','4122')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0403.01','CSPV0403.01 - Conduccin de unidades caninas de seguridad','4123')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0403.02','CSPV0403.02 - Conduccin de unidades caninas de seguridad','4124')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0574.01','CSPV0574.01 - Traslado de valores','4125')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSPV0648.01','CSPV0648.01 - Adiestramiento bsico de perros','4126')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0359.01','CSSA0359.01 - Dictamen de muestras citolgicas','4127')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0400.01','CSSA0400.01 - Obtencin de la imagen de la estructura anatmica del paciente','4128')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0409.01','CSSA0409.01 - Contribucin en la recuperacin de las capacidades fsicas de las personas','4129')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0410.01','CSSA0410.01 - Control y restablecimiento de la funcin pulmonar de las personas','4130')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0592.01','CSSA0592.01 - Codificacin de informacin mdica','4131')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSSA0646.01','CSSA0646.01 - Limpieza y desinfeccin de los establecimientos de salud','4132')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0354.01','CSUE0354.01 - Ejecucin del plan de manejo de suelos','4133')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0355.01','CSUE0355.01 - Direccin y evaluacin del plan de manejo de suelos','4134')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0356.01','CSUE0356.01 - Elaboracin del plan de manejo de suelos','4135')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0527.01','CSUE0527.01 - Aplicacin del sistema de labranza de conservacin','4136')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0672.01','CSUE0672.01 - Produccin agrcola en labranza de conservacin','4137')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CSUE0673.01','CSUE0673.01 - Desarrollo y evaluacin de proyectos agrcolas en labranza de conservacin','4138')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0175.01','CTEL0175.01 - Instalacin y mantenimiento de fibra ptica','4139')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0175.02','CTEL0175.02 - Instalacin y mantenimiento de fibra ptica','4140')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0176.01','CTEL0176.01 - Operacin de sistemas de transmisin PDH','4141')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0176.02','CTEL0176.02 - Operacin de sistemas de transmisin de jerarqua digital plesicrona (PDH)','4142')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0176.03','CTEL0176.03 - Operacin de sistemas de transmisin para jerarqua digital plesicrona (PDH)','4143')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0177.01','CTEL0177.01 - Operacin de sistemas de transmisin SDH','4144')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0177.02','CTEL0177.02 - Operacin de sistemas de transmisin de jerarqua digital sncrona (SDH)','4145')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0177.03','CTEL0177.03 - Operacin de sistemas de transmisin para jerarqua digital sncrona (SDH)','4146')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0242.01','CTEL0242.01 - Operacin de sistemas inalmbricos para el servicio movil de radio comunicacin especializada','4147')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0243.01','CTEL0243.01 - Operacin de sistemas de transmisin  inalmbrica de alta capacidad','4148')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0243.02','CTEL0243.02 - Operacin de sistemas inalmbricos','4149')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0303.01','CTEL0303.01 - Operacin para servicios de acceso bsico','4150')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0303.02','CTEL0303.02 - Operacin para servicios de acceso bsico','4151')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0304.01','CTEL0304.01 - Instalacin y mantenimiento de la red de acceso de cobre','4152')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0304.02','CTEL0304.02 - Construccin y mantenimiento de la red de acceso de cobre','4153')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0337.01','CTEL0337.01 - Operacin de equipo para proporcionar servicios de acceso de alto orden','4154')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0337.02','CTEL0337.02 - Operacin de equipo para proporcionar servicios de acceso de alto orden','4155')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0449.01','CTEL0449.01 - Operacin y mantenimiento de sistemas de conmutacin por paquetes en redes de rea amplia (WAN)','4156')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0450.01','CTEL0450.01 - Operacin y mantenimiento de sistemas de conmutacin por paquetes en redes de rea local (LAN)','4157')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0451.01','CTEL0451.01 - Operacin y mantenimiento de sistemas de conmutacin de circuitos','4158')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEL0454.01','CTEL0454.01 - Instalacin de sistemas de conmutacin','4159')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEX0287.01','CTEX0287.01 - Preparacin de hilatura de fibra corta','4160')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEX0329.01','CTEX0329.01 - Preparacin de fibra para hilatura de alto voluminizado','4161')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEX0407.01','CTEX0407.01 - Urdido de hilo para tejidos de calada','4162')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEX0467.01','CTEX0467.01 - Engomado de hilos para tejidos de calada','4163')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTEX0468.01','CTEX0468.01 - Preparacin de hilos para tejidos de calada','4164')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTIN0446.01','CTIN0446.01 - Lavado  de ropa en proceso industrial','4165')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTIN0446.02','CTIN0446.02 - Lavado de ropa en proceso industrial','4166')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTIN0447.01','CTIN0447.01 - Planchado de prendas en  procesos con vapor','4167')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTIN0476.01','CTIN0476.01 - Atencin y venta de servicios en tintoreras y lavanderas','4168')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTIN0529.01','CTIN0529.01 - Deslavado y teido de prendas nuevas','4169')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTOF0199.01','CTOF0199.01 - Establecimiento de comunicacin con el cliente','4170')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTOF0200.01','CTOF0200.01 - Atencin a clientes mediante informacin documental','4171')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0340.01','CTUP0340.01 - Conduccin de transporte pblico colectivo','4172')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0385.01','CTUP0385.01 - Conduccin de transporte pblico individual','4173')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0506.01','CTUP0506.01 - Conduccin del tren metropolitano','4174')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0532.01','CTUP0532.01 - Verificacin a empresas de transporte pblico de pasajeros','4175')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0571.01','CTUP0571.01 - Operacin del tren ligero','4176')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0583.01','CTUP0583.01 - Mantenimiento a la lnea elevada del trolebs','4177')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0584.01','CTUP0584.01 - Mantenimiento a la va permanente del tren ligero','4178')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUP0585.01','CTUP0585.01 - Operacin del trolebs','4179')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0006.01','CTUR0006.01 - Desarrollo y coordinacin de la preparacin de alimentos y bebidas','4180')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0006.02','CTUR0006.02 - Coordinacin de los servicios de alimentos y bebidas','4181')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0007.01','CTUR0007.01 - Preparacin de alimentos','4182')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0007.02','CTUR0007.02 - Preparacin de alimentos','4183')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0007.03','CTUR0007.03 - Preparacin de alimentos','4184')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0008.01','CTUR0008.01 - Preparacin de bebidas','4185')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0008.02','CTUR0008.02 - Preparacin de bebidas','4186')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0014.01','CTUR0014.01 - Supervisin y coordinacin del arrendamiento de vehculos','4187')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0014.02','CTUR0014.02 - Supervisin del arrendamiento de vehculos','4188')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0015.01','CTUR0015.01 - Operacin del arrendamiento de vehculos','4189')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0015.02','CTUR0015.02 - Operacin de arrendamiento de vehculos','4190')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0030.01','CTUR0030.01 - Venta de servicios integrales de viaje','4191')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0031.01','CTUR0031.01 - Coordinacin y supervisin del servicio a comensales','4192')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0032.01','CTUR0032.01 - Servicio a comensales','4193')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0032.02','CTUR0032.02 - Servicio a comensales','4194')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0032.03','CTUR0032.03 - Servicio a comensales','4195')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0033.01','CTUR0033.01 - Apoyo del servicio a comensales','4196')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0051.01','CTUR0051.01 - Coordinacin del servicio a cuartos y reas pblicas','4197')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0051.02','CTUR0051.02 - Coordinacin de los servicios de hospedaje','4198')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0052.01','CTUR0052.01 - Servicio de atencin al husped','4199')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0052.02','CTUR0052.02 - Servicio de atencin al husped','4200')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0053.01','CTUR0053.01 - Coordinacin del servicio de atencin a huspedes','4201')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0054.01','CTUR0054.01 - Servicio de atencin a cuartos y reas pblicas','4202')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0054.02','CTUR0054.02 - Servicio de atencin a cuartos y reas pblicas','4203')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0124.01','CTUR0124.01 - Planeacin y control de recursos materiales','4204')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0125.01','CTUR0125.01 - Comercializacin de servicios integrados de viaje','4205')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0130.01','CTUR0130.01 - Desarrollo y coordinacin de recursos humanos en establecimientos tursticos','4206')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0152.01','CTUR0152.01 - Operacin del turismo de aventura y ecoturismo','4207')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0166.01','CTUR0166.01 - Servicios de atencin al turismo nutico y sus embarcaciones','4208')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0185.01','CTUR0185.01 - Supervisin de la comercializacin de inversiones vacacionales','4209')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0185.02','CTUR0185.02 - Supervisin de la comercializacin de inversiones vacacionales','4210')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0185.03','CTUR0185.03 - Supervisin de la comercializacin de tiempo compartido','4211')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0186.01','CTUR0186.01 - Comercializacin de inversiones vacacionales','4212')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0186.02','CTUR0186.02 - Comercializacin de inversiones vacacionales','4213')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0186.03','CTUR0186.03 - Comercializacin de tiempo compartido','4214')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0428.01','CTUR0428.01 - Resguardo del vino','4215')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0459.01','CTUR0459.01 - Atencin al cliente del vino en el lugar de consumo','4216')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0534.01','CTUR0534.01 - Servicios de conserjera y de comunicacin telefnica en hotelera','4217')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0534.02','CTUR0534.02 - Servicios de conserjera y de comunicacin telefnica en hotelera','4218')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0566.01','CTUR0566.01 - Acondicionamiento fsico con tcnicas de masaje tradicionales','4219')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0566.02','CTUR0566.02 - Acondicionamiento fsico con tcnicas de masajes tradicionales','4220')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0596.01','CTUR0596.01 - Organizacin de eventos de negocios, sociales y culturales','4221')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTUR0596.02','CTUR0596.02 - Organizacin de evento de negocios, sociales y culturales','4222')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0023.01','CTVC0023.01 - Instalacin de acometidas de redes de telecomunicaciones y sistemas de televisin por cable','4223')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0023.02','CTVC0023.02 - Instalacin de acometidas de redes de telecomunicaciones','4224')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0041.01','CTVC0041.01 - Construccin  de redes de telecomunicaciones','4225')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0041.02','CTVC0041.02 - Construccin de redes de telecomunicaciones','4226')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0042.01','CTVC0042.01 - Iluminacin','4227')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0042.02','CTVC0042.02 - Iluminacin televisiva','4228')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0073.01','CTVC0073.01 - Registro de imagen con cmara','4229')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0073.02','CTVC0073.02 - Registro de imagen con cmara televisiva','4230')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0073.03','CTVC0073.03 - Registro de imagen con cmara televisiva','4231')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0074.01','CTVC0074.01 - Instalacin del  centro de recepcin y control de redes de telecomunicaciones','4232')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0083.01','CTVC0083.01 - Mantenimiento del centro de recepcin y control de redes de telecomunicaciones','4233')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0084.01','CTVC0084.01 - Registro de audio','4234')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0084.02','CTVC0084.02 - Registro de audio','4235')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0084.03','CTVC0084.03 - Registro de audio','4236')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0140.01','CTVC0140.01 - Control de video','4237')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0141.01','CTVC0141.01 - Mantenimiento a equipos y sistemas de videograbacin en televisin','4238')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0153.01','CTVC0153.01 - Planeacin de sistemas de televisin por cable y servicios de telecomunicaciones','4239')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0196.01','CTVC0196.01 - Proyeccin tcnica de un sistema de televisin por cable y redes de telecomunicaciones','4240')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0244.01','CTVC0244.01 - Prospeccin de ventas de servicios de televisin por cable','4241')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0388.01','CTVC0388.01 - Sistematizacin de documentacin audiovisual','4242')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CTVC0505.01','CTVC0505.01 - Operacin de los equipos de generacin y transmisin de la seal de televisin y del control maestro','4243')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0029.01','CVES0029.01 - Ensamble de piezas en prendas de vestir','4244')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0029.02','CVES0029.02 - Operacin de mquinas de confeccin industrial','4245')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0040.01','CVES0040.01 - Preparacin de piezas en confeccin','4246')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0099.01','CVES0099.01 - Corte de piezas para confeccin','4247')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0100.01','CVES0100.01 - Tendido de telas','4248')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0101.01','CVES0101.01 - Trazo de patrones','4249')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0118.01','CVES0118.01 - Preparacin de bultos para confeccin','4250')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0195.01','CVES0195.01 - Acabados en prendas de vestir','4251')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0538.01','CVES0538.01 - Mantenimiento de mquinas de confeccin','4252')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0539.01','CVES0539.01 - Elaboracin de prendas sartoriales','4253')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0539.02','CVES0539.02 - Elaboracin de prendas sartoriales','4254')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0639.01','CVES0639.01 - Diseo de prendas de vestir','4255')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVES0640.01','CVES0640.01 - Desarrollo de prendas de vestir','4256')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVID0333.01','CVID0333.01 - Obtencin de vidrio','4257')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVID0334.01','CVID0334.01 - Formacin manual de artculos de vidrio','4258')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVID0457.01','CVID0457.01 - Formacin de artculos de vidrio mediante procesos automatizados','4259')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVID0514.01','CVID0514.01 - Decorado de artculos de vidrio mediante procesos semi y automatizados','4260')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('CVID0533.01','CVID0533.01 - Cortado, pulido y barrenado de piezas de vidrio para la industria automotriz','4261')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NCASS007.01','NCASS007.01 - Cuidado de las nias y los nios en centros de atencin infantil','4262')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS004.01','NUASS004.01 - Promocin de servicios de asistencia social','4263')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS005.01','NUASS005.01 - Atencin a personas adultas mayores','4264')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS006.01','NUASS006.01 - Cuidado de nias, nios y adolescentes en casas hogar, albergues e internados','4265')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS010.01','NUASS010.01 - Prestacin del servicio de orientacin para la integracin familiar a nivel preventivo','4266')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS011.01','NUASS011.01 - Asistencia va telefnica a vctimas y personas relacionadas en situaciones de violencia de gnero','4267')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCNC001.01','NUCNC001.01 - Direccin del desarrollo de los productos de normalizacin de competencia laboral','4268')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCNC002.01','NUCNC002.01 - Diseo del instrumento de evaluacin de competencia laboral','4269')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCNC003.01','NUCNC003.01 - Direccin del desarrollo de la norma tcnica de competencia laboral','4270')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCNC004.01','NUCNC004.01 - Evaluacin de la competencia laboral de candidatos, referida en Normas Tcnicas de Competencia Laboral de una funcin determinada','4271')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM001.01','NUCOM001.01 - Obtencin de cortes de carne y aves en tiendas de autoservicio','4272')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM002.01','NUCOM002.01 - Venta de equipo de electrnica y cmputo de manera personalizada','4273')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM003.01','NUCOM003.01 - Venta de productos, mercancas y servicios de manera personalizada en piso','4274')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM004.01','NUCOM004.01 - Almacenamiento de mercancas en establecimientos','4275')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM005.01','NUCOM005.01 - Registro y cobro de productos, mercancas y servicios en establecimientos','4276')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM006.01','NUCOM006.01 - Preparacin de pescados y mariscos para su venta en tiendas de autoservicio','4277')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM007.01','NUCOM007.01 - Produccin de pan bizcocho en tiendas de autoservicio','4278')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM008.01','NUCOM008.01 - Produccin de pan francs en tiendas de autoservicio','4280')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM009.01','NUCOM009.01 - Dispensacin y manejo de medicamentos en farmacias','4282')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUCOM010.01','NUCOM010.01 - Procesamiento de efectivo y documentos','4283')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUDEN001.01','NUDEN001.01 - Elaboracin de aparatos de ortopedia funcional de los maxilares','4284')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUDEN002.01','NUDEN002.01 - Elaboracin de aparatos de ortodoncia y ortopedia fija','4285')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUDEN003.01','NUDEN003.01 - Elaboracin de prtesis dental removible','4286')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUGCH001.01','NUGCH001.01 - Imparticin de cursos de capacitacin presenciales','4287')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUGCH002.01','NUGCH002.01 - Diseo de cursos de capacitacin presenciales, sus instrumentos de evaluacin y material didctico','4288')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUGCH003.01','NUGCH003.01 - Diseo de cursos  de capacitacin para ser impartidos mediante Internet','4289')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUGCH004.01','NUGCH004.01 - Uso didctico de las tecnologas de informacin y comunicacin en procesos de aprendizaje: nivel bsico','4290')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUINL001.01','NUINL001.01 - Interpretacin oral de lengua indgena al espaol y viceversa en el mbito de procuracin y administracin de justicia','4291')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIPD001.01','NUIPD001.01 - Prestacin de servicios de interpretacin de la lengua de seas mexicana al espaol y viceversa','4292')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIVC001.01','NUIVC001.01 - Asesora en materia hipotecaria por va extrajudicial','4293')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIVC002.01','NUIVC002.01 - Asesora en materia hipotecaria por va judicial','4294')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NULLA001.01','NULLA001.01 - Balanceo de llantas por computadora','4296')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NULLA002.01','NULLA002.01 - Alineacin de llantas por computadora','4297')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT001.01','NUOPT001.01 - Prctica de examen de refraccin','4298')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT002.01','NUOPT002.01 - Adaptacin de lentes de contacto','4299')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT003.01','NUOPT003.01 - Venta de productos pticos','4300')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT004.01','NUOPT004.01 - Obtencin de lentes oftlmicas graduadas','4301')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT005.01','NUOPT005.01 - Biselado y montaje de lentes oftlmicas graduadas','4302')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUOPT006.01','NUOPT006.01 - Supervisin de puntos de venta de productos pticos','4303')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR001.01','NURUR001.01 - Coordinacin de acciones para el desarrollo rural sustentable municipal','4304')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR002.01','NURUR002.01 - Cosecha de hortalizas','4305')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR003.01','NURUR003.01 - Consultora a empresas rurales','4306')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR004.01','NURUR004.01 - Coordinacin de acciones para la puesta en marcha de proyectos de inversin del sector rural','4307')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSFN001.01','NUSFN001.01 - Generacin del crdito','4308')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM001.01','NUSIM001.01 - Asesora en comercializacin de bienes inmuebles','4309')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM002.01','NUSIM002.01 - Asesora en materia de crdito de vivienda','4310')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM002.02','NUSIM002.02 - Asesora en materia de crdito de vivienda','4311')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM003.01','NUSIM003.01 - Instalacin de recubrimientos cermicos','4312')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM004.01','NUSIM004.01 - Administracin de inmuebles en condominio','4313')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM005.01','NUSIM005.01 - Instalacin del sistema de calentamiento solar de agua','4314')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSIM006.01','NUSIM006.01 - Instalacin y mantenimiento de sistemas de aire acondicionado y refrigeracin comercial','4315')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV001.01','NUSPV001.01 - Adiestramiento de perros en el nivel bsico de obediencia','4316')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV002.01','NUSPV002.01 - Conduccin de perros de seguridad','4317')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV003.01','NUSPV003.01 - Cuidado de perros','4318')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV004.01','NUSPV004.01 - Vigilancia presencial de bienes y personas','4319')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV005.01','NUSPV005.01 - Coordinacin de servicios de vigilancia de  bienes y personas','4320')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV006.01','NUSPV006.01 - Consultora en sistemas de gestin de la seguridad','4321')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV007.01','NUSPV007.01 - Custodia de mercancas en movimiento','4322')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV008.01','NUSPV008.01 - Auditora de los sistemas de gestin de la seguridad','4323')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTEL001.01','NUTEL001.01 - Instalacin de acometidas con cable coaxial','4324')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUP001.01','NUTUP001.01 - Operacin del vehculo de transporte pblico colectivo de pasajeros','4325')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR001.01','NUTUR001.01 - Atencin a comensales','4326')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR002.01','NUTUR002.01 - Limpieza de cocinas industriales','4327')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR003.01','NUTUR003.01 - Preparacin de alimentos','4328')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR004.01','NUTUR004.01 - Preparacin y servicio de bebidas','4330')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR005.01','NUTUR005.01 - Coordinacin de los servicios de alimentos y bebidas','4331')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR006.01','NUTUR006.01 - Preparacin de habitaciones para alojamiento temporal','4332')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR007.01','NUTUR007.01 - Coordinacin de los servicios de limpieza de habitaciones y reas de estancia para alojamiento temporal','4333')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR008.01','NUTUR008.01 - Preparacin de bebidas con base de caf','4334')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR009.01','NUTUR009.01 - Prestacin del servicio de recepcin y atencin al husped para su alojamiento temporal','4335')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR010.01','NUTUR010.01 - Prestacin de servicios cosmetolgicos faciales','4336')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR011.01','NUTUR011.01 - Supervisin de las condiciones de registro y estancia del husped','4337')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0028.03','UCNC0028.03 - Verificar internamente el proceso de evaluacin de competencia laboral conforme a lo establecido por el Sistema de Certificacin de Competencia Laboral','4338')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0029.03','UCNC0029.03 - Verificar externamente los procesos de verificacin interna y evaluacin de competencia laboral','4339')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCFE1771.01','UCFE1771.01 - Supervisar la operacin de los equipos de generacin de energa elctrica','4340')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCFE1772.01','UCFE1772.01 - Mantener los equipos auxiliares del generador de vapor en funcionamiento mecnico','4341')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCFE1773.01','UCFE1773.01 - Mantener los equipos de alimentacin de carbn y manejo de ceniza en funcionamiento mecnico','4342')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCFE1774.01','UCFE1774.01 - Operar el equipo de alimentacin de carbn para combustin','4343')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCFE1775.01','UCFE1775.01 - Operar el equipo de manejo de cenizas procedentes de la combustin del carbn','4344')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('USIM1787.01','USIM1787.01 - Asesorar en materia de crdito de vivienda','4345')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0026.02','UCNC0026.02 - Evaluar la competencia laboral de candidatos con base en los lineamientos establecidos por el SCCL y en NTCL de una funcin determinada','4346')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0026.03','UCNC0026.03 - Evaluar la competencia laboral de candidatos, referida en Normas Tcnicas de Competencia Laboral (NTCL) de una funcin determinada.','4347')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0027.02','UCNC0027.02 - Desarrollar instrumentos de evaluacin con base en las tcnicas pertinentes y de conformidad con Unidades de Competencia Laboral (UCL)','4348')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0027.03','UCNC0027.03 - Desarrollar instrumentos de evaluacin de competencia laboral, referida en NTCL','4349')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0028.02','UCNC0028.02 - Verificar internamente el proceso de evaluacin conforme a lo establecido en el Sistema de Certificacin de Competencia Laboral (SCCL)','4350')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0029.02','UCNC0029.02 - Verificar externamente la transparencia, validez y confiabilidad de los procesos de verificacin interna y evaluacin conforme a lo establecido en el SCCL','4351')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC0984.01','UCNC0984.01 - Conducir la elaboracin de Normas Tcnicas de Competencia Laboral','4352')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC00001','UCNC00001 - Evaluar la competencia laboral del candidato con base en la Norma Tcnica de Competencia  Laboral','4353')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC00002','UCNC00002 - Proporcionar informacin al candidato de manera clara y constructiva en relacin con su competencia','4354')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC00003','UCNC00003 - Disear los instrumentos y tcnicas para evaluar la competencia laboral del candidato en relacin con la Norma Tcnica de Competencia Laboral','4355')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC00004','UCNC00004 - Verificar internamente, de acuerdo con los principios del Sistema de Certificacin de Competencia Laboral, el proceso de evaluacin','4356')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('UCNC00005','UCNC00005 - Verificar externamente, de acuerdo con los principios del Sistema de Certificacin de Competencia Laboral, el proceso de evaluacin','4357')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIAZ001.01','NUIAZ001.01 - Implementacin de medidas de seguridad en el trabajo y conservacin del medio ambiente en el ingenio azucarero','4358')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUINL002.01','NUINL002.01 - Prestacin de servicios de traduccin de textos de lengua espaola a lengua indgena y viceversa en el mbito de procuracin y administracin de justicia','4359')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUACH001.01','NUACH001.01 - Asistencia primaria de un evento adverso','4360')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC006.01','NUSTC006.01 - Preparacin del enganche del tren para su mantenimiento mayor','4361')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC001.01','NUSTC001.01 - Preparacin de rganos para ajuste en banco','4362')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC002.01','NUSTC002.01 - Preparacin del mantenimiento mayor de caja','4363')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC003.01','NUSTC003.01 - Preparacin del motocompresor para su mantenimiento mayor','4364')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC004.01','NUSTC004.01 - Preparacin del diferencial para su mantenimiento','4365')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSTC005.01','NUSTC005.01 - Desarmado del boguie','4366')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUACP001.01','NUACP001.01 - Asesora y suministro de crdito en instituciones de ahorro y crdito popular','4367')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTUR012.01','NUTUR012.01 - Prestacin de servicios estticos corporales','4368')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTIC001.01','NUTIC001.01 - Elaboracin de documentos mediante un procesador de textos','4369')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTIC002.01','NUTIC002.01 - Elaboracin de presentaciones grficas mediante herramientas de cmputo','4370')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUTIC003.01','NUTIC003.01 - Elaboracin de libros mediante el uso de procesadores de hojas de clculo','4371')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUASS012.01','NUASS012.01 - Supervisin de establecimientos/espacios de atencin infantil','4372')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIRN001.01','NUIRN001.01 - Atencin a comensales en servicio de especialidades','4373')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIAZ002.01','NUIAZ002.01 - Aplicacin de medidas de seguridad alimentaria y calidad en el ingenio azucarero','4374')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR005.01','NURUR005.01 - Tutora de cursos de formacin en lnea','4375')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NURUR006.01','NURUR006.01 - Formulacin del diseo de proyectos de inversin del sector rural','4376')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV009.01','NUSPV009.01 - Prestacin de servicios de instalacin y mantenimiento de dispositivos de geolocalizacin','4377')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV010.01','NUSPV010.01 - Gestionar la conformidad de los sistemas de gestin de la seguridad','4378')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUSPV011.01','NUSPV011.01 - Monitoreo de los sistemas de geolocalizacin','4379')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUACP002.01','NUACP002.01 - Recuperacin de los crditos otorgados a los socios/usuarios de las instituciones de ahorro y crdito popular','4380')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUIAZ003.01','NUIAZ003.01 - Generacin de Valor Social y Econmico a los Grupos de Inters del Ingenio Azucarero','4381')
	INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NUAOP001.01','NUAOP001.01 - Inspeccin de obra pblica federal','4382')
	
END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSActualizaNorma2016')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSActualizaNorma2016
GO

CREATE PROCEDURE dbo.capaSTPSActualizaNorma2016
AS 

BEGIN

	SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DECLARE @claveNorma AS varchar(50)
    DECLARE @idSTPS AS varchar(250)
         		
		DECLARE CursorNorma CURSOR
		FOR 
			select norma, idSTPS
			from capa_catalogoNorma	  		   
			     
		OPEN CursorNorma

		FETCH NEXT FROM CursorNorma INTO @claveNorma, @idSTPS

		WHILE (@@FETCH_STATUS <> -1)
		BEGIn
		  
		update capa_programacion 
		set norma= @IdSTPS 
		where norma=@clavenorma
				     
		FETCH NEXT FROM CursorNorma INTO @claveNorma, @idSTPS

		END

		DEALLOCATE CursorNorma 
	
END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSCargaCatalogoNorma2016')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSCargaCatalogoNorma2016
GO

CREATE PROCEDURE dbo.capaSTPSCargaCatalogoNorma2016
AS 

BEGIN
	
		DECLARE @CANTIDAD BIGINT
		
		SELECT @CANTIDAD=ISNULL(COUNT(*),0) FROM capa_CatalogoNorma
		
		IF @CANTIDAD=0
			BEGIN
				exec capaSTPSActualizaCatalogoNorma2016
				exec capaSTPSActualizaNorma2016
			END	
END	
	
GO


exec capaSTPSCargaCatalogoNorma2016 
go


IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-001-STPS-2008')
   INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-001-STPS-2008','NOM-001-STPS-2008 - Edificios, locales e instalaciones','5000')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-002-STPS-2010')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-002-STPS-2010','NOM-002-STPS-2010 - Prevencin y proteccin contra incendios','5001')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-004-STPS-1999')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-004-STPS-1999','NOM-004-STPS-1999 - Sistemas y dispositivos de seguridad en maquinaria','5002')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-005-STPS-1998')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-005-STPS-1998','NOM-005-STPS-1998 - Manejo, transporte y almacenamiento de sustancias peligrosas','5003')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-006-STPS-2014')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-006-STPS-2014','NOM-006-STPS-2014 - Manejo y almacenamiento de materiales','5004')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-009-STPS-2011')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-009-STPS-2011','NOM-009-STPS-2011 - Trabajos en altura','5005')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-020-STPS-2011')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-020-STPS-2011','NOM-020-STPS-2011 - Recipientes sujetos a presin y calderas','5006')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-022-STPS-2015')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-022-STPS-2015','NOM-022-STPS-2015 - Electricidad esttica','5007')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-027-STPS-2008')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-027-STPS-2008','NOM-027-STPS-2008 - Soldadura y corte','5008')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-029-STPS-2011')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-029-STPS-2011','NOM-029-STPS-2011 - Mantenimiento de instalaciones elctricas','5009')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-033-STPS-2015')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-033-STPS-2015','NOM-033-STPS-2015 - Trabajos en espacios confinados','5010')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-034-STPS-2016')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-034-STPS-2016','NOM-034-STPS-2016 - Acceso y desarrollo de actividades de trabajadores con discapacidad','5011')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-010-STPS-1999')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-010-STPS-1999','NOM-010-STPS-1999 - Contaminantes por sustancias qumicas','5012')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-010-STPS-2014')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-010-STPS-2014','NOM-010-STPS-2014 - Agentes qumicos contaminantes del ambiente laboral','5013')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-011-STPS-2001')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-011-STPS-2001','NOM-011-STPS-2001 - Ruido','5014')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-012-STPS-2012')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-012-STPS-2012','NOM-012-STPS-2012 - Radiaciones ionizantes','5015')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-013-STPS-1993')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-013-STPS-1993','NOM-013-STPS-1993 - Radiaciones no ionizantes','5016')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-014-STPS-2000')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-014-STPS-2000','NOM-014-STPS-2000 - Presiones ambientales anormales','5017')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-015-STPS-2001')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-015-STPS-2001','NOM-015-STPS-2001 - Condiciones trmicas elevadas o abatidas','5018')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-024-STPS-2001')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-024-STPS-2001','NOM-024-STPS-2001 - Vibraciones','5019')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-025-STPS-2008')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-025-STPS-2008','NOM-025-STPS-2008 - Iluminacin','5020')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-035-STPS-2018')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-035-STPS-2018','NOM-035-STPS-2018 - Factores de Riesgo Psicosocial','5021')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-036-STPS-2018')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-036-STPS-2018','NOM-036-STPS-2018 - Factores de riesgo ergonmico. Parte 1: Manejo manual de cargas','5022')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-017-STPS-2008')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-017-STPS-2008','NOM-017-STPS-2008 - Equipo de proteccin personal','5023')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-018-STPS-2000')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-018-STPS-2000','NOM-018-STPS-2000 - Identificacin de peligros y riesgos por sustancias qumicas','5024')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-018-STPS-2015')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-018-STPS-2015','NOM-018-STPS-2015 - Comunicacin de peligros y riesgos por sustancias qumicas','5025')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-019-STPS-2011')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-019-STPS-2011','NOM-019-STPS-2011 - Comisiones de seguridad e higiene','5026')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-026-STPS-2008')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-026-STPS-2008','NOM-026-STPS-2008 - Colores y seales de seguridad','5027')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-028-STPS-2012')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-028-STPS-2012','NOM-028-STPS-2012 - Seguridad en procesos y equipos con sustancias qumicas','5028')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-030-STPS-2009')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-030-STPS-2009','NOM-030-STPS-2009 - Servicios preventivos de seguridad y salud','5030')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-003-STPS-1999')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-003-STPS-1999','NOM-003-STPS-1999 - Plaguicidas y fertilizantes','5031')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-007-STPS-2000')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-007-STPS-2000','NOM-007-STPS-2000 - Instalaciones, maquinaria, equipo y herramientas agrcolas','5032')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-008-STPS-2013')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-008-STPS-2013','NOM-008-STPS-2013 - Aprovechamiento forestal maderable','5033')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-016-STPS-2001')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-016-STPS-2001','NOM-016-STPS-2001 - Operacin y mantenimiento de ferrocarriles','5034')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-023-STPS-2012')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-023-STPS-2012','NOM-023-STPS-2012 - Trabajos en minas subterrneas y a cielo abierto','5035')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-031-STPS-2011')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-031-STPS-2011','NOM-031-STPS-2011 - Construccin','5036')
GO

IF NOT EXISTS (SELECT idSTPS from capa_CatalogoNorma where clave='NOM-032-STPS-2008')
INSERT INTO capa_CatalogoNorma(clave, norma, IdSTPS) VALUES ('NOM-032-STPS-2008','NOM-032-STPS-2008 - Minas subterrneas de carbn','5037')
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenPredeterminadosSTPS'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaObtenPredeterminadosSTPS
GO

CREATE PROCEDURE  dbo.capaObtenPredeterminadosSTPS
    (@companyId udtInteger )
   
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY
    
		select '1', 'Actualizar y perfeccionar conocimientos y habilidades', 
			    '1','Presencial',
			    clave, norma 
		from capa_catalogonorma
		order by 5

    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
            + CHAR(13) + CHAR(10) + 'Severity: '
            + LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
            + 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
            + CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
            + 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
            + 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO


