
IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'getCompanyInformation'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.getCompanyInformation
GO

IF not EXISTS ( SELECT FUNCION
				FROM FUNCIONES
				WHERE SISTEMA='CA' And FUNCION='M') 
	insert into funciones (sistema,funcion,descripcion) values ('CA', 'M' , 'Matriz de Habilidades')	
go

IF not EXISTS ( SELECT opcion
				FROM opciones
				WHERE SISTEMA='CA' And FUNCION='M' and opcion='M1') 
	INSERT INTO opciones (opcion,sistema,funcion,descripcion) VALUES('M1','CA', 'M', 'Matriz de Habilidades')           
go

CREATE PROCEDURE  dbo.getCompanyInformation
    (
		@companyId AS Integer 
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    SELECT
		empresas.nombre_empresa,
		empresas.rfc_empresa,
		empresas.registro_patronal		
	FROM
		empresas 
	WHERE
		empresas.empresa = @companyId 	
	    
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartidoA'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartidoA
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartidoADetalle'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartidoADetalle
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartidoADetallexCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartidoADetallexCC
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartidoADetallexCurso'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartidoADetallexCurso
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartidoADetallexCursoCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartidoADetallexCursoCC
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartidoA'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartidoA
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartidoADetalle'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartidoADetalle
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartidoADetallexCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartidoADetallexCC
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartidoADetallexCurso'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartidoADetallexCurso
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartidoADetallexCursoCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartidoADetallexCursoCC
GO

if exists (select * from dbo.sysobjects 
    where id = object_id(N'[dbo].[Capa_piedepagina]')
    and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
    if not exists (SELECT distinct(c.name)
         FROM dbo.SYSCOLUMNS C
         INNER JOIN dbo.SYSOBJECTS T 
         ON C.[ID] = T.[ID] 
         WHERE T.XTYPE = 'U' 
         and t.name='Capa_piedepagina' 
         and c.name='texto')
     drop TABLE capa_piedepagina 
go

 if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_CatalogoArea]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
        CREATE TABLE [dbo].[capa_CatalogoArea]( 
						[empresa] [bigint] NULL, 
						[idArea] [bigint] NULL, 
						[clave] [varchar](15) NULL,  
						[nombre] [varchar](50) NULL )
go

 if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_TemarioInterno]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
        CREATE TABLE [dbo].capa_TemarioInterno( 
						[empresa] [bigint] NULL, 
						[idTemarioInterno] [bigint] NULL, 
						[clave] [varchar](15) NULL,  
						[nombre] [varchar](250) NULL )
go

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_Tema]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
        CREATE TABLE [dbo].capa_Tema( 
						[empresa] [bigint] NULL, 
						[idTema] [bigint] NULL, 
						[idTemarioInterno] [bigint] NULL, 
						[clave] [varchar](15) NULL,  
						[nombre] [varchar](250) NULL,
						[duracion] decimal(5, 2)  NULL,
						[idInstructor] [bigint] NULL,
						[orden] [int] NULL)
go

 if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_CatalogoOcupacionOld]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
                 CREATE TABLE [dbo].[capa_CatalogoOcupacionOld]( 
                  [empresa] [bigint] NULL, 
                  [ocupacionNomina] [bigint] NULL,  
                  [nombreSTPS] [varchar](50) NULL,
                  [paso] [varchar](1) NULL )
go


 if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_CatalogoAreaTematica]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
                 CREATE TABLE [dbo].[capa_CatalogoAreaTematica]( 
                  [idDenominacion] [bigint] IDENTITY(1,1) NOT NULL,  
                  [clave] [varchar](50) NULL, 
                  [area] [varchar](250) NULL,  
                CONSTRAINT [PK_capa_CatalogoAreaTematica] PRIMARY KEY CLUSTERED   
               (  
                  [idDenominacion] ASC 
               ) ON [PRIMARY]  
               ) ON [PRIMARY]
go

 if not exists (select * from dbo.sysobjects  
                 where id = object_id(N'[dbo].[capa_CatalogoOcupacion]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
                 CREATE TABLE [dbo].[capa_CatalogoOcupacion]( 
                  [idCatalogo] [bigint] IDENTITY(1,1) NOT NULL, 
                  [clave] [varchar](50) NULL,  
                  [nombre] [varchar](250) NULL,  
                CONSTRAINT [PK_capa_CatalogoOcupacion] PRIMARY KEY CLUSTERED  
                (  
                   [idCatalogo] ASC 
                ) ON [PRIMARY] 
                ) ON [PRIMARY]
go

 if not exists (select * from dbo.sysobjects  
                 where id = object_id(N'[dbo].[PortalEmpleadoLogo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
		CREATE TABLE [dbo].[PortalEmpleadoLogo](
			[idEmpresa] [bigint] NOT NULL,
			[rutaImagen] [varchar](max) NULL,
			[rutaFirma] [varchar](max) NULL,
		 CONSTRAINT [PK_PortalEmpleadoLogo] PRIMARY KEY CLUSTERED 
		(
			[idEmpresa] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

if not exists (select * from dbo.sysobjects  
                 where id = object_id(N'[dbo].[PortalEmpleadoPoliticas]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	
CREATE TABLE [dbo].[PortalEmpleadoPoliticas](
	[idEmpresa] [bigint] NULL,
	[idPolitica] [bigint] NULL,
	[nombrePolitica] [varchar](50) NULL,
	[ubicacion] [varchar](500) NULL
) ON [PRIMARY]

GO


 if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_entrenamiento]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
                 CREATE TABLE [dbo].[capa_entrenamiento] (  
                   [idEntrenamiento] [bigint] IDENTITY (1, 1) NOT NULL ,  
                   [empresa] [numeric](3, 0) NOT NULL ,  
                   [codigo] [numeric](8, 0) NOT NULL CONSTRAINT [DF_capa_entrenamiento_codigo] DEFAULT (0),  
                   [idcurso] [bigint] NOT NULL ,  
                   [idLugar] [varchar] (10) COLLATE Modern_Spanish_CI_AS NOT NULL ,  
                   [idInstructor] [bigint] NOT NULL ,  
                   [finicial] [datetime] NULL ,  
                   [ffinal] [datetime] NULL ,  
                   [horaini1] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [horafin1] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [horaini2] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [horafin2] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [tothoras] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [costoPersona] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [stps] [varchar] (1) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [asistio] [char] (2) COLLATE Modern_Spanish_CI_AS NULL ,  
                   [calificacion] [decimal](18, 0) NULL ,  
                   [comentarios] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,  
                   CONSTRAINT [PK_capa_entrenamiento] PRIMARY KEY  CLUSTERED   
                   (  
                      [idEntrenamiento]  
                   )  ON [PRIMARY]      
                 ) ON [PRIMARY] 
go                                        

if not exists (select * from dbo.sysobjects  
                where id = object_id(N'[dbo].[Capa_piedepagina]') 
                and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
	CREATE TABLE [dbo].[Capa_piedepagina]( 
	[empresa] [numeric](3, 0) NOT NULL, 
		[nombre] [varchar](200) NOT NULL, 
		[Reporte] [varchar](200) NULL, 
	[ubicacion] [varchar](200) NULL, 
		[lado] [char](1) NULL, 
		[texto] [varchar](100) NULL, 
	 CONSTRAINT [PK_Capa_piedepagina] PRIMARY KEY CLUSTERED  
	( 
		[empresa] ASC, 
		[nombre] ASC 
	) 
	) ON [PRIMARY]
go  


if not exists (select * from dbo.sysobjects  
                where id = object_id(N'[dbo].[configuraEmailPortalEmpleado]') 
                and OBJECTPROPERTY(id, N'IsUserTable') = 1) 

CREATE TABLE [dbo].[configuraEmailPortalEmpleado](
	[idEmpresa] [bigint] NOT NULL,
	[idConfiguracion] [varchar](50) NULL,
	[MailServer] [varchar](50) NULL,
	[MailAddress] [varchar](50) NULL,
	[Puerto] [varchar](50) NULL,
	[CC] [varchar](50) NULL,
	[a_user] [varchar](50) NULL,
	[a_pwd] [varchar](50) NULL,
	[autenticacion] [varchar](50) NULL,
	[tipoAutenticacion] [varchar](50) NULL,
	[nombreMail] [varchar](50) NULL,
	[PuestoMail] [varchar](50) NULL,
	[cSSL] [varchar](2) NULL,
	[cTSL] [varchar](2) NULL,
	[MailRecepcionRH] [varchar](250) NULL
) ON [PRIMARY]

GO              

  if not exists (select * from dbo.sysobjects  
                where id = object_id(N'[dbo].[capa_RelacionPuestos]') 
                and OBJECTPROPERTY(id, N'IsUserTable') = 1) 
                CREATE TABLE [dbo].[capa_RelacionPuestos]( 
                   [empresa] [numeric](18, 0) NOT NULL, 
                  [idCatalogo] [bigint] NOT NULL, 
                  [ocupacion] [int] NOT NULL, 
                CONSTRAINT [PK_capa_RelacionPuestos] PRIMARY KEY CLUSTERED  
                ( 
                   [empresa] ASC, 
                   [idCatalogo] ASC, 
                   [ocupacion] ASC 
                ) ON [PRIMARY] 
                ) ON [PRIMARY]
GO

                
               
 if not exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.[ID] = T.[ID] 
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_curso' 
                 and c.name='stps')
  ALTER TABLE  capa_curso ADD stps VARCHAR(1) NULL
go

if not exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C 
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.[ID] = T.[ID]
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_programacion' 
                  and c.name='stps')
   ALTER TABLE  capa_programacion ADD stps VARCHAR(1) NULL
go

  if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C   
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='Capa_curso'   
                  and c.name='automatico')  
  ALTER TABLE  capa_curso ADD automatico CHAR(1) NULL 
  go


    if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C   
                 INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_instructor'   
                  and c.name='Externo')   
  ALTER TABLE  capa_instructor ADD Externo CHAR(1) NULL
  go

if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_instructor'   
                  and c.name='registroSTPS')  
ALTER TABLE capa_instructor ADD registroSTPS VARCHAR(50) NULL 
go

    if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_curso'   
                  and c.name='fechaalta')  
ALTER TABLE capa_curso ADD fechaalta datetime NULL 
go

if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_instructor'   
                  and c.name='fechaalta')  
ALTER TABLE capa_instructor ADD fechaalta datetime NULL 
go

 if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_institucion'   
                  and c.name='rfc')  
ALTER TABLE  capa_institucion ADD rfc VARCHAR(20) NULL 
GO

if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_institucion'   
                  and c.name='fechaalta')  
ALTER TABLE capa_institucion ADD fechaalta datetime NULL 
GO

if not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_institucion'   
                  and c.name='claveSTPS')  
ALTER TABLE capa_institucion ADD claveSTPS VARCHAR(50) NULL 
go
  
if exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_curso'   
                  and c.name='nombre')  
  ALTER TABLE capa_curso alter column nombre varchar(max) NULL 
  go       

 if exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_institucion'   
                  and c.name='nombre')  
  ALTER TABLE capa_institucion alter column nombre varchar(250) NULL 
  go

    if  exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_institucion'   
                  and c.name='direccion')  
ALTER TABLE capa_institucion alter column direccion varchar(250) NULL
go

 if  exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_instructor'   
                  and c.name='nombre')  
ALTER TABLE capa_instructor alter column nombre varchar(250) NULL
go

if  not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_curso'   
                  and c.name='idDenominacion')  
ALTER TABLE capa_curso add idDenominacion bigint NULL default 1000
go

if  not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_programacion'   
                  and c.name='modalidad')  
ALTER TABLE capa_programacion add modalidad varchar(5) NULL default '1'
go

if  not exists (SELECT distinct(c.name)  
                  FROM dbo.SYSCOLUMNS C  
                  INNER JOIN dbo.SYSOBJECTS T   
                  ON C.[ID] = T.[ID]   
                  WHERE T.XTYPE = 'U'   
                  and t.name='capa_programacion'   
                  and c.name='objetivo')  
ALTER TABLE capa_programacion add objetivo varchar(5) NULL default '1'
go

if not exists (SELECT distinct(c.name)
                        FROM dbo.SYSCOLUMNS C
                        INNER JOIN dbo.SYSOBJECTS T 
                        ON C.[ID] = T.[ID] 
                        WHERE T.XTYPE = 'U' 
                        and t.name='capa_piedepagina' 
                        and c.name='ladoSup')
  ALTER TABLE [capa_piedepagina] ADD ladoSup CHAR(1) NULL default('I')
go

if not exists (SELECT distinct(c.name)
                        FROM dbo.SYSCOLUMNS C
                        INNER JOIN dbo.SYSOBJECTS T 
                        ON C.[ID] = T.[ID] 
                        WHERE T.XTYPE = 'U' 
                        and t.name='capa_piedepagina' 
                        and c.name='TextoSup')
  ALTER TABLE [capa_piedepagina] ADD TextoSup VARCHAR(100) NULL default ('')
go

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_CatalogoNorma]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
 
	CREATE TABLE [dbo].[capa_CatalogoNorma](
		[clave] [varchar](50) NOT NULL,
		[norma] [varchar](250) NULL,
	 CONSTRAINT [PK_capa_CatalogoNorma] PRIMARY KEY CLUSTERED 
	(
		[clave] ASC
	)
	) ON [PRIMARY]
go


/************************************************************/

 if not exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.[ID] = T.[ID] 
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_CatalogoNorma' 
                 and c.name='idSTPS')
  ALTER TABLE capa_CatalogoNorma ADD idSTPS varchar(10) NULL
go
/************************************************************/
if not exists (SELECT distinct(c.name)
                        FROM dbo.SYSCOLUMNS C
                        INNER JOIN dbo.SYSOBJECTS T 
                        ON C.[ID] = T.[ID] 
                        WHERE T.XTYPE = 'U' 
                        and t.name='capa_programacion' 
                        and c.name='norma')
  ALTER TABLE capa_programacion ADD norma VARCHAR(50) NULL default ('CADM0593.01')
go
 
 if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_programacion' 
				and c.name='numeroConsecutivo')
				
  ALTER TABLE capa_programacion add numeroConsecutivo bigint NULL default 1
go         

update capa_programacion set numeroconsecutivo=0
go    
 
 if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_curso' 
				and c.name='numeroConsecutivo')
				
  ALTER TABLE capa_curso add numeroConsecutivo bigint NULL default 1
go


update capa_piedepagina set ladosup='D' where ladosup is null
go

update capa_piedepagina set TextoSup='' where TextoSup is null
go


Update capa_curso set stps='N' where stps is null
GO

Update capa_programacion set stps='N' where stps is null
GO

Update capa_instructor set Externo='N' where externo is null
GO

Update capa_curso set automatico='N' where automatico is null
GO

update capa_programacion set norma='CADM0593.01' where norma is null
go 
		
IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'getCompanyInformation'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.getCompanyInformation
GO	

CREATE PROCEDURE  dbo.getCompanyInformation
    (
		@companyId AS Integer 
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    SELECT
		empresas.nombre_empresa,
		empresas.rfc_empresa,
		empresas.registro_patronal
		
	FROM
		empresas 
	WHERE
		empresas.empresa = @companyId 	
	    
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenEstatusEmpleado'
                    AND type = 'FN' ) 
    DROP function dbo.capaObtenEstatusEmpleado
GO

create FUNCTION dbo.capaObtenEstatusEmpleado
(@empresa as bigint,
 @empleado as bigint
)
RETURNS varchar(6)

AS
BEGIN
  DECLARE @cregresa varchar(6)

  DECLARE @baja char(1)
  DECLARE @Activo char(1)

  SET @cregresa = 'Baja'

  select @baja=ultmov, @Activo=activo
  from empleados
  where codigo=@empleado
  and empresa=@empresa
  
  if @Activo = 'S'
	begin
		set @cregresa= 'Activo'
	end

  if @baja = 'B' 
	begin
		set @cregresa= 'Baja'
	end
  
  RETURN @cregresa

END
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoImpartido'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoImpartido
GO

CREATE PROCEDURE  dbo.reporteCursoImpartido
    (
		@companyId AS Integer , 
		@costCenter as varchar(50),
		@beginDate as Datetime,
		@endDate as DateTime,
		@tipoTrabajador as char(1),
		@curso as varchar(50), 
		@orderby as integer
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    declare @selectStatement as varchar(2048) 
    declare @fromStatement as varchar(1500) 
    declare @whereStatement as varchar(2048)           
    declare @orderbyStatement as varchar(1024)   

	declare @baja as varchar(50)
	if @tipotrabajador='S'
		set @baja= ' and (e.activo=''S'' or e.ultmov <> ''B'')' --activo
	
	if @tipotrabajador='N'
		set @baja= ' and (e.ultmov = ''B'')'  --baja
     
    
	set @selectStatement = ' SELECT	c.clave, 
							c.nombre, 
							cc.centro,
							cc.nomdepto,
							e.codigo,
							rtrim(isnull(e.nombre,'''')) + '' '' + 
							rtrim(isnull(e.ap_paterno,'''')) + '' '' +
							rtrim(isnull(e.ap_materno,'''')) as nombreTrabajador,
							t.ocupacion,
							t.actividad	,
							P.IDPROGRAMACION, 
							p.finicial,
							p.ffinal,
							p.idlugar,
							i.idInstructor,
							i.nombre as nombreinstructor,
							p.tothoras'										
							
	set @fromStatement =   ' FROM empleados e 
							INNER JOIN llaves ll	ON e.empresa = ll.empresa  AND e.codigo = ll.codigo
							INNER JOIN tabulador t	ON  ll.empresa = t.empresa AND ll.ocupacion = t.ocupacion
							INNER JOIN centros cc	ON  ll.empresa = cc.empresa AND ll.centro = cc.centro
							INNER JOIN capa_EmpleadoProgramacion ep ON ep.empresa=e.empresa AND ep.codigo=e.codigo
							INNER JOIN capa_programacion p ON ep.empresa = p.empresa AND ep.idprogramacion = p.idprogramacion
							INNER JOIN capa_curso c ON p.empresa = c.empresa AND p.idcurso = c.idcurso
							INNER JOIN CAPA_INSTRUCTOR i on p.idinstructor=i.idinstructor and p.empresa=i.empresa	'
							
	set @whereStatement =  ' WHERE C.empresa = ' + convert(varchar,@companyId,112) +
							@baja + 
							' and ep.asistencia = ''Si'' 
							and p.finicial >=''' + convert(varchar(50),@begindate,112)  + ''' 
							and p.finicial <=''' + convert(varchar(50),@enddate,112)	+ '''	'	
							
	if 	@costCenter<>'0' 
		begin
			set @whereStatement = @whereStatement + ' and cc.centro=''' + @costCenter + ''''
		end	
		
	if 	@curso<>'0' 
		begin
			set @whereStatement = @whereStatement + ' and c.clave=''' + @curso + ''''
		end			
		
	if 	@orderby='1' --por centro de costos
		begin
			set @orderbyStatement = ' order by cc.centro, c.clave, e.codigo'
		end	
		
	if 	@orderby='2' -- por curso
		begin
			set @orderbyStatement = ' order by c.clave, cc.centro, e.codigo'
		end	
		
	if 	@orderby='3' -- por fecha de inicio de curso
		begin
			set @orderbyStatement = ' order by p.finicial, cc.centro, c.clave, e.codigo'
		end																							
							
	exec  (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement) 				
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursoNoImpartido'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursoNoImpartido
GO

CREATE PROCEDURE  dbo.reporteCursoNoImpartido
    (
		@companyId AS Integer , 
		@costCenter as varchar(50),
		@beginDate as Datetime,
		@endDate as DateTime,
		@tipoTrabajador as char(1),
		@curso as varchar(50), 
		@orderby as integer
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    declare @selectStatement as varchar(2048) 
    declare @fromStatement as varchar(1500) 
    declare @whereStatement as varchar(2048)           
    declare @orderbyStatement as varchar(1024) 
    declare @selectPrimario as varchar(1024)  
    declare @fromPrimario as varchar(1024)  
    declare @wherePrimario as varchar(1024)
	

	declare @baja as varchar(50)
	if @tipotrabajador='S'
		set @baja= ' and (e.activo=''S'' or e.ultmov <> ''B'')' --activo
	
	if @tipotrabajador='N'
		set @baja= ' and (e.ultmov = ''B'')'  --baja
     
    
	set @selectPrimario = ' SELECt 	distinct(e.codigo)'										
							
	set @fromPrimario =   '  FROM empleados e
							inner JOIN llaves ll	ON e.empresa = ll.empresa  AND e.codigo = ll.codigo
							inner JOIN tabulador t	ON  ll.empresa = t.empresa AND ll.ocupacion = t.ocupacion
							inner JOIN centros cc	ON  ll.empresa = cc.empresa AND ll.centro = cc.centro
							inner JOIN capa_EmpleadoProgramacion ep ON ep.empresa=e.empresa AND ep.codigo=e.codigo
							inner JOIN capa_programacion p ON ep.empresa = p.empresa AND ep.idprogramacion = p.idprogramacion
							inner JOIN capa_curso c ON p.empresa = c.empresa AND p.idcurso = c.idcurso'

	set @wherePrimario =  ' WHERE C.empresa =  ' + convert(varchar,@companyId,112) + @baja + ' 							
							and ep.asistencia = ''Si'' 
							and p.finicial >=''' + convert(varchar(50),@begindate,112)  + ''' 
							and p.finicial <=''' + convert(varchar(50),@enddate,112)	+ '''	'	
							
	if 	@costCenter<>'0' 
		begin
			set @wherePrimario = @wherePrimario + ' and cc.centro=''' + @costCenter + ''''
		end		
		
	if 	@curso<>'0' 
		begin
			set @wherePrimario = @wherePrimario + ' and c.clave=''' + @curso + ''''
		end	
    
    
	set @selectStatement = ' SELECT	c1.clave, 
							c1.nombre,
							cc.centro,
							cc.nomdepto,
							e.codigo,
							rtrim(isnull(e.nombre,'''')) + '' '' + 
							rtrim(isnull(e.ap_paterno,'''')) + '' '' +
							rtrim(isnull(e.ap_materno,'''')) as nombreTrabajador,
							t.ocupacion,
							t.actividad	
							'										
							
	set @fromStatement =   ' FROM empleados e
							inner JOIN llaves ll	ON e.empresa = ll.empresa  AND e.codigo = ll.codigo
							inner JOIN tabulador t	ON  ll.empresa = t.empresa AND ll.ocupacion = t.ocupacion
							inner JOIN centros cc	ON  ll.empresa = cc.empresa AND ll.centro = cc.centro
							inner JOIN capa_curso c1 ON ll.empresa = c1.empresa 
							inner JOIN capa_Puestocurso PC ON ll.empresa=PC.empresa and PC.idcurso=c1.idcurso and ll.ocupacion=pc.ocupacion 
								'
							
	set @whereStatement =  ' WHERE	e.empresa =  ' + convert(varchar,@companyId,112) + @baja + '
							and c1.empresa=e.empresa  and e.codigo not in ( '  + @selectPrimario + @fromPrimario + @wherePrimario + ' )' 	
							
	if 	@costCenter<>'0' 
		begin
			set @whereStatement = @whereStatement + ' and cc.centro=''' + @costCenter + ''''
		end	
		
	if 	@curso<>'0' 
		begin
			set @whereStatement = @whereStatement + ' and c1.clave=''' + @curso + ''''
		end	
			
	set @orderbyStatement = ' order by cc.centro, e.codigo'																									
							
	exec (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement) 				
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'getCapaEmployee'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.getCapaEmployee
GO

CREATE PROCEDURE  dbo.getCapaEmployee
    (
		@companyId AS Integer 
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	select e.codigo, e.nombre, e.ap_paterno, e.ap_materno,  ll.centro, t.actividad 
	from empleados e, llaves ll, tabulador t 
	where e.empresa =@companyId
	and ll.empresa=e.empresa
	and ll.empresa=t.empresa
	and t.ocupacion=ll.ocupacion
	and ll.codigo=e.codigo
	and e.ultmov<>'B' 
go



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'getCapaCaratula'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.getCapaCaratula
GO

CREATE PROCEDURE  dbo.getCapaCaratula
    (
		@companyId AS Integer ,
		@employeeId as integer
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	select	e.codigo, 
			rtrim(isnull(e.nombre,'')) + ' ' + rtrim(isnull(e.ap_paterno,'')) + ' ' + 	rtrim(isnull(e.ap_materno,'')) as nombreEmpleado,
			t.actividad as puesto,
			c.nomdepto	as centro,
			e.afiliacion,
			e.digvera ,
			d.edocivil as estadocivil,
			d.domicilio,
			d.colonia,
			d.poblacion	,
			e.rfcalfa,
			e.rfcnum,
			e.rfchomo,
			em.nombre_empresa as nombreempresa,
			e.fchalta as fechaalta,
			datediff(yyyy,e.fchnac,getdate()) as edad
	from empleados e, llaves ll, tabulador t , centros c, datosemps d, empresas em
	where e.empresa = @companyId
			and ll.codigo=@employeeId
			and ll.empresa=e.empresa
			and ll.empresa=t.empresa
			and ll.empresa=c.empresa
			and ll.empresa=em.empresa
			and ll.empresa=d.empresa			
			and ll.codigo=e.codigo
			and ll.codigo=d.codigo						
			and ll.centro=c.centro			
			and t.ocupacion=ll.ocupacion			
			and e.ultmov<>'B'
go

 if not exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.[ID] = T.[ID] 
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_curso' 
                 and c.name='puntos')
  ALTER TABLE  capa_curso ADD puntos bigint NULL
go

update capa_curso set puntos=0 where puntos is null
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reportePuntajeCursos'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reportePuntajeCursos
GO

CREATE PROCEDURE  dbo.reportePuntajeCursos
    (
		@companyId AS Integer ,
		@cursoid as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	if @cursoid=0 
		
		select clave,nombre,puntos
		from capa_curso
		where empresa =@companyId
	else	
		select clave,nombre,puntos
		from capa_curso
		where empresa =@companyId
		and idcurso=@cursoid
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reportePuntajeCursosTrabajador'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reportePuntajeCursosTrabajador
GO

CREATE PROCEDURE  dbo.reportePuntajeCursosTrabajador
    (
		@companyId AS Integer ,
		@employeeId as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	if @employeeid=0 
		select isnull(e.codigo,0) as codigo, rtrim(isnull(e.nombre,'')) as nombre, 
		rtrim(isnull(e.ap_paterno,'')) as paterno, rtrim(isnull(e.ap_materno,'')) as materno ,SUM(c.puntos) as puntos
        from capa_empleadoprogramacion pr, empleados e , Capa_curso c, capa_programacion p
        where pr.codigo=e.codigo 
        and pr.idprogramacion=p.idprogramacion
        and p.idcurso=c.idcurso
        and pr.empresa=e.empresa
        and pr.empresa=c.empresa
        and pr.empresa=p.empresa 
        and pr.empresa=@companyId
        group by e.codigo, e.nombre, e.ap_paterno, e.ap_materno				
	else	
		select isnull(e.codigo,0) as codigo, rtrim(isnull(e.nombre,'')) as nombre, 
		rtrim(isnull(e.ap_paterno,'')) as paterno, rtrim(isnull(e.ap_materno,'')) as materno, SUM(c.puntos) as puntos
        from capa_empleadoprogramacion pr, empleados e , Capa_curso c, capa_programacion p
        where pr.codigo=e.codigo 
        and pr.idprogramacion=p.idprogramacion
        and p.idcurso=c.idcurso
        and pr.empresa=e.empresa
        and pr.empresa=c.empresa
        and pr.empresa=p.empresa 
        and pr.empresa=@companyId
        and e.codigo=@employeeId
        group by e.codigo, e.nombre, e.ap_paterno, e.ap_materno
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaPuestoCursoEliminar'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaPuestoCursoEliminar
GO

CREATE PROCEDURE  dbo.capaPuestoCursoEliminar
    (
		@companyId AS bigint ,
		@courseId as bigint,
		@puestoID as bigint
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	delete from capa_Puestocurso 
	where empresa=@companyId
	and idcurso=@courseId
	and ocupacion=@puestoID	
go

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'STPSCursosImpartidosR'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.STPSCursosImpartidosR
GO

CREATE PROCEDURE  dbo.STPSCursosImpartidosR
    (
		@companyId AS bigint,
		@fechaDe as datetime,
		@fechaA as datetime
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	select	c.nombre as nombreCurso,
			e.codigo as codigo,
			rtrim(isnull(e.nombre,0)) + ' ' + rtrim(isnull(e.ap_paterno,0)) + ' ' + rtrim(isnull(e.ap_materno,0)) as nombreEmpleado,
			p.tothoras,
			p.finicial,
			p.ffinal,
			i.nombre as nombreInstructor,
			i.registroSTPS
	from	Capa_curso c, 
			empleados e, 
			capa_Instructor i, 
			capa_EmpleadoProgramacion ep, 
			capa_programacion p
	where	c.empresa=e.empresa
			and c.empresa=@companyId
			and c.empresa=p.empresa
			and c.empresa=i.empresa
			and p.finicial >= @fechade
			and p.ffinal<= @fechaA			
			and p.idcurso=c.idcurso
			and p.idprogramacion=ep.idprogramacion
			and ep.codigo=e.codigo
			and p.idInstructor=i.idInstructor
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'STPSDatosTrabajadoresR'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.STPSDatosTrabajadoresR
GO



CREATE PROCEDURE  dbo.STPSDatosTrabajadoresR
    (
		@companyId AS bigint,
		@fechaDe as udtDateTime,
		@fechaA as udtDateTime
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY   
    
	select  distinct(e.codigo),
			e.fchalta,
			rtrim(isnull(e.nombre,0)) + ' ' + rtrim(isnull(e.ap_paterno,0)) + ' ' + rtrim(isnull(e.ap_materno,0)) as nombreEmpleado,
			d.poblacion,
			e.curp,
			rtrim(isnull(e.rfcalfa,0)) + ' ' + rtrim(isnull(e.rfcnum,0)) + ' ' + rtrim(isnull(e.rfchomo,0)) as RFC,
			t.actividad,
			iif(dbo.capaObtenEstatusEmpleado(e.empresa,e.codigo)='Activo','S','N'),
			ISNULL(rhnivel.nivel,'0') AS nivelEstudios 
		
from	Capa_curso c, 
		empleados e, 
		capa_Instructor i, 
		capa_EmpleadoProgramacion ep, 
		capa_programacion p,
		datosemps d,
		tabulador t,
		Llaves ll,
		rhnivel ,
		rhestudios,
		rhsolicita,
		rhcatalogo
		
where	c.empresa=e.empresa
		and c.empresa=p.empresa
		and c.empresa=t.empresa
		and c.empresa=ll.empresa
		and c.empresa=i.empresa
		and c.empresa=d.empresa
		and d.codigo=e.codigo
		and p.idcurso=c.idcurso
		and c.empresa=@companyId
		and p.finicial >= @fechade
		and p.ffinal<= @fechaA
		and p.idprogramacion=ep.idprogramacion
		and ep.codigo=e.codigo
		and e.codigo=ll.codigo
		and t.ocupacion=Ll.ocupacion
		and p.idInstructor=i.idInstructor
		and rhestudios.idnivel = rhnivel.idnivel
		and rhsolicita.idsolicitudes = rhestudios.idsolicitudes
		and e.codigo = rhcatalogo.codigo
        AND e.empresa = rhcatalogo.empresa
        and rhcatalogo.Idcatalogo = rhsolicita.Idcatalogo
go



/**************************************************************************************************
 * Name          : capaCargaConsultaTrabajadoresCursos
 * Project       : APSI Portal
 * Description   : Obtiene las programaciones tomadas por un trabajador
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : Miercoles, Mayo 3, 2012
 **************************************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaConsultaTrabajadoresCursos'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaConsultaTrabajadoresCursos
GO

CREATE PROCEDURE  dbo.capaCargaConsultaTrabajadoresCursos
    (@companyId udtInteger,
     @codigo udtInteger)
AS 

	select  cast(abs(p.idprogramacion) as varchar(10)), c.clave, c.nombre
	from capa_programacion  p 
	inner join capa_EmpleadoProgramacion ep 
			on p.empresa=ep.empresa and p.idprogramacion=ep.idprogramacion	
	inner join empleados e on ep.empresa=e.empresa and ep.codigo=e.codigo																 
	inner join capa_curso c on c.empresa=p.empresa and p.idcurso=c.idcurso

	where ep.empresa= @companyId
	and ep.codigo=@codigo
	and ep.asistencia='Si'

GO




/**************************************************************************************************
 * Name          : capaCargaConsultaTrabajadores
 * Project       : APSI Portal
 * Description   : Obtiene lista de consuta rapida de trabajadores
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : Miercoles, Mayo 3, 2012
 **************************************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaConsultaTrabajadores'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaConsultaTrabajadores
GO

CREATE PROCEDURE  dbo.capaCargaConsultaTrabajadores
    (@companyId udtInteger)
AS 

	Select cast(abs(e.codigo) as varchar(10)), 
	e.nombre, 
	e.ap_paterno, 
	e.ap_materno,
	c.centro, 
	c.nomdepto, 
	t.actividad, 
	iif(dbo.capaObtenEstatusEmpleado(e.empresa,e.codigo)='Activo','S','N') 
	from llaves ll 
	left join empleados e on ll.empresa=e.empresa and ll.codigo=e.codigo
	left join tabulador t on ll.ocupacion=t.ocupacion and ll.empresa=t.empresa
	left join centros c  on ll.centro=c.centro and ll.empresa=c.empresa
	where ll.empresa=@companyId

	
GO



/**************************************************************************************************
 * Name          : capaObtenMaximoNivelEstudios
 * Project       : APSI Portal
 * Description   : Obtiene lista de consuta rapida de trabajadores
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : jueves, Junio 7, 2012
 **************************************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenMaximoNivelEstudios'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaObtenMaximoNivelEstudios
GO

CREATE PROCEDURE  dbo.capaObtenMaximoNivelEstudios
    (@companyId udtInteger,
     @codigo as udtinteger)
AS 
	select isnull(rhnivel.dc_nivel,0) as nivel, 
	isnull(documentoSTPS,4) as documento, 
	isnull(tipoInstitucionSTPS,1) as institucion, 
	isnull(rhcarreras.carrera,'') as carrera
	from rhsolicita
	inner join rhcatalogo on rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo 
	inner join rhestudios on rhestudios.idsolicitudes= rhsolicita.idsolicitudes
	inner join rhnivel on rhnivel.idnivel=rhestudios.idnivel
	inner join rhcarreras on rhcarreras.idcarreras=rhestudios.idcarreras and rhcarreras.empresa=rhcatalogo.empresa
	where rhcatalogo.codigo=@codigo
	and rhcatalogo.empresa=@companyId
	order by rhnivel.dc_nivel desc


go
/**************************************************************************************************
 * Name          : capaNivelAcademico
 * Project       : APSI Portal
 * Description   : Obtiene lista de consuta rapida de trabajadores
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : jueves, Agosto 8, 2013
 **************************************************************************************************/
IF EXISTS (
    SELECT * FROM dbo.sysobjects WHERE id = object_id(N'capaNivelAcademico') 
    AND xtype IN (N'FN', N'IF', N'TF')
)
    DROP FUNCTION dbo.capaNivelAcademico
GO

create FUNCTION dbo.capaNivelAcademico 
 (    @codigo bigint ,
      @empresa bigint
    )

RETURNS bigint

AS

BEGIN

  DECLARE @cregresa varchar(5)

		select @cregresa=isnull(rhnivel.dc_nivel,0)
		from rhsolicita
		inner join rhcatalogo on rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo
		inner join rhestudios on rhestudios.idsolicitudes= rhsolicita.idsolicitudes
		inner join rhnivel on rhnivel.idnivel=rhestudios.idnivel	
		where rhcatalogo.codigo=@codigo
		and rhcatalogo.empresa=@empresa
		AND rhnivel.dc_nivel =
			(	select max(isnull(rhnivel.dc_nivel,0))
				from rhcatalogo 
				left outer JOIN rhsolicita on rhsolicita.idCatalogo=rhcatalogo.idcatalogo
				left outer join rhestudios on rhestudios.idsolicitudes= rhsolicita.idsolicitudes
				left outer join rhnivel on rhnivel.idnivel=rhestudios.idnivel
				where rhcatalogo.codigo=@codigo
				and rhcatalogo.empresa=@empresa )

  RETURN @cregresa
  
END

go


/**************************************************************************************************
 * Name          : capaNivelAcademico
 * Project       : APSI Portal
 * Description   : Obtiene lista de consuta rapida de trabajadores
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : jueves, Agosto 8, 2013
 **************************************************************************************************/
IF EXISTS (
    SELECT * FROM dbo.sysobjects WHERE id = object_id(N'capaDocumentoAcademico') 
    AND xtype IN (N'FN', N'IF', N'TF')
)
    DROP FUNCTION dbo.capaDocumentoAcademico
GO

create FUNCTION dbo.capaDocumentoAcademico   
 (
      @codigo bigint ,
      @empresa bigint
    )

RETURNS bigint

AS

BEGIN

  DECLARE @cregresa varchar(5)

	select @cregresa= isnull(documentoSTPS,4)	
	from rhsolicita
	inner join rhcatalogo on rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo
	inner join rhestudios on rhestudios.idsolicitudes= rhsolicita.idsolicitudes
	where rhcatalogo.codigo=@codigo
	and rhcatalogo.empresa=@empresa

  RETURN @cregresa

END


go
/**************************************************************************************************
 * Name          : capaNivelAcademico
 * Project       : APSI Portal
 * Description   : Obtiene lista de consuta rapida de trabajadores
 * Table name    : capa_empleadoProgramacion, capa_programacion, capa_temario, capa_curso, empleados
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : jueves, Agosto 8, 2013
 **************************************************************************************************/

 
IF EXISTS (
    SELECT * FROM dbo.sysobjects WHERE id = object_id(N'capaInstitucionAcademico') 
    AND xtype IN (N'FN', N'IF', N'TF')
)
    DROP FUNCTION dbo.capaInstitucionAcademico
GO
 

create FUNCTION dbo.capaInstitucionAcademico   
 (
      @codigo bigint ,
      @empresa bigint
    )

RETURNS bigint

AS

BEGIN

  DECLARE @cregresa varchar(5)

		select @cregresa=isnull(tipoInstitucionSTPS,1)	
		from rhsolicita
		inner join rhcatalogo on rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo
		inner join rhestudios on rhestudios.idsolicitudes= rhsolicita.idsolicitudes
		where rhcatalogo.codigo=@codigo
		and rhcatalogo.empresa=@empresa

  RETURN @cregresa

END

go


	IF NOT EXISTS (SELECT * FROM opciones WHERE Sistema='CA' AND FUNCION='M' and opcion='M2' AND descripcion='Catalogos' )	
		INSERT INTO opciones (opcion,sistema,funcion,descripcion)  VALUES('M2','CA','M','Catalogos')

	IF NOT EXISTS (SELECT * FROM opciones WHERE Sistema='CA' AND FUNCION='M' and opcion='M3' AND descripcion='Operacion' )	
		inSERT INTO opciones (opcion,sistema,funcion,descripcion)  VALUES('M3','CA','M','Operacion')

	IF NOT EXISTS (SELECT * FROM opciones WHERE Sistema='CA' AND FUNCION='M' and opcion='M4' AND descripcion='Reportes' )	
		INSERT INTO opciones (opcion,sistema,funcion,descripcion)  VALUES('M4','CA','M','Reportes')

go

if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_programacion' 
				and c.name='fechaReprogramado')
				
  ALTER TABLE capa_programacion add fechaReprogramado datetime NULL 
go

if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_programacion' 
				and c.name='MotivoReprogramado')
				
  ALTER TABLE capa_programacion add MotivoReprogramado varchar(300) NULL 
go

if  not exists (SELECT distinct(c.name)
				FROM dbo.SYSCOLUMNS C
				INNER JOIN dbo.SYSOBJECTS T 
				ON C.[ID] = T.[ID] 
				WHERE T.XTYPE = 'U' 
				and t.name='capa_programacion' 
				and c.name='idProgramacionNueva')
				
  ALTER TABLE capa_programacion add idProgramacionNueva bigint NULL 
go

update capa_programacion set MotivoReprogramado='' where MotivoReprogramado is null
go

update capa_programacion set fechaReprogramado='19000101' where fechaReprogramado is null
go