

if not exists (select * from dbo.sysobjects  
                 where id = object_id(N'[dbo].[configuraEmail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
  
CREATE TABLE [dbo].[configuraEmail](
	[idConfiguracion] [varchar](50) NULL,
	[MailServer] [varchar](50) NULL,
	[MailAddress] [varchar](50) NULL,
	[Puerto] [varchar](50) NULL,
	[CC] [varchar](50) NULL,
	[a_user] [varchar](50) NULL,
	[a_pwd] [varchar](50) NULL,
	[autenticacion] [varchar](50) NULL,	
	[tipoAutenticacion] [varchar](50) NULL,
	[nombreMail] [varchar](50) NULL,
	[PuestoMail] [varchar](50) NULL
) ON [PRIMARY]

GO

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenEstatusProgramacion') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenEstatusProgramacion

GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaObtenEstatusProgramacion'
                    AND type = 'FN' ) 
    DROP PROCEDURE dbo.capaObtenEstatusProgramacion
GO



create FUNCTION dbo.capaObtenEstatusProgramacion(@idProgramacion bigint, @idempresa bigint)

RETURNS varchar(15)

AS

BEGIN

  DECLARE @cregresa CHAR(1)
  declare @fechaInicio as datetime
  declare @fechaFinal as datetime
  
  SET @cregresa = 'N'

  select @fechaInicio=finicial, @fechafinal=ffinal
  from capa_programacion 
  where idprogramacion=@idprogramacion
  and empresa=@idempresa
  
    if @fechaInicio >= getdate() and @fechaFinal<=getdate()
	begin
		return 'Efectuandose'
	end
  
  if @fechaInicio <= getdate()
	begin
		return 'Efectuado'
	end
	
  if @fechaInicio >= getdate()
	begin
		return 'Por Efectuarse'
	end


  RETURN @cregresa

END
go

/****************************************************************************************************/
if exists (select * from dbo.sysobjects where id = object_id(N'dbo.CapaCreaCadenaCursos') and xtype in (N'FN', N'IF', N'TF'))
drop function dbo.CapaCreaCadenaCursos

GO

SET QUOTED_IDENTIFIER ON 

GO

SET ANSI_NULLS ON 

GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaCreaCadenaCursos'
                    AND type = 'FN' ) 
    DROP PROCEDURE dbo.CapaCreaCadenaCursos
GO

CREATE FUNCTION dbo.CapaCreaCadenaCursos
	(	
	@idempresa bigint,
	@idocupacion int
	) 
RETURNS VARCHAR(2500)
	WITH ENCRYPTION
AS 
    BEGIN
        DECLARE @cCursos varchar(1500)                       
        DECLARE @cCurso varchar(100)  
        
        SET @cCursos = ''
                      
        DECLARE cursosCursor CURSOR FOR
				select Capa_curso.nombre
				from capa_Puestocurso, Capa_curso
				where capa_Puestocurso.empresa=@idempresa
				and capa_Puestocurso.ocupacion=@idocupacion
				and capa_puestocurso.idcurso=Capa_curso.idcurso
				and capa_Puestocurso.empresa=Capa_curso.empresa
        OPEN cursosCursor
        FETCH NEXT FROM cursosCursor  INTO @cCurso
        WHILE @@fetch_status = 0 
            BEGIN
                SET @cCursos = @cCursos  + ', '  + @cCurso
                FETCH NEXT FROM cursosCursor INTO @cCurso
            END
        CLOSE cursosCursor
        DEALLOCATE cursosCursor	
        RETURN (@cCursos)
    END
GO


/**************************************************************************************************
 * Name          : capaCursosTablaGeneral
 * Project       : APSI Portal
 * Description   : Obtiene informacion total de cursos de un empleado
 * Table name    :
 * Copyright     : (c) Apsi 2010 - 2014. All rights reserved
 * Company       : Apsi. (http://www.Apsi.com/)
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : Miercoles, Marzo 30, 2012
 **************************************************************************************************/

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCursosTablaGeneral'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCursosTablaGeneral
GO

CREATE PROCEDURE  dbo.capaCursosTablaGeneral
    (@companyId udtInteger,
    @finicio udtdatetime,
    @ffinal udtdatetime)
   
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    BEGIN TRY
    
	Select	empresas.nombre_empresa,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(ISNULL(empleados.ap_materno,'')) as nombreEmpleado ,
			estadoCivil =   case when rtrim(datosemps.edocivil) = 'S' then 'Soltero'
			when rtrim(datosemps.edocivil) = 'C' then 'Casado'
			when rtrim(datosemps.edocivil) = 'V' then 'Viudo'
			when rtrim(datosemps.edocivil) = 'D' then 'Divorciado'
			else datosemps.edocivil end,
			isnull(DATEDIFF(YY,isnull(empleados.fchnac,'19000101'),GETDATE()),0),
			llaves.centro,
			centros.nomdepto,
			llaves.ocupacion,
			tabulador.actividad,
			capa_programacion.idprogramacion,
			convert(varchar(10),capa_programacion.finicial,112),
			convert(varchar(10),capa_programacion.ffinal,112),
			capa_programacion.horaini1,
			capa_programacion.ffinal,
			capa_programacion.idLugar ,
			capa_programacion.stps ,
			capa_programacion.capacidad ,
			capa_programacion.objetivo ,
			capa_programacion.modalidad ,
			capa_programacion.norma ,			
			Capa_curso.nombre as nombreCurso,
			capa_Institucion.nombre as nombreInstitucion,
			case when rtrim(capa_Instructor.Externo) = 'S' then 'Si' else 'No' end as externo,				
			Capa_curso.idTipocurso,
			case when rtrim(Capa_curso.automatico) = 'S' then 'Si' else 'No' end as automatico,
			capa_EmpleadoProgramacion.asistencia,
			case when rtrim(capa_programacion.stps) = 'S' then 'Si' else 'No' end as stps,
			capa_EmpleadoProgramacion.calificacion,
			iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)='Activo','S','N'),
			convert(varchar(10),capa_programacion.finicial,103) as fechaInicialDDMMYYY,
			convert(varchar(10),capa_programacion.ffinal,103) as fechaFinalDDMMYYY,
			capa_programacion.tothoras as Duracion,
			case CONVERT(VARCHAR(10),capa_programacion.fechaReprogramado,103) 
			when '01/01/1900' then ''
			else CONVERT(VARCHAR(10),capa_programacion.fechaReprogramado,103) 
			end as FechaReprogramado,
			isnull(capa_programacion.MotivoReprogramado,'') as motivoReprogramado,
			isnull(capa_programacion.idProgramacionNueva,0) as IdProgramacionNueva,
			supervisores.nombre as supervisor,
			centros.nomdepto as area,
			convert(varchar(10),horarios_catalogo.turno) + ' '  + horarios_catalogo.nombre	as turno		
	from	empresas
			inner join empleados on empresas.empresa=empleados.empresa 
			inner join datosemps on datosemps.codigo=empleados.codigo 
								and datosemps.empresa=empleados.empresa 
			inner join llaves    on llaves.codigo=empleados.codigo 
								and empleados.empresa=llaves.empresa
			inner join centros   on Llaves.centro=centros.centro
								and llaves.empresa=centros.empresa		
			inner join tabulador on Llaves.ocupacion=tabulador.ocupacion 
								and tabulador.empresa=llaves.empresa
			inner join capa_EmpleadoProgramacion on Llaves.codigo=capa_EmpleadoProgramacion.codigo 
								and Llaves.empresa=capa_EmpleadoProgramacion.empresa
			inner join capa_programacion on capa_EmpleadoProgramacion.idprogramacion=capa_programacion.idprogramacion 
								and capa_EmpleadoProgramacion.empresa=capa_programacion.empresa
			inner join Capa_curso on capa_programacion.idcurso=capa_curso.idcurso 
								and capa_curso.empresa=capa_programacion.empresa
			inner join capa_Instructor on capa_programacion.idInstructor=capa_Instructor.idInstructor 
								and capa_programacion.empresa=capa_Instructor.empresa
			inner join capa_Institucion on capa_Instructor.idInstitucion=capa_institucion.idInstitucion
								and capa_Institucion.empresa=capa_programacion.empresa
	        left join supervisores on supervisores.empresa=llaves.empresa 
								and supervisores.supervisor=llaves.supervisor
			left join horarios_catalogo on horarios_catalogo.empresa=llaves.empresa 
								and horarios_catalogo.horario=llaves.horario
	where	empleados.empresa=@companyId
		and capa_programacion.finicial between @finicio and @ffinal
	order by capa_EmpleadoProgramacion.codigo, capa_EmpleadoProgramacion.idprogramacion

    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
            + CHAR(13) + CHAR(10) + 'Severity: '
            + LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
            + 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
            + CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
            + 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
            + 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaCatalogoBusquedaProgramaciones'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaCatalogoBusquedaProgramaciones
GO

CREATE Procedure dbo.CapaCatalogoBusquedaProgramaciones
	(			
		@idCompany bigint
	) 

AS 
    BEGIN

		Select pr.idProgramacion, c.clave,  
		 convert(varchar(12),pr.finicial,106), 
		 convert(varchar(12),pr.ffinal,106) , 
		 c.idcurso, 
		 c.nombre ,
		isnull(pr.idProgramacionNueva,0) as IdProgramacionNueva,
		 case CONVERT(VARCHAR(10),pr.fechaReprogramado,103) 
			when '01/01/1900' then ''
			else CONVERT(VARCHAR(10),pr.fechaReprogramado,103) 
			end as FechaReprogramado,
			isnull(pr.MotivoReprogramado,'') as motivoReprogramado
		from capa_programacion pr
		left join capa_curso c on pr.idcurso=c.idcurso   
		and c.empresa=pr.empresa  
		where pr.empresa=@idCompany
		order by pr.idprogramacion desc

	end
              
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaConsultaRapidaProgramacionCursos'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaConsultaRapidaProgramacionCursos
GO

CREATE Procedure dbo.CapaConsultaRapidaProgramacionCursos
	(			
		@idCompany bigint,
		@idcodigo bigint,
		@idprogramacion bigint
	) 

AS 
    BEGIN

	Select  c.nombre as curso, 
			t.nombre as tipocurso, 
			p.tothoras,  
			 convert(varchar(13),p.finicial,106) as fechaInicial, 
			 convert(varchar(13),p.ffinal ,106) as fechaFinal, 
			 ep.calificacion, 
			 p.idprogramacion ,
			 ep.asistencia
	 from capa_curso c,
			 capa_tipocurso t, 
			 capa_programacion p, 
			 capa_empleadoprogramacion ep  
	 where p.empresa=@idCompany
			 and  ep.codigo=@idcodigo
			 and  p.idprogramacion=@idprogramacion
			 and  p.idcurso=c.idcurso
			 and  t.idTipoCurso=c.idTipoCurso
			 and  c.empresa=p.empresa
			 and  t.empresa=p.empresa
			 and  ep.empresa=p.empresa
			 and  ep.idProgramacion=p.idProgramacion
	
	end
                      
GO

 if not exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.ID = T.ID 
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_curso' 
                 and c.name='objetivo')
  ALTER TABLE  capa_curso ADD objetivo varchar(250) null
go

 if  exists (SELECT distinct(c.name)
                  FROM dbo.SYSCOLUMNS C
                  INNER JOIN dbo.SYSOBJECTS T 
                  ON C.ID = T.ID 
                  WHERE T.XTYPE = 'U' 
                  and t.name='capa_curso' 
                 and c.name='nombre')
  ALTER TABLE capa_curso alter column nombre varchar(400) null
go


update capa_curso set objetivo='' where objetivo is null
go


update capa_curso set iddenominacion=1 where iddenominacion is null
go



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaEmpleadosPorProgramacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaEmpleadosPorProgramacion
GO


CREATE Procedure dbo.CapaEmpleadosPorProgramacion
	(			
		@idCompany bigint,
		@idProgramacion bigint,
		@Asistencia varchar(1)
	) 

AS 
    BEGIN
    
    declare @selectStatement as varchar(1024)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)	
	
	set @selectStatement = ''
	set @fromStatement = ''
	set @whereStatement =''
    
    set @selectStatement = ' select distinct(e.codigo), e.nombre, e.ap_paterno, e.ap_materno, e.mail '
    
	set @fromStatement = '  from empleados e
							left join capa_empleadoprogramacion pr on pr.codigo=e.codigo and pr.empresa=e.empresa '
							
							
	
	set @whereStatement = ' where e.empresa=' + CONVERT(varchar(10), @idCompany)
	
	if @idProgramacion<>0
		begin
			set @whereStatement = @whereStatement + 'and  pr.idprogramacion=' + CONVERT(varchar(10),@idProgramacion)							
		end
		
	
	if @Asistencia='S'
		begin
			set @whereStatement = @whereStatement + 'and pr.asistencia=''Si''' 							
		end
		
		
	exec (@selectStatement + @fromStatement  + @wherestatement)
	
	end
                      
GO

/*-----------------------------------------------------------------------------------*/


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaEmpleadosParaInscripcion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaEmpleadosParaInscripcion
GO


CREATE Procedure dbo.CapaEmpleadosParaInscripcion
	(			
		@idCompany bigint
	) 

AS 
    BEGIN
    
	Select	e.empresa, 
			e.codigo, 
			e.nombre, 
			e.ap_paterno,
			e.ap_materno, 
			t.actividad, 
			c.centro,
			c.nomdepto, 
			dbo.capaObtenEstatusEmpleado(e.empresa,e.codigo) as estatus,
			d.email
    from empleados e
			inner join llaves ll on e.empresa=ll.empresa and e.codigo=ll.codigo
			inner join tabulador t on e.empresa=t.empresa and ll.ocupacion=t.ocupacion
			inner join centros c on e.empresa=c.empresa and ll.centro=c.centro
			left join datosemps d on e.empresa=d.empresa and e.codigo=d.codigo
    where e.empresa=@idCompany 
    
	END  
GO


/*-----------------------------------------------------------------------------------*/


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaEmpleadosInscritos'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaEmpleadosInscritos
GO


CREATE Procedure dbo.CapaEmpleadosInscritos
	(			
		@idCompany bigint,
		@idprogramacion bigint
	) 

AS 
    BEGIN
    
	Select	e.empresa, 
			e.codigo, 
			e.nombre, 
			e.ap_paterno, 
			e.ap_materno, 
			t.actividad, 
			c.nomdepto, 
			d.email  
    from capa_programacion p		 
		 inner join capa_empleadoprogramacion ep on p.empresa=ep.empresa and p.idprogramacion=ep.idprogramacion
		 inner join empleados e on ep.empresa=e.empresa and ep.codigo=e.codigo
		 inner join Llaves ll on ll.empresa=e.empresa and ep.codigo=ll.codigo
		 inner join tabulador t on t.ocupacion=ll.ocupacion and e.empresa=t.empresa		 
		 inner join centros c on c.centro=ll.centro and c.empresa=e.empresa
		 inner join datosemps d on d.empresa=e.empresa and d.codigo=ll.codigo
    where  p.idProgramacion=@idprogramacion
    and e.empresa=@idcompany
    order by e.codigo 	

	END  
GO


/**************************************************************************************************
 * Name          : getCapaPuestos
 * Project       : Portal del patron
 * Description   : obtiene la configuracion de envio de email
 * Table name    : configuraEmail
 * Copyright     : Apsi 2009 - 2014. All rights reserved
 * Company       : APSI, S.A. De C.V.
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : Miercoles, 30 de Junio 2014 
 **************************************************************************************************/
IF EXISTS ( SELECT
                name
            FROM
                dbo.sysobjects
            WHERE
                name = 'getCapaPuestos' AND
                type = 'P' ) 
    DROP PROCEDURE dbo.getCapaPuestos
    
GO
CREATE PROCEDURE dbo.getCapaPuestos(
	@idCompany bigint
)
	with ENCRYPTION

AS
	SET NOCOUNT ON	
						
    Select	ocupacion, 
			actividad 
    from tabulador 
    where empresa = @idCompany
    order by ocupacion 
  
go


/**************************************************************************************************
 * Name          : getCapaCursosRelacion
 * Project       : Portal del patron
 * Description   : obtiene la configuracion de envio de email
 * Table name    : configuraEmail
 * Copyright     : Apsi 2009 - 2014. All rights reserved
 * Company       : APSI, S.A. De C.V.
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : Miercoles, 30 de Junio 2014 
 **************************************************************************************************/
IF EXISTS ( SELECT
                name
            FROM
                dbo.sysobjects
            WHERE
                name = 'getCapaCursosRelacion' AND
                type = 'P' ) 
    DROP PROCEDURE dbo.getCapaCursosRelacion
    
GO
CREATE PROCEDURE dbo.getCapaCursosRelacion(
	@idCompany bigint
)
	with ENCRYPTION

AS
	SET NOCOUNT ON	
								
	Select  c.idCurso, c.clave, c.nombre
	from capa_curso c, capa_tipoCurso t 
	where c.idtipocurso= t.idtipocurso 
	and c.empresa= @idCompany
	and c.empresa=t.empresa 
	order by c.clave
  
go

/**************************************************************************************************
 * Name          : getCapaPuestosRequeridosHYA
 * Project       : 
 * Description   : 
 * Table name    : getCapaPuestosRequeridosHYA
 * Copyright     : Apsi 2009 - 2014. All rights reserved
 * Company       : APSI, S.A. De C.V.
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : 01 Julio 2014 
 **************************************************************************************************/
IF EXISTS ( SELECT
                name
            FROM
                dbo.sysobjects
            WHERE
                name = 'getCapaPuestosRequeridosHYA' AND
                type = 'P' ) 
    DROP PROCEDURE dbo.getCapaPuestosRequeridosHYA
    
GO
CREATE PROCEDURE dbo.getCapaPuestosRequeridosHYA(
	@idCompany bigint,
	@idCurso bigint
)
	with ENCRYPTION

AS
	SET NOCOUNT ON	
								
	Select p.ocupacion, p.actividad, pc.calificacion 
	from capa_curso c, capa_PuestoCurso pc, tabulador p, capa_tipocurso t 
	where c.idCurso=pc.idCurso 
		and pc.ocupacion=p.ocupacion  
		and t.idTipoCurso=c.idTipoCurso 
		and c.idCurso=@idcurso
		and pc.empresa=p.empresa 
		and p.empresa=t.empresa 
		and t.empresa=c.empresa 
		and c.empresa= @idCompany
	order by c.clave
  
go


/**************************************************************************************************
 * Name          : getCapaCursosRequeridosHYA
 * Project       : 
 * Description   : 
 * Table name    : getCapaCursosRequeridosHYA
 * Copyright     : Apsi 2009 - 2014. All rights reserved
 * Company       : APSI, S.A. De C.V.
 * Author        : Margarita Valdez (margarita@apsi.com.mx)
 * Creation date : 01 Julio 2014 
 **************************************************************************************************/
IF EXISTS ( SELECT
                name
            FROM
                dbo.sysobjects
            WHERE
                name = 'getCapaCursosRequeridosHYA' AND
                type = 'P' ) 
    DROP PROCEDURE dbo.getCapaCursosRequeridosHYA
    
GO
CREATE PROCEDURE dbo.getCapaCursosRequeridosHYA(
	@idCompany bigint,
	@idPuesto bigint
)
	with ENCRYPTION

AS
	SET NOCOUNT ON	
								
	Select	c.idcurso, 
			c.clave, 
			c.nombre 
			
	from	capa_curso c,	
			capa_PuestoCurso pc, 
			tabulador p, 
			capa_tipocurso t 
			
	where	c.idCurso=pc.idCurso 
			and pc.ocupacion	= p.ocupacion  
			and t.idTipoCurso	= c.idTipoCurso 
			and p.ocupacion		= @idPuesto
			and pc.empresa		= p.empresa 
			and p.empresa		= t.empresa 
			and t.empresa		= c.empresa 
			and c.empresa		= @idCompany
	order by c.clave
  
go
