
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_entidad]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE [dbo].[capa_entidad](
	[idEntidad] [bigint] NOT NULL,
	[entidad] [varchar](100) NULL,
 CONSTRAINT [PK_capa_entidad] PRIMARY KEY CLUSTERED 
(
	[idEntidad] ASC
)
) ON [PRIMARY]
GO


if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_poblacion]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE [dbo].[capa_poblacion](
	[idEntidad] [bigint] NOT NULL,
	[idPoblacion] [bigint] NOT NULL,
	[poblacion] [varchar](250) NULL,
 CONSTRAINT [PK_capa_poblacion] PRIMARY KEY CLUSTERED 
(
	[idEntidad] ASC,
	[idPoblacion] ASC
)
) ON [PRIMARY]
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CatalogoPoblacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CatalogoPoblacion
GO

CREATE PROCEDURE  dbo.CatalogoPoblacion
	
AS
BEGIN

		declare @existe bigint
		set @existe=0
		
		select @existe=count(idPoblacion)
		from capa_poblacion

		if @existe= 0
		begin
		insert into capa_poblacion values (1,1,'AGUASCALIENTES')
		insert into capa_poblacion values (1,2,'ASIENTOS')
		insert into capa_poblacion values (1,3,'CALVILLO')
		insert into capa_poblacion values (1,4,'COSIO')
		insert into capa_poblacion values (1,5,'JESUS MARIA')
		insert into capa_poblacion values (1,6,'PABELLON DE ARTEAGA')
		insert into capa_poblacion values (1,7,'RINCON DE ROMOS')
		insert into capa_poblacion values (1,8,'SAN JOSE DE GRACIA')
		insert into capa_poblacion values (1,9,'TEPEZALA')
		insert into capa_poblacion values (1,10,'SAN FRANCISCO DE LOS ROMO')
		insert into capa_poblacion values (2,1,'ENSENADA')
		insert into capa_poblacion values (2,2,'MEXICALI')
		insert into capa_poblacion values (2,3,'TECATE')
		insert into capa_poblacion values (2,4,'TIJUANA')
		insert into capa_poblacion values (2,5,'PLAYAS DE ROSARITO')
		insert into capa_poblacion values (3,1,'COMONDU')
		insert into capa_poblacion values (3,2,'MULEGE')
		insert into capa_poblacion values (3,3,'LA PAZ')
		insert into capa_poblacion values (3,4,'LOS CABOS')
		insert into capa_poblacion values (3,5,'LORETO')
		insert into capa_poblacion values (4,1,'CALKINI')
		insert into capa_poblacion values (4,2,'CAMPECHE')
		insert into capa_poblacion values (4,3,'CIUDAD DEL CARMEN')
		insert into capa_poblacion values (4,4,'CHAMPOTON')
		insert into capa_poblacion values (4,5,'HECELCHAKAN')
		insert into capa_poblacion values (4,6,'HOPELCHEN')
		insert into capa_poblacion values (4,7,'PALIZADA')
		insert into capa_poblacion values (4,8,'TENABO')
		insert into capa_poblacion values (4,9,'ESCARCEGA')
		insert into capa_poblacion values (4,10,'CALAKMUL')
		insert into capa_poblacion values (4,11,'CANDELARIA')
		insert into capa_poblacion values (5,1,'ABASOLO')
		insert into capa_poblacion values (5,2,'ACUNA')
		insert into capa_poblacion values (5,3,'ALLENDE')
		insert into capa_poblacion values (5,4,'ARTEAGA')
		insert into capa_poblacion values (5,5,'CANDELA')
		insert into capa_poblacion values (5,6,'CASTANOS')
		insert into capa_poblacion values (5,7,'CUATROCIENEGAS DE CARRANZA')
		insert into capa_poblacion values (5,8,'ESCOBEDO')
		insert into capa_poblacion values (5,9,'FRANCISCO I MADERO')
		insert into capa_poblacion values (5,10,'FRONTERA')
		insert into capa_poblacion values (5,11,'GENERAL CEPEDA')
		insert into capa_poblacion values (5,12,'GUERRERO')
		insert into capa_poblacion values (5,13,'HIDALGO')
		insert into capa_poblacion values (5,14,'JIMENEZ')
		insert into capa_poblacion values (5,15,'JUAREZ')
		insert into capa_poblacion values (5,16,'LAMADRID')
		insert into capa_poblacion values (5,17,'MATAMOROS')
		insert into capa_poblacion values (5,18,'MONCLOVA')
		insert into capa_poblacion values (5,19,'MORELOS')
		insert into capa_poblacion values (5,20,'MELCHOR MUZQUIZ')
		insert into capa_poblacion values (5,21,'NADADORES')
		insert into capa_poblacion values (5,22,'NAVA')
		insert into capa_poblacion values (5,23,'OCAMPO')
		insert into capa_poblacion values (5,24,'PARRAS DE LA FUENTE')
		insert into capa_poblacion values (5,25,'PIEDRAS NEGRAS')
		insert into capa_poblacion values (5,26,'PROGRESO')
		insert into capa_poblacion values (5,27,'RAMOS ARIZPE')
		insert into capa_poblacion values (5,28,'SABINAS')
		insert into capa_poblacion values (5,29,'SACRAMENTO')
		insert into capa_poblacion values (5,30,'SALTILLO')
		insert into capa_poblacion values (5,31,'SAN BUENAVENTURA')
		insert into capa_poblacion values (5,32,'SAN JUAN DE SABINAS')
		insert into capa_poblacion values (5,33,'SAN PEDRO DE LAS COLONIAS')
		insert into capa_poblacion values (5,34,'SIERRA MOJADA')
		insert into capa_poblacion values (5,35,'TORREON')
		insert into capa_poblacion values (5,36,'VIESCA')
		insert into capa_poblacion values (5,37,'VILLA UNION')
		insert into capa_poblacion values (5,38,'ZARAGOZA')
		insert into capa_poblacion values (6,1,'ARMERIA')
		insert into capa_poblacion values (6,2,'COLIMA')
		insert into capa_poblacion values (6,3,'COMALA')
		insert into capa_poblacion values (6,4,'COQUIMATLAN')
		insert into capa_poblacion values (6,5,'CUAUHTEMOC')
		insert into capa_poblacion values (6,6,'IXTLAHUACAN')
		insert into capa_poblacion values (6,7,'MANZANILLO')
		insert into capa_poblacion values (6,8,'MINATITLAN')
		insert into capa_poblacion values (6,9,'TECOMAN')
		insert into capa_poblacion values (6,10,'VILLA DE ALVAREZ')
		insert into capa_poblacion values (7,1,'ACACOYAGUA')
		insert into capa_poblacion values (7,2,'ACALA')
		insert into capa_poblacion values (7,3,'ACAPETAGUA')
		insert into capa_poblacion values (7,4,'ALTAMIRANO')
		insert into capa_poblacion values (7,5,'AMATAN')
		insert into capa_poblacion values (7,6,'AMATENANGO DE LA FRONTERA')
		insert into capa_poblacion values (7,7,'AMATENANGO DEL VALLE')
		insert into capa_poblacion values (7,8,'ANGEL ALBINO CORZO')
		insert into capa_poblacion values (7,9,'ARRIAGA')
		insert into capa_poblacion values (7,10,'BEJUCAL DE OCAMPO')
		insert into capa_poblacion values (7,11,'BELLA VISTA')
		insert into capa_poblacion values (7,12,'BERRIOZABAL')
		insert into capa_poblacion values (7,13,'BOCHIL')
		insert into capa_poblacion values (7,14,'EL BOSQUE')
		insert into capa_poblacion values (7,15,'CACAHOATAN')
		insert into capa_poblacion values (7,16,'CATAZAJA')
		insert into capa_poblacion values (7,17,'CINTALAPA DE FIGUEROA')
		insert into capa_poblacion values (7,18,'COAPILLA')
		insert into capa_poblacion values (7,19,'COMITAN DE DOMINGUEZ')
		insert into capa_poblacion values (7,20,'LA CONCORDIA')
		insert into capa_poblacion values (7,21,'COPAINALA')
		insert into capa_poblacion values (7,22,'CHALCHIHUITAN')
		insert into capa_poblacion values (7,23,'CHAMULA')
		insert into capa_poblacion values (7,24,'CHANAL')
		insert into capa_poblacion values (7,25,'CHAPULTENANGO')
		insert into capa_poblacion values (7,26,'CHENALHO')
		insert into capa_poblacion values (7,27,'CHIAPA DE CORZO')
		insert into capa_poblacion values (7,28,'CHIAPILLA')
		insert into capa_poblacion values (7,29,'CHICOASEN')
		insert into capa_poblacion values (7,30,'CHICOMUSELO')
		insert into capa_poblacion values (7,31,'CHILON')
		insert into capa_poblacion values (7,32,'ESCUINTLA')
		insert into capa_poblacion values (7,33,'FRANCISCO LEON')
		insert into capa_poblacion values (7,34,'FRONTERA COMALAPA')
		insert into capa_poblacion values (7,35,'FRONTERA HIDALGO')
		insert into capa_poblacion values (7,36,'LA GRANDEZA')
		insert into capa_poblacion values (7,37,'HUEHUETAN')
		insert into capa_poblacion values (7,38,'HUISTAN')
		insert into capa_poblacion values (7,39,'HUITIUPAN')
		insert into capa_poblacion values (7,40,'HUIXTLA')
		insert into capa_poblacion values (7,41,'LA INDEPENDENCIA')
		insert into capa_poblacion values (7,42,'ISHUATAN')
		insert into capa_poblacion values (7,43,'IXTACOMITAN')
		insert into capa_poblacion values (7,44,'IXTAPA')
		insert into capa_poblacion values (7,45,'IXTAPANGAJOYA')
		insert into capa_poblacion values (7,46,'JIQUIPILAS')
		insert into capa_poblacion values (7,47,'JITOTOL')
		insert into capa_poblacion values (7,48,'JUAREZ')
		insert into capa_poblacion values (7,49,'LARRAINZAR')
		insert into capa_poblacion values (7,50,'LA LIBERTAD')
		insert into capa_poblacion values (7,51,'MAPASTEPEC')
		insert into capa_poblacion values (7,52,'LAS MARGARITAS')
		insert into capa_poblacion values (7,53,'MAZAPA DE MADERO')
		insert into capa_poblacion values (7,54,'MAZATAN')
		insert into capa_poblacion values (7,55,'METAPA DE DOMINGUEZ')
		insert into capa_poblacion values (7,56,'MITONTIC')
		insert into capa_poblacion values (7,57,'MOTOZINTLA DE MENDOZA')
		insert into capa_poblacion values (7,58,'NICOLAS RUIZ')
		insert into capa_poblacion values (7,59,'OCOSINGO')
		insert into capa_poblacion values (7,60,'OCOTEPEC')
		insert into capa_poblacion values (7,61,'OCOZOCOAUTLA DE ESPINOSA')
		insert into capa_poblacion values (7,62,'OSTUACAN')
		insert into capa_poblacion values (7,63,'OSUMACINTA')
		insert into capa_poblacion values (7,64,'OXCHUC')
		insert into capa_poblacion values (7,65,'PALENQUE')
		insert into capa_poblacion values (7,66,'PANTELHO')
		insert into capa_poblacion values (7,67,'PANTEPEC')
		insert into capa_poblacion values (7,68,'PICHUCALCO')
		insert into capa_poblacion values (7,69,'PIJIJIAPAN')
		insert into capa_poblacion values (7,70,'EL PORVENIR')
		insert into capa_poblacion values (7,71,'VILLA DE COMALTITLAN')
		insert into capa_poblacion values (7,72,'PUEBLO NUEVO SOLISTAHUACAN')
		insert into capa_poblacion values (7,73,'RAYON')
		insert into capa_poblacion values (7,74,'REFORMA')
		insert into capa_poblacion values (7,75,'LAS ROSAS')
		insert into capa_poblacion values (7,76,'SABANILLA')
		insert into capa_poblacion values (7,77,'SALTO DE AGUA')
		insert into capa_poblacion values (7,78,'SAN CRISTOBAL DE LAS CASAS')
		insert into capa_poblacion values (7,79,'SAN FERNANDO')
		insert into capa_poblacion values (7,80,'SILTEPEC')
		insert into capa_poblacion values (7,81,'SIMOJOVEL DE ALLENDE')
		insert into capa_poblacion values (7,82,'SITALA')
		insert into capa_poblacion values (7,83,'SOCOLTENANGO')
		insert into capa_poblacion values (7,84,'SOLUSUCHIAPA')
		insert into capa_poblacion values (7,85,'SOYALO')
		insert into capa_poblacion values (7,86,'SUCHIAPA')
		insert into capa_poblacion values (7,87,'SUCHIATE')
		insert into capa_poblacion values (7,88,'SUNUAPA')
		insert into capa_poblacion values (7,89,'TAPACHULA')
		insert into capa_poblacion values (7,90,'TAPALAPA')
		insert into capa_poblacion values (7,91,'TAPILULA')
		insert into capa_poblacion values (7,92,'TECPATAN')
		insert into capa_poblacion values (7,93,'TENEJAPA')
		insert into capa_poblacion values (7,94,'TEOPISCA')
		insert into capa_poblacion values (7,95,'TERAN')
		insert into capa_poblacion values (7,96,'TILA')
		insert into capa_poblacion values (7,97,'TONALA')
		insert into capa_poblacion values (7,98,'TOTOLAPA')
		insert into capa_poblacion values (7,99,'LA TRINITARIA')
		insert into capa_poblacion values (7,100,'TUMBALA')
		insert into capa_poblacion values (7,101,'TUXTLA GUTIERREZ')
		insert into capa_poblacion values (7,102,'TUXTLA CHICO')
		insert into capa_poblacion values (7,103,'TUZANTAN')
		insert into capa_poblacion values (7,104,'TZIMOL')
		insert into capa_poblacion values (7,105,'UNION JUAREZ')
		insert into capa_poblacion values (7,106,'VENUSTIANO CARRANZA')
		insert into capa_poblacion values (7,107,'VILLACORZO')
		insert into capa_poblacion values (7,108,'VILLA FLORES')
		insert into capa_poblacion values (7,109,'YAJALON')
		insert into capa_poblacion values (7,110,'SAN LUCAS')
		insert into capa_poblacion values (7,111,'ZINACANTAN')
		insert into capa_poblacion values (7,112,'SAN JUAN CANCUC')
		insert into capa_poblacion values (7,113,'ALDAMA')
		insert into capa_poblacion values (7,114,'BENEMERITO DE LAS AMERICAS')
		insert into capa_poblacion values (7,115,'MARAVILLA TENEJAPA')
		insert into capa_poblacion values (7,116,'MARQUES DE COMILLAS')
		insert into capa_poblacion values (7,117,'MONTECRISTO DE GUERRERO')
		insert into capa_poblacion values (7,118,'SAN ANDRES DURAZNAL')
		insert into capa_poblacion values (7,119,'SANTIAGO EL PINAR')
		insert into capa_poblacion values (8,1,'AHUMADA')
		insert into capa_poblacion values (8,2,'ALDAMA')
		insert into capa_poblacion values (8,3,'VALLE DE ALLENDE')
		insert into capa_poblacion values (8,4,'AQUILES SERDAN')
		insert into capa_poblacion values (8,5,'ASCENSION')
		insert into capa_poblacion values (8,6,'BACHINIVA')
		insert into capa_poblacion values (8,7,'BALLEZA')
		insert into capa_poblacion values (8,8,'BATOPILAS')
		insert into capa_poblacion values (8,9,'BOCOYNA')
		insert into capa_poblacion values (8,10,'BUENAVENTURA')
		insert into capa_poblacion values (8,11,'CAMARGO')
		insert into capa_poblacion values (8,12,'CARICHIC')
		insert into capa_poblacion values (8,13,'CASAS GRANDES')
		insert into capa_poblacion values (8,14,'CORONADO')
		insert into capa_poblacion values (8,15,'COYAME')
		insert into capa_poblacion values (8,16,'LA CRUZ')
		insert into capa_poblacion values (8,17,'CUAUHTEMOC')
		insert into capa_poblacion values (8,18,'CUSIHUIRIACHIC')
		insert into capa_poblacion values (8,19,'CHIHUAHUA')
		insert into capa_poblacion values (8,20,'CHINIPAS')
		insert into capa_poblacion values (8,21,'DELICIAS')
		insert into capa_poblacion values (8,22,'DOCTOR BELISARIO DOMINGUEZ')
		insert into capa_poblacion values (8,23,'GALEANA')
		insert into capa_poblacion values (8,24,'GENERAL TRIAS')
		insert into capa_poblacion values (8,25,'GOMEZ FARIAS')
		insert into capa_poblacion values (8,26,'GRAN MORELOS')
		insert into capa_poblacion values (8,27,'GUACHOCHI')
		insert into capa_poblacion values (8,28,'GUADALUPE')
		insert into capa_poblacion values (8,29,'GUADALUPE Y CALVO')
		insert into capa_poblacion values (8,30,'GUAZAPARES')
		insert into capa_poblacion values (8,31,'GUERRERO')
		insert into capa_poblacion values (8,32,'HIDALGO DEL PARRAL')
		insert into capa_poblacion values (8,33,'HUEJOTITAN')
		insert into capa_poblacion values (8,34,'IGNACIO ZARAGOZA')
		insert into capa_poblacion values (8,35,'JANOS')
		insert into capa_poblacion values (8,36,'JIMENEZ')
		insert into capa_poblacion values (8,37,'JUAREZ')
		insert into capa_poblacion values (8,38,'JULIMES')
		insert into capa_poblacion values (8,39,'LOPEZ')
		insert into capa_poblacion values (8,40,'MADERA')
		insert into capa_poblacion values (8,41,'MAGUARICHIC')
		insert into capa_poblacion values (8,42,'MANUEL BENAVIDES')
		insert into capa_poblacion values (8,43,'MATACHIC')
		insert into capa_poblacion values (8,44,'MATAMOROS')
		insert into capa_poblacion values (8,45,'MEOQUI')
		insert into capa_poblacion values (8,46,'MORELOS')
		insert into capa_poblacion values (8,47,'MORIS')
		insert into capa_poblacion values (8,48,'NAMIQUIPA')
		insert into capa_poblacion values (8,49,'NONOAVA')
		insert into capa_poblacion values (8,50,'NUEVO CASAS GRANDES')
		insert into capa_poblacion values (8,51,'OCAMPO')
		insert into capa_poblacion values (8,52,'OJINAGA')
		insert into capa_poblacion values (8,53,'PRAXEDIS G. GUERRERO')
		insert into capa_poblacion values (8,54,'RIVA PALACIO')
		insert into capa_poblacion values (8,55,'ROSALES')
		insert into capa_poblacion values (8,56,'VALLE DEL ROSARIO')
		insert into capa_poblacion values (8,57,'SAN FCO. DE BORJA')
		insert into capa_poblacion values (8,58,'SAN FCO. DE CONCHOS')
		insert into capa_poblacion values (8,59,'SAN FCO. DEL ORO')
		insert into capa_poblacion values (8,60,'SANTA BARBARA')
		insert into capa_poblacion values (8,61,'SATEVO')
		insert into capa_poblacion values (8,62,'SAUCILLO')
		insert into capa_poblacion values (8,63,'TEMOSACHIC')
		insert into capa_poblacion values (8,64,'EL TULE')
		insert into capa_poblacion values (8,65,'URIQUE')
		insert into capa_poblacion values (8,66,'URUACHIC')
		insert into capa_poblacion values (8,67,'VALLE DE ZARAGOZA')
		insert into capa_poblacion values (9,1,'ALVARO OBREGON')
		insert into capa_poblacion values (9,2,'AZCAPOTZALCO')
		insert into capa_poblacion values (9,3,'BENITO JUAREZ')
		insert into capa_poblacion values (9,4,'COYOACAN')
		insert into capa_poblacion values (9,5,'CUAJIMALPA DE MORELOS')
		insert into capa_poblacion values (9,6,'CUAUHTEMOC')
		insert into capa_poblacion values (9,7,'GUSTAVO A. MADERO')
		insert into capa_poblacion values (9,8,'IZTACALCO')
		insert into capa_poblacion values (9,9,'IZTAPALAPA')
		insert into capa_poblacion values (9,10,'MAGDALENA CONTRERAS')
		insert into capa_poblacion values (9,11,'MIGUEL HIDALGO')
		insert into capa_poblacion values (9,12,'MILPA ALTA')
		insert into capa_poblacion values (9,13,'TLAHUAC')
		insert into capa_poblacion values (9,14,'TLALPAN')
		insert into capa_poblacion values (9,15,'VENUSTIANO CARRANZA')
		insert into capa_poblacion values (9,16,'XOCHIMILCO')
		insert into capa_poblacion values (10,1,'CANATLAN')
		insert into capa_poblacion values (10,2,'CANELAS')
		insert into capa_poblacion values (10,3,'CONETO DE COMONFORT')
		insert into capa_poblacion values (10,4,'CUENCAME DE CENICEROS')
		insert into capa_poblacion values (10,5,'VICTORIA DE DURANGO')
		insert into capa_poblacion values (10,6,'GENERAL SIMON BOLIVAR')
		insert into capa_poblacion values (10,7,'GOMEZ PALACIO')
		insert into capa_poblacion values (10,8,'GUADALUPE VICTORIA')
		insert into capa_poblacion values (10,9,'GUANACEVI')
		insert into capa_poblacion values (10,10,'VILLA HIDALGO')
		insert into capa_poblacion values (10,11,'INDE')
		insert into capa_poblacion values (10,12,'CIUDAD LERDO')
		insert into capa_poblacion values (10,13,'MAPIMI')
		insert into capa_poblacion values (10,14,'MEZQUITAL')
		insert into capa_poblacion values (10,15,'NAZAS')
		insert into capa_poblacion values (10,16,'NOMBRE DE DIOS')
		insert into capa_poblacion values (10,17,'VILLA OCAMPO')
		insert into capa_poblacion values (10,18,'SANTA MARIA DEL ORO')
		insert into capa_poblacion values (10,19,'SANTA MARIA OTAEZ')
		insert into capa_poblacion values (10,20,'PANUCO DE CORONADO')
		insert into capa_poblacion values (10,21,'PENON BLANCO')
		insert into capa_poblacion values (10,22,'POANAS')
		insert into capa_poblacion values (10,23,'EL SALTO')
		insert into capa_poblacion values (10,24,'RODEO')
		insert into capa_poblacion values (10,25,'SAN BERNARDO')
		insert into capa_poblacion values (10,26,'SAN DIMAS')
		insert into capa_poblacion values (10,27,'SAN JUAN DE GUADALUPE')
		insert into capa_poblacion values (10,28,'SAN JUAN DEL RIO CUNA DEL CENTAURO')
		insert into capa_poblacion values (10,29,'SAN LUIS DEL CORDERO')
		insert into capa_poblacion values (10,30,'SAN PEDRO DEL GALLO')
		insert into capa_poblacion values (10,31,'SANTA CLARA')
		insert into capa_poblacion values (10,32,'SANTIAGO PAPASQUIARO')
		insert into capa_poblacion values (10,33,'SUCHIL')
		insert into capa_poblacion values (10,34,'TAMAZULA')
		insert into capa_poblacion values (10,35,'SANTA CATARINA DE TEPEHUANES')
		insert into capa_poblacion values (10,36,'TLAHUALILO DE ZARAGOZA')
		insert into capa_poblacion values (10,37,'TOPIA')
		insert into capa_poblacion values (10,38,'VICENTE GUERRERO')
		insert into capa_poblacion values (10,39,'NUEVO IDEAL')
		insert into capa_poblacion values (11,1,'ABASOLO')
		insert into capa_poblacion values (11,2,'ACAMBARO')
		insert into capa_poblacion values (11,3,'SAN MIGUEL ALLENDE')
		insert into capa_poblacion values (11,4,'VILLA DE APASEO EL ALTO')
		insert into capa_poblacion values (11,5,'APASEO EL GRANDE')
		insert into capa_poblacion values (11,6,'ATARJEA')
		insert into capa_poblacion values (11,7,'CELAYA')
		insert into capa_poblacion values (11,8,'CIUDAD MANUEL DOBLADO')
		insert into capa_poblacion values (11,9,'COMONFORT')
		insert into capa_poblacion values (11,10,'CORONEO')
		insert into capa_poblacion values (11,11,'CORTAZAR')
		insert into capa_poblacion values (11,12,'CUERAMARO')
		insert into capa_poblacion values (11,13,'VILLA DOCTOR MORA')
		insert into capa_poblacion values (11,14,'DOLORES HIDALGO CUNA DE LA INDEP. NAL.')
		insert into capa_poblacion values (11,15,'GUANAJUATO')
		insert into capa_poblacion values (11,16,'HUANIMARO')
		insert into capa_poblacion values (11,17,'IRAPUATO')
		insert into capa_poblacion values (11,18,'JARAL DEL PROGRESO')
		insert into capa_poblacion values (11,19,'JERECUARO')
		insert into capa_poblacion values (11,20,'LEON')
		insert into capa_poblacion values (11,21,'MOROLEON')
		insert into capa_poblacion values (11,22,'OCAMPO')
		insert into capa_poblacion values (11,23,'PENJAMO')
		insert into capa_poblacion values (11,24,'PUEBLO NUEVO')
		insert into capa_poblacion values (11,25,'PURISIMA DE BUSTOS')
		insert into capa_poblacion values (11,26,'ROMITA')
		insert into capa_poblacion values (11,27,'SALAMANCA')
		insert into capa_poblacion values (11,28,'SALVATIERRA')
		insert into capa_poblacion values (11,29,'SAN DIEGO DE LA UNION')
		insert into capa_poblacion values (11,30,'SAN FELIPE')
		insert into capa_poblacion values (11,31,'SAN FRANCISCO DEL RINCON')
		insert into capa_poblacion values (11,32,'SAN JOSE ITURBIDE')
		insert into capa_poblacion values (11,33,'SAN LUIS DE LA PAZ')
		insert into capa_poblacion values (11,34,'SANTA CATARINA')
		insert into capa_poblacion values (11,35,'SANTA CRUZ DE JUVENTINO ROSAS')
		insert into capa_poblacion values (11,36,'SANTIAGO MARAVATIO')
		insert into capa_poblacion values (11,37,'SILAO')
		insert into capa_poblacion values (11,38,'TARANDACUAO')
		insert into capa_poblacion values (11,39,'TARIMORO')
		insert into capa_poblacion values (11,40,'TIERRABLANCA')
		insert into capa_poblacion values (11,41,'URIANGATO')
		insert into capa_poblacion values (11,42,'VALLE DE SANTIAGO')
		insert into capa_poblacion values (11,43,'VICTORIA')
		insert into capa_poblacion values (11,44,'VILLAGRAN')
		insert into capa_poblacion values (11,45,'XICHU')
		insert into capa_poblacion values (11,46,'YURIRIA')
		insert into capa_poblacion values (12,1,'ACAPULCO DE JUAREZ')
		insert into capa_poblacion values (12,2,'AHUACUOTZINGO')
		insert into capa_poblacion values (12,3,'AJUCHITLAN DEL PROGRESO')
		insert into capa_poblacion values (12,4,'ALCOZAUCA DE GUERRERO')
		insert into capa_poblacion values (12,5,'ALPOYECA')
		insert into capa_poblacion values (12,6,'APAXTLA DE CASTREJON')
		insert into capa_poblacion values (12,7,'ARCELIA')
		insert into capa_poblacion values (12,8,'ATENANGO DEL RIO')
		insert into capa_poblacion values (12,9,'ATLAMAJALCINGO DEL MONTE')
		insert into capa_poblacion values (12,10,'ATLIXTAC')
		insert into capa_poblacion values (12,11,'ATOYAC DE ALVAREZ')
		insert into capa_poblacion values (12,12,'AYUTLA')
		insert into capa_poblacion values (12,13,'AZOYU')
		insert into capa_poblacion values (12,14,'BENITO JUAREZ')
		insert into capa_poblacion values (12,15,'BUENAVISTA DE CUELLAR')
		insert into capa_poblacion values (12,16,'COAHUAYUTLA DE JOSE MARIA IZAZAGA')
		insert into capa_poblacion values (12,17,'COCULA')
		insert into capa_poblacion values (12,18,'COPALA')
		insert into capa_poblacion values (12,19,'COPALILLO')
		insert into capa_poblacion values (12,20,'COPANATOYAC')
		insert into capa_poblacion values (12,21,'COYUCA DE BENITEZ')
		insert into capa_poblacion values (12,22,'COYUCA DE CATALAN')
		insert into capa_poblacion values (12,23,'CUAJINICUILAPA')
		insert into capa_poblacion values (12,24,'CUALAC')
		insert into capa_poblacion values (12,25,'CUAUTEPEC')
		insert into capa_poblacion values (12,26,'CUETZALA DEL PROGRESO')
		insert into capa_poblacion values (12,27,'CUTZAMALA DE PINZON')
		insert into capa_poblacion values (12,28,'CHILAPA DE ALVAREZ')
		insert into capa_poblacion values (12,29,'CHILPANCINGO DE LOS BRAVO')
		insert into capa_poblacion values (12,30,'FLORENCIO VILLARREAL ')
		insert into capa_poblacion values (12,31,'GENERAL CANUTO A. NERI')
		insert into capa_poblacion values (12,32,'GENERAL HELIODORO CASTILLO')
		insert into capa_poblacion values (12,33,'HUAMUXTITLAN')
		insert into capa_poblacion values (12,34,'HUITZUCO DE LOS FIGUEROA')
		insert into capa_poblacion values (12,35,'IGUALA DE LA INDEPENDENCIA')
		insert into capa_poblacion values (12,36,'IGUALAPA')
		insert into capa_poblacion values (12,37,'IXCATEOPAN DE CUAUHTEMOC')
		insert into capa_poblacion values (12,38,'JOSE AZUETA')
		insert into capa_poblacion values (12,39,'JUAN R. ESCUDERO')
		insert into capa_poblacion values (12,40,'LEONARDO BRAVO')
		insert into capa_poblacion values (12,41,'MALINALTEPEC')
		insert into capa_poblacion values (12,42,'MARTIR DE CUILAPAN')
		insert into capa_poblacion values (12,43,'METLATONOC')
		insert into capa_poblacion values (12,44,'MOCHITLAN')
		insert into capa_poblacion values (12,45,'OLINALA')
		insert into capa_poblacion values (12,46,'OMETEPEC')
		insert into capa_poblacion values (12,47,'PEDRO ASCENCIO ALQUICIRAS')
		insert into capa_poblacion values (12,48,'PETATLAN')
		insert into capa_poblacion values (12,49,'PILCAYA')
		insert into capa_poblacion values (12,50,'PUNGARABATO')
		insert into capa_poblacion values (12,51,'QUECHULTENANGO')
		insert into capa_poblacion values (12,52,'SAN LUIS ACATLAN')
		insert into capa_poblacion values (12,53,'SAN MARCOS')
		insert into capa_poblacion values (12,54,'SAN MIGUEL TOTOLAPAN')
		insert into capa_poblacion values (12,55,'TAXCO DE ALARCON')
		insert into capa_poblacion values (12,56,'TECOANAPA')
		insert into capa_poblacion values (12,57,'TECPAN DE GALEANA')
		insert into capa_poblacion values (12,58,'TELOLOAPAN')
		insert into capa_poblacion values (12,59,'TEPECOACUILCO DE TRUJANO')
		insert into capa_poblacion values (12,60,'TETIPAC')
		insert into capa_poblacion values (12,61,'TIXTLA DE GUERRERO')
		insert into capa_poblacion values (12,62,'TLACOACHISTLAHUACA')
		insert into capa_poblacion values (12,63,'TLACOAPA')
		insert into capa_poblacion values (12,64,'TLALCHAPA')
		insert into capa_poblacion values (12,65,'TLALIXTAQUILLA DE MALDONADO')
		insert into capa_poblacion values (12,66,'TLAPA DE COMONFORT')
		insert into capa_poblacion values (12,67,'TLAPEHUALA')
		insert into capa_poblacion values (12,68,'UNION DE ISIDORO MONTES DE OCA, LA')
		insert into capa_poblacion values (12,69,'XALPATLAHUAC')
		insert into capa_poblacion values (12,70,'XOCHIHUEHUETLAN')
		insert into capa_poblacion values (12,71,'XOCHISTLAHUACA')
		insert into capa_poblacion values (12,72,'ZAPOTITLAN TABLAS')
		insert into capa_poblacion values (12,73,'ZIRANDARO DE LOS CHAVEZ')
		insert into capa_poblacion values (12,74,'ZITLALA')
		insert into capa_poblacion values (12,75,'EDUARDO NERI')
		insert into capa_poblacion values (12,76,'ACATEPEC')
		insert into capa_poblacion values (13,1,'ACATLAN')
		insert into capa_poblacion values (13,2,'ACAXOCHITLAN')
		insert into capa_poblacion values (13,3,'ACTOPAN')
		insert into capa_poblacion values (13,4,'AGUA BLANCA ITURBIDE')
		insert into capa_poblacion values (13,5,'AJACUBA')
		insert into capa_poblacion values (13,6,'ALFAJAYUCAN')
		insert into capa_poblacion values (13,7,'ALMOLOYA')
		insert into capa_poblacion values (13,8,'APAN')
		insert into capa_poblacion values (13,9,'EL ARENAL')
		insert into capa_poblacion values (13,10,'ATITALAQUIA')
		insert into capa_poblacion values (13,11,'ATLAPEXCO')
		insert into capa_poblacion values (13,12,'ATOTONILCO EL GRANDE')
		insert into capa_poblacion values (13,13,'ATOTONILCO TULA')
		insert into capa_poblacion values (13,14,'CALNALI')
		insert into capa_poblacion values (13,15,'CARDONAL')
		insert into capa_poblacion values (13,16,'CUAUTEPEC DE HINOJOSA')
		insert into capa_poblacion values (13,17,'CHAPANTONGO')
		insert into capa_poblacion values (13,18,'CHAPULHUACAN')
		insert into capa_poblacion values (13,19,'CHILCUAUTLA')
		insert into capa_poblacion values (13,20,'ELOXOCHITLAN')
		insert into capa_poblacion values (13,21,'EMILIANO ZAPATA')
		insert into capa_poblacion values (13,22,'EPAZOYUCAN')
		insert into capa_poblacion values (13,23,'FRANCISCO I. MADERO')
		insert into capa_poblacion values (13,24,'HUASCA DE OCAMPO')
		insert into capa_poblacion values (13,25,'HUAUTLA')
		insert into capa_poblacion values (13,26,'HUAZALINGO')
		insert into capa_poblacion values (13,27,'HUEHUETLA')
		insert into capa_poblacion values (13,28,'HUEJUTLA DE REYES')
		insert into capa_poblacion values (13,29,'HUICHAPAN')
		insert into capa_poblacion values (13,30,'IXMIQUILPAN')
		insert into capa_poblacion values (13,31,'JACALA')
		insert into capa_poblacion values (13,32,'JALTOCAN')
		insert into capa_poblacion values (13,33,'JUAREZ')
		insert into capa_poblacion values (13,34,'LOLOTLA')
		insert into capa_poblacion values (13,35,'METEPEC')
		insert into capa_poblacion values (13,36,'METZQUITITLAN')
		insert into capa_poblacion values (13,37,'METZTITLAN')
		insert into capa_poblacion values (13,38,'MINERAL DEL CHICO')
		insert into capa_poblacion values (13,39,'MINERAL DEL MONTE')
		insert into capa_poblacion values (13,40,'LA MISION')
		insert into capa_poblacion values (13,41,'MIXQUIAHUALA')
		insert into capa_poblacion values (13,42,'MOLANGO')
		insert into capa_poblacion values (13,43,'NICOLAS FLORES')
		insert into capa_poblacion values (13,44,'NOPALA')
		insert into capa_poblacion values (13,45,'OMITLAN DE JUAREZ')
		insert into capa_poblacion values (13,46,'ORIZATLAN')
		insert into capa_poblacion values (13,47,'PACULA')
		insert into capa_poblacion values (13,48,'PACHUCA DE SOTO')
		insert into capa_poblacion values (13,49,'PISAFLORES')
		insert into capa_poblacion values (13,50,'PROGRESO')
		insert into capa_poblacion values (13,51,'MINERAL DE LA REFORMA')
		insert into capa_poblacion values (13,52,'SAN AGUSTIN TLAXIACA')
		insert into capa_poblacion values (13,53,'SAN BARTOLO TUTOTEPEC')
		insert into capa_poblacion values (13,54,'SAN SALVADOR')
		insert into capa_poblacion values (13,55,'SANTIAGO DE ANAYA')
		insert into capa_poblacion values (13,56,'SANTIAGO TULANTEPEC')
		insert into capa_poblacion values (13,57,'SINGUILUCAN')
		insert into capa_poblacion values (13,58,'TASQUILLO')
		insert into capa_poblacion values (13,59,'TECOZAUTLA')
		insert into capa_poblacion values (13,60,'TENANGO DE DORIA')
		insert into capa_poblacion values (13,61,'TEPEAPULCO')
		insert into capa_poblacion values (13,62,'TEPEHUACAN DE GUERRERO')
		insert into capa_poblacion values (13,63,'TEPEJI DEL RIO')
		insert into capa_poblacion values (13,64,'TEPETITLAN')
		insert into capa_poblacion values (13,65,'TETEPANGO')
		insert into capa_poblacion values (13,66,'TEZONTEPEC')
		insert into capa_poblacion values (13,67,'TEZONTEPEC DE ALDAMA')
		insert into capa_poblacion values (13,68,'TIANGUISTENGO')
		insert into capa_poblacion values (13,69,'TIZAYUCA')
		insert into capa_poblacion values (13,70,'TLAHUELILPAN')
		insert into capa_poblacion values (13,71,'TLAHUILTEPA')
		insert into capa_poblacion values (13,72,'TLANALAPA')
		insert into capa_poblacion values (13,73,'TLANCHINOL')
		insert into capa_poblacion values (13,74,'TLAXCOAPAN')
		insert into capa_poblacion values (13,75,'TOLCAYUCA')
		insert into capa_poblacion values (13,76,'TULA DE ALLENDE')
		insert into capa_poblacion values (13,77,'TULANCINGO')
		insert into capa_poblacion values (13,78,'XOCHIATIPAN')
		insert into capa_poblacion values (13,79,'XOCHICOATLAN')
		insert into capa_poblacion values (13,80,'YAHUALICA')
		insert into capa_poblacion values (13,81,'ZACUALTIPAN')
		insert into capa_poblacion values (13,82,'ZAPOTLAN DE JUAREZ')
		insert into capa_poblacion values (13,83,'ZEMPOALA')
		insert into capa_poblacion values (13,84,'ZIMAPAN')
		insert into capa_poblacion values (14,1,'ACATIC')
		insert into capa_poblacion values (14,2,'ACATLAN DE JUAREZ')
		insert into capa_poblacion values (14,3,'AHUALULCO DE MERCADO')
		insert into capa_poblacion values (14,4,'AMACUECA')
		insert into capa_poblacion values (14,5,'AMATITAN')
		insert into capa_poblacion values (14,6,'AMECA')
		insert into capa_poblacion values (14,7,'ANTONIO ESCOBEDO')
		insert into capa_poblacion values (14,8,'ARANDAS')
		insert into capa_poblacion values (14,9,'EL ARENAL')
		insert into capa_poblacion values (14,10,'ATEMAJAC DE BRIZUELA')
		insert into capa_poblacion values (14,11,'ATENGO')
		insert into capa_poblacion values (14,12,'ATENGUILLO')
		insert into capa_poblacion values (14,13,'ATOTONILCO EL ALTO')
		insert into capa_poblacion values (14,14,'ATOYAC')
		insert into capa_poblacion values (14,15,'AUTLAN DE NAVARRO')
		insert into capa_poblacion values (14,16,'AYO EL CHICO')
		insert into capa_poblacion values (14,17,'AYUTLA')
		insert into capa_poblacion values (14,18,'LA BARCA')
		insert into capa_poblacion values (14,19,'BOLANOS')
		insert into capa_poblacion values (14,20,'CABO CORRIENTES')
		insert into capa_poblacion values (14,21,'CASIMIRO CASTILLO')
		insert into capa_poblacion values (14,22,'CIHUATLAN')
		insert into capa_poblacion values (14,23,'ZAPOTLAN EL GRANDE')
		insert into capa_poblacion values (14,24,'COCULA')
		insert into capa_poblacion values (14,25,'COLOTLAN')
		insert into capa_poblacion values (14,26,'CONCEPCION DE BUENOS AIRES')
		insert into capa_poblacion values (14,27,'CUAUTITLAN')
		insert into capa_poblacion values (14,28,'CUAUTLA')
		insert into capa_poblacion values (14,29,'CUQUIO')
		insert into capa_poblacion values (14,30,'CHAPALA')
		insert into capa_poblacion values (14,31,'CHIMALTITAN')
		insert into capa_poblacion values (14,32,'CHIQUILISTLAN')
		insert into capa_poblacion values (14,33,'DEGOLLADO')
		insert into capa_poblacion values (14,34,'EJUTLA')
		insert into capa_poblacion values (14,35,'ENCARNACION DE DIAZ')
		insert into capa_poblacion values (14,36,'ETZATLAN')
		insert into capa_poblacion values (14,37,'EL GRULLO')
		insert into capa_poblacion values (14,38,'GUACHINANGO')
		insert into capa_poblacion values (14,39,'GUADALAJARA')
		insert into capa_poblacion values (14,40,'HOSTOTIPAQUILLO')
		insert into capa_poblacion values (14,41,'HUEJUCAR')
		insert into capa_poblacion values (14,42,'HUEJUQUILLA EL ALTO')
		insert into capa_poblacion values (14,43,'LA HUERTA')
		insert into capa_poblacion values (14,44,'IXTLAHUACAN DE LOS MEMBRILLOS')
		insert into capa_poblacion values (14,45,'IXTLAHUACAN DEL RIO')
		insert into capa_poblacion values (14,46,'JALOSTOTITLAN')
		insert into capa_poblacion values (14,47,'JAMAY')
		insert into capa_poblacion values (14,48,'JESUS MARIA')
		insert into capa_poblacion values (14,49,'JILOTLAN DE LOS DOLORES')
		insert into capa_poblacion values (14,50,'JOCOTEPEC')
		insert into capa_poblacion values (14,51,'JUANACATLAN')
		insert into capa_poblacion values (14,52,'JUCHITLAN')
		insert into capa_poblacion values (14,53,'LAGOS DE MORENO')
		insert into capa_poblacion values (14,54,'EL LIMON')
		insert into capa_poblacion values (14,55,'MAGDALENA')
		insert into capa_poblacion values (14,56,'MANUEL M. DIEGUEZ')
		insert into capa_poblacion values (14,57,'LA MANZANILLA DE LA PAZ')
		insert into capa_poblacion values (14,58,'MASCOTA')
		insert into capa_poblacion values (14,59,'MAZAMITLA')
		insert into capa_poblacion values (14,60,'MEXTICACAN')
		insert into capa_poblacion values (14,61,'MEZQUITIC')
		insert into capa_poblacion values (14,62,'MIXTLAN')
		insert into capa_poblacion values (14,63,'OCOTLAN')
		insert into capa_poblacion values (14,64,'OJUELOS DE JALISCO')
		insert into capa_poblacion values (14,65,'PIHUAMO')
		insert into capa_poblacion values (14,66,'PONCITLAN')
		insert into capa_poblacion values (14,67,'PUERTO VALLARTA')
		insert into capa_poblacion values (14,68,'PURIFICACION')
		insert into capa_poblacion values (14,69,'QUITUPAN')
		insert into capa_poblacion values (14,70,'EL SALTO')
		insert into capa_poblacion values (14,71,'SAN CRISTOBAL DE LA BARRANCA')
		insert into capa_poblacion values (14,72,'SAN DIEGO DE ALEJANDRIA')
		insert into capa_poblacion values (14,73,'SAN JUAN DE LOS LAGOS')
		insert into capa_poblacion values (14,74,'SAN JULIAN')
		insert into capa_poblacion values (14,75,'SAN MARCOS')
		insert into capa_poblacion values (14,76,'SAN MARTIN DE BOLANOS')
		insert into capa_poblacion values (14,77,'SAN MARTIN HIDALGO')
		insert into capa_poblacion values (14,78,'SAN MIGUEL EL ALTO')
		insert into capa_poblacion values (14,79,'GOMEZ FARIAS')
		insert into capa_poblacion values (14,80,'SAN SEBASTIAN')
		insert into capa_poblacion values (14,81,'STA. MA. DE LOS ANGELES')
		insert into capa_poblacion values (14,82,'SAYULA')
		insert into capa_poblacion values (14,83,'TALA')
		insert into capa_poblacion values (14,84,'TALPA DE ALLENDE')
		insert into capa_poblacion values (14,85,'TAMAZULA DE GORDIANO')
		insert into capa_poblacion values (14,86,'TAPALPA')
		insert into capa_poblacion values (14,87,'TECALITLAN')
		insert into capa_poblacion values (14,88,'TECOLOTLAN')
		insert into capa_poblacion values (14,89,'TECHALUTA')
		insert into capa_poblacion values (14,90,'TENAMAXTLAN')
		insert into capa_poblacion values (14,91,'TEOCALTICHE')
		insert into capa_poblacion values (14,92,'TECUITATLAN DE CORONA')
		insert into capa_poblacion values (14,93,'TEPATITLAN DE MORELOS')
		insert into capa_poblacion values (14,94,'TEQUILA')
		insert into capa_poblacion values (14,95,'TEUCHITLAN')
		insert into capa_poblacion values (14,96,'TIZAPAN EL ALTO')
		insert into capa_poblacion values (14,97,'TLAJOMULCO DE ZUNIGA')
		insert into capa_poblacion values (14,98,'TLAQUEPAQUE')
		insert into capa_poblacion values (14,99,'TOLIMAN')
		insert into capa_poblacion values (14,100,'TOMATLAN')
		insert into capa_poblacion values (14,101,'TONALA')
		insert into capa_poblacion values (14,102,'TONAYA')
		insert into capa_poblacion values (14,103,'TONILA')
		insert into capa_poblacion values (14,104,'TOTATIQUE')
		insert into capa_poblacion values (14,105,'TOTOTLAN')
		insert into capa_poblacion values (14,106,'TUXCACUESCO')
		insert into capa_poblacion values (14,107,'TUXCUECA')
		insert into capa_poblacion values (14,108,'TUXPAN')
		insert into capa_poblacion values (14,109,'UNION DE SAN ANTONIO')
		insert into capa_poblacion values (14,110,'UNION DE TULA')
		insert into capa_poblacion values (14,111,'VALLE DE GUADALUPE')
		insert into capa_poblacion values (14,112,'VALLE DE JUAREZ')
		insert into capa_poblacion values (14,113,'VENUSTIANO CARRANZA')
		insert into capa_poblacion values (14,114,'VILLA CORONA')
		insert into capa_poblacion values (14,115,'VILLA GUERRERO')
		insert into capa_poblacion values (14,116,'VILLA HIDALGO')
		insert into capa_poblacion values (14,117,'VILLA OBREGON')
		insert into capa_poblacion values (14,118,'YAHUALICA DE GLEZ. GALLO')
		insert into capa_poblacion values (14,119,'ZACOALCO DE TORRES')
		insert into capa_poblacion values (14,120,'ZAPOPAN')
		insert into capa_poblacion values (14,121,'ZAPOTILTIC')
		insert into capa_poblacion values (14,122,'ZAPOTITLAN')
		insert into capa_poblacion values (14,123,'ZAPOTLAN DEL REY')
		insert into capa_poblacion values (14,124,'ZAPOTLANEJO')
		insert into capa_poblacion values (15,1,'ACAMBAY')
		insert into capa_poblacion values (15,2,'ACOLMAN')
		insert into capa_poblacion values (15,3,'ACULCO')
		insert into capa_poblacion values (15,4,'ALMOLOYA DE ALQUISIRAS')
		insert into capa_poblacion values (15,5,'ALMOLOYA DE JUAREZ')
		insert into capa_poblacion values (15,6,'ALMOLOYA DEL RIO')
		insert into capa_poblacion values (15,7,'AMANALCO')
		insert into capa_poblacion values (15,8,'AMATEPEC')
		insert into capa_poblacion values (15,9,'AMECAMECA')
		insert into capa_poblacion values (15,10,'APAXCO')
		insert into capa_poblacion values (15,11,'ATENCO')
		insert into capa_poblacion values (15,12,'ATIZAPAN')
		insert into capa_poblacion values (15,13,'ATIZAPAN DE ZARAGOZA')
		insert into capa_poblacion values (15,14,'ATLACOMULCO')
		insert into capa_poblacion values (15,15,'ATLAUTLA')
		insert into capa_poblacion values (15,16,'AXAPUSCO')
		insert into capa_poblacion values (15,17,'AYAPANGO')
		insert into capa_poblacion values (15,18,'CALIMAYA')
		insert into capa_poblacion values (15,19,'CAPULHUAC')
		insert into capa_poblacion values (15,20,'COACALCO DE BERRIOZABAL')
		insert into capa_poblacion values (15,21,'COATEPEC HARINAS')
		insert into capa_poblacion values (15,22,'COCOTITLAN')
		insert into capa_poblacion values (15,23,'COYOTEPEC')
		insert into capa_poblacion values (15,24,'CUAUTITLAN')
		insert into capa_poblacion values (15,25,'CHALCO')
		insert into capa_poblacion values (15,26,'CHAPA DE MOTA')
		insert into capa_poblacion values (15,27,'CHAPULTEPEC')
		insert into capa_poblacion values (15,28,'CHIAUTLA')
		insert into capa_poblacion values (15,29,'CHICOLOAPAN')
		insert into capa_poblacion values (15,30,'CHICONCUAC')
		insert into capa_poblacion values (15,31,'CHIMALHUACAN')
		insert into capa_poblacion values (15,32,'DONATO GUERRA')
		insert into capa_poblacion values (15,33,'ECATEPEC DE MORELOS')
		insert into capa_poblacion values (15,34,'ECATZINGO')
		insert into capa_poblacion values (15,35,'HUEHUETOCA')
		insert into capa_poblacion values (15,36,'HUEYPOXTLA')
		insert into capa_poblacion values (15,37,'HUIXQUILUCAN')
		insert into capa_poblacion values (15,38,'ISIDRO FABELA')
		insert into capa_poblacion values (15,39,'IXTAPALUCA')
		insert into capa_poblacion values (15,40,'IXTAPAN DE LA SAL')
		insert into capa_poblacion values (15,41,'IXTAPAN DEL ORO')
		insert into capa_poblacion values (15,42,'IXTLAHUACA')
		insert into capa_poblacion values (15,43,'XALATLACO')
		insert into capa_poblacion values (15,44,'JALTENCO')
		insert into capa_poblacion values (15,45,'JILOTEPEC')
		insert into capa_poblacion values (15,46,'JILOTZINGO')
		insert into capa_poblacion values (15,47,'JIQUIPILCO')
		insert into capa_poblacion values (15,48,'JOCOTITLAN')
		insert into capa_poblacion values (15,49,'JOQUICINGO')
		insert into capa_poblacion values (15,50,'JUCHITEPEC')
		insert into capa_poblacion values (15,51,'LERMA')
		insert into capa_poblacion values (15,52,'MALINALCO')
		insert into capa_poblacion values (15,53,'MELCHOR OCAMPO')
		insert into capa_poblacion values (15,54,'METEPEC')
		insert into capa_poblacion values (15,55,'MEXICALTZINGO')
		insert into capa_poblacion values (15,56,'MORELOS')
		insert into capa_poblacion values (15,57,'NAUCALPAN DE JUAREZ')
		insert into capa_poblacion values (15,58,'NEZAHUALCOYOTL')
		insert into capa_poblacion values (15,59,'NEXTLALPAN')
		insert into capa_poblacion values (15,60,'NICOLAS ROMERO')
		insert into capa_poblacion values (15,61,'NOPALTEPEC')
		insert into capa_poblacion values (15,62,'OCOYOACAC')
		insert into capa_poblacion values (15,63,'OCUILAN')
		insert into capa_poblacion values (15,64,'EL ORO')
		insert into capa_poblacion values (15,65,'OTUMBA')
		insert into capa_poblacion values (15,66,'OTZOLOAPAN')
		insert into capa_poblacion values (15,67,'OTZOLOTEPEC')
		insert into capa_poblacion values (15,68,'OZUMBA')
		insert into capa_poblacion values (15,69,'PAPALOTLA')
		insert into capa_poblacion values (15,70,'LA PAZ')
		insert into capa_poblacion values (15,71,'POLOTITLAN')
		insert into capa_poblacion values (15,72,'RAYON')
		insert into capa_poblacion values (15,73,'SAN ANTONIO LA ISLA')
		insert into capa_poblacion values (15,74,'SAN FELIPE DEL PROGRESO')
		insert into capa_poblacion values (15,75,'SAN MARTIN DE LAS PIRAMIDES')
		insert into capa_poblacion values (15,76,'SAN MATEO ATENCO')
		insert into capa_poblacion values (15,77,'SAN SIMON DE GUERRERO')
		insert into capa_poblacion values (15,78,'SANTO TOMAS')
		insert into capa_poblacion values (15,79,'SOYANIQUILPAN DE JUAREZ')
		insert into capa_poblacion values (15,80,'SULTEPEC')
		insert into capa_poblacion values (15,81,'TECAMAC')
		insert into capa_poblacion values (15,82,'TEJUPILCO')
		insert into capa_poblacion values (15,83,'TEMAMATLA')
		insert into capa_poblacion values (15,84,'TEMASCALAPA')
		insert into capa_poblacion values (15,85,'TEMASCALCINGO')
		insert into capa_poblacion values (15,86,'TEMASCALTEPEC')
		insert into capa_poblacion values (15,87,'TEMOAYA')
		insert into capa_poblacion values (15,88,'TENANCINGO')
		insert into capa_poblacion values (15,89,'TENANGO DEL AIRE')
		insert into capa_poblacion values (15,90,'TENANGO DEL VALLE')
		insert into capa_poblacion values (15,91,'TEOLOYUCAN')
		insert into capa_poblacion values (15,92,'TEOTIHUACAN')
		insert into capa_poblacion values (15,93,'TEPETLAOXTOC')
		insert into capa_poblacion values (15,94,'TEPETLIXPA')
		insert into capa_poblacion values (15,95,'TEPOTZOTLAN')
		insert into capa_poblacion values (15,96,'TEQUIXQUIAC')
		insert into capa_poblacion values (15,97,'TEXCALTITLAN')
		insert into capa_poblacion values (15,98,'TEXCALYACAC')
		insert into capa_poblacion values (15,99,'TEXCOCO')
		insert into capa_poblacion values (15,100,'TEZOYUCA')
		insert into capa_poblacion values (15,101,'TIANGUISTENCO')
		insert into capa_poblacion values (15,102,'TIMILPAN')
		insert into capa_poblacion values (15,103,'TLALMANALCO')
		insert into capa_poblacion values (15,104,'TLALNEPANTLA DE BAZ')
		insert into capa_poblacion values (15,105,'TLATLAYA')
		insert into capa_poblacion values (15,106,'TOLUCA')
		insert into capa_poblacion values (15,107,'TONATICO')
		insert into capa_poblacion values (15,108,'TULTEPEC')
		insert into capa_poblacion values (15,109,'TULTITLAN')
		insert into capa_poblacion values (15,110,'VALLE DE BRAVO')
		insert into capa_poblacion values (15,111,'VILLA DE ALLENDE')
		insert into capa_poblacion values (15,112,'VILLA DEL CARBON')
		insert into capa_poblacion values (15,113,'VILLA GUERRERO')
		insert into capa_poblacion values (15,114,'VILLA VICTORIA')
		insert into capa_poblacion values (15,115,'XONACATLAN')
		insert into capa_poblacion values (15,116,'ZACAZONAPAN')
		insert into capa_poblacion values (15,117,'ZACUALPAN')
		insert into capa_poblacion values (15,118,'ZINACANTEPEC')
		insert into capa_poblacion values (15,119,'ZUMPAHUACAN')
		insert into capa_poblacion values (15,120,'ZUMPANGO')
		insert into capa_poblacion values (15,121,'CUAUTITLAN IZCALLI')
		insert into capa_poblacion values (15,122,'VALLE DE CHALCO SOLIDARIDAD')
		insert into capa_poblacion values (15,123,'LUVIANOS')
		insert into capa_poblacion values (15,124,'SAN JOSE DEL RINCON')
		insert into capa_poblacion values (15,125,'TONANITLA')
		insert into capa_poblacion values (16,1,'ACUITZIO DEL CANJE')
		insert into capa_poblacion values (16,2,'AGUILILLA')
		insert into capa_poblacion values (16,3,'ALVARO OBREGON')
		insert into capa_poblacion values (16,4,'ANGAMACUTIRO DE LA UNION')
		insert into capa_poblacion values (16,5,'MINERAL DE ANGANGUEO')
		insert into capa_poblacion values (16,6,'APATZINGAN DE LA CONSTITUCION')
		insert into capa_poblacion values (16,7,'APORO')
		insert into capa_poblacion values (16,8,'AQUILA')
		insert into capa_poblacion values (16,9,'ARIO DE ROSALES')
		insert into capa_poblacion values (16,10,'ARTEAGA')
		insert into capa_poblacion values (16,11,'BRISENAS')
		insert into capa_poblacion values (16,12,'BUENAVISTA TOMATLAN')
		insert into capa_poblacion values (16,13,'CARACUARO DE MORELOS')
		insert into capa_poblacion values (16,14,'COAHUAYANA')
		insert into capa_poblacion values (16,15,'COALCOMAN DE MATAMOROS')
		insert into capa_poblacion values (16,16,'COENEO DE LA LIBERTAD')
		insert into capa_poblacion values (16,17,'CONTEPEC')
		insert into capa_poblacion values (16,18,'COPANDARO DE GALEANA')
		insert into capa_poblacion values (16,19,'COTIJA DE LA PAZ')
		insert into capa_poblacion values (16,20,'CUITZEO DEL PORVENIR')
		insert into capa_poblacion values (16,21,'CHARAPAN')
		insert into capa_poblacion values (16,22,'CHARO')
		insert into capa_poblacion values (16,23,'CHAVINDA')
		insert into capa_poblacion values (16,24,'CHERAN')
		insert into capa_poblacion values (16,25,'CHILCHOTA')
		insert into capa_poblacion values (16,26,'CHINICUILA')
		insert into capa_poblacion values (16,27,'CHUCANDIRO')
		insert into capa_poblacion values (16,28,'CHURINTZIO')
		insert into capa_poblacion values (16,29,'CHURUMUCO DE MORELOS')
		insert into capa_poblacion values (16,30,'ECUANDUREO')
		insert into capa_poblacion values (16,31,'EPITACIO HUERTA')
		insert into capa_poblacion values (16,32,'ERONGARICUARO')
		insert into capa_poblacion values (16,33,'BARRANCA HONDA')
		insert into capa_poblacion values (16,34,'CIUDAD HIDALGO')
		insert into capa_poblacion values (16,35,'LA HUACANA')
		insert into capa_poblacion values (16,36,'HUANDACAREO')
		insert into capa_poblacion values (16,37,'HUANIQUEO DE MORALES')
		insert into capa_poblacion values (16,38,'HUETAMO DE NUNES')
		insert into capa_poblacion values (16,39,'HUIRAMBA')
		insert into capa_poblacion values (16,40,'INDAPARAPEO')
		insert into capa_poblacion values (16,41,'IRIMBO')
		insert into capa_poblacion values (16,42,'IXTLAN')
		insert into capa_poblacion values (16,43,'JACONA DE PLANCARTE')
		insert into capa_poblacion values (16,44,'JIMENEZ')
		insert into capa_poblacion values (16,45,'JIQUILPAN DE JUAREZ')
		insert into capa_poblacion values (16,46,'BENITO JUAREZ')
		insert into capa_poblacion values (16,47,'JUNGAPEO DE JUAREZ')
		insert into capa_poblacion values (16,48,'LAGUNILLAS')
		insert into capa_poblacion values (16,49,'LAZARO CARDENAS')
		insert into capa_poblacion values (16,50,'VILLA MADERO')
		insert into capa_poblacion values (16,51,'MARAVATIO DE OCAMPO')
		insert into capa_poblacion values (16,52,'MARCOS CASTELLANOS')
		insert into capa_poblacion values (16,53,'MORELIA')
		insert into capa_poblacion values (16,54,'VILLA MORELOS')
		insert into capa_poblacion values (16,55,'MUGICA')
		insert into capa_poblacion values (16,56,'NAHUATZEN')
		insert into capa_poblacion values (16,57,'NOCUPETARO')
		insert into capa_poblacion values (16,58,'PUEBLO NUEVO SAN JUAN PARANGARICUTIRO')
		insert into capa_poblacion values (16,59,'NUEVO URECHO')
		insert into capa_poblacion values (16,60,'NUMARAN')
		insert into capa_poblacion values (16,61,'OCAMPO')
		insert into capa_poblacion values (16,62,'PAJACUARAN')
		insert into capa_poblacion values (16,63,'PANINDICUARO')
		insert into capa_poblacion values (16,64,'PARACUARO')
		insert into capa_poblacion values (16,65,'PARACHO DE VERDUZCO')
		insert into capa_poblacion values (16,66,'PATZCUARO')
		insert into capa_poblacion values (16,67,'PENJAMILLO DE DEGOLLADO')
		insert into capa_poblacion values (16,68,'PERIBAN DE RAMOS')
		insert into capa_poblacion values (16,69,'LA PIEDAD CAVADAS')
		insert into capa_poblacion values (16,70,'PUREPERO')
		insert into capa_poblacion values (16,71,'PURUANDIRO')
		insert into capa_poblacion values (16,72,'QUERENDARO')
		insert into capa_poblacion values (16,73,'QUIROGA')
		insert into capa_poblacion values (16,74,'COJUMATLAN DE REGULES')
		insert into capa_poblacion values (16,75,'LOS REYES DE SALGADO')
		insert into capa_poblacion values (16,76,'SAHUAYO DE JOSE MARIA MORELOS')
		insert into capa_poblacion values (16,77,'SAN LUCAS')
		insert into capa_poblacion values (16,78,'SANTA ANA MAYA')
		insert into capa_poblacion values (16,79,'SALVADOR ESCALANTE')
		insert into capa_poblacion values (16,80,'SENGUIO')
		insert into capa_poblacion values (16,81,'SUSUPUATO DE GUERRERO')
		insert into capa_poblacion values (16,82,'TACAMBARO DE CODALLOS')
		insert into capa_poblacion values (16,83,'TANCITARO')
		insert into capa_poblacion values (16,84,'TANGAMANDAPIO')
		insert into capa_poblacion values (16,85,'TANGANCICUARO DE ARISTA')
		insert into capa_poblacion values (16,86,'TANHUATO DE GUERRERO')
		insert into capa_poblacion values (16,87,'TARETAN')
		insert into capa_poblacion values (16,88,'TARIMBARO')
		insert into capa_poblacion values (16,89,'TEPALCATEPEC')
		insert into capa_poblacion values (16,90,'TINGAMBATO')
		insert into capa_poblacion values (16,91,'TINGUINDIN')
		insert into capa_poblacion values (16,92,'TIQUICHEO')
		insert into capa_poblacion values (16,93,'TLALPUJAHUA')
		insert into capa_poblacion values (16,94,'TLAZAZALCA')
		insert into capa_poblacion values (16,95,'TOCUMBO')
		insert into capa_poblacion values (16,96,'TUMBISCATIO DE RUIZ')
		insert into capa_poblacion values (16,97,'TURICATO')
		insert into capa_poblacion values (16,98,'TUXPAN')
		insert into capa_poblacion values (16,99,'TUZANTLA')
		insert into capa_poblacion values (16,100,'TZINTZUNTZAN')
		insert into capa_poblacion values (16,101,'TZITZIO')
		insert into capa_poblacion values (16,102,'URUAPAN DEL PROGRESO')
		insert into capa_poblacion values (16,103,'VENUSTIANO CARRANZA')
		insert into capa_poblacion values (16,104,'VILLAMAR')
		insert into capa_poblacion values (16,105,'VISTAHERMOSA DE NEGRETE')
		insert into capa_poblacion values (16,106,'YURECUARO')
		insert into capa_poblacion values (16,107,'ZACAPU')
		insert into capa_poblacion values (16,108,'ZAMORA DE HIDALGO')
		insert into capa_poblacion values (16,109,'ZINAPARO')
		insert into capa_poblacion values (16,110,'ZINAPECUARO DE FIGUEROA')
		insert into capa_poblacion values (16,111,'ZIRACUARETIRO')
		insert into capa_poblacion values (16,112,'HEROICA ZITACUARO')
		insert into capa_poblacion values (16,113,'JOSE SIXTO VERDUZCO')
		insert into capa_poblacion values (17,1,'AMACUZAC')
		insert into capa_poblacion values (17,2,'ATLATLAHUACAN')
		insert into capa_poblacion values (17,3,'AXOCHIAPAN')
		insert into capa_poblacion values (17,4,'AYALA')
		insert into capa_poblacion values (17,5,'COATLAN DEL RIO')
		insert into capa_poblacion values (17,6,'CUAUTLA MORELOS')
		insert into capa_poblacion values (17,7,'CUERNAVACA')
		insert into capa_poblacion values (17,8,'EMILIANO ZAPATA')
		insert into capa_poblacion values (17,9,'HUITZILAC')
		insert into capa_poblacion values (17,10,'JANTETELCO')
		insert into capa_poblacion values (17,11,'JIUTEPEC')
		insert into capa_poblacion values (17,12,'JOJUTLA DE JUAREZ')
		insert into capa_poblacion values (17,13,'JONACATEPEC')
		insert into capa_poblacion values (17,14,'MAZATEPEC')
		insert into capa_poblacion values (17,15,'MIACATLAN')
		insert into capa_poblacion values (17,16,'OCUITUCO')
		insert into capa_poblacion values (17,17,'PUENTE DE IXTLA')
		insert into capa_poblacion values (17,18,'TEMIXCO')
		insert into capa_poblacion values (17,19,'TEPALCINGO')
		insert into capa_poblacion values (17,20,'TEPOZTLAN')
		insert into capa_poblacion values (17,21,'TETECALA')
		insert into capa_poblacion values (17,22,'TETELA DEL VOLCAN')
		insert into capa_poblacion values (17,23,'TLALNEPANTLA')
		insert into capa_poblacion values (17,24,'TLALTIZAPAN')
		insert into capa_poblacion values (17,25,'TLAQUILTENANGO')
		insert into capa_poblacion values (17,26,'TLAYACAPAN')
		insert into capa_poblacion values (17,27,'TOTOLAPAN')
		insert into capa_poblacion values (17,28,'XOCHITEPEC')
		insert into capa_poblacion values (17,29,'YAUTEPEC')
		insert into capa_poblacion values (17,30,'YECAPIXTLA')
		insert into capa_poblacion values (17,31,'ZACATEPEC')
		insert into capa_poblacion values (17,32,'ZACUALPAN DE AMILPAS')
		insert into capa_poblacion values (17,33,'TEMOAC')
		insert into capa_poblacion values (18,1,'ACAPONETA')
		insert into capa_poblacion values (18,2,'AHUACATLAN')
		insert into capa_poblacion values (18,3,'AMATLAN DE CANAS')
		insert into capa_poblacion values (18,4,'COMPOSTELA')
		insert into capa_poblacion values (18,5,'HUAJICORI')
		insert into capa_poblacion values (18,6,'IXTLAN DEL RIO')
		insert into capa_poblacion values (18,7,'JALA')
		insert into capa_poblacion values (18,8,'JALISCO')
		insert into capa_poblacion values (18,9,'NAYAR')
		insert into capa_poblacion values (18,10,'ROSAMORADA')
		insert into capa_poblacion values (18,11,'RUIZ')
		insert into capa_poblacion values (18,12,'SAN BLAS')
		insert into capa_poblacion values (18,13,'SAN PEDRO LAGUNILLAS')
		insert into capa_poblacion values (18,14,'SANTA MARIA DEL ORO')
		insert into capa_poblacion values (18,15,'SANTIAGO IXCUINTLA')
		insert into capa_poblacion values (18,16,'TECUALA')
		insert into capa_poblacion values (18,17,'TEPIC')
		insert into capa_poblacion values (18,18,'TUXPAN')
		insert into capa_poblacion values (18,19,'LA YESCA')
		insert into capa_poblacion values (18,20,'BAHIA DE BANDERAS')
		insert into capa_poblacion values (19,1,'ABASOLO')
		insert into capa_poblacion values (19,2,'AGUALEGUAS')
		insert into capa_poblacion values (19,3,'LOS ALDAMAS')
		insert into capa_poblacion values (19,4,'ALLENDE')
		insert into capa_poblacion values (19,5,'ANAHUAC')
		insert into capa_poblacion values (19,6,'APODACA')
		insert into capa_poblacion values (19,7,'ARAMBERRI')
		insert into capa_poblacion values (19,8,'BUSTAMANTE')
		insert into capa_poblacion values (19,9,'CADEREYTA JIMENEZ')
		insert into capa_poblacion values (19,10,'CARMEN')
		insert into capa_poblacion values (19,11,'CERRALVO')
		insert into capa_poblacion values (19,12,'CIENEGA DE FLORES')
		insert into capa_poblacion values (19,13,'CHINA')
		insert into capa_poblacion values (19,14,'DOCTOR ARROYO')
		insert into capa_poblacion values (19,15,'DOCTOR COSS')
		insert into capa_poblacion values (19,16,'DOCTOR GONZALEZ')
		insert into capa_poblacion values (19,17,'GALEANA')
		insert into capa_poblacion values (19,18,'GARCIA')
		insert into capa_poblacion values (19,19,'SAN PEDRO GARZA GARCIA')
		insert into capa_poblacion values (19,20,'GENERAL BRAVO')
		insert into capa_poblacion values (19,21,'GENERAL ESCOBEDO')
		insert into capa_poblacion values (19,22,'GENERAL TERAN')
		insert into capa_poblacion values (19,23,'GENERAL TREVINO')
		insert into capa_poblacion values (19,24,'GENERAL ZARAGOZA')
		insert into capa_poblacion values (19,25,'GENERAL ZUAZUA')
		insert into capa_poblacion values (19,26,'GUADALUPE')
		insert into capa_poblacion values (19,27,'LOS HERRERAS')
		insert into capa_poblacion values (19,28,'HIGUERAS')
		insert into capa_poblacion values (19,29,'HUALAHUISES')
		insert into capa_poblacion values (19,30,'ITURBIDE')
		insert into capa_poblacion values (19,31,'JUAREZ')
		insert into capa_poblacion values (19,32,'LAMPAZOS DE NARANJO')
		insert into capa_poblacion values (19,33,'LINARES')
		insert into capa_poblacion values (19,34,'MARIN')
		insert into capa_poblacion values (19,35,'MELCHOR OCAMPO')
		insert into capa_poblacion values (19,36,'MIER Y NORIEGA')
		insert into capa_poblacion values (19,37,'MINA')
		insert into capa_poblacion values (19,38,'MONTEMORELOS')
		insert into capa_poblacion values (19,39,'MONTERREY')
		insert into capa_poblacion values (19,40,'PARAS')
		insert into capa_poblacion values (19,41,'PESQUERIA')
		insert into capa_poblacion values (19,42,'LOS RAMONES')
		insert into capa_poblacion values (19,43,'RAYONES')
		insert into capa_poblacion values (19,44,'SABINAS HIDALGO')
		insert into capa_poblacion values (19,45,'SALINAS VICTORIA')
		insert into capa_poblacion values (19,46,'SAN NICOLAS DE LOS GARZA')
		insert into capa_poblacion values (19,47,'HIDALGO')
		insert into capa_poblacion values (19,48,'SANTA CATARINA')
		insert into capa_poblacion values (19,49,'SANTIAGO')
		insert into capa_poblacion values (19,50,'VALLECILLO')
		insert into capa_poblacion values (19,51,'VILLALDAMA')
		insert into capa_poblacion values (19,52,'COLOMBIA')
		insert into capa_poblacion values (20,1,'ABEJONES')
		insert into capa_poblacion values (20,2,'ACATLAN DE PEREZ FIGUEROA')
		insert into capa_poblacion values (20,3,'ASUNCION CACALOTEPEC')
		insert into capa_poblacion values (20,4,'ASUNCION CUYOTEPEJI')
		insert into capa_poblacion values (20,5,'ASUNCION IXTALTEPEC')
		insert into capa_poblacion values (20,6,'ASUNCION NOCHIXTLAN')
		insert into capa_poblacion values (20,7,'ASUNCION OCOTLAN')
		insert into capa_poblacion values (20,8,'ASUNCION TLACOLULITA')
		insert into capa_poblacion values (20,9,'AYOTZINTEPEC')
		insert into capa_poblacion values (20,10,'BARRIO DE LA SOLEDAD')
		insert into capa_poblacion values (20,11,'CALIHUALA')
		insert into capa_poblacion values (20,12,'CANDELARIA LOXICHA')
		insert into capa_poblacion values (20,13,'CIENEGA DE ZIMATLAN')
		insert into capa_poblacion values (20,14,'CIUDAD IXTEPEC')
		insert into capa_poblacion values (20,15,'COATECAS ALTAS')
		insert into capa_poblacion values (20,16,'COICOYAN DE LAS FLORES')
		insert into capa_poblacion values (20,17,'COMPANIA')
		insert into capa_poblacion values (20,18,'CONCEPCION BUENAVISTA')
		insert into capa_poblacion values (20,19,'CONCEPCION PAPALO')
		insert into capa_poblacion values (20,20,'CONSTANCIA DEL ROSARIO')
		insert into capa_poblacion values (20,21,'COSOLAPA')
		insert into capa_poblacion values (20,22,'COSOLTEPEC')
		insert into capa_poblacion values (20,23,'CUILAPAN DE GUERRERO')
		insert into capa_poblacion values (20,24,'CUYAMECALCO VILLA DE ZARAGOZA')
		insert into capa_poblacion values (20,25,'CHAHUITES')
		insert into capa_poblacion values (20,26,'CHALCATONGO DE HIDALGO')
		insert into capa_poblacion values (20,27,'CHIQUIHUITLAN DE BENITO JUAREZ')
		insert into capa_poblacion values (20,28,'HEROICA CIUDAD DE EJUTLA DE CRESPO')
		insert into capa_poblacion values (20,29,'ELOXOCHITLAN DE FLORES MAGON')
		insert into capa_poblacion values (20,30,'ESPINAL')
		insert into capa_poblacion values (20,31,'TAMAZULAPAN DEL ESPIRITU SANTO ')
		insert into capa_poblacion values (20,32,'FRESNILLO DE TRUJANO')
		insert into capa_poblacion values (20,33,'GUADALUPE ETLA')
		insert into capa_poblacion values (20,34,'GUADALUPE DE RAMIREZ')
		insert into capa_poblacion values (20,35,'GUELATAO DE JUAREZ')
		insert into capa_poblacion values (20,36,'GUEVEA DE HUMBOLDT')
		insert into capa_poblacion values (20,37,'UNION GUERRERO')
		insert into capa_poblacion values (20,38,'VILLA GUERRERO')
		insert into capa_poblacion values (20,39,'HEROICA CIUDAD DE HUAJUAPAN DE LEON')
		insert into capa_poblacion values (20,40,'HUAUTEPEC')
		insert into capa_poblacion values (20,41,'HUAUTLA DE JIMENEZ')
		insert into capa_poblacion values (20,42,'IXTLAN DE JUAREZ')
		insert into capa_poblacion values (20,43,'JUCHITAN DE ZARAGOZA')
		insert into capa_poblacion values (20,44,'LOMA BONITA')
		insert into capa_poblacion values (20,45,'MAGDALENA APASCO')
		insert into capa_poblacion values (20,46,'MAGDALENA JALTEPEC')
		insert into capa_poblacion values (20,47,'SANTA MAGDALENA JICOTLAN')
		insert into capa_poblacion values (20,48,'MAGDALENA MIXTEPEC')
		insert into capa_poblacion values (20,49,'MAGDALENA OCOTLAN')
		insert into capa_poblacion values (20,50,'MAGDALENA PENASCO')
		insert into capa_poblacion values (20,51,'MAGDALENA TEITIPAC')
		insert into capa_poblacion values (20,52,'MAGDALENA TEQUISISTLAN')
		insert into capa_poblacion values (20,53,'MAGDALENA TLACOTEPEC')
		insert into capa_poblacion values (20,54,'MAGDALENA ZAHUATLAN')
		insert into capa_poblacion values (20,55,'MARISCALA DE JUAREZ')
		insert into capa_poblacion values (20,56,'MARTIRES DE TACUBAYA')
		insert into capa_poblacion values (20,57,'MATIAS ROMERO')
		insert into capa_poblacion values (20,58,'MAZATLAN VILLA DE FLORES')
		insert into capa_poblacion values (20,59,'MIAHUATLAN DE PORFIRIO DIAZ')
		insert into capa_poblacion values (20,60,'MIXISTLAN DE LA REFORMA')
		insert into capa_poblacion values (20,61,'MONJAS')
		insert into capa_poblacion values (20,62,'NATIVIDAD')
		insert into capa_poblacion values (20,63,'NAZARENO ETLA')
		insert into capa_poblacion values (20,64,'NEJAPA DE MADERO')
		insert into capa_poblacion values (20,65,'IXPANTEPEC NIEVES')
		insert into capa_poblacion values (20,66,'SANTIAGO NILTEPEC')
		insert into capa_poblacion values (20,67,'OAXACA DE JUAREZ')
		insert into capa_poblacion values (20,68,'OCOTLAN DE MORELOS')
		insert into capa_poblacion values (20,69,'PE')
		insert into capa_poblacion values (20,70,'PINOTEPA DE DON LUIS')
		insert into capa_poblacion values (20,71,'PLUMA HIDALGO')
		insert into capa_poblacion values (20,72,'SAN JOSE DEL PROGRESO')
		insert into capa_poblacion values (20,73,'PUTLA VILLA DE GUERRERO')
		insert into capa_poblacion values (20,74,'SANTA CATARINA QUIOQUITANI')
		insert into capa_poblacion values (20,75,'REFORMA DE PINEDA')
		insert into capa_poblacion values (20,76,'REFORMA')
		insert into capa_poblacion values (20,77,'REYES ETLA')
		insert into capa_poblacion values (20,78,'ROJAS DE CUAUHTEMOC')
		insert into capa_poblacion values (20,79,'SALINA CRUZ')
		insert into capa_poblacion values (20,80,'SAN AGUSTIN AMATENGO')
		insert into capa_poblacion values (20,81,'SAN AGUSTIN ATENANGO')
		insert into capa_poblacion values (20,82,'SAN AGUSTIN CHAYUCO')
		insert into capa_poblacion values (20,83,'SAN AGUSTIN DE LAS JUNTAS')
		insert into capa_poblacion values (20,84,'SAN AGUSTIN ETLA')
		insert into capa_poblacion values (20,85,'SAN AGUSTIN LOXICHA')
		insert into capa_poblacion values (20,86,'SAN AGUSTIN TLACOTEPEC')
		insert into capa_poblacion values (20,87,'SAN AGUSTIN YATARENI')
		insert into capa_poblacion values (20,88,'CABECERA NUEVA')
		insert into capa_poblacion values (20,89,'SAN ANDRES DINICUITI')
		insert into capa_poblacion values (20,90,'SAN ANDRES HUAXPALTEPEC')
		insert into capa_poblacion values (20,91,'SAN ANDRES HUAYAPAM')
		insert into capa_poblacion values (20,92,'SAN ANDRES IXTLAHUACA')
		insert into capa_poblacion values (20,93,'SAN ANDRES LAGUNAS')
		insert into capa_poblacion values (20,94,'SAN ANDRES NUXINO')
		insert into capa_poblacion values (20,95,'SAN ANDRES PAXTLAN')
		insert into capa_poblacion values (20,96,'SAN ANDRES SINAXTLA')
		insert into capa_poblacion values (20,97,'SAN ANDRES SOLAGA')
		insert into capa_poblacion values (20,98,'SAN ANDRES TEOTILALPAM')
		insert into capa_poblacion values (20,99,'SAN ANDRES TEPETLAPA')
		insert into capa_poblacion values (20,100,'SAN ANDRES YAA')
		insert into capa_poblacion values (20,101,'SAN ANDRES ZABACHE')
		insert into capa_poblacion values (20,102,'SAN ANDRES ZAUTLA')
		insert into capa_poblacion values (20,103,'SAN ANTONIO CASTILLO VELASCO')
		insert into capa_poblacion values (20,104,'SAN ANTONIO EL ALTO')
		insert into capa_poblacion values (20,105,'SAN ANTONIO MONTE VERDE')
		insert into capa_poblacion values (20,106,'SAN ANTONIO ACUTLA')
		insert into capa_poblacion values (20,107,'SAN ANTONIO DE LA CAL')
		insert into capa_poblacion values (20,108,'SAN ANTONIO HUITEPEC')
		insert into capa_poblacion values (20,109,'SAN ANTONIO NANAHUATIPAM')
		insert into capa_poblacion values (20,110,'SAN ANTONIO SINICAHUA')
		insert into capa_poblacion values (20,111,'SAN ANTONIO TEPETLAPA')
		insert into capa_poblacion values (20,112,'SAN BALTAZAR CHICHICAPAM')
		insert into capa_poblacion values (20,113,'SAN BALTAZAR LOXICHA')
		insert into capa_poblacion values (20,114,'SAN BALTAZAR YATZACHI EL BAJO')
		insert into capa_poblacion values (20,115,'SAN BARTOLO COYOTEPEC')
		insert into capa_poblacion values (20,116,'SAN BARTOLOME AYAUTLA')
		insert into capa_poblacion values (20,117,'SAN BARTOLOME LOXICHA')
		insert into capa_poblacion values (20,118,'SAN BARTOLOME QUIALANA')
		insert into capa_poblacion values (20,119,'SAN BARTOLOME YUCUANE')
		insert into capa_poblacion values (20,120,'SAN BARTOLOME ZOOGOCHO')
		insert into capa_poblacion values (20,121,'SAN BARTOLO SOYALTEPEC')
		insert into capa_poblacion values (20,122,'SAN BARTOLO YAUTEPEC')
		insert into capa_poblacion values (20,123,'SAN BERNARDO MIXTEPEC')
		insert into capa_poblacion values (20,124,'SAN BLAS ATEMPA')
		insert into capa_poblacion values (20,125,'SAN CARLOS YAUTEPEC')
		insert into capa_poblacion values (20,126,'SAN CRISTOBAL AMATLAN')
		insert into capa_poblacion values (20,127,'SAN CRISTOBAL AMOLTEPEC')
		insert into capa_poblacion values (20,128,'SAN CRISTOBAL LACHIRIOAG')
		insert into capa_poblacion values (20,129,'SAN CRISTOBAL SUCHIXTLAHUACA')
		insert into capa_poblacion values (20,130,'SAN DIONISIO DEL MAR')
		insert into capa_poblacion values (20,131,'SAN DIONISIO OCOTEPEC')
		insert into capa_poblacion values (20,132,'SAN DIONISIO OCOTLAN')
		insert into capa_poblacion values (20,133,'SAN ESTEBAN ATATLAHUCA')
		insert into capa_poblacion values (20,134,'SAN FELIPE JALAPA DE DIAZ')
		insert into capa_poblacion values (20,135,'SAN FELIPE TEJALAPAM')
		insert into capa_poblacion values (20,136,'SAN FELIPE USILA')
		insert into capa_poblacion values (20,137,'SAN FRANCISCO CAHUACUA')
		insert into capa_poblacion values (20,138,'SAN FRANCISCO CAJONOS')
		insert into capa_poblacion values (20,139,'SAN FRANCISCO CHAPULAPA')
		insert into capa_poblacion values (20,140,'SAN FRANCISCO CHINDUA')
		insert into capa_poblacion values (20,141,'SAN FRANCISCO DEL MAR')
		insert into capa_poblacion values (20,142,'SAN FRANCISCO HUEHUETLAN')
		insert into capa_poblacion values (20,143,'SAN FRANCISCO IXHUATAN')
		insert into capa_poblacion values (20,144,'SAN FRANCISCO JALTEPETONGO')
		insert into capa_poblacion values (20,145,'SAN FRANCISCO LACHIGOLO')
		insert into capa_poblacion values (20,146,'SAN FRANCISCO LOGUECHE')
		insert into capa_poblacion values (20,147,'SAN FRANCISCO NUXANO')
		insert into capa_poblacion values (20,148,'SAN FRANCISCO OZOLOTEPEC')
		insert into capa_poblacion values (20,149,'SAN FRANCISCO SOLA')
		insert into capa_poblacion values (20,150,'SAN FRANCISCO TELIXTLAHUACA')
		insert into capa_poblacion values (20,151,'SAN FRANCISCO TEOPAN')
		insert into capa_poblacion values (20,152,'SAN FRANCISCO TLAPANCINGO')
		insert into capa_poblacion values (20,153,'SAN GABRIEL MIXTEPEC')
		insert into capa_poblacion values (20,154,'SAN ILDEFONSO AMATLAN')
		insert into capa_poblacion values (20,155,'SAN ILDEFONSO SOLA')
		insert into capa_poblacion values (20,156,'SAN ILDEFONSO VILLA ALTA')
		insert into capa_poblacion values (20,157,'SAN JACINTO AMILPAS')
		insert into capa_poblacion values (20,158,'SAN JACINTO TLACOTEPEC')
		insert into capa_poblacion values (20,159,'SAN JERONIMO COATLAN')
		insert into capa_poblacion values (20,160,'SAN JERONIMO SILACAYOAPILLA')
		insert into capa_poblacion values (20,161,'SAN JERONIMO SOSOLA')
		insert into capa_poblacion values (20,162,'SAN JERONIMO TAVICHE')
		insert into capa_poblacion values (20,163,'SAN JERONIMO TECOATL')
		insert into capa_poblacion values (20,164,'SAN JORGE NUCHITA')
		insert into capa_poblacion values (20,165,'SAN JOSE AYUQUILA')
		insert into capa_poblacion values (20,166,'SAN JOSE CHILTEPEC')
		insert into capa_poblacion values (20,167,'SAN JOSE DEL PENASCO')
		insert into capa_poblacion values (20,168,'SAN JOSE ESTANCIA GRANDE')
		insert into capa_poblacion values (20,169,'SAN JOSE INDEPENDENCIA')
		insert into capa_poblacion values (20,170,'SAN JOSE LACHIGUIRI')
		insert into capa_poblacion values (20,171,'SAN JOSE TENANGO')
		insert into capa_poblacion values (20,172,'SAN JUAN ACHIUTLA')
		insert into capa_poblacion values (20,173,'SAN JUAN ATEPEC')
		insert into capa_poblacion values (20,174,'ANIMAS TRUJANO')
		insert into capa_poblacion values (20,175,'SAN JUAN BAUTISTA ATATLAHUACA')
		insert into capa_poblacion values (20,176,'SAN JUAN BAUTISTA COIXTLAHUACA')
		insert into capa_poblacion values (20,177,'SAN JUAN BAUTISTA CUICATLAN')
		insert into capa_poblacion values (20,178,'SAN JUAN BAUTISTA GUELACHE')
		insert into capa_poblacion values (20,179,'SAN JUAN BAUTISTA JAYACATLAN')
		insert into capa_poblacion values (20,180,'SAN JUAN BAUTISTA LO DE SOTO')
		insert into capa_poblacion values (20,181,'SAN JUAN BAUTISTA SUCHITEPEC')
		insert into capa_poblacion values (20,182,'SAN JUAN BAUTISTA TLACOATZINTEPEC')
		insert into capa_poblacion values (20,183,'SAN JUAN BAUTISTA TLACHICHILCO')
		insert into capa_poblacion values (20,184,'SAN JUAN BAUTISTA TUXTEPEC')
		insert into capa_poblacion values (20,185,'SAN JUAN CACAHUATEPEC')
		insert into capa_poblacion values (20,186,'SAN JUAN CIENEGUILLA')
		insert into capa_poblacion values (20,187,'SAN JUAN COATZOSPAM')
		insert into capa_poblacion values (20,188,'SAN JUAN COLORADO')
		insert into capa_poblacion values (20,189,'SAN JUAN COMALTEPEC')
		insert into capa_poblacion values (20,190,'SAN JUAN COTZOCON')
		insert into capa_poblacion values (20,191,'SAN JUAN CHICOMEZUCHIL')
		insert into capa_poblacion values (20,192,'SAN JUAN CHILATECA')
		insert into capa_poblacion values (20,193,'SAN JUAN DEL ESTADO')
		insert into capa_poblacion values (20,194,'SAN JUAN DEL RIO')
		insert into capa_poblacion values (20,195,'SAN JUAN DIUXI')
		insert into capa_poblacion values (20,196,'SAN JUAN EVANGELISTA ANALCO')
		insert into capa_poblacion values (20,197,'SAN JUAN GUELAVIA')
		insert into capa_poblacion values (20,198,'SAN JUAN GUICHICOVI')
		insert into capa_poblacion values (20,199,'SAN JUAN IGUALTEPEC')
		insert into capa_poblacion values (20,200,'SAN JUAN JUQUILA MIXES')
		insert into capa_poblacion values (20,201,'SAN JUAN JUQUILA VIJANOS')
		insert into capa_poblacion values (20,202,'SAN JUAN LACHAO')
		insert into capa_poblacion values (20,203,'SAN JUAN LACHIGALLA')
		insert into capa_poblacion values (20,204,'SAN JUAN LAJARCIA')
		insert into capa_poblacion values (20,205,'SAN JUAN LALANA')
		insert into capa_poblacion values (20,206,'SAN JUAN DE LOS CUES')
		insert into capa_poblacion values (20,207,'SAN JUAN MAZATLAN')
		insert into capa_poblacion values (20,208,'SAN JUAN MIXTEPEC DISTR. 08')
		insert into capa_poblacion values (20,209,'SAN JUAN MIXTEPEC DISTR. 26')
		insert into capa_poblacion values (20,210,'SAN JUAN NUMI')
		insert into capa_poblacion values (20,211,'SAN JUAN OZOLOTEPEC')
		insert into capa_poblacion values (20,212,'SAN JUAN PETLAPA')
		insert into capa_poblacion values (20,213,'SAN JUAN QUIAHIJE')
		insert into capa_poblacion values (20,214,'SAN JUAN QUIOTEPEC')
		insert into capa_poblacion values (20,215,'SAN JUAN SAYULTEPEC')
		insert into capa_poblacion values (20,216,'SAN JUAN TABAA')
		insert into capa_poblacion values (20,217,'SAN JUAN TAMAZOLA')
		insert into capa_poblacion values (20,218,'SAN JUAN TEITA')
		insert into capa_poblacion values (20,219,'SAN JUAN TEITIPAC')
		insert into capa_poblacion values (20,220,'SAN JUAN TEPEUXILA')
		insert into capa_poblacion values (20,221,'SAN JUAN TEPOSCOLULA')
		insert into capa_poblacion values (20,222,'SAN JUAN YAEE')
		insert into capa_poblacion values (20,223,'SAN JUAN YATZONA')
		insert into capa_poblacion values (20,224,'SAN JUAN YUCUITA')
		insert into capa_poblacion values (20,225,'SAN LORENZO')
		insert into capa_poblacion values (20,226,'SAN LORENZO ALBARRADAS')
		insert into capa_poblacion values (20,227,'SAN LORENZO CACAOTEPEC')
		insert into capa_poblacion values (20,228,'SAN LORENZO CUAUNECUILTITLA')
		insert into capa_poblacion values (20,229,'SAN LORENZO TEXMELUCAN')
		insert into capa_poblacion values (20,230,'SAN LORENZO VICTORIA')
		insert into capa_poblacion values (20,231,'SAN LUCAS CAMOTLAN')
		insert into capa_poblacion values (20,232,'SAN LUCAS OJITLAN')
		insert into capa_poblacion values (20,233,'SAN LUCAS QUIAVINI')
		insert into capa_poblacion values (20,234,'SAN LUCAS ZOQUIAPAM')
		insert into capa_poblacion values (20,235,'SAN LUIS AMATLAN')
		insert into capa_poblacion values (20,236,'SAN MARCIAL OZOLOTEPEC')
		insert into capa_poblacion values (20,237,'SAN MARCOS ARTEAGA')
		insert into capa_poblacion values (20,238,'SAN MARTIN DE LOS CANSECOS')
		insert into capa_poblacion values (20,239,'SAN MARTIN HUAMELULPAM')
		insert into capa_poblacion values (20,240,'SAN MARTIN ITUNYOSO')
		insert into capa_poblacion values (20,241,'SAN MARTIN LACHILA')
		insert into capa_poblacion values (20,242,'SAN MARTIN PERAS')
		insert into capa_poblacion values (20,243,'SAN MARTIN TILCAJETE')
		insert into capa_poblacion values (20,244,'SAN MARTIN TOXPALAN')
		insert into capa_poblacion values (20,245,'SAN MARTIN ZACATEPEC')
		insert into capa_poblacion values (20,246,'SAN MATEO CAJONOS')
		insert into capa_poblacion values (20,247,'CAPULALPAM DE MENDEZ')
		insert into capa_poblacion values (20,248,'SAN MATEO DEL MAR')
		insert into capa_poblacion values (20,249,'SAN MATEO YOLOXOCHITLAN')
		insert into capa_poblacion values (20,250,'SAN MATEO ETLATONGO')
		insert into capa_poblacion values (20,251,'SAN MATEO NEJAPAN')
		insert into capa_poblacion values (20,252,'SAN MATEO PENASCO')
		insert into capa_poblacion values (20,253,'SAN MATEO PINAS')
		insert into capa_poblacion values (20,254,'SAN MATEO RIO HONDO')
		insert into capa_poblacion values (20,255,'SAN MATEO SINDIHUI')
		insert into capa_poblacion values (20,256,'SAN MATEO TLAPILTEPEC')
		insert into capa_poblacion values (20,257,'SAN MELCHOR BETAZA')
		insert into capa_poblacion values (20,258,'SAN MIGUEL ACHIUTLA')
		insert into capa_poblacion values (20,259,'SAN MIGUEL AHUEHUETITLAN')
		insert into capa_poblacion values (20,260,'SAN MIGUEL ALOAPAM')
		insert into capa_poblacion values (20,261,'SAN MIGUEL AMATITLAN')
		insert into capa_poblacion values (20,262,'SAN MIGUEL AMATLAN')
		insert into capa_poblacion values (20,263,'SAN MIGUEL COATLAN')
		insert into capa_poblacion values (20,264,'SAN MIGUEL CHICAHUA')
		insert into capa_poblacion values (20,265,'SAN MIGUEL CHIMALAPA')
		insert into capa_poblacion values (20,266,'SAN MIGUEL DEL PUERTO')
		insert into capa_poblacion values (20,267,'SAN MIGUEL DEL RIO')
		insert into capa_poblacion values (20,268,'SAN MIGUEL EJUTLA')
		insert into capa_poblacion values (20,269,'SAN MIGUEL EL GRANDE')
		insert into capa_poblacion values (20,270,'SAN MIGUEL HUAUTLA')
		insert into capa_poblacion values (20,271,'SAN MIGUEL MIXTEPEC')
		insert into capa_poblacion values (20,272,'SAN MIGUEL PANIXTLAHUACA')
		insert into capa_poblacion values (20,273,'SAN MIGUEL PERAS')
		insert into capa_poblacion values (20,274,'SAN MIGUEL PIEDRAS')
		insert into capa_poblacion values (20,275,'SAN MIGUEL QUETZALTEPEC')
		insert into capa_poblacion values (20,276,'SAN MIGUEL SANTA FLOR')
		insert into capa_poblacion values (20,277,'VILLA SOLA DE VEGA')
		insert into capa_poblacion values (20,278,'SAN MIGUEL SOYALTEPEC')
		insert into capa_poblacion values (20,279,'SAN MIGUEL SUCHIXTEPEC')
		insert into capa_poblacion values (20,280,'VILLA TALEA DE CASTRO')
		insert into capa_poblacion values (20,281,'SAN MIGUEL TECOMATLAN')
		insert into capa_poblacion values (20,282,'SAN MIGUEL TENANGO')
		insert into capa_poblacion values (20,283,'SAN MIGUEL TEQUIXTEPEC')
		insert into capa_poblacion values (20,284,'SAN MIGUEL TILQUIAPAM')
		insert into capa_poblacion values (20,285,'SAN MIGUEL TLACAMAMA')
		insert into capa_poblacion values (20,286,'SAN MIGUEL TLACOTEPEC')
		insert into capa_poblacion values (20,287,'SAN MIGUEL TULANCINGO')
		insert into capa_poblacion values (20,288,'SAN MIGUEL YOTAO')
		insert into capa_poblacion values (20,289,'SAN NICOLAS')
		insert into capa_poblacion values (20,290,'SAN NICOLAS HIDALGO')
		insert into capa_poblacion values (20,291,'SAN PABLO COATLAN')
		insert into capa_poblacion values (20,292,'SAN PABLO CUATRO VENADOS')
		insert into capa_poblacion values (20,293,'SAN PABLO ETLA')
		insert into capa_poblacion values (20,294,'SAN PABLO HUITZO')
		insert into capa_poblacion values (20,295,'SAN PABLO HUIXTEPEC')
		insert into capa_poblacion values (20,296,'SAN PABLO MACUILTIANGUIS')
		insert into capa_poblacion values (20,297,'SAN PABLO TIJALTEPEC')
		insert into capa_poblacion values (20,298,'SAN PABLO VILLA DE MITLA')
		insert into capa_poblacion values (20,299,'SAN PABLO YAGANIZA')
		insert into capa_poblacion values (20,300,'SAN PEDRO AMUZGOS')
		insert into capa_poblacion values (20,301,'SAN PEDRO APOSTOL')
		insert into capa_poblacion values (20,302,'SAN PEDRO ATOYAC')
		insert into capa_poblacion values (20,303,'SAN PEDRO CAJONOS')
		insert into capa_poblacion values (20,304,'SAN PEDRO CANTAROS')
		insert into capa_poblacion values (20,305,'SAN PEDRO COMITANCILLO')
		insert into capa_poblacion values (20,306,'SAN PEDRO EL ALTO')
		insert into capa_poblacion values (20,307,'SAN PEDRO HUAMELULA')
		insert into capa_poblacion values (20,308,'SAN PEDRO HILOTEPEC')
		insert into capa_poblacion values (20,309,'SAN PEDRO IXCATLAN')
		insert into capa_poblacion values (20,310,'SAN PEDRO IXTLAHUACA')
		insert into capa_poblacion values (20,311,'SAN PEDRO JALTEPETONGO')
		insert into capa_poblacion values (20,312,'SAN PEDRO JICAYAN')
		insert into capa_poblacion values (20,313,'SAN PEDRO JOCOTIPAC')
		insert into capa_poblacion values (20,314,'SAN PEDRO JUCHATENGO')
		insert into capa_poblacion values (20,315,'SAN PEDRO MARTIR')
		insert into capa_poblacion values (20,316,'SAN PEDRO MARTIR QUIECHAPA')
		insert into capa_poblacion values (20,317,'SAN PEDRO MARTIR YUCUXACO')
		insert into capa_poblacion values (20,318,'SAN PEDRO MIXTEPEC DISTR. 22')
		insert into capa_poblacion values (20,319,'SAN PEDRO MIXTEPEC DISTR. 26')
		insert into capa_poblacion values (20,320,'SAN PEDRO MOLINOS')
		insert into capa_poblacion values (20,321,'SAN PEDRO NOPALA')
		insert into capa_poblacion values (20,322,'SAN PEDRO OCOPETATILLO')
		insert into capa_poblacion values (20,323,'SAN PEDRO OCOTEPEC')
		insert into capa_poblacion values (20,324,'SAN PEDRO POCHUTLA')
		insert into capa_poblacion values (20,325,'SAN PEDRO QUIATONI')
		insert into capa_poblacion values (20,326,'SAN PEDRO SOCHIAPAM')
		insert into capa_poblacion values (20,327,'SAN PEDRO TAPANATEPEC')
		insert into capa_poblacion values (20,328,'SAN PEDRO TAVICHE')
		insert into capa_poblacion values (20,329,'SAN PEDRO TEOZACOALCO')
		insert into capa_poblacion values (20,330,'SAN PEDRO TEUTILA')
		insert into capa_poblacion values (20,331,'SAN PEDRO TIDAA')
		insert into capa_poblacion values (20,332,'SAN PEDRO TOPILTEPEC')
		insert into capa_poblacion values (20,333,'SAN PEDRO TOTOLAPA')
		insert into capa_poblacion values (20,334,'VILLA DE TUTUTEPEC DE MELCHOR OCAMPO')
		insert into capa_poblacion values (20,335,'SAN PEDRO YANERI')
		insert into capa_poblacion values (20,336,'SAN PEDRO YOLOX')
		insert into capa_poblacion values (20,337,'SAN PEDRO Y SAN PABLO AYUTLA')
		insert into capa_poblacion values (20,338,'VILLA DE ETLA')
		insert into capa_poblacion values (20,339,'SAN PEDRO Y SAN PABLO TEPOSCOLULA')
		insert into capa_poblacion values (20,340,'SAN PEDRO Y SAN PABLO TEQUIXTEPEC')
		insert into capa_poblacion values (20,341,'SAN PEDRO YUCUNAMA')
		insert into capa_poblacion values (20,342,'SAN RAYMUNDO JALPAN')
		insert into capa_poblacion values (20,343,'SAN SEBASTIAN ABASOLO')
		insert into capa_poblacion values (20,344,'SAN SEBASTIAN COATLAN')
		insert into capa_poblacion values (20,345,'SAN SEBASTIAN IXCAPA')
		insert into capa_poblacion values (20,346,'SAN SEBASTIAN NICANANDUTA')
		insert into capa_poblacion values (20,347,'SAN SEBASTIAN RIO HONDO')
		insert into capa_poblacion values (20,348,'SAN SEBASTIAN TECOMAXTLAHUACA')
		insert into capa_poblacion values (20,349,'SAN SEBASTIAN TEITIPAC')
		insert into capa_poblacion values (20,350,'SAN SEBASTIAN TUTLA')
		insert into capa_poblacion values (20,351,'SAN SIMON ALMOLONGAS')
		insert into capa_poblacion values (20,352,'SAN SIMON ZAHUATLAN')
		insert into capa_poblacion values (20,353,'SANTA ANA')
		insert into capa_poblacion values (20,354,'SANTA ANA ATEIXTLAHUACA')
		insert into capa_poblacion values (20,355,'SANTA ANA CUAUHTEMOC')
		insert into capa_poblacion values (20,356,'SANTA ANA DEL VALLE')
		insert into capa_poblacion values (20,357,'SANTA ANA TAVELA')
		insert into capa_poblacion values (20,358,'SANTA ANA TLAPACOYAN')
		insert into capa_poblacion values (20,359,'SANTA ANA YARENI')
		insert into capa_poblacion values (20,360,'SANTA ANA ZEGACHE')
		insert into capa_poblacion values (20,361,'SANTA CATALINA QUIERI')
		insert into capa_poblacion values (20,362,'SANTA CATARINA CUIXTLA')
		insert into capa_poblacion values (20,363,'SANTA CATARINA IXTEPEJI')
		insert into capa_poblacion values (20,364,'SANTA CATARINA JUQUILA')
		insert into capa_poblacion values (20,365,'SANTA CATARINA LACHATAO')
		insert into capa_poblacion values (20,366,'SANTA CATARINA LOXICHA')
		insert into capa_poblacion values (20,367,'SANTA CATARINA MECHOACAN')
		insert into capa_poblacion values (20,368,'SANTA CATARINA MINAS')
		insert into capa_poblacion values (20,369,'SANTA CATARINA QUIANE')
		insert into capa_poblacion values (20,370,'SANTA CATARINA TAYATA')
		insert into capa_poblacion values (20,371,'SANTA CATARINA TICUA')
		insert into capa_poblacion values (20,372,'SANTA CATARINA YOSONOTU')
		insert into capa_poblacion values (20,373,'SANTA CATARINA ZAPOQUILA')
		insert into capa_poblacion values (20,374,'SANTA CRUZ ACATEPEC')
		insert into capa_poblacion values (20,375,'SANTA CRUZ AMILPAS')
		insert into capa_poblacion values (20,376,'SANTA CRUZ DE BRAVO')
		insert into capa_poblacion values (20,377,'SANTA CRUZ ITUNDUJIA')
		insert into capa_poblacion values (20,378,'SANTA CRUZ MIXTEPEC')
		insert into capa_poblacion values (20,379,'SANTA CRUZ NUNDACO')
		insert into capa_poblacion values (20,380,'SANTA CRUZ PAPALUTLA')
		insert into capa_poblacion values (20,381,'SANTA CRUZ TACACHE DE MINA')
		insert into capa_poblacion values (20,382,'SANTA CRUZ TACAHUA')
		insert into capa_poblacion values (20,383,'SANTA CRUZ TAYATA')
		insert into capa_poblacion values (20,384,'SANTA CRUZ XITLA')
		insert into capa_poblacion values (20,385,'SANTA CRUZ XOXOCOTLAN')
		insert into capa_poblacion values (20,386,'SANTA CRUZ ZENZONTEPEC')
		insert into capa_poblacion values (20,387,'SANTA GERTRUDIS')
		insert into capa_poblacion values (20,388,'SANTA INES DEL MONTE')
		insert into capa_poblacion values (20,389,'SANTA INES YATZECHE')
		insert into capa_poblacion values (20,390,'SANTA LUCIA DEL CAMINO')
		insert into capa_poblacion values (20,391,'SANTA LUCIA MIAHUATLAN')
		insert into capa_poblacion values (20,392,'SANTA LUCIA MONTEVERDE')
		insert into capa_poblacion values (20,393,'SANTA LUCIA OCOTLAN')
		insert into capa_poblacion values (20,394,'SANTA MARIA ALOTEPEC')
		insert into capa_poblacion values (20,395,'SANTA MARIA APAZCO')
		insert into capa_poblacion values (20,396,'SANTA MARIA LA ASUNCION')
		insert into capa_poblacion values (20,397,'HEROICA CIUDAD DE TLAXIACO')
		insert into capa_poblacion values (20,398,'AYOQUEZCO DE ALDAMA')
		insert into capa_poblacion values (20,399,'SANTA MARIA ATZOMPA')
		insert into capa_poblacion values (20,400,'SANTA MARIA CAMOTLAN')
		insert into capa_poblacion values (20,401,'SANTA MARIA COLOTEPEC')
		insert into capa_poblacion values (20,402,'SANTA MARIA CORTIJO')
		insert into capa_poblacion values (20,403,'SANTA MARIA COYOTEPEC')
		insert into capa_poblacion values (20,404,'SANTA MARIA CHACHOAPAM')
		insert into capa_poblacion values (20,405,'VILLA DE CHILAPA DE DIAZ')
		insert into capa_poblacion values (20,406,'SANTA MARIA CHILCHOTLA')
		insert into capa_poblacion values (20,407,'SANTA MARIA CHIMALAPA')
		insert into capa_poblacion values (20,408,'SANTA MARIA DEL ROSARIO')
		insert into capa_poblacion values (20,409,'SANTA MARIA DEL TULE')
		insert into capa_poblacion values (20,410,'SANTA MARIA ECATEPEC')
		insert into capa_poblacion values (20,411,'SANTA MARIA GUELACE')
		insert into capa_poblacion values (20,412,'SANTA MARIA GUIENAGATI')
		insert into capa_poblacion values (20,413,'SANTA MARIA HUATULCO')
		insert into capa_poblacion values (20,414,'SANTA MARIA HUAZOLOTITLAN')
		insert into capa_poblacion values (20,415,'SANTA MARIA IPALAPA')
		insert into capa_poblacion values (20,416,'SANTA MARIA IXCATLAN')
		insert into capa_poblacion values (20,417,'SANTA MARIA JACATEPEC')
		insert into capa_poblacion values (20,418,'SANTA MARIA JALAPA DEL MARQUES')
		insert into capa_poblacion values (20,419,'SANTA MARIA JALTIANGUIS')
		insert into capa_poblacion values (20,420,'SANTA MARIA LACHIXIO')
		insert into capa_poblacion values (20,421,'SANTA MARIA MIXTEQUILLA')
		insert into capa_poblacion values (20,422,'SANTA MARIA NATIVITAS')
		insert into capa_poblacion values (20,423,'SANTA MARIA NDUAYACO')
		insert into capa_poblacion values (20,424,'SANTA MARIA OZOLOTEPEC')
		insert into capa_poblacion values (20,425,'SANTA MARIA PAPALO')
		insert into capa_poblacion values (20,426,'SANTA MARIA PENOLES')
		insert into capa_poblacion values (20,427,'SANTA MARIA PETAPA')
		insert into capa_poblacion values (20,428,'SANTA MARIA QUIEGOLANI')
		insert into capa_poblacion values (20,429,'SANTA MARIA SOLA')
		insert into capa_poblacion values (20,430,'SANTA MARIA TATALTEPEC')
		insert into capa_poblacion values (20,431,'SANTA MARIA TECOMAVACA')
		insert into capa_poblacion values (20,432,'SANTA MARIA TEMAXCALAPA')
		insert into capa_poblacion values (20,433,'SANTA MARIA TEMAXCALTEPEC')
		insert into capa_poblacion values (20,434,'SANTA MARIA TEOPOXCO')
		insert into capa_poblacion values (20,435,'SANTA MARIA TEPANTLALI')
		insert into capa_poblacion values (20,436,'SANTA MARIA TEXCATITLAN')
		insert into capa_poblacion values (20,437,'SANTA MARIA TLAHUITOLTEPEC')
		insert into capa_poblacion values (20,438,'SANTA MARIA TLALIXTAC')
		insert into capa_poblacion values (20,439,'SANTA MARIA TONAMECA')
		insert into capa_poblacion values (20,440,'SANTA MARIA TOTOLAPILLA')
		insert into capa_poblacion values (20,441,'SANTA MARIA XADANI')
		insert into capa_poblacion values (20,442,'SANTA MARIA YALINA')
		insert into capa_poblacion values (20,443,'SANTA MARIA YAVESIA')
		insert into capa_poblacion values (20,444,'SANTA MARIA YOLOTEPEC')
		insert into capa_poblacion values (20,445,'SANTA MARIA YOSOYUA')
		insert into capa_poblacion values (20,446,'SANTA MARIA YUCUHITI')
		insert into capa_poblacion values (20,447,'SANTA MARIA ZACATEPEC')
		insert into capa_poblacion values (20,448,'SANTA MARIA ZANIZA')
		insert into capa_poblacion values (20,449,'SANTA MARIA ZOQUITLAN')
		insert into capa_poblacion values (20,450,'SANTIAGO AMOLTEPEC')
		insert into capa_poblacion values (20,451,'SANTIAGO APOALA')
		insert into capa_poblacion values (20,452,'SANTIAGO APOSTOL')
		insert into capa_poblacion values (20,453,'SANTIAGO ASTATA')
		insert into capa_poblacion values (20,454,'SANTIAGO ATITLAN')
		insert into capa_poblacion values (20,455,'SANTIAGO AYUQUILILLA')
		insert into capa_poblacion values (20,456,'SANTIAGO CACALOXTEPEC')
		insert into capa_poblacion values (20,457,'SANTIAGO CAMOTLAN')
		insert into capa_poblacion values (20,458,'SANTIAGO COMALTEPEC')
		insert into capa_poblacion values (20,459,'SANTIAGO CHAZUMBA')
		insert into capa_poblacion values (20,460,'SANTIAGO CHOAPAN')
		insert into capa_poblacion values (20,461,'SANTIAGO DEL RIO')
		insert into capa_poblacion values (20,462,'SANTIAGO HUAJOLOTITLAN')
		insert into capa_poblacion values (20,463,'SANTIAGO HUAUCLILLA')
		insert into capa_poblacion values (20,464,'SANTIAGO IHUITLAN PLUMAS')
		insert into capa_poblacion values (20,465,'SANTIAGO IXCUINTEPEC')
		insert into capa_poblacion values (20,466,'SANTIAGO IXTAYUTLA')
		insert into capa_poblacion values (20,467,'SANTIAGO JAMILTEPEC')
		insert into capa_poblacion values (20,468,'MESONES HIDALGO')
		insert into capa_poblacion values (20,469,'SANTIAGO JUXTLAHUACA')
		insert into capa_poblacion values (20,470,'SANTIAGO LACHIGUIRI')
		insert into capa_poblacion values (20,471,'SANTIAGO LALOPA')
		insert into capa_poblacion values (20,472,'SANTIAGO LAOLLAGA')
		insert into capa_poblacion values (20,473,'SANTIAGO LAXOPA')
		insert into capa_poblacion values (20,474,'SANTIAGO LLANO GRANDE')
		insert into capa_poblacion values (20,475,'SANTIAGO MATATLAN')
		insert into capa_poblacion values (20,476,'SANTIAGO MILTEPEC')
		insert into capa_poblacion values (20,477,'SANTIAGO MINAS')
		insert into capa_poblacion values (20,478,'SANTIAGO NACALTEPEC')
		insert into capa_poblacion values (20,479,'SANTIAGO NEJAPILLA')
		insert into capa_poblacion values (20,480,'SANTIAGO NUNDICHI')
		insert into capa_poblacion values (20,481,'SANTIAGO NUYOO')
		insert into capa_poblacion values (20,482,'SANTIAGO PINOTEPA NACIONAL')
		insert into capa_poblacion values (20,483,'SANTIAGO SUCHILQUITONGO')
		insert into capa_poblacion values (20,484,'SANTIAGO TAMAZOLA')
		insert into capa_poblacion values (20,485,'SANTIAGO TAPEXTLA')
		insert into capa_poblacion values (20,486,'SANTIAGO TEPETLAPA')
		insert into capa_poblacion values (20,487,'SANTIAGO TENANGO')
		insert into capa_poblacion values (20,488,'SANTIAGO JOCOTEPEC')
		insert into capa_poblacion values (20,489,'SANTIAGO TETEPEC')
		insert into capa_poblacion values (20,490,'SANTIAGO TEXCALCINGO')
		insert into capa_poblacion values (20,491,'SANTIAGO TEXTITLAN')
		insert into capa_poblacion values (20,492,'SANTIAGO TILANTONGO')
		insert into capa_poblacion values (20,493,'SANTIAGO TILLO')
		insert into capa_poblacion values (20,494,'SANTIAGO TLAZOYALTEPEC')
		insert into capa_poblacion values (20,495,'SANTIAGO XANICA')
		insert into capa_poblacion values (20,496,'SANTIAGO XIACUI')
		insert into capa_poblacion values (20,497,'SANTIAGO YAITEPEC')
		insert into capa_poblacion values (20,498,'SANTIAGO YAVEO')
		insert into capa_poblacion values (20,499,'SANTIAGO YOLOMECATL')
		insert into capa_poblacion values (20,500,'SANTIAGO YOSONDUA')
		insert into capa_poblacion values (20,501,'SANTIAGO YUCUYACHI')
		insert into capa_poblacion values (20,502,'SANTIAGO ZACATEPEC')
		insert into capa_poblacion values (20,503,'SANTIAGO ZOOCHILA')
		insert into capa_poblacion values (20,504,'NUEVO ZOQUIAPAM')
		insert into capa_poblacion values (20,505,'SANTO DOMINGO INGENIO')
		insert into capa_poblacion values (20,506,'SANTO DOMINGO ALBARRADAS')
		insert into capa_poblacion values (20,507,'SANTO DOMINGO ARMENTA')
		insert into capa_poblacion values (20,508,'SANTO DOMINGO CHIHUITAN')
		insert into capa_poblacion values (20,509,'SANTO DOMINGO DE 17')
		insert into capa_poblacion values (20,510,'SANTO DOMINGO IXCATLAN')
		insert into capa_poblacion values (20,511,'SANTO DOMINGO NUXAA')
		insert into capa_poblacion values (20,512,'SANTO DOMINGO OZOLOTEPEC')
		insert into capa_poblacion values (20,513,'SANTO DOMINGO PETAPA')
		insert into capa_poblacion values (20,514,'SANTO DOMINGO ROAYAGA')
		insert into capa_poblacion values (20,515,'SANTO DOMINGO TEHUANTEPEC')
		insert into capa_poblacion values (20,516,'SANTO DOMINGO TEOJOMULCO')
		insert into capa_poblacion values (20,517,'SANTO DOMINGO TEPUXTEPEC')
		insert into capa_poblacion values (20,518,'SANTO DOMINGO TLATAYAPAM')
		insert into capa_poblacion values (20,519,'SANTO DOMINGO TOMALTEPEC')
		insert into capa_poblacion values (20,520,'SANTO DOMINGO TONALA')
		insert into capa_poblacion values (20,521,'SANTO DOMINGO TONALTEPEC')
		insert into capa_poblacion values (20,522,'SANTO DOMINGO XAGACIA')
		insert into capa_poblacion values (20,523,'SANTO DOMINGO YANHUITLAN')
		insert into capa_poblacion values (20,524,'SANTO DOMINGO YODOHINO')
		insert into capa_poblacion values (20,525,'SANTO DOMINGO ZANATEPEC')
		insert into capa_poblacion values (20,526,'SANTOS REYES NOPALA')
		insert into capa_poblacion values (20,527,'SANTOS REYES PAPALO')
		insert into capa_poblacion values (20,528,'SANTOS REYES TEPEJILLO')
		insert into capa_poblacion values (20,529,'SANTOS REYES YUCUNA')
		insert into capa_poblacion values (20,530,'SANTO TOMAS JALIEZA')
		insert into capa_poblacion values (20,531,'SANTO TOMAS MAZALTEPEC')
		insert into capa_poblacion values (20,532,'SANTO TOMAS OCOTEPEC')
		insert into capa_poblacion values (20,533,'SANTO TOMAS TAMAZULAPAN')
		insert into capa_poblacion values (20,534,'SAN VICENTE COATLAN')
		insert into capa_poblacion values (20,535,'SAN VICENTE LACHIXIO')
		insert into capa_poblacion values (20,536,'SAN VICENTE NUNU')
		insert into capa_poblacion values (20,537,'SILACAYOAPAN')
		insert into capa_poblacion values (20,538,'SITIO DE XITLAPEHUA')
		insert into capa_poblacion values (20,539,'SOLEDAD ETLA')
		insert into capa_poblacion values (20,540,'VILLA DE TAMAZULAPAN DEL PROGRESO')
		insert into capa_poblacion values (20,541,'TENETZE DE ZARAGOZA')
		insert into capa_poblacion values (20,542,'TANICHE')
		insert into capa_poblacion values (20,543,'TATALTEPEC DE VALDES')
		insert into capa_poblacion values (20,544,'TEOCOCUILCO DE MARCOS PEREZ')
		insert into capa_poblacion values (20,545,'TEOTITLAN DE FLORES MAGON')
		insert into capa_poblacion values (20,546,'TEOTITLAN DEL VALLE')
		insert into capa_poblacion values (20,547,'TEOTONGO')
		insert into capa_poblacion values (20,548,'TEPELMEME VILLA DE MORELOS')
		insert into capa_poblacion values (20,549,'TEZOATLAN DE SEGURA Y LUNA')
		insert into capa_poblacion values (20,550,'SAN JERONIMO TLACOCHAHUAYA')
		insert into capa_poblacion values (20,551,'TLACOLULA DE MATAMOROS')
		insert into capa_poblacion values (20,552,'TLACOTEPEC PLUMAS')
		insert into capa_poblacion values (20,553,'TLALIXTAC DE CABRERA')
		insert into capa_poblacion values (20,554,'TOTONTEPEC VILLA DE MORELOS')
		insert into capa_poblacion values (20,555,'TRINIDAD ZAACHILA')
		insert into capa_poblacion values (20,556,'LA TRINIDAD VISTA HERNOSA')
		insert into capa_poblacion values (20,557,'VILLA TEJUPAM DE LA UNION')
		insert into capa_poblacion values (20,558,'VALERIO TRUJANO')
		insert into capa_poblacion values (20,559,'SAN JUAN BAUTISTA VALLE NACIONAL')
		insert into capa_poblacion values (20,560,'VILLA DIAZ ORDAZ')
		insert into capa_poblacion values (20,561,'YAXE')
		insert into capa_poblacion values (20,562,'MAGDALENA YODOCONO DE PORFIRIO DIAZ')
		insert into capa_poblacion values (20,563,'YOGANA')
		insert into capa_poblacion values (20,564,'YUTANDUCHI DE GUERRERO')
		insert into capa_poblacion values (20,565,'VILLA DE ZAACHILA')
		insert into capa_poblacion values (20,566,'ZAPOTITLAN DEL RIO')
		insert into capa_poblacion values (20,567,'ZAPOTITLAN LAGUNAS')
		insert into capa_poblacion values (20,568,'ZAPOTITLAN PALMAS')
		insert into capa_poblacion values (20,569,'SANTA INES DE ZARAGOZA')
		insert into capa_poblacion values (20,570,'ZIMATLAN DE ALVAREZ')
		insert into capa_poblacion values (21,1,'ACAJETE')
		insert into capa_poblacion values (21,2,'SAN JOSE ACATENO')
		insert into capa_poblacion values (21,3,'ACATLAN DE OSORIO')
		insert into capa_poblacion values (21,4,'ACATZINGO DE HIDALGO')
		insert into capa_poblacion values (21,5,'ACTEOPAN')
		insert into capa_poblacion values (21,6,'AHUACATLAN')
		insert into capa_poblacion values (21,7,'AHUATLAN')
		insert into capa_poblacion values (21,8,'AHUAZOTEPEC')
		insert into capa_poblacion values (21,9,'AHUEHUETITLA')
		insert into capa_poblacion values (21,10,'AJALPAN')
		insert into capa_poblacion values (21,11,'ACAXTLAHUACAN DE ALBINO ZERTUCHE')
		insert into capa_poblacion values (21,12,'ALJOJUCA')
		insert into capa_poblacion values (21,13,'ALTEPEXI')
		insert into capa_poblacion values (21,14,'AMIXTLAN')
		insert into capa_poblacion values (21,15,'AMOZOC DE MOTA')
		insert into capa_poblacion values (21,16,'AQUIXTLA')
		insert into capa_poblacion values (21,17,'ATEMPAN')
		insert into capa_poblacion values (21,18,'SAN MARTIN ATEXCAL')
		insert into capa_poblacion values (21,19,'ATLIXCO')
		insert into capa_poblacion values (21,20,'ATOYATEMPAN')
		insert into capa_poblacion values (21,21,'ATZALA')
		insert into capa_poblacion values (21,22,'SANTIAGO ATZITZIHUACAN')
		insert into capa_poblacion values (21,23,'ATZITZINTLA')
		insert into capa_poblacion values (21,24,'AXUTLA')
		insert into capa_poblacion values (21,25,'AYOTOXCO DE GUERRERO')
		insert into capa_poblacion values (21,26,'SAN ANDRES CALPAN')
		insert into capa_poblacion values (21,27,'CALTEPEC')
		insert into capa_poblacion values (21,28,'CAMOCUAUTLA')
		insert into capa_poblacion values (21,29,'CAXHUACAN')
		insert into capa_poblacion values (21,30,'COATEPEC')
		insert into capa_poblacion values (21,31,'COATZINGO')
		insert into capa_poblacion values (21,32,'SANTA MARIA COHETZALA')
		insert into capa_poblacion values (21,33,'COHUECAN')
		insert into capa_poblacion values (21,34,'SANTA MARIA CORONANGO')
		insert into capa_poblacion values (21,35,'COXCATLAN')
		insert into capa_poblacion values (21,36,'SANTA MARIA COYOMEAPAN')
		insert into capa_poblacion values (21,37,'SAN VICENTE COYOTEPEC')
		insert into capa_poblacion values (21,38,'CUAPIAXTLA DE MADERO')
		insert into capa_poblacion values (21,39,'SAN ESTEBAN CUAUTEMPAN')
		insert into capa_poblacion values (21,40,'CUAUTINCHAN')
		insert into capa_poblacion values (21,41,'SAN JUAN CUAUTLANCINGO')
		insert into capa_poblacion values (21,42,'SAN PEDRO CUAYUCA')
		insert into capa_poblacion values (21,43,'CUETZALAN DEL PROGRESO')
		insert into capa_poblacion values (21,44,'CUYOACO')
		insert into capa_poblacion values (21,45,'CHALCHICOMULA DE SESMA')
		insert into capa_poblacion values (21,46,'CHAPULCO')
		insert into capa_poblacion values (21,47,'CHIAUTLA DE TAPIA')
		insert into capa_poblacion values (21,48,'SAN LORENZO CHIAUTZINGO')
		insert into capa_poblacion values (21,49,'CHICONCUAUTLA')
		insert into capa_poblacion values (21,50,'CHICHIQUILA')
		insert into capa_poblacion values (21,51,'CHIETLA')
		insert into capa_poblacion values (21,52,'CHIGMECATITLAN')
		insert into capa_poblacion values (21,53,'CHIGNAHUAPAN')
		insert into capa_poblacion values (21,54,'CHIGNAUTLA')
		insert into capa_poblacion values (21,55,'CHILA')
		insert into capa_poblacion values (21,56,'CHILA DE LA SAL')
		insert into capa_poblacion values (21,57,'HONEY')
		insert into capa_poblacion values (21,58,'CHILCHOTLA')
		insert into capa_poblacion values (21,59,'CHINANTLA')
		insert into capa_poblacion values (21,60,'DOMINGO ARENAS')
		insert into capa_poblacion values (21,61,'ELOXOCHITLAN')
		insert into capa_poblacion values (21,62,'SAN JUAN EPATLAN')
		insert into capa_poblacion values (21,63,'ESPERANZA')
		insert into capa_poblacion values (21,64,'FRANCISCO Z. MENA')
		insert into capa_poblacion values (21,65,'GENERAL FELIPE ANGELES')
		insert into capa_poblacion values (21,66,'GUADALUPE')
		insert into capa_poblacion values (21,67,'GUADALUPE VICTORIA')
		insert into capa_poblacion values (21,68,'HERMENEGILDO GALEANA')
		insert into capa_poblacion values (21,69,'HUAQUECHULA')
		insert into capa_poblacion values (21,70,'HUATLATLAUCA')
		insert into capa_poblacion values (21,71,'HUACHINANGO')
		insert into capa_poblacion values (21,72,'HUEHUETLA')
		insert into capa_poblacion values (21,73,'HUEHUETLAN EL CHICO')
		insert into capa_poblacion values (21,74,'HUEJOTZINGO')
		insert into capa_poblacion values (21,75,'HUEYAPAN')
		insert into capa_poblacion values (21,76,'HUEYTAMALCO')
		insert into capa_poblacion values (21,77,'HUEYTLALPAN')
		insert into capa_poblacion values (21,78,'HUTZILAN')
		insert into capa_poblacion values (21,79,'SANTA CLARA HUITZILTEPEC')
		insert into capa_poblacion values (21,80,'IGNACIO ALLENDE')
		insert into capa_poblacion values (21,81,'IXCAMILPA DE GUERRERO')
		insert into capa_poblacion values (21,82,'SAN JUAN IXCAQUIXTLA')
		insert into capa_poblacion values (21,83,'IXTACAMAXTITLAN')
		insert into capa_poblacion values (21,84,'IXTEPEC')
		insert into capa_poblacion values (21,85,'IZUCAR DE MATAMOROS')
		insert into capa_poblacion values (21,86,'JALPAN')
		insert into capa_poblacion values (21,87,'JOLALPAN')
		insert into capa_poblacion values (21,88,'JONOTLAN')
		insert into capa_poblacion values (21,89,'JOPALA')
		insert into capa_poblacion values (21,90,'JUAN C. BONILLA')
		insert into capa_poblacion values (21,91,'JUAN GALINDO')
		insert into capa_poblacion values (21,92,'JUAN N. MENDEZ')
		insert into capa_poblacion values (21,93,'LAFRAGUA')
		insert into capa_poblacion values (21,94,'LIBRES')
		insert into capa_poblacion values (21,95,'LA MAGDALENA TLATLAQUITEPEC')
		insert into capa_poblacion values (21,96,'MAZAPILTEPEC DE JUAREZ')
		insert into capa_poblacion values (21,97,'SAN FRANCISCO MIXTLA')
		insert into capa_poblacion values (21,98,'MOLCAXAC')
		insert into capa_poblacion values (21,99,'MORELOS CANADA')
		insert into capa_poblacion values (21,100,'NAUPAN')
		insert into capa_poblacion values (21,101,'NAUZONTLA')
		insert into capa_poblacion values (21,102,'SAN BUENAVENTURA NEALTICAN')
		insert into capa_poblacion values (21,103,'NICOLAS BRAVO')
		insert into capa_poblacion values (21,104,'NOPALUCAN DE LA GRANJA')
		insert into capa_poblacion values (21,105,'OCOTEPEC')
		insert into capa_poblacion values (21,106,'SANTA CLARA OCOYUCAN')
		insert into capa_poblacion values (21,107,'OLINTLA')
		insert into capa_poblacion values (21,108,'ORIENTAL')
		insert into capa_poblacion values (21,109,'PAHUATLAN DE VALLE')
		insert into capa_poblacion values (21,110,'PALMAR DE BRAVO')
		insert into capa_poblacion values (21,111,'PANTEPEC')
		insert into capa_poblacion values (21,112,'PETLALCINGO')
		insert into capa_poblacion values (21,113,'PIAXTLA')
		insert into capa_poblacion values (21,114,'HEROICA PUEBLA DE ZARAGOZA')
		insert into capa_poblacion values (21,115,'QUECHOLAC')
		insert into capa_poblacion values (21,116,'QUIMIXTLAN')
		insert into capa_poblacion values (21,117,'RAFAEL LARA GRAJALES')
		insert into capa_poblacion values (21,118,'LOS REYES DE JUAREZ')
		insert into capa_poblacion values (21,119,'SAN ANDRES CHOLULA')
		insert into capa_poblacion values (21,120,'SAN ANTONIO CANADA')
		insert into capa_poblacion values (21,121,'TOCHIMILTZINGO')
		insert into capa_poblacion values (21,122,'SAN FELIPE TEOTLALCINGO')
		insert into capa_poblacion values (21,123,'SAN FELIPE TEPATLAN')
		insert into capa_poblacion values (21,124,'SAN GABRIEL CHILAC')
		insert into capa_poblacion values (21,125,'SAN GREGORIO ATZOMPA')
		insert into capa_poblacion values (21,126,'SAN JERONIMO TECUANIPAN')
		insert into capa_poblacion values (21,127,'SAN JERONIMO XAYACATLAN')
		insert into capa_poblacion values (21,128,'SAN JOSE CHIAPA')
		insert into capa_poblacion values (21,129,'SAN JOSE MIAHUATLAN')
		insert into capa_poblacion values (21,130,'SAN JUAN ATENCO')
		insert into capa_poblacion values (21,131,'SAN JUAN ATZOMPA')
		insert into capa_poblacion values (21,132,'SAN MARTIN TEXMELUCAN DE LA BASTIDA')
		insert into capa_poblacion values (21,133,'SAN MARTIN TOTOLTEPEC')
		insert into capa_poblacion values (21,134,'SAN MATIAS TLALANCALECA')
		insert into capa_poblacion values (21,135,'SAN MIGUEL IXITLAN')
		insert into capa_poblacion values (21,136,'SAN MIGUEL XOXTLA')
		insert into capa_poblacion values (21,137,'SAN NICOLAS DE B. AIRES')
		insert into capa_poblacion values (21,138,'SAN NICOLAS LOS RANCHOS')
		insert into capa_poblacion values (21,139,'SAN PABLO AMICANO')
		insert into capa_poblacion values (21,140,'CHOLULA DE RIVADABIA')
		insert into capa_poblacion values (21,141,'SAN PEDRO YELOIXTLAHUACAN')
		insert into capa_poblacion values (21,142,'SAN SALVADOR EL SECO')
		insert into capa_poblacion values (21,143,'SAN SALVADOR EL VERDE')
		insert into capa_poblacion values (21,144,'SAN SALVADOR HUIXCOLOTLA')
		insert into capa_poblacion values (21,145,'TLACOTEPEC DE DIAZ')
		insert into capa_poblacion values (21,146,'SANTA CATARINA TLALTEMPAN')
		insert into capa_poblacion values (21,147,'SANTA INES AHUATEMPAN')
		insert into capa_poblacion values (21,148,'SANTA ISABEL CHOLULA')
		insert into capa_poblacion values (21,149,'SANTIAGO MIAHUATLAN')
		insert into capa_poblacion values (21,150,'HUEHUETLAN EL GRANDE')
		insert into capa_poblacion values (21,151,'SANTO TOMAS HUEYOTLIPAN')
		insert into capa_poblacion values (21,152,'SOLTEPEC')
		insert into capa_poblacion values (21,153,'TECALI DE HERRERA')
		insert into capa_poblacion values (21,154,'TECAMACHALCO')
		insert into capa_poblacion values (21,155,'TECOMATLAN')
		insert into capa_poblacion values (21,156,'TEHUACAN')
		insert into capa_poblacion values (21,157,'TEHUITZINGO')
		insert into capa_poblacion values (21,158,'TENAMPULCO')
		insert into capa_poblacion values (21,159,'TEOPANTLAN')
		insert into capa_poblacion values (21,160,'TEOTLALCO')
		insert into capa_poblacion values (21,161,'TEPANCO DE LOPEZ')
		insert into capa_poblacion values (21,162,'TEPANGO DE RODRIGUEZ')
		insert into capa_poblacion values (21,163,'TEPATLAXCO DE HIDALGO')
		insert into capa_poblacion values (21,164,'TEPEACA')
		insert into capa_poblacion values (21,165,'SAN FELIPE TEPEMAXALCO')
		insert into capa_poblacion values (21,166,'TEPEOJUMA')
		insert into capa_poblacion values (21,167,'TEPETZINTLA')
		insert into capa_poblacion values (21,168,'TEPEXCO')
		insert into capa_poblacion values (21,169,'TEPEXI DE RODRIGUEZ')
		insert into capa_poblacion values (21,170,'TEPEYAHUALCO')
		insert into capa_poblacion values (21,171,'TEPEYAHUALCO CUAUHTEMOC')
		insert into capa_poblacion values (21,172,'TETELA DE OCAMPO')
		insert into capa_poblacion values (21,173,'TETELES DE AVILA CASTILLO')
		insert into capa_poblacion values (21,174,'TEZIUTLAN')
		insert into capa_poblacion values (21,175,'TIANGUISMANALCO')
		insert into capa_poblacion values (21,176,'TILAPA')
		insert into capa_poblacion values (21,177,'TLACOTEPEC DE BENITO JUAREZ')
		insert into capa_poblacion values (21,178,'TLACUILOTEPEC')
		insert into capa_poblacion values (21,179,'TLACHICHUCA')
		insert into capa_poblacion values (21,180,'SANTA RITA TLAHUAPAN')
		insert into capa_poblacion values (21,181,'TLALTENANGO')
		insert into capa_poblacion values (21,182,'TLALNEPANTLA')
		insert into capa_poblacion values (21,183,'TLAOLA')
		insert into capa_poblacion values (21,184,'TLAPACOYA')
		insert into capa_poblacion values (21,185,'TLAPANALA')
		insert into capa_poblacion values (21,186,'TLATLAUQUITEPEC')
		insert into capa_poblacion values (21,187,'TLAXCO')
		insert into capa_poblacion values (21,188,'TOCHIMILCO')
		insert into capa_poblacion values (21,189,'TOCHTEPEC')
		insert into capa_poblacion values (21,190,'TOTOLTEPEC DE BENITO JUAREZ')
		insert into capa_poblacion values (21,191,'TULCINGO DEL VALLE')
		insert into capa_poblacion values (21,192,'TUZAMAPAN DE GALEANA')
		insert into capa_poblacion values (21,193,'TZICATLACOYAN')
		insert into capa_poblacion values (21,194,'VENUSTIANO CARRANZA')
		insert into capa_poblacion values (21,195,'VICENTE GUERRERO')
		insert into capa_poblacion values (21,196,'XAYACATLAN DE BRAVO')
		insert into capa_poblacion values (21,197,'XICOTEPEC DE JUAREZ')
		insert into capa_poblacion values (21,198,'XICOTLAN')
		insert into capa_poblacion values (21,199,'SAN JUAN XIUTETELCO')
		insert into capa_poblacion values (21,200,'XOCHIAPULCO')
		insert into capa_poblacion values (21,201,'XOCHILTEPEC')
		insert into capa_poblacion values (21,202,'XOCHITLAN DE ROMERO RUBIO')
		insert into capa_poblacion values (21,203,'XOCHITLAN')
		insert into capa_poblacion values (21,204,'YAONAHUAC')
		insert into capa_poblacion values (21,205,'YEHUALTEPEC')
		insert into capa_poblacion values (21,206,'ZACAPALA')
		insert into capa_poblacion values (21,207,'ZACAPOAXTLA')
		insert into capa_poblacion values (21,208,'ZACATLAN')
		insert into capa_poblacion values (21,209,'ZAPOTITLAN SALINAS')
		insert into capa_poblacion values (21,210,'ZAPOTITLAN DE MENDEZ')
		insert into capa_poblacion values (21,211,'ZARAGOZA')
		insert into capa_poblacion values (21,212,'SANTIAGO ZAUTLA')
		insert into capa_poblacion values (21,213,'ZIHUATEUTLA')
		insert into capa_poblacion values (21,214,'SAN SEBASTIAN ZINACATEPEC')
		insert into capa_poblacion values (21,215,'ZONGOZOTLA')
		insert into capa_poblacion values (21,216,'ZOQUIAPAN')
		insert into capa_poblacion values (21,217,'ZOQUITLAN')
		insert into capa_poblacion values (22,1,'AMEALCO')
		insert into capa_poblacion values (22,2,'PINAL DE AMOLES')
		insert into capa_poblacion values (22,3,'ARROYO SECO')
		insert into capa_poblacion values (22,4,'CADEREYTA DE MONTES')
		insert into capa_poblacion values (22,5,'COLON')
		insert into capa_poblacion values (22,6,'CORREGIDORA')
		insert into capa_poblacion values (22,7,'EZEQUIEL MONTES')
		insert into capa_poblacion values (22,8,'HUIMILPAN')
		insert into capa_poblacion values (22,9,'JALPAN')
		insert into capa_poblacion values (22,10,'LANDA DE MATAMOROS')
		insert into capa_poblacion values (22,11,'EL MARQUES')
		insert into capa_poblacion values (22,12,'PEDRO ESCOBEDO')
		insert into capa_poblacion values (22,13,'PENAMILLER')
		insert into capa_poblacion values (22,14,'QUERETARO')
		insert into capa_poblacion values (22,15,'SAN JOAQUIN')
		insert into capa_poblacion values (22,16,'SAN JUAN DEL RIO')
		insert into capa_poblacion values (22,17,'TEQUISQUIAPAN')
		insert into capa_poblacion values (22,18,'TOLIMAN')
		insert into capa_poblacion values (23,1,'COZUMEL')
		insert into capa_poblacion values (23,2,'FELIPE CARRILLO PUERTO')
		insert into capa_poblacion values (23,3,'ISLA MUJERES')
		insert into capa_poblacion values (23,4,'OTHON P. BLANCO')
		insert into capa_poblacion values (23,5,'BENITO JUAREZ')
		insert into capa_poblacion values (23,6,'JOSE MARIA MORELOS')
		insert into capa_poblacion values (23,7,'LAZARO CARDENAS')
		insert into capa_poblacion values (23,8,'SOLIDARIDAD')
		insert into capa_poblacion values (24,1,'AHUALULCO')
		insert into capa_poblacion values (24,2,'ALAQUINES')
		insert into capa_poblacion values (24,3,'AQUISMON')
		insert into capa_poblacion values (24,4,'ARMADILLO DE LOS INFANTE')
		insert into capa_poblacion values (24,5,'CARDENAS')
		insert into capa_poblacion values (24,6,'CATORCE')
		insert into capa_poblacion values (24,7,'CEDRAL')
		insert into capa_poblacion values (24,8,'CERRITOS')
		insert into capa_poblacion values (24,9,'CERRO DE SAN PEDRO')
		insert into capa_poblacion values (24,10,'CIUDAD DEL MAIZ')
		insert into capa_poblacion values (24,11,'CIUDAD FERNANDEZ')
		insert into capa_poblacion values (24,12,'TANCANHUITZ DE SANTOS')
		insert into capa_poblacion values (24,13,'CIUDAD VALLES')
		insert into capa_poblacion values (24,14,'COXCATLAN')
		insert into capa_poblacion values (24,15,'CHARCAS')
		insert into capa_poblacion values (24,16,'EBANO')
		insert into capa_poblacion values (24,17,'GUADALCAZAR')
		insert into capa_poblacion values (24,18,'HUEHUETLAN')
		insert into capa_poblacion values (24,19,'LAGUNILLAS')
		insert into capa_poblacion values (24,20,'MATEHUALA')
		insert into capa_poblacion values (24,21,'MEXQUITIC DE CARMONA')
		insert into capa_poblacion values (24,22,'MOCTEZUMA')
		insert into capa_poblacion values (24,23,'RAYON')
		insert into capa_poblacion values (24,24,'RIOVERDE')
		insert into capa_poblacion values (24,25,'SALINAS DE HIDALGO')
		insert into capa_poblacion values (24,26,'SAN ANTONIO')
		insert into capa_poblacion values (24,27,'SAN CIRO DE ACOSTA')
		insert into capa_poblacion values (24,28,'SAN LUIS POTOSI')
		insert into capa_poblacion values (24,29,'SAN MARTIN CHALCHICUAUTLA')
		insert into capa_poblacion values (24,30,'SAN NICOLAS TOLENTINO')
		insert into capa_poblacion values (24,31,'SANTA CATARINA')
		insert into capa_poblacion values (24,32,'SANTA MARIA DEL RIO')
		insert into capa_poblacion values (24,33,'SANTO DOMINGO')
		insert into capa_poblacion values (24,34,'SAN VICENTE TANCUAYALAB')
		insert into capa_poblacion values (24,35,'SOLEDAD DE GRACIANO SANCHEZ')
		insert into capa_poblacion values (24,36,'TAMASOPO')
		insert into capa_poblacion values (24,37,'TAMAZUNCHALE')
		insert into capa_poblacion values (24,38,'TAMPACAN')
		insert into capa_poblacion values (24,39,'TAMPAMOLON CORONA')
		insert into capa_poblacion values (24,40,'TAMUIN')
		insert into capa_poblacion values (24,41,'TANLAJAS')
		insert into capa_poblacion values (24,42,'TANQUIAN DE ESCOBEDO')
		insert into capa_poblacion values (24,43,'TIERRA NUEVA')
		insert into capa_poblacion values (24,44,'VANEGAS')
		insert into capa_poblacion values (24,45,'VENADO')
		insert into capa_poblacion values (24,46,'VILLA DE ARRIAGA')
		insert into capa_poblacion values (24,47,'VILLA DE GUADALUPE')
		insert into capa_poblacion values (24,48,'VILLA DE LA PAZ')
		insert into capa_poblacion values (24,49,'VILLA DE RAMOS')
		insert into capa_poblacion values (24,50,'VILLA DE REYES')
		insert into capa_poblacion values (24,51,'VILLA 13')
		insert into capa_poblacion values (24,52,'VILLA JUAREZ')
		insert into capa_poblacion values (24,53,'AXTLA DE TERRAZAS')
		insert into capa_poblacion values (24,54,'XILITLA')
		insert into capa_poblacion values (24,55,'ZARAGOZA')
		insert into capa_poblacion values (24,56,'VILLA DE ARISTA')
		insert into capa_poblacion values (24,57,'NARANJO, EL')
		insert into capa_poblacion values (24,58,'ARANJO, EL')
		insert into capa_poblacion values (25,1,'AHOME')
		insert into capa_poblacion values (25,2,'ANGOSTURA')
		insert into capa_poblacion values (25,3,'BADIRAGUATO')
		insert into capa_poblacion values (25,4,'CONCORDIA')
		insert into capa_poblacion values (25,5,'COSALA')
		insert into capa_poblacion values (25,6,'CULIACAN ROSALES')
		insert into capa_poblacion values (25,7,'CHOIX')
		insert into capa_poblacion values (25,8,'ELOTA')
		insert into capa_poblacion values (25,9,'ESCUINAPA DE HIDALGO')
		insert into capa_poblacion values (25,10,'EL FUERTE')
		insert into capa_poblacion values (25,11,'GUASAVE')
		insert into capa_poblacion values (25,12,'MAZATLAN')
		insert into capa_poblacion values (25,13,'MOCORITO')
		insert into capa_poblacion values (25,14,'ROSARIO')
		insert into capa_poblacion values (25,15,'SALVADOR ALVARADO')
		insert into capa_poblacion values (25,16,'SAN IGNACIO')
		insert into capa_poblacion values (25,17,'SINALOA DE LEYVA')
		insert into capa_poblacion values (25,18,'NAVOLATO')
		insert into capa_poblacion values (26,1,'ACONCHI')
		insert into capa_poblacion values (26,2,'AGUAPRIETA')
		insert into capa_poblacion values (26,3,'ALAMOS')
		insert into capa_poblacion values (26,4,'ALTAR')
		insert into capa_poblacion values (26,5,'ARIVECHI')
		insert into capa_poblacion values (26,6,'ARIZPE')
		insert into capa_poblacion values (26,7,'ATIL')
		insert into capa_poblacion values (26,8,'BACADEHUACHI')
		insert into capa_poblacion values (26,9,'BACANORA')
		insert into capa_poblacion values (26,10,'BASERAC')
		insert into capa_poblacion values (26,11,'BACOACHI')
		insert into capa_poblacion values (26,12,'BACUM')
		insert into capa_poblacion values (26,13,'BANAMICHI')
		insert into capa_poblacion values (26,14,'BAVIACORA')
		insert into capa_poblacion values (26,15,'BAVISPE')
		insert into capa_poblacion values (26,16,'BENJAMIN HILL')
		insert into capa_poblacion values (26,17,'HEROICA CABORCA')
		insert into capa_poblacion values (26,18,'CAJEME')
		insert into capa_poblacion values (26,19,'CANANEA')
		insert into capa_poblacion values (26,20,'CARBO')
		insert into capa_poblacion values (26,21,'LA COLORADA')
		insert into capa_poblacion values (26,22,'CUCURPE')
		insert into capa_poblacion values (26,23,'CUMPAS')
		insert into capa_poblacion values (26,24,'DIVISADEROS')
		insert into capa_poblacion values (26,25,'EMPALME')
		insert into capa_poblacion values (26,26,'ETCHOJOA')
		insert into capa_poblacion values (26,27,'FRONTERAS')
		insert into capa_poblacion values (26,28,'GRANADOS')
		insert into capa_poblacion values (26,29,'HEROICA GUAYMAS')
		insert into capa_poblacion values (26,30,'HERMOSILLO')
		insert into capa_poblacion values (26,31,'HUACHINERA')
		insert into capa_poblacion values (26,32,'HUASABAS')
		insert into capa_poblacion values (26,33,'HUATABAMPO')
		insert into capa_poblacion values (26,34,'HUEPAC')
		insert into capa_poblacion values (26,35,'IMURIS')
		insert into capa_poblacion values (26,36,'MAGDALENA DE KINO')
		insert into capa_poblacion values (26,37,'MAZATLAN')
		insert into capa_poblacion values (26,38,'MOCTEZUMA')
		insert into capa_poblacion values (26,39,'NACO')
		insert into capa_poblacion values (26,40,'NACORI CHICO')
		insert into capa_poblacion values (26,41,'NACOZARI DE GARCIA')
		insert into capa_poblacion values (26,42,'NAVOJOA')
		insert into capa_poblacion values (26,43,'HEROICA NOGALES')
		insert into capa_poblacion values (26,44,'ONAVAS')
		insert into capa_poblacion values (26,45,'OPODEPE')
		insert into capa_poblacion values (26,46,'OQUITOA')
		insert into capa_poblacion values (26,47,'PITIQUITO')
		insert into capa_poblacion values (26,48,'PUERTO PENASCO')
		insert into capa_poblacion values (26,49,'QUIRIEGO')
		insert into capa_poblacion values (26,50,'RAYON')
		insert into capa_poblacion values (26,51,'ROSARIO')
		insert into capa_poblacion values (26,52,'SAHUARIPA')
		insert into capa_poblacion values (26,53,'SAN FELIPE DE JESUS')
		insert into capa_poblacion values (26,54,'SAN JAVIER')
		insert into capa_poblacion values (26,55,'SAN LUIS RIO COLORADO')
		insert into capa_poblacion values (26,56,'SAN MIGUEL DE HORCASITAS')
		insert into capa_poblacion values (26,57,'SAN PEDRO DE LA CUEVA')
		insert into capa_poblacion values (26,58,'SANTA ANA')
		insert into capa_poblacion values (26,59,'SANTA CRUZ')
		insert into capa_poblacion values (26,60,'SARIO')
		insert into capa_poblacion values (26,61,'SOYOPA')
		insert into capa_poblacion values (26,62,'SUAQUI GRANDE')
		insert into capa_poblacion values (26,63,'TEPACHE')
		insert into capa_poblacion values (26,64,'TRINCHERAS')
		insert into capa_poblacion values (26,65,'TURUTAMA')
		insert into capa_poblacion values (26,66,'URES')
		insert into capa_poblacion values (26,67,'VILLA HIDALGO')
		insert into capa_poblacion values (26,68,'VILLA PESQUEIRA')
		insert into capa_poblacion values (26,69,'YECORA')
		insert into capa_poblacion values (26,70,'GENERAL PLUTARCO ELIAS CALLES')
		insert into capa_poblacion values (27,1,'BALANCAN DE DOMINGUEZ')
		insert into capa_poblacion values (27,2,'HEROICA CARDENAS')
		insert into capa_poblacion values (27,3,'CENTLA')
		insert into capa_poblacion values (27,4,'CENTRO')
		insert into capa_poblacion values (27,5,'COMALCALCO')
		insert into capa_poblacion values (27,6,'CUNDUACAN')
		insert into capa_poblacion values (27,7,'EMILIANO ZAPATA')
		insert into capa_poblacion values (27,8,'HUIMANGUILLO')
		insert into capa_poblacion values (27,9,'JALAPA')
		insert into capa_poblacion values (27,10,'JALPA DE MENDEZ')
		insert into capa_poblacion values (27,11,'JONUTA')
		insert into capa_poblacion values (27,12,'MACUSPANA')
		insert into capa_poblacion values (27,13,'NACAJUCA')
		insert into capa_poblacion values (27,14,'PARAISO')
		insert into capa_poblacion values (27,15,'TACOTALPA')
		insert into capa_poblacion values (27,16,'TEAPA')
		insert into capa_poblacion values (27,17,'TENOSIQUE DE PINO SUAREZ')
		insert into capa_poblacion values (28,1,'ABASOLO')
		insert into capa_poblacion values (28,2,'ALDAMA')
		insert into capa_poblacion values (28,3,'ALTAMIRA')
		insert into capa_poblacion values (28,4,'ANTIGUO MORELOS')
		insert into capa_poblacion values (28,5,'BURGOS')
		insert into capa_poblacion values (28,6,'BUSTAMANTE')
		insert into capa_poblacion values (28,7,'CAMARGO')
		insert into capa_poblacion values (28,8,'CASAS')
		insert into capa_poblacion values (28,9,'CIUDAD MADERO')
		insert into capa_poblacion values (28,10,'CRUILLAS')
		insert into capa_poblacion values (28,11,'GOMEZ FARIAS')
		insert into capa_poblacion values (28,12,'GONZALEZ')
		insert into capa_poblacion values (28,13,'GUEMEZ')
		insert into capa_poblacion values (28,14,'GUERRERO')
		insert into capa_poblacion values (28,15,'GUSTAVO DIAZ ORDAZ')
		insert into capa_poblacion values (28,16,'HIDALGO')
		insert into capa_poblacion values (28,17,'JAUMAVE')
		insert into capa_poblacion values (28,18,'JIMENEZ')
		insert into capa_poblacion values (28,19,'LLERA')
		insert into capa_poblacion values (28,20,'MAINERO')
		insert into capa_poblacion values (28,21,'EL MANTE')
		insert into capa_poblacion values (28,22,'MATAMOROS')
		insert into capa_poblacion values (28,23,'MENDEZ')
		insert into capa_poblacion values (28,24,'MIER')
		insert into capa_poblacion values (28,25,'MIGUEL ALEMAN')
		insert into capa_poblacion values (28,26,'MIQUIHUANA')
		insert into capa_poblacion values (28,27,'NUEVO LAREDO')
		insert into capa_poblacion values (28,28,'NUEVO MORELOS')
		insert into capa_poblacion values (28,29,'OCAMPO')
		insert into capa_poblacion values (28,30,'PADILLA')
		insert into capa_poblacion values (28,31,'PALMILLAS')
		insert into capa_poblacion values (28,32,'REYNOSA')
		insert into capa_poblacion values (28,33,'RIO BRAVO')
		insert into capa_poblacion values (28,34,'SAN CARLOS')
		insert into capa_poblacion values (28,35,'SAN FERNANDO')
		insert into capa_poblacion values (28,36,'SAN NICOLAS')
		insert into capa_poblacion values (28,37,'SOTO LA MARINA')
		insert into capa_poblacion values (28,38,'TAMPICO')
		insert into capa_poblacion values (28,39,'TULA')
		insert into capa_poblacion values (28,40,'VALLE HERMOSO')
		insert into capa_poblacion values (28,41,'VICTORIA')
		insert into capa_poblacion values (28,42,'VILLAGRAN')
		insert into capa_poblacion values (28,43,'XICOTENCATL')
		insert into capa_poblacion values (29,1,'AMAXAC DE GUERRERO')
		insert into capa_poblacion values (29,2,'ANTONIO CARBAJAL')
		insert into capa_poblacion values (29,3,'APIZACO')
		insert into capa_poblacion values (29,4,'ATLANGATEPEC')
		insert into capa_poblacion values (29,5,'ATIZAYANCA')
		insert into capa_poblacion values (29,6,'CALPULALPAN')
		insert into capa_poblacion values (29,7,'TEQUIXQUITLA')
		insert into capa_poblacion values (29,8,'CUAPIAXTLA')
		insert into capa_poblacion values (29,9,'CUAXOMULCO')
		insert into capa_poblacion values (29,10,'CHIAUTEMPAN')
		insert into capa_poblacion values (29,11,'DOMINGO ARENAS')
		insert into capa_poblacion values (29,12,'ESPANITA')
		insert into capa_poblacion values (29,13,'HUAMANTLA')
		insert into capa_poblacion values (29,14,'HUEYOTLIPAN')
		insert into capa_poblacion values (29,15,'IXTACUIXTLA')
		insert into capa_poblacion values (29,16,'IXTENCO')
		insert into capa_poblacion values (29,17,'JOSE MARIA MORELOS')
		insert into capa_poblacion values (29,18,'JUAN CUAMATZI')
		insert into capa_poblacion values (29,19,'LARDIZABAL')
		insert into capa_poblacion values (29,20,'LAZARO CARDENAS')
		insert into capa_poblacion values (29,21,'MARIANO ARISTA')
		insert into capa_poblacion values (29,22,'MIGUEL HIDALGO')
		insert into capa_poblacion values (29,23,'NATIVITAS')
		insert into capa_poblacion values (29,24,'PANOTLA')
		insert into capa_poblacion values (29,25,'SAN PABLO DEL MONTE')
		insert into capa_poblacion values (29,26,'SANTA CRUZ TLAXCALA')
		insert into capa_poblacion values (29,27,'TENANCINGO')
		insert into capa_poblacion values (29,28,'TEOLOCHOLCO')
		insert into capa_poblacion values (29,29,'TEPEYANCO')
		insert into capa_poblacion values (29,30,'TERRENATE')
		insert into capa_poblacion values (29,31,'TETLA')
		insert into capa_poblacion values (29,32,'TETLATLAHUCA')
		insert into capa_poblacion values (29,33,'TLAXCALA DE XICOHTENCATL')
		insert into capa_poblacion values (29,34,'TLAXCO')
		insert into capa_poblacion values (29,35,'TOCATLAN')
		insert into capa_poblacion values (29,36,'TOTOLAC')
		insert into capa_poblacion values (29,37,'TRINIDAD SANCHEZ SANTOS')
		insert into capa_poblacion values (29,38,'TZOMPANTEPEC')
		insert into capa_poblacion values (29,39,'XALOZTOC')
		insert into capa_poblacion values (29,40,'XALTOCAN')
		insert into capa_poblacion values (29,41,'XICOHTENCATL')
		insert into capa_poblacion values (29,42,'XICOHTZINCO')
		insert into capa_poblacion values (29,43,'YAUHQUEMEHCAN')
		insert into capa_poblacion values (29,44,'ZACATELCO')
		insert into capa_poblacion values (29,45,'BENITO JUAREZ')
		insert into capa_poblacion values (29,46,'EMILIANO ZAPATA')
		insert into capa_poblacion values (29,47,'LAZARO CARDENAS')
		insert into capa_poblacion values (29,48,'LA MAGDALENA TLALTELULCO')
		insert into capa_poblacion values (29,49,'SAN DAMIAN TEXOLOC')
		insert into capa_poblacion values (29,50,'SAN FRANCISCO TETLANOHCAN')
		insert into capa_poblacion values (29,51,'SAN JERONIMO ZACUALPAN')
		insert into capa_poblacion values (29,52,'SAN JOSE TEACALCO')
		insert into capa_poblacion values (29,53,'SAN JUAN HUACTZINCO')
		insert into capa_poblacion values (29,54,'SAN LORENZO AXOCOMANITLA')
		insert into capa_poblacion values (29,55,'SAN LUCAS TECOPILCO')
		insert into capa_poblacion values (29,56,'SANTA ANA NOPALUCAN')
		insert into capa_poblacion values (29,57,'SANTA APOLONIA TEACALCO')
		insert into capa_poblacion values (29,58,'SANTA CATARINA AYOMETLA')
		insert into capa_poblacion values (29,59,'SANTA CRUZ QUILEHTLA')
		insert into capa_poblacion values (29,60,'SANTA ISABEL XILOXOXTLA')
		insert into capa_poblacion values (30,1,'ACAJETE')
		insert into capa_poblacion values (30,2,'ACATLAN')
		insert into capa_poblacion values (30,3,'ACAYUCAN')
		insert into capa_poblacion values (30,4,'ACTOPAN')
		insert into capa_poblacion values (30,5,'ACULA')
		insert into capa_poblacion values (30,6,'ACULTIZINGO')
		insert into capa_poblacion values (30,7,'VILLA TEJEDA')
		insert into capa_poblacion values (30,8,'ALPATLAHUA')
		insert into capa_poblacion values (30,9,'ALTO LUCERO')
		insert into capa_poblacion values (30,10,'ALTOTONGA')
		insert into capa_poblacion values (30,11,'HEROICA ALVARADO')
		insert into capa_poblacion values (30,12,'AMATITLAN')
		insert into capa_poblacion values (30,13,'NARANJOS AMATLAN')
		insert into capa_poblacion values (30,14,'AMATLAN DE LOS REYES')
		insert into capa_poblacion values (30,15,'ANGEL R. CABADA')
		insert into capa_poblacion values (30,16,'LA ANTIGUA')
		insert into capa_poblacion values (30,17,'APAZAPAN')
		insert into capa_poblacion values (30,18,'AQUILA')
		insert into capa_poblacion values (30,19,'ASTACINGA')
		insert into capa_poblacion values (30,20,'ATLAHUILCO')
		insert into capa_poblacion values (30,21,'ATOYAC')
		insert into capa_poblacion values (30,22,'ATZACAN')
		insert into capa_poblacion values (30,23,'ATZALAN')
		insert into capa_poblacion values (30,24,'AXOCUAPAN')
		insert into capa_poblacion values (30,25,'AYAHUALULCO')
		insert into capa_poblacion values (30,26,'BANDERILLA')
		insert into capa_poblacion values (30,27,'BENITO JUAREZ')
		insert into capa_poblacion values (30,28,'BOCA DEL RIO')
		insert into capa_poblacion values (30,29,'CALCAHUALCO')
		insert into capa_poblacion values (30,30,'CIUDAD MENDOZA')
		insert into capa_poblacion values (30,31,'CARRILLO PUERTO')
		insert into capa_poblacion values (30,32,'CATEMACO')
		insert into capa_poblacion values (30,33,'VILLA DE CAZONES DE HERRERA')
		insert into capa_poblacion values (30,34,'CERRO AZUL')
		insert into capa_poblacion values (30,35,'CITLALTEPEC')
		insert into capa_poblacion values (30,36,'COACOATZINTLA')
		insert into capa_poblacion values (30,37,'COAHUITLAN')
		insert into capa_poblacion values (30,38,'COATEPEC')
		insert into capa_poblacion values (30,39,'COATZACOALCOS')
		insert into capa_poblacion values (30,40,'COATZINTLA')
		insert into capa_poblacion values (30,41,'COETZALA')
		insert into capa_poblacion values (30,42,'COLIPA')
		insert into capa_poblacion values (30,43,'COMAPA')
		insert into capa_poblacion values (30,44,'HEROICA CORDOBA')
		insert into capa_poblacion values (30,45,'COSAMALOAPAN DE CARPIO')
		insert into capa_poblacion values (30,46,'COSAUTLAN DE CARVAJAL')
		insert into capa_poblacion values (30,47,'COSCOMATEPEC DE BRAVO')
		insert into capa_poblacion values (30,48,'COSOLEACAQUE')
		insert into capa_poblacion values (30,49,'COTAXTLA')
		insert into capa_poblacion values (30,50,'COXQUIHUI')
		insert into capa_poblacion values (30,51,'COYUTLA')
		insert into capa_poblacion values (30,52,'CUICHAPA')
		insert into capa_poblacion values (30,53,'CUITLAHUAC')
		insert into capa_poblacion values (30,54,'CHACALTIANGUIS')
		insert into capa_poblacion values (30,55,'CHALMA')
		insert into capa_poblacion values (30,56,'CHICONAMEL')
		insert into capa_poblacion values (30,57,'CHICONQUIACO')
		insert into capa_poblacion values (30,58,'CHICONTEPEC DE TEJEDA')
		insert into capa_poblacion values (30,59,'CHINAMECA')
		insert into capa_poblacion values (30,60,'CHINAMPA DE GOROSTIZA')
		insert into capa_poblacion values (30,61,'LAS CHOAPAS')
		insert into capa_poblacion values (30,62,'CHOCAMAN')
		insert into capa_poblacion values (30,63,'CHONTLA')
		insert into capa_poblacion values (30,64,'CHUMATLAN')
		insert into capa_poblacion values (30,65,'EMILIANO ZAPATA')
		insert into capa_poblacion values (30,66,'ESPINAL')
		insert into capa_poblacion values (30,67,'FILOMENO MATA')
		insert into capa_poblacion values (30,68,'FORTIN DE LAS FLORES')
		insert into capa_poblacion values (30,69,'GUTIERREZ ZAMORA')
		insert into capa_poblacion values (30,70,'13TITLAN')
		insert into capa_poblacion values (30,71,'HUATUSCO DE CHICUELLAR')
		insert into capa_poblacion values (30,72,'HUAYACOCOTLA')
		insert into capa_poblacion values (30,73,'HUEYAPAN DE OCAMPO')
		insert into capa_poblacion values (30,74,'HUILOAPAN DE CUAUHTEMOC')
		insert into capa_poblacion values (30,75,'IGNACIO DE LA LLAVE')
		insert into capa_poblacion values (30,76,'ILAMATLAN')
		insert into capa_poblacion values (30,77,'ISLA')
		insert into capa_poblacion values (30,78,'IXCATEPEC')
		insert into capa_poblacion values (30,79,'IXHUACAN DE LOS REYES')
		insert into capa_poblacion values (30,80,'IXHUATLAN DEL CAFE')
		insert into capa_poblacion values (30,81,'IXHUATLANCILLO')
		insert into capa_poblacion values (30,82,'IXHUATLAN DEL SURESTE')
		insert into capa_poblacion values (30,83,'IXHUATLAN DE MADERO')
		insert into capa_poblacion values (30,84,'IXMATLAHUACAN')
		insert into capa_poblacion values (30,85,'IXTACZOQUITLAN')
		insert into capa_poblacion values (30,86,'JALACINGO')
		insert into capa_poblacion values (30,87,'XALAPA')
		insert into capa_poblacion values (30,88,'JALCOMULCO')
		insert into capa_poblacion values (30,89,'JALTIPAN DE MORELOS')
		insert into capa_poblacion values (30,90,'JAMAPA')
		insert into capa_poblacion values (30,91,'JESUS CARRANZA')
		insert into capa_poblacion values (30,92,'JICO')
		insert into capa_poblacion values (30,93,'JILOTEPEC')
		insert into capa_poblacion values (30,94,'JUAN RODRIGUEZ CLARA')
		insert into capa_poblacion values (30,95,'JUCHIQUE DE FERRER')
		insert into capa_poblacion values (30,96,'LANDERO Y COS')
		insert into capa_poblacion values (30,97,'LERDO DE TEJADA')
		insert into capa_poblacion values (30,98,'MAGDALENA')
		insert into capa_poblacion values (30,99,'MALTRATA')
		insert into capa_poblacion values (30,100,'MANLIO FABIO ALTAMIRANO')
		insert into capa_poblacion values (30,101,'MARIANO ESCOBEDO')
		insert into capa_poblacion values (30,102,'MARTINEZ DE LA TORRE')
		insert into capa_poblacion values (30,103,'MECATLAN')
		insert into capa_poblacion values (30,104,'MECAYAPAN')
		insert into capa_poblacion values (30,105,'MEDELLIN DE BRAVO')
		insert into capa_poblacion values (30,106,'MIAHUATLAN')
		insert into capa_poblacion values (30,107,'LAS MINAS')
		insert into capa_poblacion values (30,108,'MINATITLAN')
		insert into capa_poblacion values (30,109,'MISANTLA')
		insert into capa_poblacion values (30,110,'MIXTLA DE ALTAMIRANO')
		insert into capa_poblacion values (30,111,'MOLOACAN')
		insert into capa_poblacion values (30,112,'NAOLINCO DE VICTORIA')
		insert into capa_poblacion values (30,113,'NARANJAL')
		insert into capa_poblacion values (30,114,'NAUTLA')
		insert into capa_poblacion values (30,115,'NOGALES')
		insert into capa_poblacion values (30,116,'OLUTA')
		insert into capa_poblacion values (30,117,'OMEALCA')
		insert into capa_poblacion values (30,118,'ORIZABA')
		insert into capa_poblacion values (30,119,'OTATITLAN')
		insert into capa_poblacion values (30,120,'OTEAPAN')
		insert into capa_poblacion values (30,121,'OZULUAMA')
		insert into capa_poblacion values (30,122,'PAJAPAN')
		insert into capa_poblacion values (30,123,'PANUCO')
		insert into capa_poblacion values (30,124,'PAPANTLA DE OLARTE')
		insert into capa_poblacion values (30,125,'PASO DEL MACHO')
		insert into capa_poblacion values (30,126,'PASO DE OVEJAS')
		insert into capa_poblacion values (30,127,'LA PERLA')
		insert into capa_poblacion values (30,128,'PEROTE')
		insert into capa_poblacion values (30,129,'PLATON SANCHEZ')
		insert into capa_poblacion values (30,130,'PLAYA VICENTE')
		insert into capa_poblacion values (30,131,'POZA RICA DE 13')
		insert into capa_poblacion values (30,132,'LAS VIGAS DE RAMIREZ')
		insert into capa_poblacion values (30,133,'PUEBLO VIEJO')
		insert into capa_poblacion values (30,134,'PUENTE NACIONAL')
		insert into capa_poblacion values (30,135,'RAFAEL DELGADO')
		insert into capa_poblacion values (30,136,'RAFAEL LUCIO')
		insert into capa_poblacion values (30,137,'REYES')
		insert into capa_poblacion values (30,138,'TENANGO DE RIO BLANCO')
		insert into capa_poblacion values (30,139,'SALTABARRANCA')
		insert into capa_poblacion values (30,140,'SAN ANDRES TENEJAPA')
		insert into capa_poblacion values (30,141,'SAN ANDRES TUXTLA')
		insert into capa_poblacion values (30,142,'SAN JUAN EVANGELISTA')
		insert into capa_poblacion values (30,143,'SANTIAGO TUXTLA')
		insert into capa_poblacion values (30,144,'SAYULA DE ALEMAN')
		insert into capa_poblacion values (30,145,'SOCONUSCO')
		insert into capa_poblacion values (30,146,'SOCHIAPA')
		insert into capa_poblacion values (30,147,'SOLEDAD ATZOMPA')
		insert into capa_poblacion values (30,148,'SOLEDAD DE DOBLADO')
		insert into capa_poblacion values (30,149,'SOTEAPAN')
		insert into capa_poblacion values (30,150,'TAMALIN')
		insert into capa_poblacion values (30,151,'TAMIAHUA')
		insert into capa_poblacion values (30,152,'TAMPICO ALTO')
		insert into capa_poblacion values (30,153,'TANCOCO')
		insert into capa_poblacion values (30,154,'TANTIMA')
		insert into capa_poblacion values (30,155,'TANTOYUCA')
		insert into capa_poblacion values (30,156,'TATATILA')
		insert into capa_poblacion values (30,157,'CASTILLO DE TEAYO')
		insert into capa_poblacion values (30,158,'TECOLUTLA')
		insert into capa_poblacion values (30,159,'TEHUIPANGO')
		insert into capa_poblacion values (30,160,'TEMAPACHE')
		insert into capa_poblacion values (30,161,'TEMPOAL DE SANCHEZ')
		insert into capa_poblacion values (30,162,'TENAMPA')
		insert into capa_poblacion values (30,163,'TENOCHTITLAN')
		insert into capa_poblacion values (30,164,'TEOCELO')
		insert into capa_poblacion values (30,165,'TEPATLAXCO')
		insert into capa_poblacion values (30,166,'TEPETLAN')
		insert into capa_poblacion values (30,167,'TEPETZINTLA')
		insert into capa_poblacion values (30,168,'TEQUILA')
		insert into capa_poblacion values (30,169,'JOSE AZUETA')
		insert into capa_poblacion values (30,170,'TEXCATEPEC')
		insert into capa_poblacion values (30,171,'TEXHUACAN')
		insert into capa_poblacion values (30,172,'TEXISTEPEC')
		insert into capa_poblacion values (30,173,'TEZONAPA')
		insert into capa_poblacion values (30,174,'TIERRA BLANCA')
		insert into capa_poblacion values (30,175,'TIHUATLAN')
		insert into capa_poblacion values (30,176,'TLACOJALPAN')
		insert into capa_poblacion values (30,177,'TLACOLULAN')
		insert into capa_poblacion values (30,178,'TLACOTALPAN')
		insert into capa_poblacion values (30,179,'TLACOTEPEC DE MEJIA')
		insert into capa_poblacion values (30,180,'TACHICHILCO')
		insert into capa_poblacion values (30,181,'TLALIXCOYAN')
		insert into capa_poblacion values (30,182,'TLANELHUAYOCAN')
		insert into capa_poblacion values (30,183,'TLAPACOYAN')
		insert into capa_poblacion values (30,184,'TLAQUILPA')
		insert into capa_poblacion values (30,185,'TLILAPAN')
		insert into capa_poblacion values (30,186,'TOMATLAN')
		insert into capa_poblacion values (30,187,'TANOYAN')
		insert into capa_poblacion values (30,188,'TOTUTLA')
		insert into capa_poblacion values (30,189,'TUXPAN DE RODRIGUEZ CANO')
		insert into capa_poblacion values (30,190,'TUXTILLA')
		insert into capa_poblacion values (30,191,'URSULO GALVAN')
		insert into capa_poblacion values (30,192,'VEGA DE ALATORRE')
		insert into capa_poblacion values (30,193,'HEROICA VERACRUZ')
		insert into capa_poblacion values (30,194,'VILLA ALDAMA')
		insert into capa_poblacion values (30,195,'XOXOCOTLA')
		insert into capa_poblacion values (30,196,'YANGA')
		insert into capa_poblacion values (30,197,'YECUATLA')
		insert into capa_poblacion values (30,198,'ZACUALPAN')
		insert into capa_poblacion values (30,199,'ZARAGOZA')
		insert into capa_poblacion values (30,200,'ZENTLA')
		insert into capa_poblacion values (30,201,'ZONGOLICA')
		insert into capa_poblacion values (30,202,'ZONTECOMATLAN')
		insert into capa_poblacion values (30,203,'ZOZOCOLCO DE HIDALGO')
		insert into capa_poblacion values (30,204,'AGUA DULCE')
		insert into capa_poblacion values (30,205,'HIGO, EL')
		insert into capa_poblacion values (30,206,'NANCHITAL DE LAZARO CARDENAS DEL RIO')
		insert into capa_poblacion values (30,207,'TRES VALLES')
		insert into capa_poblacion values (30,208,'CARLOS A. CARRILLO')
		insert into capa_poblacion values (30,209,'TATAHUICAPAN DE JUAREZ')
		insert into capa_poblacion values (30,210,'UXPANAPA')
		insert into capa_poblacion values (30,211,'SAN RAFAEL')
		insert into capa_poblacion values (30,212,'SANTIAGO SOCHIAPAN')
		insert into capa_poblacion values (31,1,'ABALA')
		insert into capa_poblacion values (31,2,'ACANCEH')
		insert into capa_poblacion values (31,3,'AKIL')
		insert into capa_poblacion values (31,4,'BACA')
		insert into capa_poblacion values (31,5,'BOKOBA')
		insert into capa_poblacion values (31,6,'BUCTZOTZ')
		insert into capa_poblacion values (31,7,'CACALCHEN')
		insert into capa_poblacion values (31,8,'CALOTMUL')
		insert into capa_poblacion values (31,9,'CANSAHCAB')
		insert into capa_poblacion values (31,10,'CANTAMAYEC')
		insert into capa_poblacion values (31,11,'CELESTUN')
		insert into capa_poblacion values (31,12,'CENOTILLO')
		insert into capa_poblacion values (31,13,'CONKAL')
		insert into capa_poblacion values (31,14,'CUNCUNUL')
		insert into capa_poblacion values (31,15,'CUZAMA')
		insert into capa_poblacion values (31,16,'CHACSINKIN')
		insert into capa_poblacion values (31,17,'CHANKOM')
		insert into capa_poblacion values (31,18,'CHAPAB')
		insert into capa_poblacion values (31,19,'CHEMAX')
		insert into capa_poblacion values (31,20,'CHIXCULUB')
		insert into capa_poblacion values (31,21,'CHICHIMILA')
		insert into capa_poblacion values (31,22,'CHIKINDZONOT')
		insert into capa_poblacion values (31,23,'CHOCHOLA')
		insert into capa_poblacion values (31,24,'CHUMAYEL')
		insert into capa_poblacion values (31,25,'DZAN')
		insert into capa_poblacion values (31,26,'DZEMUL')
		insert into capa_poblacion values (31,27,'DZIDZANTUN')
		insert into capa_poblacion values (31,28,'DZILAM DE BRAVO')
		insert into capa_poblacion values (31,29,'DZILAM GONZALEZ')
		insert into capa_poblacion values (31,30,'DZITAS')
		insert into capa_poblacion values (31,31,'DZONCUAICH')
		insert into capa_poblacion values (31,32,'ESPITA')
		insert into capa_poblacion values (31,33,'HALACHO')
		insert into capa_poblacion values (31,34,'HOCABA')
		insert into capa_poblacion values (31,35,'HOCTUN')
		insert into capa_poblacion values (31,36,'HOMUN')
		insert into capa_poblacion values (31,37,'HUHI')
		insert into capa_poblacion values (31,38,'HUNUCMA')
		insert into capa_poblacion values (31,39,'IXIL')
		insert into capa_poblacion values (31,40,'IZAMAL')
		insert into capa_poblacion values (31,41,'KANASIN')
		insert into capa_poblacion values (31,42,'KANTUNIL')
		insert into capa_poblacion values (31,43,'KAUA')
		insert into capa_poblacion values (31,44,'KINCHIL')
		insert into capa_poblacion values (31,45,'KOPOMA')
		insert into capa_poblacion values (31,46,'MAMA')
		insert into capa_poblacion values (31,47,'MANI')
		insert into capa_poblacion values (31,48,'MAXCANU')
		insert into capa_poblacion values (31,49,'MAYAPAN')
		insert into capa_poblacion values (31,50,'MERIDA')
		insert into capa_poblacion values (31,51,'MOCOCHA')
		insert into capa_poblacion values (31,52,'MOTUL DE FELIPE CARRILLO PUERTO')
		insert into capa_poblacion values (31,53,'MUNA')
		insert into capa_poblacion values (31,54,'MUXUPIP')
		insert into capa_poblacion values (31,55,'OPICHEN')
		insert into capa_poblacion values (31,56,'OXKUTZCAB')
		insert into capa_poblacion values (31,57,'PANABA')
		insert into capa_poblacion values (31,58,'PETO')
		insert into capa_poblacion values (31,59,'PROGRESO')
		insert into capa_poblacion values (31,60,'QUINTANA ROO')
		insert into capa_poblacion values (31,61,'RIO LAGARTOS')
		insert into capa_poblacion values (31,62,'SACALUM')
		insert into capa_poblacion values (31,63,'SAMAHIL')
		insert into capa_poblacion values (31,64,'SANAHCAT')
		insert into capa_poblacion values (31,65,'SAN FELIPE')
		insert into capa_poblacion values (31,66,'SANTA ELENA')
		insert into capa_poblacion values (31,67,'SEYE')
		insert into capa_poblacion values (31,68,'SINANCHE')
		insert into capa_poblacion values (31,69,'SOTUTA')
		insert into capa_poblacion values (31,70,'SUCILA')
		insert into capa_poblacion values (31,71,'SUDZAL')
		insert into capa_poblacion values (31,72,'SUMA')
		insert into capa_poblacion values (31,73,'TAHDZIU')
		insert into capa_poblacion values (31,74,'TAHMEX')
		insert into capa_poblacion values (31,75,'TEABO')
		insert into capa_poblacion values (31,76,'TECOH')
		insert into capa_poblacion values (31,77,'TEKAL DE VENEGAS')
		insert into capa_poblacion values (31,78,'TEKANTO')
		insert into capa_poblacion values (31,79,'TECAX DE ALVARO OBREGON')
		insert into capa_poblacion values (31,80,'TEKIT')
		insert into capa_poblacion values (31,81,'TEKOM')
		insert into capa_poblacion values (31,82,'TELCHAC')
		insert into capa_poblacion values (31,83,'TELCHAC PUERTO')
		insert into capa_poblacion values (31,84,'TEMAX')
		insert into capa_poblacion values (31,85,'TEMOZON')
		insert into capa_poblacion values (31,86,'TEPAKAN')
		insert into capa_poblacion values (31,87,'TETIZ')
		insert into capa_poblacion values (31,88,'TEYA')
		insert into capa_poblacion values (31,89,'TICUL')
		insert into capa_poblacion values (31,90,'TIMUCUY')
		insert into capa_poblacion values (31,91,'TINUM')
		insert into capa_poblacion values (31,92,'TIXCACALCUPUL')
		insert into capa_poblacion values (31,93,'TIXKOKOB')
		insert into capa_poblacion values (31,94,'TIXMEUAC')
		insert into capa_poblacion values (31,95,'TIXPEUAL')
		insert into capa_poblacion values (31,96,'TIZIMIN')
		insert into capa_poblacion values (31,97,'TUNKAS')
		insert into capa_poblacion values (31,98,'TZUCACAB')
		insert into capa_poblacion values (31,99,'CUAYMA')
		insert into capa_poblacion values (31,100,'UCU')
		insert into capa_poblacion values (31,101,'UMAN')
		insert into capa_poblacion values (31,102,'VALLADOLID')
		insert into capa_poblacion values (31,103,'XOCCHEL')
		insert into capa_poblacion values (31,104,'YAXCABA')
		insert into capa_poblacion values (31,105,'YAXKUKUL')
		insert into capa_poblacion values (31,106,'YOBAIN')
		insert into capa_poblacion values (32,1,'APOZOL')
		insert into capa_poblacion values (32,2,'SAN PEDRO APULCO')
		insert into capa_poblacion values (32,3,'ATOLINGA')
		insert into capa_poblacion values (32,4,'BENITO JUAREZ')
		insert into capa_poblacion values (32,5,'CALERA')
		insert into capa_poblacion values (32,6,'CANITAS DE FELIPE PESCADOR')
		insert into capa_poblacion values (32,7,'CONCEPCION DEL ORO')
		insert into capa_poblacion values (32,8,'CUAUHTEMOC')
		insert into capa_poblacion values (32,9,'CHALCHIHUITES')
		insert into capa_poblacion values (32,10,'FRESNILLO DE GONZALEZ ECHEVERRIA')
		insert into capa_poblacion values (32,11,'GARCIA DE LA CADENA')
		insert into capa_poblacion values (32,12,'GENARO CODINA')
		insert into capa_poblacion values (32,13,'GENERAL ENRIQUE ESTRADA')
		insert into capa_poblacion values (32,14,'GENERAL FRANCISCO MURGUIA')
		insert into capa_poblacion values (32,15,'GENERAL JOAQUIN AMARO')
		insert into capa_poblacion values (32,16,'GENERAL PANFILO NATERA')
		insert into capa_poblacion values (32,17,'GUADALUPE')
		insert into capa_poblacion values (32,18,'HUANUSCO')
		insert into capa_poblacion values (32,19,'JALPA')
		insert into capa_poblacion values (32,20,'JEREZ DE GARCIA SALINAS')
		insert into capa_poblacion values (32,21,'JIMENEZ DE TEUL')
		insert into capa_poblacion values (32,22,'JUAN ALDAMA')
		insert into capa_poblacion values (32,23,'JUCHIPILA')
		insert into capa_poblacion values (32,24,'LORETO')
		insert into capa_poblacion values (32,25,'LUIS MOYA')
		insert into capa_poblacion values (32,26,'MAZAPIL')
		insert into capa_poblacion values (32,27,'MELCHOR OCAMPO')
		insert into capa_poblacion values (32,28,'MEZQUITAL DEL ORO')
		insert into capa_poblacion values (32,29,'MIGUEL AUZA')
		insert into capa_poblacion values (32,30,'MOMAX')
		insert into capa_poblacion values (32,31,'MONTE ESCOBEDO')
		insert into capa_poblacion values (32,32,'MORELOS')
		insert into capa_poblacion values (32,33,'MOYAHUA')
		insert into capa_poblacion values (32,34,'NOCHISTLAN')
		insert into capa_poblacion values (32,35,'NORIA DE ANGELES')
		insert into capa_poblacion values (32,36,'OJOCALIENTE')
		insert into capa_poblacion values (32,37,'PANUCO')
		insert into capa_poblacion values (32,38,'PINOS')
		insert into capa_poblacion values (32,39,'CIUDAD DE RIO GRANDE')
		insert into capa_poblacion values (32,40,'SAIN ALTO')
		insert into capa_poblacion values (32,41,'EL SALVADOR')
		insert into capa_poblacion values (32,42,'SOMBRERETE')
		insert into capa_poblacion values (32,43,'SUSTICACAN')
		insert into capa_poblacion values (32,44,'TABASCO')
		insert into capa_poblacion values (32,45,'TEPECHITLAN')
		insert into capa_poblacion values (32,46,'TEPETONGO')
		insert into capa_poblacion values (32,47,'TEUL DE GONZALEZ ORTEGA')
		insert into capa_poblacion values (32,48,'TLALTENANGO DE SANCHEZ ROMAN')
		insert into capa_poblacion values (32,49,'VALPARAISO')
		insert into capa_poblacion values (32,50,'VETAGRANDE')
		insert into capa_poblacion values (32,51,'VILLA DE COS')
		insert into capa_poblacion values (32,52,'VILLA GARCIA')
		insert into capa_poblacion values (32,53,'VILLA GONZALEZ ORTEGA')
		insert into capa_poblacion values (32,54,'VILLA HIDALGO')
		insert into capa_poblacion values (32,55,'VILLANUEVA')
		insert into capa_poblacion values (32,56,'ZACATECAS')
		insert into capa_poblacion values (32,57,'TRANCOSO')
		end

END
GO

EXEC CatalogoPoblacion
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CatalogoEntidad'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CatalogoEntidad
GO

CREATE PROCEDURE  dbo.CatalogoEntidad
	
AS
BEGIN
	
	declare @cuenta as bigint
	
	set @cuenta=0
	
	select @cuenta=COUNT(identidad)
	from capa_entidad
	
	if @cuenta<=0 
		begin		
			insert into capa_entidad values(1,'AGUASCALIENTES')
			insert into capa_entidad values(2,'BAJA CALIFORNIA')
			insert into capa_entidad values(3,'BAJA CALIFORNIA SUR')
			insert into capa_entidad values(4,'CAMPECHE')
			insert into capa_entidad values(5,'COAHUILA')
			insert into capa_entidad values(6,'COLIMA')
			insert into capa_entidad values(7,'CHIAPAS')
			insert into capa_entidad values(8,'CHIHUAHUA')
			insert into capa_entidad values(9,'DISTRITO FEDERAL')
			insert into capa_entidad values(10,'DURANGO')
			insert into capa_entidad values(11,'GUANAJUATO')
			insert into capa_entidad values(12,'GUERRERO')
			insert into capa_entidad values(13,'HIDALGO')
			insert into capa_entidad values(14,'JALISCO')
			insert into capa_entidad values(15,'MEXICO')
			insert into capa_entidad values(16,'MICHOACAN')
			insert into capa_entidad values(17,'MORELOS')
			insert into capa_entidad values(18,'NAYARIT')
			insert into capa_entidad values(19,'NUEVO LEON')
			insert into capa_entidad values(20,'OAXACA')
			insert into capa_entidad values(21,'PUEBLA')
			insert into capa_entidad values(22,'QUERETARO')
			insert into capa_entidad values(23,'QUINTANA ROO')
			insert into capa_entidad values(24,'SAN LUIS POTOSI')
			insert into capa_entidad values(25,'SINALOA')
			insert into capa_entidad values(26,'SONORA')
			insert into capa_entidad values(27,'TABASCO')
			insert into capa_entidad values(28,'TAMAULIPAS')
			insert into capa_entidad values(29,'TLAXCALA')
			insert into capa_entidad values(30,'VERACRUZ DE IGNACIO DE LA LLAVE')
			insert into capa_entidad values(31,'YUCATAN')
			insert into capa_entidad values(32,'ZACATECAS')
		end		
END
GO


EXEC CatalogoEntidad
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'NormasSTPS'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.NormasSTPS
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CatalogoAreaTematica'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CatalogoAreaTematica
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCompetencias'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCompetencias
GO

CREATE PROCEDURE  dbo.GetSTPSCompetencias
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    	Select '2' as tipoRegistro, e.curp   , p.norma as claveNorma,
		case when (len(convert(varchar(2),day(p.ffinal)))) > 1 then
			convert(varchar(2),day(p.ffinal))
			else
			('0' + convert(varchar(2),day(p.ffinal))) end
		+ '/' + 
		case when (len(convert(varchar(2),month(p.ffinal)))) > 1 then
			convert(varchar(2),month(p.ffinal))
			else
			('0' + convert(varchar(2),month(p.ffinal))) end + '/' + 
		convert(varchar(4),year(p.ffinal))
		from empleados e, capa_empleadoprogramacion ep, capa_programacion p
		where e.codigo=ep.codigo   
		and p.idProgramacion=ep.idProgramacion 
		and e.empresa= @companyId
		and p.ffinal between @inicialDate and @finalDate
		and e.empresa=ep.empresa  
		and e.empresa=p.empresa 
		AND p.stps='S'
		order by e.codigo	
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCompetenciasNumber'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCompetenciasNumber
GO

CREATE PROCEDURE  dbo.GetSTPSCompetenciasNumber
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    	Select count(e.curp)  
		from empleados e, capa_empleadoprogramacion ep, capa_programacion p
		where e.codigo=ep.codigo   
		and p.idProgramacion=ep.idProgramacion 
		and e.empresa= @companyId
		and p.ffinal between @inicialDate and @finalDate
		and e.empresa=ep.empresa  
		and e.empresa=p.empresa 
		AND p.stps='S'	
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSEmployeesNumber'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSEmployeesNumber

GO

CREATE PROCEDURE  dbo.GetSTPSEmployeesNumber
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    
    	SELECT	count(distinct(empleados.codigo)) 
     FROM    capa_Curso
             LEFT JOIN capa_programacion ON dbo.Capa_curso.empresa = dbo.capa_programacion.empresa
                                            AND dbo.Capa_curso.idcurso = dbo.capa_programacion.idcurso
             LEFT JOIN capa_empleadoprogramacion ON dbo.capa_programacion.idprogramacion = dbo.capa_EmpleadoProgramacion.idprogramacion
                                                    AND dbo.capa_programacion.empresa = dbo.capa_EmpleadoProgramacion.empresa
             LEFT JOIN empleados ON dbo.capa_EmpleadoProgramacion.codigo= dbo.empleados.codigo
                                    AND capa_programacion.empresa = empleados.empresa
             LEFT JOIN rhcatalogo ON dbo.empleados.codigo = dbo.rhcatalogo.codigo
                                     AND dbo.empleados.empresa = dbo.rhcatalogo.empresa
             LEFT JOIN rhsolicita ON dbo.rhcatalogo.Idcatalogo = dbo.rhsolicita.Idcatalogo
             LEFT JOIN rhestudios ON dbo.rhsolicita.idsolicitudes = dbo.rhestudios.idsolicitudes
             LEFT JOIN rhcarreras ON rhestudios.idcarreras = rhcarreras.idcarreras
             LEFT JOIN llaves ON empleados.codigo = llaves.codigo
                                 AND dbo.empleados.empresa = llaves.empresa
             LEFT JOIN capa_relacionPuestos ON llaves.ocupacion = capa_relacionPuestos.ocupacion
                                               AND dbo.Llaves.empresa = dbo.capa_RelacionPuestos.empresa
             LEFT JOIN capa_CatalogoOcupacion ON capa_relacionpuestos.idcatalogo = capa_CatalogoOcupacion.idcatalogo
             LEFT JOIN datosemps ON empleados.empresa = dbo.datosemps.empresa
                                    AND dbo.empleados.codigo = dbo.datosemps.codigo
     WHERE   capa_programacion.ffinal BETWEEN @inicialDate AND @finalDate
             AND Capa_curso.empresa=@companyId 
             AND capa_programacion.stps='S'
             AND NOT empleados.codigo IS NULL
GO

IF EXISTS ( SELECT  name
             FROM    dbo.sysobjects
             WHERE   name = 'GetSTPSEmployees'
                     AND type = 'P' )
     DROP PROCEDURE dbo.GetSTPSEmployees
GO

CREATE PROCEDURE  dbo.GetSTPSEmployees
     (
       @companyId AS INTEGER ,
       @inicialDate AS DATETIME ,
       @finalDate AS DATETIME
     )
     WITH ENCRYPTION
AS
     SET NOCOUNT ON
     SET DATEFORMAT MDY

     SELECT  DISTINCT ( empleados.codigo ) AS codigoEmpleado ,
             empleados.codigo ,
             ISNULL(empleados.nombre, '') AS nombreEmpleado ,
             ISNULL(empleados.ap_paterno, '') AS paterno ,
             ISNULL(empleados.ap_materno, '') AS materno ,
             ISNULL(empleados.curp, '') ,
             ISNULL(( empleados.afiliacion + empleados.digvera ), '') AS imss ,
			 0 AS discapacidad ,            
 			 datosemps.edocivil AS estadoCivil ,		
			 0 AS hijosDependientesEconominos ,                         
             ISNULL(capa_catalogoOcupacion.clave,'') AS ocupacion ,
             '0' AS nivelEstudios ,
             1 AS claveDocumento ,
             0 AS emisionDocumento ,
             1 AS tipoInstitucion ,
             '' AS nombreEstudio ,
             ISNULL(datosemps.poblacion,'') AS entidad,
             ISNULL(datosemps.municipio,'') AS localidad
     FROM    capa_Curso
             LEFT JOIN capa_programacion ON dbo.Capa_curso.empresa = dbo.capa_programacion.empresa
                                            AND dbo.Capa_curso.idcurso = dbo.capa_programacion.idcurso
             LEFT JOIN capa_empleadoprogramacion ON dbo.capa_programacion.idprogramacion = dbo.capa_EmpleadoProgramacion.idprogramacion
                                                    AND dbo.capa_programacion.empresa = dbo.capa_EmpleadoProgramacion.empresa
             LEFT JOIN empleados ON dbo.capa_EmpleadoProgramacion.codigo= dbo.empleados.codigo
                                    AND capa_programacion.empresa = empleados.empresa
             LEFT JOIN llaves ON empleados.codigo = llaves.codigo
                                 AND dbo.empleados.empresa = llaves.empresa
             LEFT JOIN capa_relacionPuestos ON llaves.ocupacion = capa_relacionPuestos.ocupacion
                                               AND dbo.Llaves.empresa = dbo.capa_RelacionPuestos.empresa
             LEFT JOIN capa_CatalogoOcupacion ON capa_relacionpuestos.idcatalogo = capa_CatalogoOcupacion.idcatalogo
             LEFT JOIN datosemps ON empleados.empresa = dbo.datosemps.empresa
                                    AND dbo.empleados.codigo = dbo.datosemps.codigo
     WHERE   capa_programacion.ffinal BETWEEN @inicialDate AND @finalDate
             AND Capa_curso.empresa=@companyId 
             AND capa_programacion.stps='S'
             AND NOT empleados.codigo IS NULL

GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCoursesNumber'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCoursesNumber
GO
CREATE PROCEDURE  dbo.GetSTPSCoursesNumber
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
        
    	select count(capa_programacion.numeroConsecutivo)
		FROM capa_Curso, capa_programacion, capa_instructor
		where capa_programacion.idcurso=capa_curso.idcurso
		and capa_programacion.empresa=capa_curso.empresa
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and capa_programacion.empresa= capa_instructor.empresa
		and Capa_programacion.numeroconsecutivo is not null
		and capa_programacion.idinstructor=capa_instructor.idinstructor	
		AND capa_programacion.stps='S'		
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCourses'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCourses

GO

CREATE PROCEDURE  dbo.GetSTPSCourses
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime,
		@establecimiento as varchar(10),
		@plan as varchar(12)
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DECLARE @ayo_operation AS integer
    
    	select distinct(isnull(capa_programacion.numeroConsecutivo,0)) as numeroConsecutivo, 1 as tipoRegistro,  
		@plan as FolioPlan, year(capa_programacion.ffinal) as AoPlan, @establecimiento as establecimiento,
		isnull(capa_curso.nombre,'') as nombreCurso,
		isnull(capa_catalogoareatematica.clave,1000) as areaTematica,
		round(isnull(capa_programacion.tothoras,0),0) as duracion,
case when (len(convert(varchar(2),day(capa_programacion.finicial)))) > 1 then
			convert(varchar(2),day(capa_programacion.finicial))
			else
			('0' + convert(varchar(2),day(capa_programacion.finicial))) end
		+ '/' + 
		case when (len(convert(varchar(2),month(capa_programacion.finicial)))) > 1 then
			convert(varchar(2),month(capa_programacion.finicial))
			else
			('0' + convert(varchar(2),month(capa_programacion.finicial))) end + '/' + 
		convert(varchar(4),year(capa_programacion.finicial))		
 as inicio,
		case when (len(convert(varchar(2),day(capa_programacion.ffinal)))) > 1 then
			convert(varchar(2),day(capa_programacion.ffinal))
			else
			('0' + convert(varchar(2),day(capa_programacion.ffinal))) end
		+ '/' + 
		case when (len(convert(varchar(2),month(capa_programacion.ffinal)))) > 1 then
			convert(varchar(2),month(capa_programacion.ffinal))
			else
			('0' + convert(varchar(2),month(capa_programacion.ffinal))) end + '/' + 
		convert(varchar(4),year(capa_programacion.ffinal))
		as termino,case when capa_instructor.externo='S' then 2 else 1 end
		 as ClaveTipoAgenteCapacitador,
		isnull(capa_instructor.registroSTPS,'') as registroSTPS,
		isnull(capa_programacion.modalidad,1) as claveModalidad,
		isnull(capa_programacion.objetivo,1) as claveObjetivo
		FROM capa_programacion
			left join capa_curso on 
				capa_curso.empresa=capa_programacion.empresa
				and capa_curso.idcurso=capa_programacion.idcurso
			LEFT join capa_instructor on
				capa_Instructor.idInstitucion=capa_programacion.idprogramacion
				and capa_instructor.empresa=capa_programacion.empresa
			left join capa_catalogoareatematica  on
				capa_catalogoareatematica.iddenominacion=capa_curso.idDenominacion
		where capa_programacion.empresa=@companyId
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and Capa_programacion.numeroconsecutivo is not null
		AND capa_programacion.stps='S'	
		
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetEmployeeIdEntity'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetEmployeeIdEntity

GO

CREATE PROCEDURE  dbo.GetEmployeeIdEntity
    (
		@companyId AS Integer , 
		@employeeId AS Integer,
		@type as Integer 
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
	  DECLARE @entity as varchar(100)
	  DECLARE @city as varchar(100)
	  DECLARE @value as varchar(100)
	  DECLARE @pos as integer

	  SELECT @value = isnull(poblacion,'')
	  FROM datosemps	  
	  WHERE empresa=@companyId and codigo=@employeeId
	  
	  set @pos = charindex(',',@value);
	  
	  if @pos > 1 
		begin
			set @city = substring(@value,1,@pos-1);
			set @entity = substring(@value,@pos+1,len(@value));
			IF @type=1 --entidad
				RETURN(@entity);
			ELSE
				RETURN(@city);
		end
	  else		
		return ''
	    		
GO

IF EXISTS ( SELECT
                name
            FROM
                dbo.sysobjects
            WHERE
                name = 'GenerateCourseIdentity' AND
                type = 'P' ) 
    DROP PROCEDURE dbo.GenerateCourseIdentity
GO
CREATE PROCEDURE  dbo.GenerateCourseIdentity (
    @companyId AS Integer,
    @inicialDate as Datetime,
    @finalDate as DateTime
    )
    WITH ENCRYPTION
AS 
     SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DECLARE @consecutivo AS bigint ;
    DECLARE @cursoId AS bigint ;
 
		update Capa_programacion set numeroConsecutivo=null;
 
		set	@consecutivo = 1;
		
		DECLARE CursorCurso CURSOR
		FOR select distinct capa_programacion.idprogramacion
			  from capa_programacion
			  where empresa=@companyId	
			  and capa_programacion.ffinal between @inicialDate and @finalDate	
			  AND capa_programacion.stps='S'
			  order by idprogramacion		  		        
		OPEN CursorCurso

		FETCH NEXT FROM CursorCurso INTO @cursoId

		WHILE (@@FETCH_STATUS <> -1)
		BEGIn

		  UPDATE capa_programacion
		  SET capa_programacion.numeroConsecutivo = @consecutivo
		  WHERE capa_programacion.idprogramacion  = @cursoId AND				
				capa_programacion.Empresa  = @companyId;

		  SET @consecutivo = @consecutivo + 1;
		     
		  FETCH NEXT FROM CursorCurso INTO @cursoId

		END

		DEALLOCATE CursorCurso
		
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetEmployeeStudies'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetEmployeeStudies
GO

CREATE PROCEDURE  dbo.GetEmployeeStudies
    (
		@companyId AS Integer , 
		@employeeId AS Integer
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	SELECT  rhestudios.documentoSTPS,rhestudios.tipoInstitucionSTPS,
			rhnivel.nivel,rhcarreras.carrera
	FROM	rhcatalogo, rhsolicita, rhestudios, rhnivel, rhcarreras
	WHERE	rhcatalogo.codigo=@employeeId
			and rhcatalogo.empresa=@companyId
			and rhcatalogo.idcatalogo=rhsolicita.idcatalogo
			and rhsolicita.idSolicitudes = rhestudios.idSolicitudes
			and rhnivel.idnivel=rhestudios.idnivel
			and rhcarreras.idcarreras=rhestudios.idcarreras
			and rhcarreras.empresa=rhcatalogo.empresa	    		
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetCapaEntity'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetCapaEntity
GO
CREATE PROCEDURE  dbo.GetCapaEntity
    (		
		@entityNAme AS varchar(250)
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	SELECT  idEntidad
	FROM	capa_entidad
	WHERE	entidad=@entityNAme	    		
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetCapaPoblacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetCapaPoblacion
GO
CREATE PROCEDURE  dbo.GetCapaPoblacion
    (		
		@poblacionName AS varchar(250),
		@entidadName as varchar(250) 
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	SELECT  idpoblacion
	FROM	capa_poblacion p, capa_entidad e
	WHERE	p.idEntidad=e.idEntidad
	and     e.entidad=@entidadName
	and     p.poblacion=@poblacionName	
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetEmployeeKids'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetEmployeeKids
GO
CREATE PROCEDURE  dbo.GetEmployeeKids
    (		
		@companyID AS bigint,
		@employeeId as bigint
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	SELECT COUNT(P.IDPARENTESCO) as hijos
	FROM RHFAMILIAR F, RHPARENTESCO P, RHCATALOGO C
	WHERE f.idparentesco=p.idparentesco
	and f.idcatalogo=c.idCatalogo
	and p.idparentesco=3
	and c.codigo=@employeeID
	and c.empresa=@companyID
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursosEfectuandose'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursosEfectuandose
GO

CREATE PROCEDURE  dbo.reporteCursosEfectuandose
    (
		@companyId AS Integer ,		
		@beginDate as Datetime,
		@endDate as DateTime,
		@costCenter AS varchar(50)
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    SELECT
		empresas.registro_patronal,
		empresas.rfc_empresa,
		empresas.nombre_empresa,
		capa_Programacion.empresa,
		capa_Programacion.idprogramacion,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		capa_Programacion.horaini1,
		capa_Programacion.horafin1,
		capa_Programacion.horaini2,
		capa_Programacion.horafin2,
		capa_Programacion.tothoras,
		capa_Instructor.nombre as nombreInstructor,
		capa_Curso.clave,
		capa_Curso.nombre as nombreCurso,
		capa_Lugar.Lugar
	FROM
		((((empresas empresas LEFT OUTER JOIN capa_Programacion capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa)
		INNER JOIN  capa_Instructor capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor)
		INNER JOIN capa_Curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso)
		INNER JOIN  capa_Lugar capa_Lugar ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar)
	WHERE
		capa_Programacion.empresa = @companyId AND
		 capa_programacion.ffinal	>= @endDate  and
		  capa_programacion.finicial <= @beginDate		  
	order by capa_programacion.finicial		
	    
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursosEfectuandosexCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursosEfectuandosexCC
GO

CREATE PROCEDURE  dbo.reporteCursosEfectuandosexCC
    (
		@companyId AS Integer ,		
		@beginDate as Datetime,
		@endDate as DateTime,
		@costCenter AS varchar(50)
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    if @costCenter='0' 
		begin
		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.idLugar,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horaini2,
			capa_Programacion.tothoras,
			capa_Instructor.nombre as nombreInstructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			Llaves.centro,
			centros.nomdepto
		FROM
			(((((((empresas empresas LEFT OUTER JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa)
			LEFT OUTER JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor)
			LEFT OUTER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion)
			INNER JOIN Capa_curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso)
			LEFT OUTER JOIN empleados empleados ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo)
			INNER JOIN Llaves Llaves ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo)
			INNER JOIN centros centros ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa)
		WHERE
			capa_Programacion.empresa = 6 AND
			 capa_programacion.ffinal>= @endDate  and
			capa_programacion.finicial <= @beginDate
		ORDER BY
			Llaves.centro ASC,
			capa_Programacion.idprogramacion ASC
		end
	else
		begin
			SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.idLugar,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horaini2,
			capa_Programacion.tothoras,
			capa_Instructor.nombre as nombreInstructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			Llaves.centro,
			centros.nomdepto
		FROM
			(((((((empresas empresas LEFT OUTER JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa)
			LEFT OUTER JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor)
			LEFT OUTER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion)
			INNER JOIN Capa_curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso)
			LEFT OUTER JOIN empleados empleados ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo)
			INNER JOIN Llaves Llaves ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo)
			INNER JOIN centros centros ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa)
		WHERE
			capa_Programacion.empresa = 6 AND
			 capa_programacion.ffinal>= @endDate  and
			capa_programacion.finicial <= @beginDate and
			centros.centro=@costCenter
		ORDER BY
			Llaves.centro ASC,
			capa_Programacion.idprogramacion ASC
		end
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursosEfectuados'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursosEfectuados
GO

CREATE PROCEDURE  dbo.reporteCursosEfectuados
    (
		@companyId AS Integer ,		
		@beginDate as Datetime,
		@endDate as DateTime
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    SELECT
		empresas.registro_patronal,
		empresas.rfc_empresa,
		empresas.nombre_empresa,
		capa_Programacion.empresa,
		capa_Programacion.idprogramacion,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		capa_Programacion.horaini1,
		capa_Programacion.horafin1,
		capa_Programacion.horaini2,
		capa_Programacion.horafin2,
		capa_Programacion.tothoras,
		capa_Instructor.nombre as nombreInstructor,
		capa_Curso.clave,
		capa_Curso.nombre as nombreCurso,
		capa_Lugar.Lugar
	FROM
		((((empresas empresas LEFT OUTER JOIN capa_Programacion capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa)
		INNER JOIN  capa_Instructor capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor)
		INNER JOIN capa_Curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso)
		INNER JOIN  capa_Lugar capa_Lugar ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar)
	WHERE
		   capa_Programacion.empresa = @companyId AND
		   capa_programacion.finicial	>= @beginDate and
		   capa_programacion.ffinal	<= @endDate  
	order by capa_programacion.finicial		
	    
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursosEfectuadosxCC'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursosEfectuadosxCC
GO

CREATE PROCEDURE  dbo.reporteCursosEfectuadosxCC
    (
		@companyId AS Integer ,		
		@beginDate as Datetime,
		@endDate as DateTime,
		@costCenter AS varchar(50)
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
   
		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.idLugar,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horaini2,
			capa_Programacion.tothoras,
			capa_Instructor.nombre as nombreInstructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			Llaves.centro,
			centros.nomdepto
		FROM
			empresas  
			inner JOIN capa_Programacion  ON
				empresas.empresa = capa_Programacion.empresa
			inner JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			inner JOIN capa_EmpleadoProgramacion  ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
			INNER JOIN Capa_curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			inner JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN Llaves  ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN centros  ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa
		WHERE
			capa_Programacion.empresa = @companyId AND
			capa_programacion.finicial  >= @beginDate and
			capa_programacion.finicial  <= @endDate  and
			centros.centro=@costCenter
		ORDER BY
			Llaves.centro ASC,
			capa_Programacion.idprogramacion ASC

go




IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'reporteCursosPorEfectuarse'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.reporteCursosPorEfectuarse
GO

CREATE PROCEDURE  dbo.reporteCursosPorEfectuarse
    (
		@companyId AS Integer ,		
		@beginDate as Datetime,
		@endDate as DateTime
    )

AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    SELECT
		empresas.registro_patronal,
		empresas.rfc_empresa,
		empresas.nombre_empresa,
		capa_Programacion.empresa,
		capa_Programacion.idprogramacion,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		capa_Programacion.horaini1,
		capa_Programacion.horafin1,
		capa_Programacion.horaini2,
		capa_Programacion.horafin2,
		capa_Programacion.tothoras,
		capa_Instructor.nombre as nombreInstructor,
		capa_Curso.clave,
		capa_Curso.nombre as nombreCurso,
		capa_Lugar.Lugar
	FROM
		((((empresas empresas LEFT OUTER JOIN capa_Programacion capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa)
		INNER JOIN  capa_Instructor capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor)
		INNER JOIN capa_Curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso)
		INNER JOIN  capa_Lugar capa_Lugar ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar)
	WHERE
		capa_Programacion.empresa = @companyId AND
		 capa_programacion.finicial	>= @beginDate  and		  
		 capa_programacion.ffinal <= @endDate 
	order by capa_programacion.finicial		
	    
go

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCoursesEmployeeRelation'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCoursesEmployeeRelation

GO

CREATE PROCEDURE  dbo.GetSTPSCoursesEmployeeRelation
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime,
		@centro as char(15)
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DECLARE @ayo_operation AS integer
    
    if @centro='0'
		begin 
    	select  isnull(empleados.curp,'') as curp, 
    			isnull(capa_CatalogoNorma.clave,'') as norma, 
    			convert(varchar(10),capa_programacion.finicial,103) as fecha	
		FROM capa_programacion 
		 left join capa_empleadoprogramacion
			on capa_programacion.empresa = capa_empleadoprogramacion.empresa
			and capa_programacion.idprogramacion=capa_empleadoProgramacion.idprogramacion
		 left join empleados 
			on capa_empleadoprogramacion.codigo=empleados.codigo
			and capa_empleadoprogramacion.empresa=empleados.empresa
		 left join capa_curso
			on capa_curso.idcurso=capa_programacion.idcurso
			and capa_curso.empresa=capa_programacion.empresa
		 left join capa_CatalogoNorma
		    on capa_CatalogoNorma.clave =capa_programacion.norma
		where Capa_curso.empresa=@companyId
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and Capa_programacion.numeroconsecutivo is not null	
		and capa_programacion.stps='S'
		and capa_EmpleadoProgramacion.asistencia='Si'
		order by capa_Curso.idcurso,empleados.curp
	end
 else
 	begin 
    	select  isnull(empleados.curp,'') as curp, 
    			isnull(capa_CatalogoNorma.clave,'') as norma, 
    			convert(varchar(10),capa_programacion.finicial,103) as fecha	
		FROM capa_programacion 
		 left join capa_empleadoprogramacion
			on capa_programacion.empresa = capa_empleadoprogramacion.empresa
			and capa_programacion.idprogramacion=capa_empleadoProgramacion.idprogramacion
		 left join empleados 
			on capa_empleadoprogramacion.codigo=empleados.codigo
			and capa_empleadoprogramacion.empresa=empleados.empresa
		left join llaves 
			on empleados.codigo=llaves.codigo
			and empleados.empresa=llaves.empresa
		 left join capa_curso
			on capa_curso.idcurso=capa_programacion.idcurso
			and capa_curso.empresa=capa_programacion.empresa
		 left join capa_CatalogoNorma
		    on capa_CatalogoNorma.clave =capa_programacion.norma
		where Capa_curso.empresa=@companyId
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and Capa_programacion.numeroconsecutivo is not null	
		and capa_EmpleadoProgramacion.asistencia='Si'
		and llaves.centro=@centro
		and capa_programacion.stps='S'
		order by capa_Curso.idcurso,empleados.curp
	end
			
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetCapaEntity'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetCapaEntity

GO

CREATE PROCEDURE  dbo.GetCapaEntity
(
	@entityName AS varchar(250)
)
WITH ENCRYPTION
AS
	SET NOCOUNT ON
	SET DATEFORMAT MDY

	SELECT  idEntidad
	FROM    capa_entidad
	WHERE    entidad=@entityNAme
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetCapaPoblacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetCapaPoblacion

GO

CREATE PROCEDURE  dbo.GetCapaPoblacion
(
	@poblacionName AS varchar(250),
	@entidadName as varchar(250)
)
WITH ENCRYPTION
AS
	SET NOCOUNT ON
	SET DATEFORMAT MDY

	SELECT  idpoblacion
	FROM    capa_poblacion p, capa_entidad e
	WHERE   p.idEntidad=e.idEntidad
	and     e.entidad=@entidadName
	and     p.poblacion=@poblacionName
GO



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaObtenAreaTematica'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaObtenAreaTematica
GO

CREATE PROCEDURE  dbo.CapaObtenAreaTematica
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	Select area from capa_CatalogoAreaTematica   		
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaCargaTipoCurso'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaCargaTipoCurso
GO

CREATE PROCEDURE  dbo.CapaCargaTipoCurso
    (@companyID bigint )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	Select idtipocurso from capa_TipoCurso where empresa=	@companyID
	
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaCargaTemario'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaCargaTemario
GO

CREATE PROCEDURE  dbo.CapaCargaTemario
    (@companyID bigint )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	Select nombre from capa_Temario where empresa=	@companyID
	
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capacargaDetalleReProgramacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capacargaDetalleReProgramacion
GO

CREATE PROCEDURE  dbo.capacargaDetalleReProgramacion
    (@empresa bigint,
	 @idprogramacion bigint)
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY

	Select idprogramacion,fechaReprogramado, motivoReprogramado 
	from capa_programacion 
	where empresa=	@empresa
	and idprogramacion=@idprogramacion
	
GO
