
if not exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaSodeciaCursos') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  

CREATE TABLE [dbo].[capaSodeciaCursos](
	[idRegistro] [bigint] IDENTITY(1,1) NOT NULL,
	[empresa] [bigint] NULL,
	[curp] [varchar](18) NULL,
	[Nombre] [varchar](50) NULL,
	[primerApellido] [varchar](30) NULL,
	[segundoApellido] [varchar](30) NULL,
	[claveEstado] [bigint] NULL,
	[claveMunicipio] [bigint] NULL,
	[claveOcupacion] [bigint] NULL,
	[claveNivelEstudios] [bigint] NULL,
	[claveDocumentoProbatorio] [bigint] NULL,
	[claveInstitucion] [varchar](50) NULL,
	[claveCurso] [varchar](50) NULL,
	[nombreCurso] [varchar](50) NULL,
	[claveAreaTematica] [varchar](50) NULL,
	[Duracion] [decimal](18, 2) NULL,
	[FechaInicio] [datetime] NULL,
	[FechaTermino] [datetime] NULL,
	[claveTipAgente] [varchar](50) NULL,
	[RFCAgente] [varchar](50) NULL,
	[claveModalidad] [varchar](50) NULL,
	[claveObjetivo] [varchar](50) NULL,
	[claveCapacitacion] [varchar](50) NULL
) ON [PRIMARY]

GO

if not exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaSodeciaCursosCompetencias') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE [dbo].[capaSodeciaCursosCompetencias](
	[idRegistro] [bigint] IDENTITY(1,1) NOT NULL,
	[empresa] [bigint] NULL,
	[curp] [varchar](18) NULL,
	[fechaCertificado] [datetime] NULL
) ON [PRIMARY]

GO

if not exists (select * from dbo.sysobjects where id = object_id(N'dbo.capa_EmpleadoCurso') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE [dbo].[capa_EmpleadoCurso](
	[empresa] [bigint] NULL,
	[idCurso] [bigint] NULL,
	[codigo] [bigint] NULL
) ON [PRIMARY]

GO


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.obtenSTPSNombreObjetivo') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.obtenSTPSNombreObjetivo
GO

CREATE FUNCTION dbo.obtenSTPSNombreObjetivo
(
	@IdObjetivo as varchar(150)	
)
RETURNS varchar(150)	
AS
BEGIN
	 
	declare @regresa as varchar(150)
	 
	if @IdObjetivo=1
		begin
			set @regresa='Actualizar y perfeccionar conocimientos y habilidades'
		end
	else if @IdObjetivo=2
		begin 
			set @regresa='Proporcional informacion de nuevas tecnologas'
		end
	else if @IdObjetivo=3
		begin
			set @regresa='Preparar para ocupar vacantes o puestos de nueva generacin'
		end
	else if @IdObjetivo=4
		begin
			set @regresa='Prevenir riesgos de trabajo'
		end
	else if @IdObjetivo=5
		begin
			set @regresa='Incrementar la productividad'
		end				
		
	return @regresa
		
return @regresa
end
go


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.obtenSTPSNombreModalidad') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.obtenSTPSNombreModalidad
GO

CREATE FUNCTION dbo.obtenSTPSNombreModalidad
(
	@IdModalidad as varchar(150)	
)
RETURNS varchar(150)	
AS
BEGIN
		
	declare @regresa as varchar(150)
	 
	if @idmodalidad=1
		begin
			set @regresa='Presencial'
		end
	else if @idmodalidad=2
		begin 
			set @regresa='En Linea'
		end
	else if @idmodalidad=3
		begin
			set @regresa='Mixta'
		end
		
	return @regresa
	
end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAvanceAcumulado')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAvanceAcumulado
GO

CREATE PROCEDURE dbo.capaAvanceAcumulado
	(	
		@companyId bigint,
		@fechaInicial datetime,
		@fechaFinal datetime,
		@tipo integer
	) 

AS 
	BEGIN
	
	DECLARE @estatus varchar(5)
	DECLARE @cantidad bigint

	if @tipo=0
	begin

		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.tothoras,
			capa_Instructor.nombre as nombreInstructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			capa_Lugar.Lugar,
			(case when capa_Programacion.ffinal< GETDATE() then 'CYE'
				when capa_Programacion.ffinal > getdate() then 'CPE'
				when (getdate() between capa_programacion.ffinal and capa_programacion.finicial) then 'EFE' 
			end ) as estatus
		FROM
			empresas empresas 
			LEFT  JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa			
			LEFT  JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			LEFT JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa	
				and capa_programacion.idcurso=capa_Curso.idcurso
			LEFT  JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
		WHERE
			capa_Programacion.empresa = @companyID AND
			capa_Programacion.finicial >= @fechaInicial  AND
			capa_Programacion.finicial <= @fechaFINAL  
		ORDER BY
			capa_Programacion.idprogramacion ASC

	end
	else if @tipo=1
	begin
		create table #Temporal (estatus varchar(5),
								cantidad bigint)
	
		SELECT
			@cantidad = count(capa_Programacion.idprogramacion)	
		FROM
			empresas empresas 
			LEFT  JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa			
			LEFT  JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			LEFT JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa	
				and capa_programacion.idcurso=capa_Curso.idcurso
			LEFT  JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
		WHERE
			capa_Programacion.empresa = @companyID AND
			capa_Programacion.finicial >= @fechaInicial  AND
			capa_Programacion.finicial <= @fechaFINAL   and
			capa_Programacion.ffinal < GETDATE()
		group by
			capa_Programacion.empresa
		
		insert into #Temporal values('CYE',@cantidad)
		
		SELECT
			@cantidad = count(capa_Programacion.idprogramacion)	
		FROM
			empresas empresas 
			LEFT  JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa			
			LEFT  JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			LEFT JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa	
				and capa_programacion.idcurso=capa_Curso.idcurso
			LEFT  JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
		WHERE
			capa_Programacion.empresa = @companyID AND
			capa_Programacion.finicial >= @fechaInicial  AND
			capa_Programacion.finicial <= @fechaFINAL 
			and getdate() between capa_programacion.ffinal and capa_programacion.finicial
		group by
			capa_Programacion.empresa
		
		insert into #Temporal values('EFE',@cantidad)
		
			SELECT
			@cantidad = count(capa_Programacion.idprogramacion)	
		FROM
			empresas empresas 
			LEFT  JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa			
			LEFT  JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			LEFT JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa	
				and capa_programacion.idcurso=capa_Curso.idcurso
			LEFT  JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
		WHERE
			capa_Programacion.empresa = @companyID AND
			capa_Programacion.finicial >= @fechaInicial  AND
			capa_Programacion.finicial <= @fechaFINAL   and
			capa_Programacion.finicial > GETDATE()
		group by
			capa_Programacion.empresa
		
		insert into #Temporal values('CPE',@cantidad)
		
		select * from #Temporal
	end			
			
end

go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAvanceAcumuladoVacio')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAvanceAcumuladoVacio
GO

create PROCEDURE dbo.capaAvanceAcumuladoVacio
( @tipo int )
AS
SET NOCOUNT ON	


	if @tipo=1
	begin
		Select	'SinEstatus' as estatus,
				'0' as cantidad
	end
	else if @tipo=0
	begin
		SELECT
			'' as registro_patronal,
			'' as rfc_empresa,
			'' as nombre_empresa ,
			0 as empresa,
			0 as idprogramacion,
			'' as finicial,
			'' as ffinal,
			'' as horaini1,
			'' as horafin1,
			'' as horaini2,
			'' as horafin2,
			'' as tothoras,
			'' as nombreInstructor,
			'' as clave,
			'' as nombreCurso,
			'' as lugar,
			'SinEstatus' as estatus		
		
	end

GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAvanceDetallado')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAvanceDetallado
GO

CREATE PROCEDURE dbo.capaAvanceDetallado
	(	
		@companyId bigint,
		@fechaInicial datetime,
		@fechaFinal datetime
	) 

AS 
	BEGIN
		SELECT
			isnull(capa_Programacion.empresa,0) as empresa,
			isnull(capa_Programacion.idprogramacion,0) as idprogramacion,
			isnull(capa_Programacion.finicial,'') as finicial,
			isnull(capa_Programacion.ffinal,'') as ffinal,
			isnull(capa_Programacion.horaini1,'') as horaini1,
			isnull(capa_Programacion.horafin1,'') as horafin1,
			isnull(capa_Programacion.horaini2,'') as horaini2,
			isnull(capa_Programacion.horafin2,'') as horafin2,
			isnull(capa_Programacion.tothoras,'') as tothoras,
			isnull(capa_Instructor.nombre,'') as nombreInstructor,
			isnull(capa_Lugar.Lugar,'') as lugar,		
			isnull(capa_EmpleadoProgramacion.codigo,0 ) as codigo,
			isnull(capa_EmpleadoProgramacion.calificacion,0) as calificacion,
			isnull(capa_EmpleadoProgramacion.asistencia,'No') as asistencia,
			isnull(capa_EmpleadoProgramacion.comentarios,'') as comentarios,			
			isnull(capa_Curso.idcurso,0) as idcurso,
			isnull(capa_Curso.clave,'') as clavecurso,
			isnull(capa_Curso.nombre,'') as nombreCurso,
			isnull(empleados.nombre,'') as NombreEmpleado,
			isnull(empleados.ap_paterno,'') as paterno,
			isnull(empleados.ap_materno,'') as materno,
			(case when capa_Programacion.ffinal< GETDATE() then 'CYE'
				when capa_Programacion.ffinal > getdate() then 'CPE'
				when (getdate() between capa_programacion.ffinal and capa_programacion.finicial) then 'EFE' 
			end ) as estatus,
			supervisores.nombre as nombreSupervisor,
			horarios_catalogo.horario,
			horarios_catalogo.nombre as nombreHorario
		FROM
			capa_Programacion 			
			INNER JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			INNER JOIN capa_Lugar  ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
			INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion	and
				capa_Programacion.empresa=	capa_EmpleadoProgramacion.empresa	
			INNER JOIN empresas ON
				capa_Programacion.empresa = empresas.empresa
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa and
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			left join Llaves on 
				empleados.codigo=llaves.codigo and
				empleados.empresa=llaves.empresa 
			left join supervisores on 
				llaves.empresa=supervisores.empresa and
				llaves.supervisor=supervisores.supervisor
			left join horarios_catalogo on 
				llaves.empresa=horarios_catalogo.empresa and
				llaves.horario=horarios_catalogo.horario
		WHERE
			capa_Programacion.empresa = @companyId AND
			capa_Programacion.finicial >= @fechaInicial AND
			capa_Programacion.finicial <= @fechaFinal
		ORDER BY
			capa_Curso.idcurso ASC,
			capa_Programacion.idprogramacion ASC,
			empleados.codigo ASC
	end
			
go			


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaProgramaciones')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaProgramaciones
GO

CREATE PROCEDURE dbo.capaProgramaciones
	(	
		@companyId bigint,
		@mes varchar(2),
		@vyear varchar(4)
	) 

AS 
	BEGIN
			
	declare @selectStatement as varchar(1024)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	
	
	
	set @selectStatement = ''
	set @fromStatement = ''
	set @whereStatement =''
	set @orderbyStatement =''

	set @selectStatement=' SELECT
							capa_Programacion.idprogramacion,
							convert(varchar(10),capa_Programacion.finicial,103) as finicial,
							convert(varchar(10),capa_Programacion.ffinal,103) as ffinal,
							capa_Programacion.horaini1,
							capa_Programacion.horafin1,
							capa_Programacion.horaini2,
							capa_Programacion.horafin2,
							capa_Curso.clave,
							capa_Curso.nombre as nombrecurso,
							capa_TipoCurso.nombre as tipocurso,
							capa_Lugar.Lugar,
							capa_Instructor.nombre as nombreinstructor	,
							capa_Programacion.stps,
							capa_Programacion.norma,
							capa_Programacion.empresa,
							convert(varchar(10),capa_Programacion.fechareprogramado,103),
							isnull(capa_programacion.idProgramacionNueva,0)'
							
	set @fromStatement= ' FROM capa_Programacion capa_Programacion 	
						INNER JOIN capa_Lugar capa_Lugar ON 
								capa_Programacion.empresa = capa_Lugar.empresa and
								capa_programacion.idlugar= capa_lugar.idlugar
						INNER JOIN capa_Instructor capa_Instructor 
								ON capa_Programacion.empresa = capa_Instructor.empresa
								and capa_Programacion.idinstructor=capa_Instructor.idinstructor
						INNER JOIN capa_Curso capa_Curso 
									ON capa_Programacion.empresa = capa_Curso.empresa
									and capa_Programacion.idcurso=capa_curso.idcurso
						INNER JOIN empresas empresas ON	capa_Programacion.empresa = empresas.empresa
						INNER JOIN capa_Tipocurso capa_TipoCurso ON
							capa_Curso.empresa = capa_TipoCurso.empresa AND
							capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso 
						left outer JOIN capa_temario on capa_curso.idtemario= capa_temario.idTemario and
							capa_curso.empresa=capa_temario.empresa '
							
	set @whereStatement= ' WHERE capa_Programacion.empresa = ' + convert( varchar(4),@companyID	)
	
	if @mes<>0
	begin
		set @whereStatement= @whereStatement + ' and month(capa_Programacion.finicial)= ' + @mes  
	end	
			
	if @vyear<>0
	begin
		set @whereStatement= @whereStatement + ' and year(capa_Programacion.finicial)= ' + @vyear  
	end	
	
	
	
	set @orderbyStatement = ' ORDER BY capa_Programacion.idprogramacion desc '
	
		
	exec (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement)
		
	end		
go	

update capa_programacion set Capacidad='0' where capacidad='' 
update capa_programacion set Capacidad='0' where capacidad is null
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaProgramacion')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCargaProgramacion
GO

CREATE PROCEDURE dbo.capaCargaProgramacion
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
		Select  c.clave,
				c.nombre, 
				p.idlugar, 
				l.lugar,
				convert(varchar(10),p.finicial,103), 
				convert(varchar(10),p.ffinal,103),   
				i.idInstructor,
				i.nombre,
				p.horaini1,
				p.horafin1, 
				p.horaini2,
				p.horafin2,  
				P.costoPersona, 
				P.Capacidad, 
				P.tothoras, 
				p.stps, 
				p.modalidad, 
				dbo.obtenSTPSNombreModalidad(p.modalidad),
				p.objetivo, 
				dbo.obtenSTPSNombreObjetivo(p.objetivo),
				n.idSTPS as clavenorma,
				n.norma,
				t.idtemario,
				t.nombre,
				t.ubicacion ,
				(convert(numeric(9,2),isnull(P.Capacidad,'0'))*convert(numeric(9,2),isnull(P.tothoras,'0'))) as costoTotal,
				c.idcurso,
				m.idInstitucion,
				m.clave as claveinstitucion,
				m.nombre as nombreinstitucion,
				c.empresa,
				t.rutacarpeta,
				p.fechareprogramado,
				p.motivoreprogramado,
				p.idProgramacionNueva
		from capa_programacion p
				inner join capa_curso c on c.empresa=p.empresa and c.idcurso=p.idCurso	
				inner join capa_lugar l on l.empresa=p.empresa and p.idLugar=l.idLugar 
				inner join capa_instructor i on i.empresa=p.empresa and i.idInstructor=p.idInstructor 
				inner join capa_Institucion m on m.empresa=p.empresa and m.idInstitucion=i.idInstitucion 
				inner join capa_temario t on c.idtemario= t.idtemario and t.empresa=p.empresa
				inner join capa_CatalogoNorma n on n.clave=p.norma
		where  p.idprogramacion=  @idprogramacion
				and p.empresa=  @companyId

	end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaInscritos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaInscritos
GO

CREATE PROCEDURE dbo.capaInscritos
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
		SELECT
			capa_EmpleadoProgramacion.codigo,
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.costoPersona,
			capa_Programacion.capacidad,
			empleados.empresa,
			empleados.codigo,
			rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) + ' ' + rtrim(isnull(empleados.nombre,'')) as nombreEmpleado,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			Capa_piedepagina.Reporte,
			Capa_piedepagina.lado,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup,
			centros.nomdepto,
			iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)='Activo','S','N') as activo
		FROM
			capa_EmpleadoProgramacion capa_EmpleadoProgramacion 
			INNER JOIN capa_Programacion capa_Programacion ON
				capa_EmpleadoProgramacion.idprogramacion = capa_Programacion.idprogramacion
			INNER JOIN empleados empleados ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN Llaves Llaves ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN empresas empresas ON
				capa_Programacion.empresa = empresas.empresa
			INNER JOIN Capa_piedepagina Capa_piedepagina ON
				empresas.empresa = Capa_piedepagina.empresa
			INNER JOIN centros centros ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa
		WHERE
			Capa_piedepagina.Reporte = 'rptInscritos' AND
			capa_Programacion.idprogramacion = @IdProgramacion
		ORDER BY
			capa_EmpleadoProgramacion.idprogramacion ASC,
			rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) + ' ' + rtrim(isnull(empleados.nombre,''))
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAsistencia')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAsistencia
GO

CREATE PROCEDURE dbo.capaAsistencia
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
		SELECT
			capa_EmpleadoProgramacion.asistencia,
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.costoPersona,
			capa_Programacion.capacidad,
			empleados.empresa,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
			case empleados.ultmov when 'B' then 'No' else 'Si' end AS ultmov,
			capa_Curso.clave,
			capa_Curso.nombre as nombrecurso,			
			Capa_piedepagina.Reporte,
			Capa_piedepagina.ubicacion,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup,
			tabulador.actividad
		FROM
			capa_EmpleadoProgramacion capa_EmpleadoProgramacion 
			INNER JOIN capa_Programacion capa_Programacion ON
				capa_EmpleadoProgramacion.idprogramacion = capa_Programacion.idprogramacion
			INNER JOIN empleados empleados ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN Llaves Llaves ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN empresas empresas ON
				capa_Programacion.empresa = empresas.empresa
			INNER JOIN Capa_piedepagina Capa_piedepagina ON
				empresas.empresa = Capa_piedepagina.empresa
			INNER JOIN tabulador tabulador ON
				Llaves.empresa = tabulador.empresa AND
				Llaves.ocupacion = tabulador.ocupacion
		WHERE
			capa_Programacion.idprogramacion = @IdProgramacion AND
			Capa_piedepagina.Reporte = 'rptAsistencia'
		ORDER BY
			capa_Programacion.idprogramacion ASC,
			empleados.empresa ASC,
			empleados.codigo ASC
	
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaNoAsistencia')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaNoAsistencia
GO

CREATE PROCEDURE dbo.capaNoAsistencia
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
		SELECT
			capa_EmpleadoProgramacion.asistencia,
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.costoPersona,
			capa_Programacion.capacidad,
			empleados.empresa,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
			case empleados.ultmov when 'B' then 'No' else 'Si' end AS ultmov,
			capa_Curso.clave,
			capa_Curso.nombre as nombrecurso,			
			tabulador.actividad
		FROM
			capa_EmpleadoProgramacion capa_EmpleadoProgramacion 
			INNER JOIN capa_Programacion capa_Programacion ON
				capa_EmpleadoProgramacion.idprogramacion = capa_Programacion.idprogramacion
			INNER JOIN empleados empleados ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN Llaves Llaves ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN empresas empresas ON
				capa_Programacion.empresa = empresas.empresa
			INNER JOIN tabulador tabulador ON
				Llaves.empresa = tabulador.empresa AND
				Llaves.ocupacion = tabulador.ocupacion
		WHERE
			capa_Programacion.idprogramacion = @IdProgramacion AND
			capa_EmpleadoProgramacion.asistencia = 'No'
		ORDER BY
			capa_Programacion.idprogramacion ASC,
			empleados.empresa ASC,
			empleados.codigo ASC	
	end
go								



IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAsistenciaPreLleno')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAsistenciaPreLleno
GO

CREATE PROCEDURE dbo.capaAsistenciaPreLleno
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
		SELECT
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.tothoras,			
			Capa_piedepagina.Reporte,
			Capa_piedepagina.lado,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup,
			capa_Curso.nombre as nombrecurso,
			capa_Instructor.nombre as nombreinstructor,
			capa_Instructor.Externo,
			capa_EmpleadoProgramacion.codigo,
			Capa_Lugar.Lugar,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
			tabulador.actividad,
			capa_Programacion.finicial,
			centros.nomdepto
		FROM
			empresas  
			INNER JOIN capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa
			INNER JOIN Capa_piedepagina Capa_piedepagina ON
				empresas.empresa = Capa_piedepagina.empresa
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa
				and capa_programacion.idcurso= capa_Curso.idcurso
			INNER JOIN capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			INNER JOIN capa_EmpleadoProgramacion ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
			INNER JOIN Capa_Lugar  ON
				capa_Programacion.empresa = Capa_Lugar.empresa AND
				capa_Programacion.idLugar = Capa_Lugar.idLugar
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN Llaves  ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN tabulador  ON
				Llaves.empresa = tabulador.empresa AND
				Llaves.ocupacion = tabulador.ocupacion
			INNER JOIN centros  ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa
		WHERE
			capa_Programacion.empresa = @companyId AND
			capa_Programacion.idprogramacion = @IdProgramacion AND
			Capa_piedepagina.Reporte = 'rptRegistroPre-Lleno'
    END
go							


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAsistenciaLleno')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAsistenciaLleno
GO

CREATE PROCEDURE dbo.capaAsistenciaLleno
	(	
		@companyId bigint,
		@IdProgramacion bigint)

AS 
	BEGIN		
		
		SELECT
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.tothoras,
			Capa_piedepagina.Reporte,
			Capa_piedepagina.lado,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup,
			capa_Curso.nombre,
			capa_Instructor.nombre as instructor,
			capa_Instructor.Externo,
			capa_EmpleadoProgramacion.codigo,
			capa_EmpleadoProgramacion.asistencia,
			Capa_Lugar.Lugar,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
			centros.nomdepto,
			supervisores.nombre as supervisor,
			tabulador.actividad,
			capa_Programacion.finicial
		FROM
			empresas  
			INNER JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa
			INNER JOIN Capa_piedepagina  ON
				empresas.empresa = Capa_piedepagina.empresa
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			INNER JOIN capa_EmpleadoProgramacion  ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
			INNER JOIN Capa_Lugar  ON
				capa_Programacion.empresa = Capa_Lugar.empresa AND
				capa_Programacion.idLugar = Capa_Lugar.idLugar
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN Llaves  ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN centros  ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa
			INNER JOIN supervisores  ON
				Llaves.empresa = supervisores.empresa AND
				Llaves.supervisor = supervisores.supervisor
			INNER JOIN tabulador  ON
				Llaves.empresa = tabulador.empresa AND
				Llaves.ocupacion = tabulador.ocupacion
		WHERE
			capa_Programacion.empresa = @companyId AND
			capa_Programacion.idprogramacion = @IdProgramacion AND
			capa_EmpleadoProgramacion.asistencia = 'Si' AND
			Capa_piedepagina.Reporte = 'rptRegistroLleno'
		
    END
go				


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAsistenciaBlanco')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAsistenciaBlanco
GO

CREATE PROCEDURE dbo.capaAsistenciaBlanco
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN
	
	SELECT
		empresas.nombre_empresa,
		capa_Programacion.empresa,
		capa_Programacion.idprogramacion,
		capa_Programacion.tothoras,
		Capa_piedepagina.Reporte,
		Capa_piedepagina.lado,
		Capa_piedepagina.texto,
		Capa_piedepagina.ladoSup,
		Capa_piedepagina.TextoSup,
		capa_Curso.nombre as nombrecurso,
		capa_Instructor.nombre as nombreinstructor,
		capa_Instructor.Externo,
		capa_EmpleadoProgramacion.codigo,
		Capa_Lugar.Lugar,
		capa_Programacion.finicial
	FROM
		empresas  
		INNER JOIN capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa
		INNER JOIN Capa_piedepagina ON
			empresas.empresa = Capa_piedepagina.empresa
		INNER JOIN capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		INNER JOIN capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		INNER JOIN capa_EmpleadoProgramacion ON
			capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
			capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
		INNER JOIN Capa_Lugar ON
			capa_Programacion.empresa = Capa_Lugar.empresa AND
			capa_Programacion.idLugar = Capa_Lugar.idLugar
	WHERE
		capa_Programacion.empresa = @companyID AND
		capa_Programacion.idprogramacion = @IdProgramacion AND
		Capa_piedepagina.Reporte = 'rptRegistroBlanco'
		
    END
go			

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCalificaciones')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCalificaciones
GO

CREATE PROCEDURE dbo.capaCalificaciones
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 
	
AS 
	BEGIN
		SELECT
		capa_Programacion.idprogramacion,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		capa_Programacion.horaini1,
		capa_Programacion.horafin1,
		capa_Programacion.horaini2,
		capa_Programacion.horafin2,
		capa_Programacion.costoPersona,
		capa_Programacion.capacidad,
		capa_EmpleadoProgramacion.empresa,
		capa_EmpleadoProgramacion.codigo,
		capa_EmpleadoProgramacion.calificacion,
		capa_EmpleadoProgramacion.comentarios,
		capa_Curso.clave,
		capa_Curso.nombre as nombrecurso,
		Capa_piedepagina.Reporte,
		Capa_piedepagina.lado,
		Capa_piedepagina.texto,
		Capa_piedepagina.ladoSup,
		Capa_piedepagina.TextoSup,
		tabulador.actividad,
		empleados.codigo,
		rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
		dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo) as estatus
	FROM
		capa_Programacion capa_Programacion 
		INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
			capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
		INNER JOIN capa_Curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		INNER JOIN empresas empresas ON
			capa_Programacion.empresa = empresas.empresa
		INNER JOIN Capa_piedepagina Capa_piedepagina ON
			empresas.empresa = Capa_piedepagina.empresa
		INNER JOIN Llaves Llaves ON
			capa_EmpleadoProgramacion.empresa = Llaves.empresa AND
			capa_EmpleadoProgramacion.codigo = Llaves.codigo
		INNER JOIN tabulador tabulador ON
			Llaves.empresa = tabulador.empresa AND
			Llaves.ocupacion = tabulador.ocupacion
		INNER JOIN empleados empleados ON
			Llaves.empresa = empleados.empresa AND
			Llaves.codigo = empleados.codigo
	WHERE
		Capa_piedepagina.Reporte = 'rptCalificacion' AND
		capa_Programacion.idprogramacion = @IdProgramacion
	ORDER BY
		capa_Programacion.idprogramacion ASC,
		capa_EmpleadoProgramacion.empresa ASC,
		capa_EmpleadoProgramacion.codigo ASC
						
    END
go		

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoCalificaciones')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoCalificaciones
GO

CREATE PROCEDURE dbo.capaCatalogoCalificaciones
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	

	SELECT
		distinct(capa_EvalCalificacion.Nombre),
		capa_EvalCalificacion.valor,
		capa_EvalCalificacion.Orden
	FROM
		empresas  
		INNER JOIN capa_Programacion  ON
			empresas.empresa = capa_Programacion.empresa
		INNER JOIN capa_EvalCalificacion  ON
			capa_Programacion.empresa = capa_EvalCalificacion.empresa 
	WHERE
		capa_Programacion.empresa = @companyId 
	ORDER BY
		capa_EvalCalificacion.Orden ASC
	
	END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoPreguntas')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoPreguntas
GO

CREATE PROCEDURE dbo.capaCatalogoPreguntas
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	
	SELECT
		capa_EvalTipoPregunta.idtipo,
		capa_EvalTipoPregunta.Tipo,
		capa_EvalPregunta.idPregunta,
		capa_EvalPregunta.Texto
	FROM
		empresas  
		inner JOIN capa_EvalTipoPregunta  ON
			empresas.empresa = capa_EvalTipoPregunta.empresa
		inner JOIN capa_EvalPregunta  ON
			capa_EvalTipoPregunta.empresa = capa_EvalPregunta.empresa AND
			capa_EvalTipoPregunta.idtipo = capa_EvalPregunta.idtipo
	WHERE
		empresas.empresa = @companyId
	ORDER BY
		capa_EvalTipoPregunta.idtipo ASC,
		capa_EvalPregunta.idPregunta ASC
	
	END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoCategoriaDePreguntas')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoCategoriaDePreguntas
GO

CREATE PROCEDURE dbo.capaCatalogoCategoriaDePreguntas
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	
	SELECT
		Capa_piedepagina.Reporte,
		Capa_piedepagina.lado,
		Capa_piedepagina.texto,
		Capa_piedepagina.ladoSup,
		Capa_piedepagina.TextoSup,
		capa_EvalTipoPregunta.idtipo,
		capa_EvalTipoPregunta.Tipo
	FROM
		empresas      
		inner JOIN Capa_piedepagina  ON
			empresas.empresa = Capa_piedepagina.empresa
		inner JOIN capa_EvaltipoPregunta ON
			empresas.empresa = capa_EvalTipoPregunta.empresa
	WHERE
		empresas.empresa = @companyId AND
		Capa_piedepagina.Reporte = 'rptTipoPreguntaEval'
	
	END
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoTipoCurso')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoTipoCurso
GO

CREATE PROCEDURE dbo.capaCatalogoTipoCurso
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	SELECT
		capa_TipoCurso.empresa,
		capa_TipoCurso.idTipocurso,
		capa_TipoCurso.nombre
	FROM
		empresas 
		INNER JOIN capa_Tipocurso  ON
			empresas.empresa = capa_TipoCurso.empresa
	WHERE
		capa_TipoCurso.empresa = @companyid
	ORDER BY
		capa_TipoCurso.idTipocurso ASC
		end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoTemarios')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoTemarios
GO

CREATE PROCEDURE dbo.capaCatalogoTemarios
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	SELECT
		capa_temario.empresa,
		capa_temario.nombre,
		capa_temario.descripcion,
		capa_temario.ubicacion,
		capa_temario.rutaCarpeta
	FROM
		capa_temario  
	WHERE
		capa_temario.empresa = @companyId
	end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoLugar')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoLugar
GO

CREATE PROCEDURE dbo.capaCatalogoLugar
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	SELECT
		capa_lugar.idLugar,
		capa_lugar.lugar
	FROM
		capa_Lugar
	WHERE
		capa_lugar.empresa = @companyId
	end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoInstitucion')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoInstitucion
GO

CREATE PROCEDURE dbo.capaCatalogoInstitucion
	(	
		@companyId bigint
	) 
	
AS 
	SELECT empresa
		  ,idInstitucion
		  ,clave
		  ,nombre
		  ,direccion
		  ,ciudad
		  ,estado
		  ,telefono
		  ,fax
		  ,contacto
		  ,email
		  ,rfc
		  ,fechaalta
	  FROM capa_Institucion
	  where capa_Institucion.empresa=@companyId
	 order by capa_Institucion.clave

	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoInstructor')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoInstructor
GO

CREATE PROCEDURE dbo.capaCatalogoInstructor
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
	
	SELECT capa_Instructor.empresa
		,capa_Instructor.idInstructor
		,capa_Instructor.nombre 
		,capa_Instructor.rfc
		,capa_Instructor.direccion
		,capa_Instructor.idCiudad
		,capa_Instructor.idEstado
		,capa_Instructor.Telefono
		,capa_Instructor.Email
		,capa_Instructor.FechaRegistro
		,capa_Instructor.idInstitucion
		,capa_Instructor.Externo
		,capa_Instructor.fechaalta
		,capa_Institucion.nombre as institucion
	FROM capa_Instructor, capa_Institucion
	where capa_Instructor.idinstitucion=capa_institucion.idinstitucion
		and capa_Instructor.empresa=capa_institucion.empresa
		and capa_Instructor.empresa=@companyId
	order by capa_Instructor.nombre
	end
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoCurso')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoCurso
GO

CREATE PROCEDURE dbo.capaCatalogoCurso
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
		SELECT c.empresa
			  ,c.idcurso
			  ,c.clave
			  ,c.nombre
			  ,c.tothoras
			  ,c.costo_persona
			  ,c.estatus
			  ,c.capacidad
			  ,t.nombre as nombretemario
			  ,c.idTipocurso
			  ,c.stps
			  ,c.automatico
			  ,c.fechaalta
			  ,c.idDenominacion
			  ,c.numeroConsecutivo
			  ,c.puntos
		FROM Capa_curso c inner join 
		capa_temario t on c.empresa=t.empresa and t.idtemario=c.idtemario
		where c.empresa=@companyId
		order by c.clave
	end	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoPuestos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoPuestos
GO

CREATE PROCEDURE dbo.capaCatalogoPuestos
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
		
		SELECT
			capa_Puesto.empresa,
			capa_Puesto.ocupacion,
			capa_Puesto.actividad,
			Capa_piedepagina.Reporte,
			Capa_piedepagina.lado,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup
		FROM
			tabulador capa_Puesto 
			INNER JOIN Capa_piedepagina Capa_piedepagina ON
				capa_Puesto.empresa = Capa_piedepagina.empresa
		WHERE
			capa_Puesto.empresa = @companyId AND
			Capa_piedepagina.Reporte = 'rptPuestos'
		ORDER BY
			capa_Puesto.empresa ASC,
			capa_Puesto.actividad ASC
		
	end
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSindicalizadosConfianza')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSindicalizadosConfianza
GO

CREATE PROCEDURE dbo.capaSindicalizadosConfianza
	(	
		@companyId bigint,
		@idProgramacion bigint
	) 
	
AS 
	BEGIN
		
		SELECT			
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.costoPersona,
			capa_Programacion.capacidad,
			Capa_piedepagina.Reporte,
			Capa_piedepagina.lado,
			Capa_piedepagina.texto,
			Capa_piedepagina.ladoSup,
			Capa_piedepagina.TextoSup,
			capa_Curso.clave,
			capa_Curso.nombre as nombrecurso,
			capa_Curso.idTipocurso,
			capa_EmpleadoProgramacion.empresa,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
			empleados.sindicato,
			centros.nomdepto
		FROM
			empresas empresas 
			INNER JOIN capa_Programacion  ON
				empresas.empresa = capa_Programacion.empresa
			INNER JOIN Capa_piedepagina  ON
				empresas.empresa = Capa_piedepagina.empresa
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN capa_EmpleadoProgramacion  ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN Llaves  ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN centros  ON
				Llaves.centro = centros.centro AND
				Llaves.empresa = centros.empresa
		WHERE
			capa_Programacion.idprogramacion = @idprogramacion AND
			capa_EmpleadoProgramacion.empresa = @companyId AND
			Capa_piedepagina.Reporte = 'rptResumenEjecutivo'
		
	end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCostoPorCurso')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCostoPorCurso
GO

CREATE PROCEDURE dbo.capaCostoPorCurso
	(	
		@companyId bigint,
		@idProgramacion bigint,
		@fechaInicial DateTime,
		@fechaFinal DateTime
	) 
	
AS 
	BEGIN
		
		SELECT
			distinct(capa_EmpleadoProgramacion.idprogramacion),			
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			convert(decimal(18,2),capa_Programacion.costoPersona) as costoPersona,
			convert(decimal(18,2),capa_Programacion.capacidad) as capacidad,
			capa_Curso.clave,
			capa_Curso.nombre,
			capa_programacion.empresa,
			ISNULL(convert(decimal(18,2),capa_Programacion.costoPersona),0) *
		    ISNULL(convert(decimal(18,2),capa_Programacion.capacidad),0) as costoTotal
		FROM
			empresas  
			INNER JOIN capa_EmpleadoProgramacion ON
				empresas.empresa = capa_EmpleadoProgramacion.empresa        
			INNER JOIN capa_Programacion ON
				capa_EmpleadoProgramacion.empresa = capa_Programacion.empresa AND
				capa_EmpleadoProgramacion.idprogramacion = capa_Programacion.idprogramacion
			INNER JOIN Capa_curso ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
		WHERE
			capa_Programacion.finicial >= @fechaInicial AND
			capa_Programacion.finicial <= @fechaFinal AND
			capa_Programacion.empresa = @companyId
		ORDER BY
			capa_EmpleadoProgramacion.idprogramacion ASC
		
	end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaResumenDeCursos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaResumenDeCursos
GO

CREATE PROCEDURE dbo.capaResumenDeCursos
	(	
		@companyId bigint,
		@idProgramacion bigint,
		@fechaInicial DateTime,
		@fechaFinal DateTime
	) 
	
AS 
	BEGIN
		
		SELECT
			capa_Curso.idcurso,
			empresas.empresa,
			EMPRESAS.nombre_empresa,			
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal,	
			count(isnull(capa_Programacion.idprogramacion,0)) as programaciones,			
			sum(isnull(convert(decimal(18,2),capa_programacion.tothoras),0)) as totalhoras,
			sum(case when capa_EmpleadoProgramacion.asistencia='Si' then 1
			else 0 end) as asistencias
		FROM
			empresas  
			INNER JOIN	capa_Programacion  on
				capa_Programacion.empresa = empresas.empresa			
			INNER JOIN capa_EmpleadoProgramacion  ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion			
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso 				
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
		WHERE
			capa_Programacion.finicial >= @fechaInicial AND
			capa_Programacion.finicial <= @fechaFinal AND
			empresas.empresa = @companyid
		GROUP BY
			empresas.empresa,
			EMPRESAS.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal
		ORDER BY
			empresas.empresa,
			EMPRESAS.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal
		
	end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaResumenDeCursosPorEmpresa')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaResumenDeCursosPorEmpresa
GO

CREATE PROCEDURE dbo.capaResumenDeCursosPorEmpresa
	(	
		@companyId bigint,
		@idProgramacion bigint,
		@fechaInicial DateTime,
		@fechaFinal DateTime
	) 
	
AS 
	BEGIN
		
		SELECT
			capa_Curso.idcurso,
			empresas.empresa,
			EMPRESAS.nombre_empresa,			
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal,	
			count(isnull(capa_Programacion.idprogramacion,0)) as programaciones,			
			sum(isnull(convert(decimal(18,2),capa_programacion.tothoras),0)) as totalhoras,
			sum(case when asistencia='Si' then 1
			else 0 end) as asistencias
		FROM
			empresas  
			INNER JOIN	capa_Programacion  on
				capa_Programacion.empresa = empresas.empresa			
			INNER JOIN capa_EmpleadoProgramacion  ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion			
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso 				
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
		WHERE
			capa_Programacion.finicial >= @fechaInicial AND
			capa_Programacion.finicial <= @fechaFinal 
		GROUP BY
			empresas.empresa,
			EMPRESAS.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal
		ORDER BY
			empresas.empresa,
			EMPRESAS.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre,			
			capa_Programacion.finicial,
			capa_Programacion.ffinal
		
	end
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCursosEmpleadosInactivos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCursosEmpleadosInactivos
GO

CREATE PROCEDURE dbo.capaCursosEmpleadosInactivos
	(	
		@companyId bigint,
		@codigo bigint
	) 
	
AS 
	BEGIN
	
	SELECT
		empresas.registro_patronal,
		empresas.nombre_empresa,
		Capa_piedepagina.Reporte,
		Capa_piedepagina.lado,
		Capa_piedepagina.texto,
		Capa_piedepagina.ladoSup,
		Capa_piedepagina.TextoSup,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		isnull(capa_Programacion.tothoras,'0') as tothoras,
		isnull(capa_Programacion.costoPersona,'0') as costoPersona,
		isnull(capa_Programacion.capacidad,'0') as capacidad,
		capa_Curso.clave,
		capa_Curso.nombre as nombreCurso,
		capa_Instructor.nombre as nombreInstructor,
		capa_Lugar.Lugar,
		empleados.codigo,
		rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado,
		empleados.ultmov
	FROM
		empresas empresas 
		INNER JOIN Capa_piedepagina Capa_piedepagina ON
			empresas.empresa = Capa_piedepagina.empresa
		INNER JOIN capa_Programacion capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa
		INNER JOIN Capa_curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
			capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
			capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
		INNER JOIN capa_Instructor capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		INNER JOIN capa_Lugar capa_Lugar ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar
		INNER JOIN empleados empleados ON
			capa_EmpleadoProgramacion.empresa = empleados.empresa AND
			capa_EmpleadoProgramacion.codigo = empleados.codigo
	WHERE
		Capa_piedepagina.Reporte = 'rptCursosEmpInactivos'
		and empresas.empresa=@companyId
	ORDER BY
		empleados.codigo ASC,
		capa_Curso.clave ASC
		
	END
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCursosEmpleadosMobile')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCursosEmpleadosMobile
GO

CREATE PROCEDURE dbo.capaCursosEmpleadosMobile
	(	
		@companyId bigint,
		@codigo bigint
	) 
	
AS 
	BEGIN
	
	SELECT
		capa_programacion.idprogramacion,
		capa_Programacion.finicial,
		capa_Programacion.ffinal,
		isnull(capa_Programacion.tothoras,'0') as tothoras,
		capa_Curso.clave,
		capa_Curso.nombre as nombreCurso,
		capa_Instructor.nombre as nombreInstructor,
		capa_Lugar.Lugar,
		empleados.codigo,
		rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(isnull(empleados.ap_materno,'')) as nombreEmpleado
	FROM
		empresas empresas 
		INNER JOIN capa_Programacion capa_Programacion ON
			empresas.empresa = capa_Programacion.empresa
		INNER JOIN Capa_curso capa_Curso ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
			capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
			capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
		INNER JOIN capa_Instructor capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		INNER JOIN capa_Lugar capa_Lugar ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar
		INNER JOIN empleados empleados ON
			capa_EmpleadoProgramacion.empresa = empleados.empresa AND
			capa_EmpleadoProgramacion.codigo = empleados.codigo
	WHERE
		empresas.empresa=@companyId
		and empleados.codigo=@codigo
	ORDER BY
		empleados.codigo ASC,
		capa_Curso.clave ASC		
	END
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaProgramacionDiploma')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCargaProgramacionDiploma
GO

CREATE PROCEDURE dbo.capaCargaProgramacionDiploma
	(	
		@companyId bigint
	) 

AS 
	BEGIN
		Select p.idprogramacion, 
			   c.nombre			
		from capa_programacion p, capa_curso c
		where  p.empresa=@companyId
		and c.empresa=p.empresa  
		and c.idcurso=p.idCurso	
		order by p.idprogramacion
	end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaProgramacionAsistentes')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCargaProgramacionAsistentes
GO

CREATE PROCEDURE dbo.capaCargaProgramacionAsistentes
	(	
		@companyId bigint,
		@IdProgramacion bigint
	) 

AS 
	BEGIN	
		select e.codigo, e.nombre, e.ap_paterno, e.ap_materno 
		from capa_empleadoprogramacion pr, empleados e 
		where pr.codigo=e.codigo 
		and pr.empresa=e.empresa 
		and e.ultmov<>'B'
		and pr.idprogramacion=@idprogramacion
	end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaDiploma1')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaDiploma1
GO

CREATE PROCEDURE dbo.capaDiploma1
	(	
		@companyId bigint,
		@IdProgramacion bigint,
		@codigo bigint
	) 

AS 
	BEGIN	
	
	declare @selectStatement as varchar(1024)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)	
	
	set @selectStatement = ''
	set @fromStatement = ''
	set @whereStatement =''
	set @orderbyStatement =''

	set @selectStatement=' SELECT
							capa_Programacion.empresa,
							capa_Programacion.idprogramacion,
							capa_Instructor.nombre AS instructor,
							capa_Instructor.registroSTPS,
							capa_Curso.nombre as nombrecurso,
							capa_programacion.tothoras,
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							empresas.poblacion_empresa,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Institucion.nombre,
							empleados.curp,
							capa_CatalogoAreaTematica.area as area,
							tabulador.actividad,
							capa_archivosFirmas.logo
    '
	set @fromStatement = ' FROM    empresas  
							INNER JOIN capa_Programacion  ON
								empresas.empresa = capa_Programacion.empresa
							INNER JOIN capa_EmpleadoProgramacion  ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
							INNER JOIN capa_Curso  ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							INNER JOIN capa_Instructor  ON
								capa_Programacion.empresa = capa_Instructor.empresa AND
								capa_Programacion.idInstructor = capa_Instructor.idInstructor
							INNER JOIN capa_Institucion  ON
								capa_Instructor.empresa = capa_Institucion.empresa AND
								capa_Instructor.idInstitucion = capa_Institucion.idInstitucion
							INNER JOIN empleados  ON
								capa_EmpleadoProgramacion.empresa = empleados.empresa AND
								capa_EmpleadoProgramacion.codigo = empleados.codigo
							left outer JOIN capa_CatalogoAreaTematica  ON
								capa_Curso.idDenominacion = capa_CatalogoAreaTematica.idDenominacion
						   INNER JOIN Llaves  ON
								empleados.empresa = Llaves.empresa AND
								empleados.codigo = Llaves.codigo
						   INNER JOIN tabulador  ON
								Llaves.empresa = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion     
							left outer JOIN  capa_ArchivosFirmas ON
								llaves.empresa = capa_ArchivosFirmas.empresa    
								'								
		set @whereStatement = ' WHERE
								capa_Programacion.idprogramacion =' + CONVERT(varchar(15), @IdProgramacion) + ' AND
								capa_Programacion.empresa = ' + convert(varchar(15),@companyId)

		if @codigo<>0
		begin
			set @whereStatement = @whereStatement + ' AND capa_empleadoProgramacion.codigo = ' + convert(varchar(9),@codigo)
		end								
								
			
	exec (@selectStatement + @fromStatement + @whereStatement )								

	end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCostoPorLugar')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCostoPorLugar
GO

CREATE PROCEDURE dbo.capaCostoPorLugar
	(	
		@companyId bigint,
		@idLugar varchar(10),
		@fechaInicial DateTime,
		@fechaFinal DateTime
	) 
	
AS 
	BEGIN
	
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''
	
	
		set @selectStatement = ' SELECT
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.idLugar,
			capa_Programacion.finicial,
			convert(decimal(18,2),capa_Programacion.costoPersona) as costoPersona,
			convert(decimal(18,2),capa_Programacion.capacidad) as capacidad,
			capa_Curso.clave,
			capa_Curso.nombre,
			capa_Lugar.idLugar,
			capa_Lugar.Lugar,
			ISNULL(convert(decimal(18,2),capa_Programacion.costoPersona),0) *
		    ISNULL(convert(decimal(18,2),capa_Programacion.capacidad),0) as costoTotal'
		    
		set @fromStatement = ' FROM
			empresas empresas 		
			Inner JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa
			INNER JOIN Capa_curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa and
				capa_Programacion.idcurso = capa_Curso.idcurso
			Inner JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar'

		set @whereStatement = ' WHERE
			capa_Programacion.finicial >= ''' + convert(varchar(50),@fechaInicial,112) + ''' AND
			capa_Programacion.finicial <= ''' +  convert(varchar(50),@fechafinal,112) + ''' AND
			capa_Programacion.empresa = ' + convert(varchar(8),@companyId) 
			
		if @idLugar<>'0'
		begin
			set @whereStatement = ' and capa_Programacion.idlugar=''' + @idLugar  + ''''
		end			
			
		set @orderbyStatement = ' ORDER BY
			capa_Programacion.idLugar ASC'
	end	
	
	exec (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement)								
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCursosDetalle')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCursosDetalle
GO

CREATE PROCEDURE dbo.capaCursosDetalle
	(	
		@companyId bigint,
		@idLugar varchar(10),
		@idInstructor bigint,
		@idCurso bigint,
		@fechaInicial DateTime,
		@fechaFinal DateTime
	) 
	
AS 
	BEGIN
	
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''
	
	
		set @selectStatement = ' '
		    
		set @fromStatement = ' '

		set @whereStatement = ' WHERE
			capa_Programacion.finicial >= ''' + convert(varchar(50),@fechaInicial,112) + ''' AND
			capa_Programacion.finicial <= ''' +  convert(varchar(50),@fechafinal,112) + ''' AND
			capa_Programacion.empresa = ' + convert(varchar(8),@companyId) 
			
		if @idLugar<>'0'
		begin
			set @whereStatement = ' and capa_Programacion.idlugar=''' + @idLugar  + ''''
		end			
			
		set @orderbyStatement = ' '
	end	
	
	exec (@selectStatement + @fromStatement  + @orderbyStatement)								
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCursosPorTrabajador')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCursosPorTrabajador
GO

CREATE PROCEDURE dbo.capaCursosPorTrabajador
	(	
		@companyid bigint,
		@codigo bigint
	) 
	
AS 
	BEGIN
	
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''	
	
		set @selectStatement = ' SELECT
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.tothoras,
			capa_EmpleadoProgramacion.asistencia,
			capa_Instructor.nombre as instructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombrecurso,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
			empleados.fchalta,
			tabulador.actividad'
			
		set @fromStatement =  ' FROM empresas   
								inner join empleados on
									empresas.empresa= empleados.empresa	
								inner join llaves ON
									Llaves.empresa = empresas.empresa and
									Llaves.codigo=empleados.codigo
								INNER JOIN centros  ON
									Llaves.centro = centros.centro AND
									Llaves.empresa = centros.empresa        
								INNER JOIN tabulador  ON
									Llaves.empresa = tabulador.empresa AND
									Llaves.ocupacion = tabulador.ocupacion         
								inner join Capa_curso  on            
									capa_Curso.empresa = Llaves.empresa          								
								inner join capa_Puestocurso ON 
									capa_Curso.empresa=capa_Puestocurso.empresa and
									capa_Curso.idcurso=capa_Puestocurso.idcurso                  		
								inner join capa_Programacion on
									capa_Puestocurso.empresa = capa_Programacion.empresa and
									capa_Puestocurso.idcurso = capa_Programacion.idcurso   	
								inner join Capa_instructor  on            
									capa_Curso.empresa = Capa_instructor.empresa and
									capa_Programacion.idInstructor = Capa_instructor.idInstructor									
								inner join capa_EmpleadoProgramacion  ON
									capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa  and
									capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion  and
									Llaves.codigo=capa_EmpleadoProgramacion.codigo '
				
				
		set @whereStatement = ' WHERE
								capa_EmpleadoProgramacion.asistencia = ''Si'' AND			
								capa_Programacion.empresa = '  + convert(varchar(8),@companyId) 
			
		if (@codigo<>0)
			begin 
				set @whereStatement = @whereStatement + ' and capa_EmpleadoProgramacion.codigo = ' + convert(varchar(8),@codigo) 
			end
			
		set @orderbyStatement = ' ORDER BY
								empresas.empresa ASC,
								empleados.codigo ASC'
			
	exec  (@selectstatement + @fromStatement  + @wherestatement + @orderbyStatement)	
	
	end
GO	

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCursosPorTrabajadorConsultaRapida')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCursosPorTrabajadorConsultaRapida
GO

CREATE PROCEDURE dbo.capaCursosPorTrabajadorConsultaRapida
	(	
		@companyid bigint,
		@codigo bigint
	) 
	
AS 
	BEGIN
	
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''	
	
		set @selectStatement = ' SELECT
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.tothoras,
			capa_EmpleadoProgramacion.asistencia,
			capa_Instructor.nombre as instructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombrecurso,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
			empleados.fchalta,
			tabulador.actividad'
			
		set @fromStatement =  ' FROM empresas   
								inner join empleados on
									empresas.empresa= empleados.empresa	
								inner join llaves ON
									Llaves.empresa = empresas.empresa and
									Llaves.codigo=empleados.codigo
								INNER JOIN centros  ON
									Llaves.centro = centros.centro AND
									Llaves.empresa = centros.empresa        
								INNER JOIN tabulador  ON
									Llaves.empresa = tabulador.empresa AND
									Llaves.ocupacion = tabulador.ocupacion         
								inner join Capa_curso  on            
									capa_Curso.empresa = Llaves.empresa          								                 		
								inner join capa_Programacion on
									Capa_curso.empresa = capa_Programacion.empresa and
									Capa_curso.idcurso = capa_Programacion.idcurso   	
								inner join Capa_instructor  on            
									capa_Curso.empresa = Capa_instructor.empresa and
									capa_Programacion.idInstructor = Capa_instructor.idInstructor									
								inner join capa_EmpleadoProgramacion  ON
									capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa  and
									capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion  and
									Llaves.codigo=capa_EmpleadoProgramacion.codigo '
				
				
		set @whereStatement = ' WHERE 			
								capa_Programacion.empresa = '  + convert(varchar(8),@companyId) 
			
		if (@codigo<>0)
			begin 
				set @whereStatement = @whereStatement + ' and capa_EmpleadoProgramacion.codigo = ' + convert(varchar(8),@codigo) 
			end
			
		set @orderbyStatement = ' ORDER BY
								empresas.empresa ASC,
								empleados.codigo ASC'
			
	exec  (@selectstatement + @fromStatement  + @wherestatement + @orderbyStatement)	
	
	end
GO	

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaCapacitacionPorPuesto')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCargaCapacitacionPorPuesto
GO

CREATE PROCEDURE dbo.capaCargaCapacitacionPorPuesto
	(	
		@companyId bigint
	) 

AS 
	BEGIN	
		select  e.codigo, 
				rtrim(isnull(e.nombre,'')) + ' ' + rtrim(isnull(e.ap_paterno,'')) + ' ' + rtrim(isnull(e.ap_materno,'')) as nombreEmpleado,
				t.actividad,
				c.clave,
				c.nombre
		from  empleados e 
		inner join Llaves ll on ll.empresa=e.empresa and e.codigo=ll.codigo
		inner join tabulador t on t.empresa=e.empresa and ll.ocupacion=t.ocupacion
		left join capa_EmpleadoProgramacion ep on ep.empresa=e.empresa and ep.codigo=e.codigo
		left join capa_programacion p on p.empresa=e.empresa and p.idprogramacion=ep.idprogramacion
		left join Capa_curso c on c.empresa=e.empresa and c.idcurso=p.idcurso
		where e.ultmov<>'B'
		and e.empresa=1
		
		
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaNecesidadesDeCurso2')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaNecesidadesDeCurso2
GO

CREATE PROCEDURE dbo.capaNecesidadesDeCurso2
	(	
		@companyId bigint,
		@codigo bigint,
		@finicial datetime,
		@ffinal datetime		
	) 

AS 
	BEGIN
	
		select  t.idTipocurso,
				c.clave + ' ' +	c.nombre as nombreCurso,
				e.codigo ,
				rtrim(isnull(e.nombre,'')) + ' ' + rtrim(isnull(e.ap_paterno,'')) + ' ' + rtrim(isnull(e.ap_materno,'')) as nombreEmpleado,
			    p.idprogramacion,
			    dbo.capaObtenEstatusProgramacion(p.idprogramacion,p.empresa) as estatus,
			    case month(p.finicial) 
			     when 1 then 'Enero'
			     when 2 then 'Febrero'			
			     when 3 then 'Marzo'	
			     when 4 then 'Abril'	
			     when 5 then 'Mayo'	
			     when 6 then 'Junio'	
			     when 7 then 'Julio'	
			     when 8 then 'Agosto'	
			     when 9 then 'Septiembre'	
			     when 10 then 'Octubre'	
			     when 11 then 'Noviembre'	
			     when 12 then 'Diciembre' else '' end as fecha
		from  empleados e 
			left join capa_EmpleadoProgramacion ep on ep.empresa=e.empresa and ep.codigo=e.codigo
			left join capa_programacion p on p.empresa=e.empresa and p.idprogramacion=ep.idprogramacion
			left join Capa_curso c on c.empresa=e.empresa and c.idcurso=p.idcurso
			left join capa_tipocurso t on t.empresa=e.empresa and c.idtipocurso=t.idTipocurso
		where 
			e.empresa= @companyId
			and p.finicial between @finicial and  @ffinal
		
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaFormatoDC4Segunda')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaFormatoDC4Segunda
GO

CREATE PROCEDURE dbo.capaFormatoDC4Segunda
	(	
		@companyId bigint,
		@codigo bigint,
		@fechaDe datetime,	
		@fechaA datetime			
	) 

AS 
	BEGIN
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(4096)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(2048)	
	
	set @selectStatement = ''
	set @fromStatement = ''
	set @whereStatement =''
	set @orderbyStatement =''

	set @selectStatement=' SELECT
							empresas.empresa,
							empresas.nombre_empresa,
							capa_Programacion.idprogramacion,
							convert(varchar(10),isnull(capa_Programacion.finicial,''19000101''),103) as finicial,
							convert(varchar(10),isnull(capa_Programacion.ffinal,''19000101''),103) as ffinal,
							capa_Programacion.stps,
							capa_Programacion.modalidad,
							capa_Programacion.objetivo,
							capa_EmpleadoProgramacion.asistencia,
							capa_Curso.nombre as nombrecurso,
							capa_programacion.tothoras,
							capa_Instructor.Externo,
							capa_Instructor.registroSTPS,
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							rtrim(isnull(empleados.afiliacion,'''')) + rtrim(isnull(empleados.digvera,'''')) as afiliacion,
							empleados.curp,
							capa_CatalogoAreaTematica.clave as areatematica,
							capa_CatalogoAreaTematica.area,
							datosemps.poblacion,
							capa_CatalogoOcupacion2016.clave as claveocupacion,
							capa_CatalogoOcupacion2016.nombre as ocupacion,
							rhpersonal.edo_civil,
						    dbo.capaNivelAcademico(empleados.codigo,Llaves.empresa) as nivel,
						    dbo.capaDocumentoAcademico(empleados.codigo,Llaves.empresa) as documento,
						    dbo.capaInstitucionAcademico(empleados.codigo,Llaves.empresa) as institucion '
							
	set @fromStatement = ' FROM empresas  
							inner JOIN capa_Programacion  ON
								empresas.empresa = capa_Programacion.empresa
							inner JOIN capa_EmpleadoProgramacion  ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
							inner JOIN Capa_curso  ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							inner JOIN  capa_Instructor  ON
								capa_Programacion.empresa = capa_Instructor.empresa AND
								capa_Programacion.idInstructor = capa_Instructor.idInstructor
							inner JOIN  empleados  ON
								capa_EmpleadoProgramacion.empresa = empleados.empresa AND
								capa_EmpleadoProgramacion.codigo = empleados.codigo						
							inner JOIN Llaves ON
								capa_EmpleadoProgramacion.empresa = Llaves.empresa AND
								capa_EmpleadoProgramacion.codigo = Llaves.codigo
							inner JOIN  datosemps  ON
								empleados.empresa = datosemps.empresa AND
								empleados.codigo = datosemps.codigo
							inner JOIN  rhcatalogo  ON
								empleados.empresa = rhcatalogo.empresa AND
								empleados.codigo = rhcatalogo.codigo
							left outer JOIN capa_RelacionPuestos  ON
								Llaves.empresa = capa_RelacionPuestos.empresa AND
								Llaves.ocupacion = capa_RelacionPuestos.ocupacion
							left outer JOIN  capa_CatalogoOcupacion2016  ON
								capa_RelacionPuestos.idCatalogo = capa_CatalogoOcupacion2016.idCatalogo
							left outer JOIN  rhpersonal  ON
								rhcatalogo.Idcatalogo = rhpersonal.Idcatalogo  
							left outer JOIN  capa_CatalogoAreaTematica  ON
								capa_Curso.idDenominacion = capa_CatalogoAreaTematica.idDenominacion '
			
	set @whereStatement =' WHERE capa_EmpleadoProgramacion.asistencia = ''Si'' AND
						   empresas.empresa = ' + convert(varchar(8), @companyId) +
						 ' and capa_programacion.ffinal between ''' + convert(varchar(10),@fechaDe,112) + ''' and ''' + convert(varchar(10),@fechaA,112) + '''' +
						 ' and capa_Programacion.stps = ''S'''

							
	if @codigo<>0
		BEGIN 
			set @whereStatement = @whereStatement + ' and empleados.codigo= ' +  convert(varchar(10),@codigo)			
		END							
							
	set @orderbyStatement =' ORDER BY
						   empresas.nombre_empresa ASC,
						   capa_Programacion.idprogramacion ASC,
						   empleados.codigo ASC '

	exec (@selectStatement + @fromStatement  + @wherestatement + @orderbyStatement)	
				
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaFormatoDC4primera')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaFormatoDC4primera
GO

CREATE PROCEDURE dbo.capaFormatoDC4primera
	(	
		@companyId bigint,
		@codigo bigint,
		@fechaDe datetime,	
		@fechaA datetime	
	) 

AS 
     SET NOCOUNT ON
     SET DATEFORMAT MDY
     
	BEGIN
	
	declare @selectStatement as varchar(1024)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)	
	declare @hombres as bigint	
	declare @mujeres as bigint
	
	set @selectStatement = ''
	set @fromStatement = ''
	set @whereStatement =''
	
	select @hombres=COUNT(*) 
	from capa_empleadoprogramacion
	inner join capa_programacion on capa_empleadoprogramacion.idprogramacion= capa_programacion.idprogramacion
									and capa_empleadoprogramacion.empresa=capa_programacion.empresa
	inner join empleados on capa_EmpleadoProgramacion.codigo=empleados.codigo
						and capa_EmpleadoProgramacion.empresa=empleados.empresa										
	where  capa_programacion.ffinal between convert(varchar(10),@fechaDe,112) and convert(varchar(10),@fechaA,112)
	and capa_programacion.stps='S'
	and capa_EmpleadoProgramacion.asistencia='Si'
	and empleados.sexo='M'
	
	select @mujeres=COUNT(*) 
	from capa_empleadoprogramacion
	inner join capa_programacion on capa_empleadoprogramacion.idprogramacion= capa_programacion.idprogramacion
									and capa_empleadoprogramacion.empresa=capa_programacion.empresa
	inner join empleados on capa_EmpleadoProgramacion.codigo=empleados.codigo
						and capa_EmpleadoProgramacion.empresa=empleados.empresa										
	where  capa_programacion.ffinal between convert(varchar(10),@fechaDe,112) and convert(varchar(10),@fechaA,112)
	and capa_programacion.stps='S'
	and capa_EmpleadoProgramacion.asistencia='Si'
	and empleados.sexo='F'	
	
	set @selectStatement='  SELECT
							empresas.empresa,
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							empresas.direccion_empresa,
							empresas.colonia_empresa,
							empresas.poblacion_empresa,
							empresas.codigo_postal_empresa,
							empresas.representante_legal,
							empresas.actividad_empresa,
							empresas.telefono_empresa,
							empresas.nomentidad,' +
							CONVERT(varchar(20),@hombres) + ' as hombres,' + 
							CONVERT(varchar(20),@mujeres) + ' as mujeres,' +
							CONVERT(varchar(20),@hombres + @mujeres) + ' as total'		
	set @fromStatement = ' FROM	empresas  '							
	set @whereStatement =' WHERE empresas.empresa =' + convert(varchar(8),@companyId) 		
	exec (@selectStatement + @fromStatement  + @wherestatement)		
	end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaFormatoDC3')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaFormatoDC3
GO

CREATE PROCEDURE dbo.capaFormatoDC3
	(	
		@companyId bigint,
		@codigo bigint,
		@year bigint,		
		@idprogramacion bigint,
		@asistencia varchar(1)
	) 

AS 
	BEGIN
	
	declare @union as varchar(4096)
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)	

	set @selectStatement= ' SELECT
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							capa_Programacion.idprogramacion,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Curso.nombre as nombreCurso,
							capa_Instructor.nombre as instructor,
							capa_EmpleadoProgramacion.asistencia,
							empleados.codigo,
							rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,''''))  + '' '' + rtrim(isnull(empleados.nombre,'''')) as nombreEmpleado,
							empleados.curp,
							capa_Institucion.nombre as nombreInstitucion,
							capa_CatalogoAreaTematica.clave as areatematica,
							capa_CatalogoAreaTematica.area,
							Llaves.empresa,
							capa_CatalogoOcupacion2016.clave as ocupacion,
							capa_CatalogoOcupacion2016.nombre as nombreOcupacion,
							tabulador.ocupacion as puesto,
							tabulador.actividad as actividad,
							empleados.rfcalfa,
							empleados.rfcnum ,
							empleados.rfchomo ,
							capa_instructor.imagenFirma,
							capa_archivosFirmas.logo,
							capa_ArchivosFirmas.RepresentanteLegal,
							capa_ArchivosFirmas.RepresentanteTrabajadores,
							capa_Instructor.registroSTPS as registroSTPSinstructor,
							isnull(capa_Institucion.claveSTPS,'''') as claveSTPSInstitucion' 
					
	set @fromStatement = ' FROM empresas  
			INNER JOIN capa_Programacion  ON
				empresas.empresa = capa_Programacion.empresa
			INNER JOIN Capa_curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			INNER JOIN  capa_EmpleadoProgramacion ON
				capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			INNER JOIN  capa_Institucion ON
				capa_Instructor.empresa = capa_Institucion.empresa AND
				capa_Instructor.idInstitucion = capa_Institucion.idInstitucion
			left outer JOIN  capa_CatalogoAreaTematica ON
				capa_Curso.idDenominacion = capa_CatalogoAreaTematica.idDenominacion
			INNER JOIN Llaves  ON
				empleados.empresa = Llaves.empresa AND
				empleados.codigo = Llaves.codigo
			INNER JOIN tabulador  ON
				tabulador.empresa = Llaves.empresa AND
				tabulador.ocupacion = Llaves.ocupacion			
			left outer JOIN  capa_RelacionPuestos ON
				Llaves.empresa = capa_RelacionPuestos.empresa AND
				Llaves.ocupacion = capa_RelacionPuestos.ocupacion
			left outer JOIN  capa_CatalogoOcupacion2016 ON
				capa_RelacionPuestos.idCatalogo = capa_CatalogoOcupacion2016.idCatalogo
			left outer JOIN  capa_ArchivosFirmas ON
				llaves.empresa = capa_ArchivosFirmas.empresa '
							
		set @whereStatement = ' WHERE Llaves.empresa = ' + convert(varchar(10),@companyID) +
							  ' AND YEAR(capa_Programacion.finicial)= '  + convert(varchar(4),@year)  						  						  

		if @codigo <> 0
			BEGIN 
				set @whereStatement = @whereStatement + ' and capa_EMPLEADOProgramacion.codigo= ' +  convert(varchar(10),@codigo)			
			END
			
		if @Asistencia <> 'N'
			BEGIN 
				set @whereStatement = @whereStatement + ' and capa_EMPLEADOProgramacion.asistencia=''Si'''
			END			
			

		if @idprogramacion <> 0
			BEGIN 
				set @whereStatement = @whereStatement + ' and capa_Programacion.idprogramacion= ' +  convert(varchar(10),@idprogramacion)			
			END		
						
		set @orderbyStatement =' ORDER BY
								 capa_Programacion.finicial, capa_EMPLEADOprogramacion.codigo ASC '								 								 	 	
	
	 exec (@selectStatement + @fromStatement  + @wherestatement + @orderbyStatement )	
	
	end
go



IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaFormatoDC4primeroReverso')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaFormatoDC4primeroReverso
GO

CREATE PROCEDURE dbo.capaFormatoDC4primeroReverso
	(	
		@companyId bigint,
		@codigo bigint,
		@year bigint,		
		@idprogramacion bigint
	) 

AS 
	BEGIN
		
		select * from capa_EmpleadoProgramacion
	
	end
	
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaGetCatalogoOcupacion')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaGetCatalogoOcupacion
GO

CREATE PROCEDURE dbo.capaGetCatalogoOcupacion
AS 
	BEGIN		
		SELECT
			capa_CatalogoOcupacion2016.clave,
			capa_CatalogoOcupacion2016.nombre
		FROM
			capa_CatalogoOcupacion2016 capa_CatalogoOcupacion2016		
	end	
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaGetCatalogoAreaTematica')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaGetCatalogoAreaTematica
GO

CREATE PROCEDURE dbo.capaGetCatalogoAreaTematica

AS 
	BEGIN
		
	SELECT
		capa_CatalogoAreaTematica.clave,
		capa_CatalogoAreaTematica.area
	FROM
		capa_CatalogoAreaTematica capa_CatalogoAreaTematica
		
	end
	
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaHorasHombreEntrenamiento')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaHorasHombreEntrenamiento
GO


CREATE PROCEDURE dbo.capaHorasHombreEntrenamiento
(
		@companyId bigint,
		@identrenamiento bigint,
		@fechaDe datetime,	
		@fechaA datetime	
)

AS 
	BEGIN
	
		declare @selectStatement as varchar(4096)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)

		set @selectStatement = ' SELECT
								empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								capa_entrenamiento.idEntrenamiento,
								capa_entrenamiento.empresa,
								capa_entrenamiento.finicial,
								capa_entrenamiento.ffinal,
								capa_entrenamiento.tothoras,
								capa_entrenamiento.asistio,
								empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre as nombrecurso '
								 
		set @fromStatement = '  FROM
								empresas  
								INNER JOIN capa_entrenamiento  ON
									empresas.empresa = capa_entrenamiento.empresa			
								INNER JOIN empleados  ON
									capa_entrenamiento.empresa = empleados.empresa AND
									capa_entrenamiento.codigo = empleados.codigo        
								INNER JOIN Capa_curso  ON
									capa_entrenamiento.empresa = capa_Curso.empresa AND
									capa_entrenamiento.idcurso = capa_Curso.idcurso ' 
									
		set  @whereStatement = '  WHERE
								capa_entrenamiento.asistio = ''Si'' AND
								capa_entrenamiento.finicial between ''' + CONVERT(varchar(10), @fechaDe, 112) + ''' and ''' + CONVERT(varchar(10), @fechaA, 112) + ''' AND
								capa_entrenamiento.empresa = ' +  CONVERT(varchar(12),@companyId)
								
		If @identrenamiento<>0
		begin
			set @whereStatement = @whereStatement + ' and capa_entrenamiento.idEntrenamiento=' + CONVERT(varchar(10),@identrenamiento)
		end									
			
		set  @whereStatement = ' ORDER BY capa_entrenamiento.idEntrenamiento ASC ' 
								
		exec (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement)
		
	end			
go			


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.obtenasistencia') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.obtenasistencia

GO  

CREATE FUNCTION dbo.obtenasistencia
(
	-- Add the parameters for the function here
	@Idprogramacion as bigint
	
)
RETURNS bigint
AS
BEGIN
	declare @regresa as bigint
	 
	 select @regresa=count(codigo)
	 from capa_empleadoprogramacion
	 where idprogramacion=@Idprogramacion
	 and asistencia='si'

		
return @regresa
end

go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaHorasHombreR')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaHorasHombreR
GO

CREATE PROCEDURE dbo.capaHorasHombreR
(
		@companyId bigint,
		@idcurso varchar(50),
		@fechaDe datetime,	
		@fechaA datetime,
		@idlugar varchar(25)
)

AS 
	BEGIN

	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							capa_Programacion.empresa,
							capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.codigo,
							capa_EmpleadoProgramacion.asistencia,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) as asistentes,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) *
							convert(decimal(18,2),capa_programacion.tothoras) as totalHoras							
							 '					
 
							
	set @fromStatement = ' FROM
							empresas empresas 
							inner JOIN capa_Programacion capa_Programacion ON
								empresas.empresa = capa_Programacion.empresa
							INNER JOIN Capa_curso capa_Curso ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							INNER JOIN Capa_Lugar Capa_Lugar ON
								capa_Programacion.empresa = Capa_Lugar.empresa AND
								capa_Programacion.idLugar = Capa_Lugar.idLugar
							INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion '
			
	set  @whereStatement = ' WHERE
							capa_Programacion.finicial between ''' + CONVERT(varchar(10),@fechaDe,112) + ''' and ''' + CONVERT(varchar(10),@fechaA,112) + ''' AND
							capa_EmpleadoProgramacion.asistencia = ''Si'' AND
							capa_Programacion.empresa =  ' +  CONVERT(varchar(12),@companyId)
							
	If @idcurso<>'TODOS'
		begin
			set @whereStatement = @whereStatement +  ' and Capa_curso.clave=''' + @idcurso + ''''
		end	
		
	If @idlugar<>'TODOS'
		begin
			set @whereStatement = @whereStatement +  ' and capa_programacion.idLugar=' + CONVERT(varchar(10),@idlugar)
		end											
							
	set @groupbyStatement = '	GROUP by empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								capa_Programacion.empresa,
								capa_Programacion.idprogramacion,
								capa_Programacion.idLugar,
								capa_Programacion.finicial,
								capa_Programacion.ffinal,
								capa_Programacion.tothoras,
								capa_Programacion.capacidad,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre,
								Capa_Lugar.Lugar,
								capa_EmpleadoProgramacion.codigo,
								capa_EmpleadoProgramacion.asistencia ' 							
								
	exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement)
		
	end
go	

IF EXISTS (  SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaEvaluacionLleno')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1  )
    DROP PROCEDURE dbo.capaEvaluacionLleno
GO

CREATE PROCEDURE dbo.capaEvaluacionLleno
	(@companyId bigint,
	@idprogramacion bigint,
	@idEvaluacion bigint	)
AS 
	BEGIN
		
	SELECT
		empresas.nombre_empresa,
		capa_EvalProgra.idEvaluacion,
		capa_EvalProgra.idprogramacion,
		capa_Evaluacion.idEvaluacion,
		capa_Evaluacion.idCalificacion,
		capa_Evaluacion.idPregunta,
		capa_Programacion.empresa,
		capa_Programacion.finicial,
		capa_Curso.nombre AS NOMBRECURSO,
		capa_Lugar.Lugar,
		capa_Instructor.nombre AS INSTRUCTOR,
		capa_EvalPregunta.Texto,
		capa_EvalTipoPregunta.idtipo,
		capa_EvalTipoPregunta.Tipo,
		capa_evalCalificacion.Nombre
	FROM
		empresas  
		INNER JOIN capa_EvalProgra  ON
			empresas.empresa = capa_EvalProgra.empresa
		INNER JOIN capa_Evaluacion  ON
			capa_EvalProgra.idEvaluacion = capa_Evaluacion.idEvaluacion
		INNER JOIN capa_Programacion  ON
			capa_EvalProgra.empresa = capa_Programacion.empresa AND
			capa_EvalProgra.idprogramacion = capa_Programacion.idprogramacion
		INNER JOIN capa_Curso  ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		INNER JOIN capa_Lugar  ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar
		INNER JOIN capa_Instructor  ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		INNER JOIN Capa_EvalPregunta  ON
			capa_Evaluacion.idPregunta = capa_EvalPregunta.idPregunta
		INNER JOIN capa_EvalTipoPregunta  ON
			capa_EvalPregunta.empresa = capa_EvalTipoPregunta.empresa AND
			capa_EvalPregunta.idtipo = capa_EvalTipoPregunta.idtipo
		left join capa_evalcalificacion  on 
			capa_Evaluacion.idCalificacion=capa_evalcalificacion.idcalificacion 
	WHERE
		capa_EvalProgra.idprogramacion = @idprogramacion AND
		capa_EvalProgra.idEvaluacion = @idEvaluacion AND
		capa_Programacion.empresa = @companyid
	    
	ORDER BY
		capa_EvalTipoPregunta.idtipo ASC	
		
	END
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaInsertaEvaluacion')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1  )
    DROP PROCEDURE dbo.capaInsertaEvaluacion
GO

CREATE PROCEDURE dbo.capaInsertaEvaluacion
	(@idEvaluacion bigint,
	@idcalificacion bigint,
	@idPregunta bigint	)
AS 
	BEGIN
	
	Insert into capa_evaluacion values (@idEvaluacion,@idcalificacion,@idPregunta)
                    
	END
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaInsertaEvalProgra')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaInsertaEvalProgra
GO

CREATE PROCEDURE dbo.capaInsertaEvalProgra
	(@idCompany bigint,
	@idEvaluacion bigint,
	@idProgramacion bigint	)
AS 
	BEGIN
	
		Insert into capa_evalProgra 
		values (@idCompany , @idEvaluacion, @idProgramacion)
                    
	END
go                    

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaHorasHombreSindicalizado')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaHorasHombreSindicalizado
GO

CREATE PROCEDURE dbo.capaHorasHombreSindicalizado
(
	@companyId bigint,
	@idcurso varchar(50),
	@fechaDe datetime,	
	@fechaA datetime,
	@tipo varchar(1)
)

AS 
	BEGIN

	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT
							capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre as nombrecurso,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.asistencia,
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							empleados.sindicato,
							isnull(COUNT(capa_empleadoprogramacion.asistencia),0) as asistentes,
							isnull(COUNT(capa_empleadoprogramacion.asistencia),0) *
							convert(decimal(18,2),capa_programacion.tothoras) as totalHoras							
							 '					
 
							
	set @fromStatement = ' FROM
							empresas empresas 
							inner JOIN capa_Programacion capa_Programacion ON
								empresas.empresa = capa_Programacion.empresa
							INNER JOIN Capa_curso capa_Curso ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							INNER JOIN Capa_Lugar Capa_Lugar ON
								capa_Programacion.empresa = Capa_Lugar.empresa AND
								capa_Programacion.idLugar = Capa_Lugar.idLugar
							INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
							INNER JOIN empleados on 
							    capa_EmpleadoProgramacion.empresa=empleados.empresa and
								capa_EmpleadoProgramacion.codigo=empleados.codigo  '
			
	set  @whereStatement = ' WHERE
							capa_Programacion.finicial between ''' + CONVERT(varchar(10),@fechaDe,112) + ''' and ''' + CONVERT(varchar(10),@fechaA,112) + ''' AND
							capa_EmpleadoProgramacion.asistencia = ''Si'' AND
							capa_Programacion.empresa =  ' +  CONVERT(varchar(12),@companyId)
							
	If @idcurso<>'TODOS'
		begin
			set @whereStatement = @whereStatement +  ' and Capa_curso.clave=''' + @idcurso + ''''
		end	
		
	If @tipo='S'
		begin
			set @whereStatement = @whereStatement +  ' and empleados.sindicato=''S'''
		end	
		
	If @tipo='C'
		begin
			set @whereStatement = @whereStatement +  ' and empleados.sindicato=''C'''
		end															
							
	set @groupbyStatement = '	GROUP by capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre ,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.asistencia,
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) ,
							empleados.sindicato' 							
								
	exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + ' order by empleados.codigo')
		
	end
go	
 

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaObtenCursos')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaObtenCursos
GO

CREATE PROCEDURE dbo.capaObtenCursos
	(@idCompany bigint)
AS 
	BEGIN
	
		select	idcurso,
				clave,
				nombre
		from capa_curso
		where capa_curso.empresa = @idCompany
                    
	END
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaObtenProgramacionesPlan')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaObtenProgramacionesPlan
GO

CREATE PROCEDURE dbo.capaObtenProgramacionesPlan
	( @idCompany bigint,
	  @vYear bigint)
AS 
	BEGIn
	
	SELECT p.idprogramacion, p.finicial, p.idcurso, c.clave, c.nombre
	from capa_programacion p 
		left join capa_curso c on p.idcurso=c.idcurso
		and p.empresa=c.empresa
	where year(finicial)= @vYear
	and p.empresa=@idCompany
	
	
	END
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaObtenProgramacionesPlanDetalleDiario')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaObtenProgramacionesPlanDetalleDiario
GO

CREATE PROCEDURE dbo.capaObtenProgramacionesPlanDetalleDiario
	( @idCompany bigint,
	  @fecha datetime)
AS 
	BEGIn
	
	SELECT p.idprogramacion, convert(varchar(10),p.finicial,103), p.idcurso, c.clave, c.nombre
	from capa_programacion p 
			inner join capa_curso c on p.idcurso=c.idcurso and p.empresa=c.empresa
	where finicial= @fecha
		  and p.empresa=@idCompany
	
	
	END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaProgramacionPorDia')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaCargaProgramacionPorDia
GO

CREATE PROCEDURE dbo.capaCargaProgramacionPorDia
	( @idCompany bigint,
	  @dday  datetime)
AS 
	BEGIn
	
	SELECT p.idprogramacion,  c.clave, c.nombre
	from capa_programacion p 
		inner join capa_curso c on p.idcurso=c.idcurso
		and p.empresa=c.empresa
	where finicial=@dday
		and p.empresa=@idCompany
		
	END
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCargaTrabajadoresInscritos')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaCargaTrabajadoresInscritos
GO

CREATE PROCEDURE dbo.capaCargaTrabajadoresInscritos
	( @idCompany bigint,
	  @idprogramacion  bigint)
AS 
	BEGIn

	Select	e.empresa, 
			e.codigo, 
			e.nombre, 
			e.ap_paterno, 
			e.ap_materno, 
			c.nomdepto, 
			t.actividad, 
			ep.asistencia 
    from	empleados e, 
			capa_empleadoprogramacion ep,
			capa_programacion p, 
			llaves ll, 
			centros c, 
			tabulador t 
    where e.codigo=ep.codigo  
			and p.idProgramacion=ep.idProgramacion
			and p.idProgramacion= @idprogramacion
			and e.empresa=@idCompany
			and e.empresa=ll.empresa 
			and e.empresa=c.empresa 
			and e.empresa=t.empresa 
			and e.empresa=ep.empresa  
			and c.centro=ll.centro 
			and e.codigo=ll.codigo 
			and t.ocupacion=ll.ocupacion 
    order by e.empresa, e.codigo 
               
   end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaProgramacionesAnuales')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.capaProgramacionesAnuales
GO

CREATE PROCEDURE dbo.capaProgramacionesAnuales
	( @idempresa bigint,
	  @dYear  bigint)
AS 
	
	SET NOCOUNT ON
	BEGIn

	Declare @i as int	
	DECLARE @TableMes AS TABLE(Mes INT NOT NULL)
	DECLARE @TableDias AS TABLE(Dia INT NOT NULL)
	declare @MesPVT as NVARCHAR(MAX) 
	declare @DiaPVT as NVARCHAR(MAX)
	
	declare @Mes as int 
	declare @Dia as int
	DECLARE @SQL as  varchar(2048)
	DECLARE @pivot as  varchar(2048)
		
	set @i=1
	while  @i<=12
		begin
			INSERT INTO @TableMes values(@i)
			set @i=@i+1
		end  
	
	set @i=1
	while  @i<=31
		begin
			INSERT INTO @TableDias values(@i)
			set @i=@i+1
		end
	
	SET @Mes = (SELECT MIN(mes) FROM @TableMes)
	SET @MesPVT=N''
	WHILE @Mes IS NOT NULL
		BEGIN  
			SET @MesPVT = @MesPVT + N'],['+ CONVERT(NVARCHAR(10),@Mes) + N''  
			SET @Mes = (SELECT MIN(Mes) 
						FROM @TableMes
						WHERE Mes>@Mes)				
		end
	SET @MesPVT = SUBSTRING(@MesPVT,2,LEN(@MesPVT))
	
	
	SET @Dia = (SELECT MIN(dia) FROM @TableDias)
	SET @DiaPVT=N''
	WHILE @Dia IS NOT NULL
		BEGIN  
			SET @DiaPVT = @DiaPVT + N'],['+ CONVERT(NVARCHAR(10),@Dia) + N''  
			SET @Dia = (SELECT MIN(Dia) 
						FROM @TableDias
						WHERE Dia>@Dia)		
		end
	SET @DiaPVT = SUBSTRING(@DiaPVT,3,LEN(@DiaPVT))
	
	SET @SQL = 'SELECT * FROM (  SELECT day(finicial) as Dia, 
								case when month(finicial)= 1 then ''Enero''
								when month(finicial) = 2 then ''Febrero''
								when month(finicial) = 3 then ''Marzo''
								when month(finicial) = 4 then ''Abril''
								when month(finicial) = 5 then ''Mayo''
								when month(finicial) = 6 then ''Junio''
								when month(finicial) = 7 then ''Julio''
								when month(finicial) = 8 then ''Agosto''
								when month(finicial) = 9 then ''Septiembre''
								when month(finicial) = 10 then ''Octubre''
								when month(finicial) = 11 then ''Noviembre''
								when month(finicial) = 12 then ''Diciembre'' end as Mes								
								, idprogramacion
								, month(finicial) as orden 
								 FROM capa_programacion  
								 where empresa= ' + convert(varchar(10),@idempresa) + ' and year(finicial)=' + convert(varchar(10),@dYear) + ') as  pvt ' 
					
	set @pivot=' PIVOT (count(idprogramacion) 
				FOR Dia IN (' + @DiaPVT + '])) as child 	order by orden 	'
						
	exec (@SQL + @pivot)
	end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosTomadosPorTrabajadorRequeridos')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosTomadosPorTrabajadorRequeridos
GO

CREATE PROCEDURE dbo.CapaCursosTomadosPorTrabajadorRequeridos
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500),
	  @fechaA    datetime,
	  @fechaDe   datetime)
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT    
							capa_EmpleadoProgramacion.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre, 
							capa_programacion.idprogramacion  '  
	set @fromStatement = 'FROM capa_empleadoprogramacion   
						   left join capa_Programacion ON 
								capa_Programacion.empresa=capa_empleadoprogramacion.empresa and
								capa_Programacion.idprogramacion=capa_empleadoprogramacion.idprogramacion
							left join Capa_curso  on            
								capa_Curso.empresa = capa_Programacion.empresa and
								capa_curso.idcurso = capa_programacion.idcurso
							left join llaves ON
								Llaves.empresa = capa_empleadoprogramacion.empresa and
								Llaves.codigo  = capa_empleadoprogramacion.codigo
							left JOIN centros  ON
								Llaves.centro  = centros.centro AND
								Llaves.empresa = centros.empresa        
							left JOIN tabulador  ON
								Llaves.empresa   = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion         							         
							left join capa_Puestocurso ON 
								capa_Curso.empresa=capa_Puestocurso.empresa and
								capa_Curso.idcurso=capa_Puestocurso.idcurso
							left join empleados ON 
								empleados.empresa=Llaves.empresa and
								empleados.codigo=Llaves.codigo			'
			
	set @whereStatement = ' WHERE
							empleados.empresa = ' + convert(varchar(10),@idCompany)  + '
							
							and capa_programacion.finicial <= ''' + convert(varchar(10),@fechaA,112)  + ''' 
							and capa_programacion.finicial >= ''' + convert(varchar(10),@fechaDe,112)  + ''' 
							and capa_programacion.idcurso in ( select idcurso 
																from capa_Puestocurso 
																where ocupacion=Llaves.ocupacion
																and empresa=' + convert(varchar(10),@idCompany)  + ')'

	if 	@codigo <> 0
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END			
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.centro in ' + @centros
		END														

	    
	set @groupByStatement = ' GROUP By capa_EmpleadoProgramacion.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
							dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad,
							capa_Curso.clave,
							capa_Curso.nombre,
							capa_programacion.idprogramacion'
			
	set @orderbyStatement = ' ORDER BY
							capa_EmpleadoProgramacion.codigo,
							tabulador.OCUPACION,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')),
							capa_programacion.idprogramacion '
						

   exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
   end
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosPorTrabajadorRequeridos')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosPorTrabajadorRequeridos
GO

CREATE PROCEDURE dbo.CapaCursosPorTrabajadorRequeridos
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500),
	  @fechaDe   datetime,
	  @fechaA     datetime )
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT 
							centros.centro,
							centros.nomdepto,   
							capa_empleadoprogramacion.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    							
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre,
							capa_programacion.idprogramacion,
							convert(varchar(10),capa_programacion.finicial,103) as fechaInicial'
							  
	set @fromStatement = ' FROM capa_empleadoprogramacion   
						   left join capa_Programacion ON 
								capa_Programacion.empresa=capa_empleadoprogramacion.empresa and
								capa_Programacion.idprogramacion=capa_empleadoprogramacion.idprogramacion
							left join Capa_curso  on            
								capa_Curso.empresa = capa_Programacion.empresa and
								capa_curso.idcurso = capa_programacion.idcurso
							left join llaves ON
								Llaves.empresa = capa_empleadoprogramacion.empresa and
								Llaves.codigo  = capa_empleadoprogramacion.codigo
							left JOIN centros  ON
								Llaves.centro  = centros.centro AND
								Llaves.empresa = centros.empresa        
							left JOIN tabulador  ON
								Llaves.empresa   = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion         							         
							left join capa_Puestocurso ON 
								capa_Curso.empresa=capa_Puestocurso.empresa and
								capa_Curso.idcurso=capa_Puestocurso.idcurso
							left join empleados ON 
								empleados.empresa=Llaves.empresa and
								empleados.codigo=Llaves.codigo	'
			
	set @whereStatement = ' WHERE
							capa_empleadoprogramacion.empresa = ' + convert(varchar(10),@idCompany)  + '
							and capa_programacion.finicial <= ''' + convert(varchar(10),@fechaA,112)  + ''' 
							and capa_programacion.finicial >= ''' + convert(varchar(10),@fechaDe,112)  + ''' 
							and capa_Curso.idcurso in ( select idcurso 
														from capa_Puestocurso 
														where ocupacion= Llaves.ocupacion
														and empresa=' + convert(varchar(10),@idCompany)  + ')'
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement = @whereStatement + ' AND Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END	
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND Llaves.centro in ' + @centros
		END																

	    
	set @groupByStatement = ' GROUP By capa_empleadoprogramacion.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
							dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad,
							capa_Curso.clave,
							capa_Curso.nombre,
							capa_programacion.idprogramacion,
							convert(varchar(10),capa_programacion.finicial,103)'
			
	set @orderbyStatement = ' ORDER BY
							capa_empleadoprogramacion.codigo,
							tabulador.OCUPACION,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')),
							capa_programacion.idprogramacion'
								

   exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
     
   end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosPorTrabajadorRequeridosFaltantes')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosPorTrabajadorRequeridosFaltantes
GO

CREATE PROCEDURE dbo.CapaCursosPorTrabajadorRequeridosFaltantes
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500),
	  @fechaDe   datetime,
	  @fechaA     datetime)
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT    
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre '
							  
	set @fromStatement = '  From Empresas   
							inner join empleados on
								empresas.empresa= empleados.empresa	
							inner join llaves ON
								Llaves.empresa = empresas.empresa and
								Llaves.codigo  = empleados.codigo
							INNER JOIN centros  ON
								Llaves.centro  = centros.centro AND
								Llaves.empresa = centros.empresa        
							inner join Capa_curso  on            
								capa_Curso.empresa = Llaves.empresa          
							inner join capa_Puestocurso ON 
								capa_Curso.empresa = capa_Puestocurso.empresa and
								capa_Curso.idcurso = capa_Puestocurso.idcurso    
							INNER JOIN tabulador  ON
								Llaves.empresa   = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion and
								llaves.ocupacion = capa_Puestocurso.ocupacion  	'

			
	set @whereStatement = ' WHERE
							empresas.empresa = ' + convert(varchar(10),@idCompany)  + '
							and capa_Curso.idcurso not in ( select capa_programacion.idcurso 
														from capa_EmpleadoProgramacion  
														inner join capa_programacion on capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
														capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion       
														where Llaves.codigo=capa_EmpleadoProgramacion.codigo 
														and capa_programacion.finicial <= ''' + convert(varchar(10),@fechaA,112)  + ''' 
														and capa_programacion.finicial >= ''' + convert(varchar(10),@fechaDe,112)  + ''' 					
														and capa_EmpleadoProgramacion.empresa=Llaves.empresa) '
														
														
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement  = @whereStatement +' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END		
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.centro in ' + @centros
		END															

	    
	set @groupByStatement = ' GROUP By empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
								dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),    
								centros.centro,
								centros.nomdepto,
								tabulador.ocupacion,
								tabulador.actividad,
								capa_Curso.clave,
								capa_Curso.nombre '
			
	set @orderbyStatement = ' ORDER BY
								empleados.codigo,
								tabulador.OCUPACION,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,''''))'
								

   exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
   end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosTomadosPorTrabajador')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosTomadosPorTrabajador
GO

CREATE PROCEDURE dbo.CapaCursosTomadosPorTrabajador
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500),
	  @fechaDe   varchar(10),
	  @fechaA	 Varchar(10))
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT    
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre, 
							capa_programacion.FINICIAL,
							capa_programacion.FFINAL,
							capa_programacion.TOTHORAS,
							capa_programacion.idprogramacion,
							capa_programacion.IDLUGAR,
							capa_EmpleadoProgramacion.asistencia,
							capa_EmpleadoProgramacion.calificacion '
							  
	set @fromStatement = '  from capa_EmpleadoProgramacion 
							left join capa_Programacion on
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa and
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
							left join Capa_curso  on            
								capa_Curso.empresa = capa_Programacion.empresa   and
								capa_curso.idcurso=capa_programacion.idcurso
							left join llaves ON
								Llaves.empresa = capa_EmpleadoProgramacion.empresa and
								Llaves.codigo=capa_EmpleadoProgramacion.codigo
							left JOIN centros  ON
								Llaves.centro = centros.centro AND
								Llaves.empresa = centros.empresa        
							left JOIN tabulador  ON
								Llaves.empresa = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion  	
							left join empleados ON
								empleados.empresa = Llaves.empresa and
								empleados.codigo=Llaves.codigo '
			
	set @whereStatement = ' WHERE
							capa_EmpleadoProgramacion.asistencia=''Si'' 
							and capa_programacion.FINICIAL>=''' + convert(varchar(10),@fechaDe,112) +
							''' and capa_programacion.FINICIAL<=''' + convert(varchar(10),@fechaA,112)  +
						 	''' and Llaves.empresa = ' + convert(varchar(10),@idCompany) 
														
														
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement = @whereStatement +' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END	
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.centro in ' + @centros
		END													

	    
	set @groupByStatement = '   GROUP By empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
								dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),
								centros.centro,
								centros.nomdepto,
								tabulador.ocupacion,
								tabulador.actividad,
								capa_Curso.clave,
								capa_Curso.nombre, 
								capa_programacion.FINICIAL,
								capa_programacion.FFINAL,
								capa_programacion.TOTHORAS,
								capa_programacion.idprogramacion,
								capa_programacion.IDLUGAR,
								capa_EmpleadoProgramacion.asistencia,
								capa_EmpleadoProgramacion.calificacion  '
			
	set @orderbyStatement = ' ORDER BY
								empleados.codigo,
								tabulador.OCUPACION,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')),
								capa_programacion.idprogramacion'
								

  EXEC (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
   end
   
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosTomadosPorTrabajadorPantalla')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosTomadosPorTrabajadorPantalla
GO

CREATE PROCEDURE dbo.CapaCursosTomadosPorTrabajadorPantalla
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500))
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT    
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							centros.centro,
							centros.nomdepto,
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre, 
							capa_programacion.FINICIAL,
							capa_programacion.FFINAL,
							capa_programacion.TOTHORAS,
							capa_programacion.idprogramacion,
							capa_programacion.IDLUGAR,
							capa_EmpleadoProgramacion.asistencia,
							capa_EmpleadoProgramacion.calificacion '
							  
	set @fromStatement = '  From empresas   
							inner join empleados on
								empresas.empresa= empleados.empresa	
							inner join llaves ON
								Llaves.empresa = empresas.empresa and
								Llaves.codigo=empleados.codigo
							INNER JOIN centros  ON
								Llaves.centro = centros.centro AND
								Llaves.empresa = centros.empresa        
							INNER JOIN tabulador  ON
								Llaves.empresa = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion         
							inner join Capa_curso  on            
								capa_Curso.empresa = Llaves.empresa           		
							inner join capa_Programacion on
								Capa_curso.empresa = capa_Programacion.empresa and
								Capa_curso.idcurso = capa_Programacion.idcurso   	
							inner join capa_EmpleadoProgramacion  ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa  and
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion  and
								Llaves.codigo=capa_EmpleadoProgramacion.codigo  	'
			
	set @whereStatement = ' WHERE
							empresas.empresa = ' + convert(varchar(10),@idCompany)  + '
							and capa_EmpleadoProgramacion.asistencia=''Si'''
														
														
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement = @whereStatement +' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END	
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.centro in ' + @centros
		END													

	    
	set @groupByStatement = '   GROUP By empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
								dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),    
								centros.centro,
								centros.nomdepto,
								tabulador.ocupacion,
								tabulador.actividad,
								capa_Curso.clave,
								capa_Curso.nombre, 
								capa_programacion.FINICIAL,
								capa_programacion.FFINAL,
								capa_programacion.TOTHORAS,
								capa_programacion.idprogramacion,
								capa_programacion.IDLUGAR,
								capa_EmpleadoProgramacion.asistencia,
								capa_EmpleadoProgramacion.calificacion  '
			
	set @orderbyStatement = ' ORDER BY
								empleados.codigo,
								tabulador.OCUPACION,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,''''))'
								

   EXEC (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
   end
   
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaCursosPorTrabajadorComparativo')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaCursosPorTrabajadorComparativo
GO

CREATE PROCEDURE dbo.CapaCursosPorTrabajadorComparativo
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500),
	  @fechaDe   datetime,
	  @fechaA     datetime)
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)
	
	declare @selectStatement2 as varchar(4096)
	declare @fromStatement2 as varchar(2048)
	declare @whereStatement2 as varchar(2048)
	declare @orderbyStatement2 as varchar(1024)
	declare @groupByStatement2 as varchar(2048)
		
	
	set @selectStatement = ' SELECT   
							centros.centro,
							centros.nomdepto, 
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre,1 AS TIPO, capa_curso.tothoras  '
							  
	set @fromStatement = ' FROM empresas   
							inner join empleados on
								empresas.empresa= empleados.empresa	
							inner join llaves ON
								Llaves.empresa = empresas.empresa and
								Llaves.codigo=empleados.codigo
							INNER JOIN centros  ON
								Llaves.centro = centros.centro AND
								Llaves.empresa = centros.empresa        
							INNER JOIN tabulador  ON
								Llaves.empresa = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion         
							inner join Capa_curso  on            
								capa_Curso.empresa = Llaves.empresa          
							inner join capa_Puestocurso ON 
								capa_Curso.empresa=capa_Puestocurso.empresa and
								capa_Curso.idcurso=capa_Puestocurso.idcurso                  			   	'
			
	set @whereStatement = ' WHERE
							empresas.empresa = ' + convert(varchar(10),@idCompany)  + '
							and capa_Curso.idcurso in ( select idcurso 
														from capa_Puestocurso 
														where ocupacion= Llaves.ocupacion
														and empresa=' + convert(varchar(10),@idCompany)  + ')'
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END	
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND	Llaves.centro in ' + @centros
		END															

	    
	set @groupByStatement = ' GROUP By 
							centros.centro,
							centros.nomdepto,empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
							dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo) ,    
							tabulador.ocupacion,
							tabulador.actividad,
							capa_Curso.clave,
							capa_Curso.nombre, capa_curso.tothoras  '							
			

	set @selectStatement2 = ' SELECT  
							centros.centro,
							centros.nomdepto,  
							empleados.codigo,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
							iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)=''Activo'',''S'',''N'') as activo,    
							tabulador.ocupacion,
							tabulador.actividad as nomOcupacion,
							capa_Curso.clave,
							capa_Curso.nombre,2 AS TIPO, capa_curso.tothoras '
							  
	set @fromStatement2 = '  From Empresas   
							inner join empleados on
								empresas.empresa= empleados.empresa	
							inner join llaves ON
								Llaves.empresa = empresas.empresa and
								Llaves.codigo  = empleados.codigo
							INNER JOIN centros  ON
								Llaves.centro  = centros.centro AND
								Llaves.empresa = centros.empresa        
							inner join Capa_curso  on            
								capa_Curso.empresa = Llaves.empresa          
							inner join capa_Puestocurso ON 
								capa_Curso.empresa = capa_Puestocurso.empresa and
								capa_Curso.idcurso = capa_Puestocurso.idcurso    
							INNER JOIN tabulador  ON
								Llaves.empresa   = tabulador.empresa AND
								Llaves.ocupacion = tabulador.ocupacion and
								llaves.ocupacion = capa_Puestocurso.ocupacion  	'
			
	set @whereStatement2 = ' WHERE
							empresas.empresa = ' + convert(varchar(10),@idCompany)  + '
							and capa_Curso.idcurso not in ( select capa_programacion.idcurso 
														from capa_EmpleadoProgramacion  
														inner join capa_programacion on capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
														capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion       
														where Llaves.codigo=capa_EmpleadoProgramacion.codigo 
														and capa_programacion.finicial <= ''' + convert(varchar(10),@fechaA,112)  + ''' 
														and capa_programacion.finicial >= ''' + convert(varchar(10),@fechaDe,112)  + ''' 																		
														and capa_EmpleadoProgramacion.empresa=Llaves.empresa) '
														
														
																
	if 	@codigo <> 0
		BEGIN
			set @whereStatement2 = @whereStatement2 + ' AND	Llaves.CODIGO = ' + convert(varchar(10),@codigo) 
		END		
		
	if 	@centros <> '0'
		BEGIN
			set @whereStatement2 = @whereStatement2 + ' AND	Llaves.centro in ' + @centros
		END													

	    
	set @groupByStatement2 = ' GROUP By centros.centro,
								centros.nomdepto,
								empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ,
								dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),    								
								tabulador.ocupacion,
								tabulador.actividad,
								capa_Curso.clave,
								capa_Curso.nombre, 
								capa_curso.tothoras  '
								
								
	set @orderbyStatement = '	oRDER BY
								tabulador.OCUPACION,
								empleados.codigo,																	
								10,
								capa_Curso.clave'								
	
								
   EXEC (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement  + ' union ' 
   + @selectStatement2 + @fromStatement2 + @whereStatement2  + @groupByStatement2 +  @orderbyStatement ) 
              
   end
   
go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaPuestosSTPS')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaPuestosSTPS
GO

create PROCEDURE dbo.capaPuestosSTPS
( @idCompany bigint)
AS
SET NOCOUNT ON	




	select rtrim(clave) as clave, 
	rtrim(nombre) as nombre
	from capa_CatalogoOcupacion2016 order by clave
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.ObtenProgramacionesDeInstructor')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.ObtenProgramacionesDeInstructor
GO

create PROCEDURE dbo.ObtenProgramacionesDeInstructor
	( @idCompany bigint,
	  @idInstructor bigint,
	  @fechaInicio datetime,
	  @fechaFinal datetime)
AS
SET NOCOUNT ON	

	select capa_programacion.idprogramacion, capa_curso.idcurso, capa_curso.clave, capa_curso.nombre
	from capa_curso
	inner join capa_programacion on capa_programacion.empresa=capa_curso.empresa
	and capa_programacion.idcurso= Capa_curso.idcurso
	where capa_programacion.idInstructor=@idInstructor
	and capa_programacion.empresa=@idCompany
	and capa_programacion.finicial between @fechaInicio and @fechaFinal
	order by idprogramacion
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaReporteCursosPorInstructor')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaReporteCursosPorInstructor
GO

create PROCEDURE dbo.capaReporteCursosPorInstructor
	( @idCompany bigint,
	  @idIntructor bigint,
	  @fechaIncial datetime,
	  @fechaFinal datetime)
AS
SET NOCOUNT ON	
	begin
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT capa_programacion.idcurso
							  ,Capa_curso.clave
							  ,Capa_curso.nombre AS nombreCurso
							  ,capa_Instructor.idInstitucion
							  ,capa_Institucion.nombre as nombreInstitucion
							  ,capa_programacion.idInstructor
							  ,capa_Instructor.nombre as nombreInstructor
							  ,capa_programacion.idprogramacion
							  ,capa_programacion.idLugar
							  ,Capa_Lugar.Lugar
							  ,capa_Instructor.registroSTPS
							  ,capa_programacion.finicial
							  ,capa_programacion.ffinal
							  ,capa_programacion.horaini1
							  ,capa_programacion.horafin1
							  ,capa_programacion.tothoras
							  ,capa_programacion.costoPersona
							  ,capa_programacion.capacidad
							  ,capa_programacion.stps
							  ,case capa_programacion.modalidad
									when 1 then ''Presencial''
									when 2 then ''Virtual''
									When 3 then ''Mixta''
								end as modalidad
							   ,capa_programacion.empresa'
							  
	set @fromStatement = ' FROM capa_Instructor
							  INNER JOIN capa_programacion ON
								 capa_Instructor.empresa= capa_programacion.empresa AND
								 capa_Instructor.idInstructor=capa_programacion.idInstructor
							  INNER JOIN capa_Institucion ON
   								 capa_Institucion.empresa= capa_Instructor.empresa AND
								 capa_Institucion.idInstitucion= capa_Instructor.idInstitucion
							  INNER JOIN capa_Curso on
  								 capa_programacion.empresa= capa_Curso.empresa AND
								 capa_programacion.idcurso= capa_Curso.idcurso
							  INNER JOIN capa_LUGAR on
  								 capa_programacion.empresa= capa_LUGAR.empresa AND
								 capa_programacion.idLugar= capa_LUGAR.idLUGAR
							   INNER JOIN capa_Tipocurso on
  								 capa_Curso.empresa= capa_Tipocurso.empresa AND
								 capa_Curso.idTipocurso= capa_Tipocurso.idTipocurso'
			
	set @whereStatement = ' WHERE capa_programacion.empresa = ' + convert(varchar(10),@idCompany)  																												
																
	if 	@idIntructor<> 0
		BEGIN
			set @whereStatement = @whereStatement +' And capa_Instructor.idInstructor = ' + convert(varchar(10),@idIntructor) 
		END	
	    
	set @groupByStatement = ''
			
	set @orderbyStatement = ' ORDER BY	capa_Instructor.idInstructor,												
										capa_programacion.idcurso,
										capa_programacion.idprogramacion'
								
								

   EXEC (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement + @orderbyStatement)            
   end
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaListadoReporteInstructores')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaListadoReporteInstructores
GO

create PROCEDURE dbo.capaListadoReporteInstructores
	( @idCompany bigint)
AS
SET NOCOUNT ON	
	select 
		  capa_Instructor.idInstructor
		  ,capa_Instructor.nombre as nombreInstructor
		  ,capa_Instructor.idInstitucion
		  ,capa_Institucion.nombre as nombreInstitucion
	from capa_Instructor 
	  INNER JOIN capa_Institucion ON
		 capa_Institucion.empresa= capa_Instructor.empresa AND
		 capa_Institucion.idInstitucion= capa_Instructor.idInstitucion
	where capa_Instructor.empresa=@idCompany	
	order by capa_Instructor.idinstructor
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.CapaHorasHombrePorCentroCostos')
                    AND OBJECTPROPERTY(id, N'IsProcedure' )= 1  )
    DROP PROCEDURE dbo.CapaHorasHombrePorCentroCostos
GO

CREATE PROCEDURE dbo.CapaHorasHombrePorCentroCostos
	( @idCompany bigint,
	  @codigo    bigint,
	  @centros   varchar(500))
AS 
	BEGIn
	
	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							capa_Programacion.empresa,
							capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.codigo,
							capa_EmpleadoProgramacion.asistencia,
							llaves.centro,
							centros.nomdepto,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) as asistentes,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) *
							convert(decimal(18,2),capa_programacion.tothoras) as totalHoras'					
							
	set @fromStatement = ' FROM
							empresas empresas 
							inner JOIN capa_Programacion  ON
								empresas.empresa = capa_Programacion.empresa
							INNER JOIN Capa_curso  ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							INNER JOIN Capa_Lugar  ON
								capa_Programacion.empresa = Capa_Lugar.empresa AND
								capa_Programacion.idLugar = Capa_Lugar.idLugar
							INNER JOIN capa_EmpleadoProgramacion  ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion 
							inner JOIN Llaves ON
								capa_EmpleadoProgramacion.empresa = Llaves.empresa AND
								capa_EmpleadoProgramacion.codigo = Llaves.codigo
							INNER JOIN centros  ON
								Llaves.centro  = centros.centro AND
								Llaves.empresa = centros.empresa '
			
	set  @whereStatement = ' WHERE	
							capa_Programacion.empresa =  ' +  CONVERT(varchar(12),@idCompany)

		
	if 	@centros <> '0'
	BEGIN
		set @whereStatement = @whereStatement + ' AND Llaves.centro in ' + @centros
	END	
													
									
	set @groupbyStatement = '	GROUP by empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								llaves.centro,
								centros.nomdepto,
								capa_Programacion.empresa,
								capa_Programacion.idprogramacion,
								capa_Programacion.idLugar,
								capa_Programacion.finicial,
								capa_Programacion.ffinal,
								capa_Programacion.tothoras,
								capa_Programacion.capacidad,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre,
								Capa_Lugar.Lugar,
								capa_EmpleadoProgramacion.codigo,
								capa_EmpleadoProgramacion.asistencia
								 ' 							
								
	exec (@selectStatement + @fromStatement + @whereStatement  + @groupByStatement)

	end
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaRelacionPuestoCurso')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaRelacionPuestoCurso
GO

CREATE PROCEDURE dbo.capaRelacionPuestoCurso
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
		
		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre as curso,
			tabulador.ocupacion,
			tabulador.actividad,
			capa_TipoCurso.nombre as tipocurso
		FROM
			empresas  
			INNER JOIN capa_Puestocurso  ON
				empresas.empresa = capa_PuestoCurso.empresa
			INNER JOIN Capa_curso  ON
				capa_PuestoCurso.empresa = capa_Curso.empresa AND
				capa_PuestoCurso.idcurso = capa_Curso.idcurso
			INNER JOIN tabulador  ON
				capa_PuestoCurso.empresa = tabulador.empresa AND
				capa_PuestoCurso.ocupacion = tabulador.ocupacion
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
		WHERE
			capa_Curso.empresa = @companyId 			
		group BY 
			capa_Curso.idcurso,
			tabulador.ocupacion,
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Curso.clave,
			capa_Curso.nombre ,
			tabulador.actividad,
			capa_TipoCurso.nombre 
		
	end
	
GO



IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaRelacionCursoPuesto')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaRelacionCursoPuesto
GO

CREATE PROCEDURE dbo.capaRelacionCursoPuesto
	(	
		@companyId bigint
	) 
	
AS 
	BEGIN
		
		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Curso.idcurso,
			capa_Curso.clave,
			capa_Curso.nombre as curso,
			tabulador.ocupacion,
			tabulador.actividad,
			capa_TipoCurso.nombre as tipocurso
		FROM
			empresas  
			INNER JOIN capa_Puestocurso  ON
				empresas.empresa = capa_PuestoCurso.empresa
			INNER JOIN Capa_curso  ON
				capa_PuestoCurso.empresa = capa_Curso.empresa AND
				capa_PuestoCurso.idcurso = capa_Curso.idcurso
			INNER JOIN tabulador  ON
				capa_PuestoCurso.empresa = tabulador.empresa AND
				capa_PuestoCurso.ocupacion = tabulador.ocupacion
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
		WHERE
			capa_Curso.empresa = @companyId 			
		group BY 

			tabulador.ocupacion,
					capa_Curso.idcurso,
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Curso.clave,
			capa_Curso.nombre ,
			tabulador.actividad,
			capa_TipoCurso.nombre 
		
	end
	
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaNivelMaximoEstudios'
                    AND type = 'FN' ) 
    DROP function dbo.capaNivelMaximoEstudios
GO

CREATE FUNCTION dbo.capaNivelMaximoEstudios
	(	
	@idSolicitud bigint
	) 
RETURNS int

	WITH ENCRYPTION
AS 
    BEGIN
        DECLARE @clave bigint  
        
        SET @clave = 0
        
	    select @clave=dc_nivel 
		from rhnivel 
		where idnivel= (select MAX(idnivel) 
						from rhestudios where idsolicitudes=@idSolicitud 
						and rhestudios.anioinicial=(select MAX(anioinicial) from rhestudios where idsolicitudes=@idSolicitud ))	

        
        RETURN (@clave)
    END
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaDocumentoProbatorioSTPS'
                    AND type = 'FN' ) 
    DROP function dbo.capaDocumentoProbatorioSTPS
GO

CREATE FUNCTION dbo.capaDocumentoProbatorioSTPS
	(	
	@idSolicitud bigint
	) 
RETURNS int

	WITH ENCRYPTION
AS 
    BEGIN
        DECLARE @clave bigint                      
        DECLARE @DocumentoProbatorioSTPS bigint
        
        SET @clave = 0
        SET @DocumentoProbatorioSTPS = 0
        
	    select @clave=idEstudios 
		from rhestudios 
		where idsolicitudes=@idSolicitud
		and idnivel= (select MAX(idnivel) from rhestudios where idsolicitudes=@idSolicitud )
		and rhestudios.anioinicial=(select MAX(anioinicial) from rhestudios where idsolicitudes=@idSolicitud )	
		
		select @DocumentoProbatorioSTPS=isnull(documentoSTPS,3)
		from rhestudios 
		where idestudios =@clave
        
        RETURN (@DocumentoProbatorioSTPS)
    END
GO


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaInstitucionSTPS'
                    AND type = 'FN' ) 
    DROP function dbo.capaInstitucionSTPS
GO

CREATE FUNCTION dbo.capaInstitucionSTPS
	(	
	@idSolicitud bigint
	) 
RETURNS int

	WITH ENCRYPTION
AS 
    BEGIN
        DECLARE @clave bigint                      
        DECLARE @InstitucionSTPS bigint
        
        SET @clave = 0
        SET @InstitucionSTPS = 0
        
	    select @clave=idEstudios 
		from rhestudios 
		where idsolicitudes=@idSolicitud
		and idnivel= (select MAX(idnivel) from rhestudios where idsolicitudes=@idSolicitud )
		and rhestudios.anioinicial=(select MAX(anioinicial) from rhestudios where idsolicitudes=@idSolicitud )	
		
		select @InstitucionSTPS=isnull(tipoinstitucionSTPS,3)
		from rhestudios 
		where idestudios =@clave
        
        RETURN (@InstitucionSTPS)
    END
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSDatosBasicos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSDatosBasicos
GO

CREATE PROCEDURE dbo.capaSTPSDatosBasicos
	(	
		@companyId bigint,
		@claveCapacitacion varchar(25),
		@fechaInicial datetime,
		@fechaFinal datetime,
		@centroCostos varchar(50)
	) 
	
	
WITH ENCRYPTION
AS 
	BEGIN
     
     if @centroCostos='0'
     begin      
		SELECT
			'' as nivelestudios,
			empleados.curp,
			empleados.nombre ,
			empleados.ap_paterno,
			empleados.ap_materno,
			capa_entidad.identidad,
			capa_poblacion.idPoblacion,
			capa_CatalogoOcupacion2016.idCatalogo,			
			dbo.capaNivelMaximoEstudios(rhsolicita.idsolicitudes) as nivelMaximoEstudios,
			dbo.capaDocumentoProbatorioSTPS(rhsolicita.idsolicitudes) as documentoProbatorioSTPS,
			dbo.capaInstitucionSTPS(rhsolicita.idsolicitudes) as InstitucionSTPS,
			isnull(capa_curso.clavestps,''),
			isnull(capa_curso.Nombre,''),
			isnull(capa_CatalogoAreaTematica.idDenominacion,'0') as areaTematica,
			cast(capa_programacion.tothoras as decimal(8,0)) as horas,
			convert(varchar(10),capa_programacion.finicial,103),
			convert(varchar(10),capa_programacion.ffinal,103),
			case capa_Instructor.externo 
				when 'N' then '1'
				when 'S' then '2'
				else '3' end as tipoInstructor,
			case capa_Instructor.externo 
				when 'S' then capa_instructor.RFC
				else '' end as RFCAgente,
			capa_programacion.modalidad,
			capa_programacion.objetivo,
			@claveCapacitacion as claveCapacitacion
		FROM
			empleados  			
			inner join Llaves on
				empleados.codigo=Llaves.codigo and
				empleados.empresa=Llaves.empresa
			inner join datosemps on
				datosemps.empresa=empleados.empresa and
				datosemps.codigo=empleados.codigo
			inner join capa_EmpleadoProgramacion on 		
				capa_empleadoprogramacion.empresa=datosemps.empresa and
				capa_EmpleadoProgramacion.codigo=datosemps.codigo		
			inner join capa_programacion on
				capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
				capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion			 
			INNER JOIN Capa_curso  ON
				capa_programacion.empresa = capa_Curso.empresa AND
				capa_programacion.idcurso = capa_Curso.idcurso	
			inner join capa_Instructor on
				capa_programacion.empresa=capa_Instructor.empresa and
				capa_programacion.idinstructor=capa_Instructor.idInstructor						
			INNER JOIN tabulador  ON
				llaves.empresa = tabulador.empresa AND
				llaves.ocupacion = tabulador.ocupacion 				
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
			left join rhcatalogo on 
				rhcatalogo.empresa=capa_curso.empresa and
				rhcatalogo.codigo=capa_EmpleadoProgramacion.codigo
			left join rhsolicita on 
				rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo			
			left join capa_entidad on
				UPPER(datosemps.poblacion)=UPPER(capa_entidad.entidad)
			left join capa_poblacion on 
				UPPER(capa_poblacion.poblacion)=UPPER(datosemps.municipio)
				and capa_poblacion.idEntidad=capa_entidad.idEntidad	
			left join capa_CatalogoAreaTematica on
				capa_CatalogoAreaTematica.idDenominacion= capa_curso.idDenominacion 
			left outer join capa_relacionpuestos on
				llaves.empresa=capa_relacionpuestos.empresa and
				llaves.ocupacion=capa_relacionpuestos.ocupacion
			left outer join capa_CatalogoOcupacion2016 on
				capa_relacionpuestos.idCatalogo=capa_CatalogoOcupacion2016.idCatalogo
		WHERE
			capa_Curso.empresa = @companyId 
			and capa_programacion.ffinal between @fechainicial and @fechafinal	
			and Capa_programacion.numeroconsecutivo is not null	
			and capa_programacion.stps='S'
			and capa_EmpleadoProgramacion.asistencia='Si'
		order by empleados.curp
	end
	else
	begin 
			SELECT
			'' as nivelestudios,
			empleados.curp,
			empleados.nombre ,
			empleados.ap_paterno,
			empleados.ap_materno,
			capa_entidad.identidad,
			capa_poblacion.idPoblacion,
			capa_CatalogoOcupacion2016.idCatalogo,			
			dbo.capaNivelMaximoEstudios(rhsolicita.idsolicitudes) as nivelMaximoEstudios,
			dbo.capaDocumentoProbatorioSTPS(rhsolicita.idsolicitudes) as documentoProbatorioSTPS,
			dbo.capaInstitucionSTPS(rhsolicita.idsolicitudes) as InstitucionSTPS,
			isnull(capa_curso.clavestps,''),
			isnull(capa_curso.Nombre,''),
			isnull(capa_CatalogoAreaTematica.idDenominacion,'0') as areaTematica,
			cast(capa_programacion.tothoras as decimal(8,0)) as horas,
			convert(varchar(10),capa_programacion.finicial,103),
			convert(varchar(10),capa_programacion.ffinal,103),
			case capa_Instructor.externo 
				when 'N' then '1'
				when 'S' then '2'
				else '3' end as tipoInstructor,
			isnull(capa_instructor.RFC,''),
			capa_programacion.modalidad,
			capa_programacion.objetivo,
			@claveCapacitacion as claveCapacitacion
		FROM
			empleados  			
			inner join Llaves on
				empleados.codigo=Llaves.codigo and
				empleados.empresa=Llaves.empresa
			inner join datosemps on
				datosemps.empresa=empleados.empresa and
				datosemps.codigo=empleados.codigo
			inner join capa_EmpleadoProgramacion on 		
				capa_empleadoprogramacion.empresa=datosemps.empresa and
				capa_EmpleadoProgramacion.codigo=datosemps.codigo		
			inner join capa_programacion on
				capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
				capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion			 
			INNER JOIN Capa_curso  ON
				capa_programacion.empresa = capa_Curso.empresa AND
				capa_programacion.idcurso = capa_Curso.idcurso	
			inner join capa_Instructor on
				capa_programacion.empresa=capa_Instructor.empresa and
				capa_programacion.idinstructor=capa_Instructor.idInstructor						
			INNER JOIN tabulador  ON
				llaves.empresa = tabulador.empresa AND
				llaves.ocupacion = tabulador.ocupacion 				
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
			left join rhcatalogo on 
				rhcatalogo.empresa=capa_curso.empresa and
				rhcatalogo.codigo=capa_EmpleadoProgramacion.codigo
			left join rhsolicita on 
				rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo			
			left join capa_entidad on
				UPPER(datosemps.poblacion)=UPPER(capa_entidad.entidad)
			left join capa_poblacion on 
				UPPER(capa_poblacion.poblacion)=UPPER(datosemps.municipio)
				and capa_poblacion.idEntidad=capa_entidad.idEntidad	
			left join capa_CatalogoAreaTematica on
				capa_CatalogoAreaTematica.idDenominacion= capa_curso.idDenominacion 
			left outer join capa_relacionpuestos on
				llaves.empresa=capa_relacionpuestos.empresa and
				llaves.ocupacion=capa_relacionpuestos.ocupacion
			left outer join capa_CatalogoOcupacion2016 on
				capa_relacionpuestos.idCatalogo=capa_CatalogoOcupacion2016.idCatalogo
		WHERE
			capa_Curso.empresa = @companyId 
			and capa_programacion.ffinal between @fechainicial and @fechafinal	
			and capa_programacion.stps='S'
			and llaves.centro = convert(varchar(30),@centroCostos)
			and capa_EmpleadoProgramacion.asistencia='Si'
			and Capa_programacion.numeroconsecutivo is not null	
		order by empleados.curp
	end

end
	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSDatosBasicosDirectoDeTabla')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSDatosBasicosDirectoDeTabla
GO

CREATE PROCEDURE dbo.capaSTPSDatosBasicosDirectoDeTabla
	(	
		@companyId bigint,
		@claveCapacitacion varchar(25),
		@fechaInicial datetime,
	    @fechaFinal datetime
	) 
WITH ENCRYPTION	
AS 

    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN 
		SELECT 
		empresa
		,curp
		,Nombre
		,primerApellido
		,segundoApellido
		,claveEstado
		,claveMunicipio
		,claveOcupacion
		,claveNivelEstudios
		,claveDocumentoProbatorio
		,claveInstitucion
		,claveCurso
		,nombreCurso
		,claveAreaTematica
		,Duracion
		,FechaInicio
		,FechaTermino
		,claveTipAgente
		,RFCAgente
		,claveModalidad
		,claveObjetivo
		,claveCapacitacion
		FROM capaSodeciaCursos 
		where empresa=@companyId
		and FechaInicio between @fechainicial and @fechafinal	
		order by curp, fechainicio
	end
	
GO
  

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSDatosBasicosDirectoDeTabla2')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSDatosBasicosDirectoDeTabla2
GO

CREATE PROCEDURE dbo.capaSTPSDatosBasicosDirectoDeTabla2
	(	
		@companyId bigint,
		@fechaInicial datetime,
	    @fechaFinal datetime
	) 
WITH ENCRYPTION	
AS 

    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN 
		SELECT 
		empresa
		,curp		
		,FechaCertificado
		FROM capaSodeciaCursosCompetencias 
		where empresa=@companyId
		and FechaCertificado between @fechainicial and @fechafinal	
		order by curp, FechaCertificado
	end
	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSValidaDuplicadosSodecia')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSValidaDuplicadosSodecia
GO

CREATE PROCEDURE dbo.capaSTPSValidaDuplicadosSodecia
	(	
		@empresa bigint,
		@curp varchar(30),
		@Nombre varchar(60),
		@primerApellido varchar(50),
		@segundoApellido varchar(50),
		@claveEstado bigint,
		@claveMunicipio bigint,
		@claveOcupacion bigint,
		@claveNivelEstudios bigint,
		@claveDocumentoProbatorio bigint,
		@claveInstitucion varchar(50),
		@claveCurso varchar(50),
		@nombreCurso varchar(50),
		@claveAreaTematica varchar(50),
		@Duracion decimal(18,2),
		@FechaInicio datetime,
		@FechaTermino datetime,
		@claveTipAgente varchar(50),
		@RFCAgente varchar(50),
		@claveModalidad varchar(50),
		@claveObjetivo varchar(50),
		@claveCapacitacion varchar(50),
		@fechaInicial datetime,
	    @fechaFinal datetime
	) 
WITH ENCRYPTION	
AS 

    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN 
    SELECT count(idRegistro) as cantidad		
	  FROM capaSodeciaCursos
	  where fechainicio between @fechaInicial and @fechaFinal 
		and empresa=@empresa
		and curp=@curp
		and Nombre=@nombre
		and primerApellido=@primerApellido
		and segundoApellido=@segundoApellido
		and claveEstado=@claveEstado
		and claveMunicipio=@claveMunicipio
		and claveOcupacion=@claveOcupacion
		and claveNivelEstudios=@claveNivelEstudios
		and claveDocumentoProbatorio=@claveDocumentoProbatorio
		and claveInstitucion=@claveInstitucion
		and claveCurso=@claveCurso
		and nombreCurso=@nombreCurso
		and claveAreaTematica=@claveAreaTematica
		and Duracion=@Duracion
		and FechaInicio=@FechaInicio
		and FechaTermino=@FechaTermino
		and claveTipAgente=@claveTipAgente
		and RFCAgente=@RFCAgente
		and claveModalidad=@claveModalidad
		and claveObjetivo=@claveObjetivo
		and claveCapacitacion=@claveCapacitacion	
	group by	
		  empresa
		  ,curp
		  ,Nombre
		  ,primerApellido
		  ,segundoApellido
		  ,claveEstado
		  ,claveMunicipio
		  ,claveOcupacion
		  ,claveNivelEstudios
		  ,claveDocumentoProbatorio
		  ,claveInstitucion
		  ,claveCurso
		  ,nombreCurso
		  ,claveAreaTematica
		  ,Duracion
		  ,FechaInicio
		  ,FechaTermino
		  ,claveTipAgente
		  ,RFCAgente
		  ,claveModalidad
		  ,claveObjetivo
		  ,claveCapacitacion	
	END
	
GO  

    
IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaListadoBusNorma'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaListadoBusNorma
GO

CREATE PROCEDURE  dbo.capaListadoBusNorma
    (@companyId udtInteger )
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY
    
	SELECT IDSTPS
			,clave
			,norma
	FROM capa_CatalogoNorma
	order by idSTPS

    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
            + CHAR(13) + CHAR(10) + 'Severity: '
            + LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
            + 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
            + CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
            + 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
            + 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO

    
IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaMatrizCatalogoOperacion'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaMatrizCatalogoOperacion
GO

CREATE PROCEDURE  dbo.capaMatrizCatalogoOperacion
    (@idempresa as bigint)
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY

		SELECT capaMatriz_Area.empresa
			,capaMatriz_Area.idArea
			,capaMatriz_Area.nombre as nombreArea
			,capaMatriz_Linea.idLinea
			,capaMatriz_Linea.nombre as nombrelinea
		FROM capaMatriz_Area
			inner join capaMatriz_LineaArea on
			capaMatriz_Area.idArea=capaMatriz_LineaArea.idArea
			and capaMatriz_Area.empresa=capaMatriz_LineaArea.empresa
			inner join capaMatriz_Linea on
			capaMatriz_Linea.idLinea=capaMatriz_LineaArea.idLinea
			and capaMatriz_Linea.empresa=capaMatriz_LineaArea.empresa	
		where capaMatriz_Area.empresa=@idempresa			
		group by capaMatriz_Area.empresa
			,capaMatriz_Area.idArea
			,capaMatriz_Area.nombre 
			,capaMatriz_Linea.idLinea
			,capaMatriz_Linea.nombre 
      
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
            + CHAR(13) + CHAR(10) + 'Severity: '
            + LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
            + 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
            + CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
            + 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
            + 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO     


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.CapaObtenCostoMensual') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.CapaObtenCostoMensual
GO

CREATE FUNCTION dbo.CapaObtenCostoMensual
(
	 @idempresa as bigint,    
     @nYear as bigint,
     @nMonth as bigint,
     @idprogramacion as bigint
)
RETURNS decimal(18,2)
AS
BEGIN
		
	declare @regresa as bigint
	declare @costoTotal as decimal(18,2)

	select @costoTotal= cast(isnull(capa_programacion.costoPersona,0) as decimal(18,2))*dbo.capaObtenAsistentesAProgramacion(capa_Programacion.idprogramacion)
	from capa_programacion 
		left join capa_EmpleadoProgramacion on 
		capa_programacion.empresa=capa_EmpleadoProgramacion.empresa and
		capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion
	where capa_programacion.empresa=@idempresa
		and YEAR(finicial)=@nYear
		and MONTH(finicial)=@nMonth
		and capa_EmpleadoProgramacion.asistencia='Si'
		and capa_programacion.idprogramacion=@idprogramacion
		
	return @costoTotal
	
end
go


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaReporteMensual'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaReporteMensual
GO

CREATE PROCEDURE  dbo.capaReporteMensual
    (@idempresa as bigint,
     @nYear as bigint,
     @nMonth as bigint)
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY
		SELECT
			capa_Programacion.idprogramacion,
			capa_Curso.nombre,
			case when capa_Programacion.ffinal<=GETDATE() then 0 
			else 1 end as NoRealizado,	
			case when capa_Programacion.ffinal>GETDATE() then 0 
			else 1 end as Realizado,			
			convert(decimal(18,2),isnull(capa_Programacion.tothoras,0)) as tothoras,
			case capa_Programacion.stps
			when 'S' then 1 else 0 end as AplicaSTPS, 
			case capa_Programacion.stps
			when 'N' then 1 else 0 end as NoAplicaSTPS, 
			case capa_Instructor.Externo
			when 'S' then 1 else 0 end as Externo,
			case capa_Instructor.Externo
			when 'N' then 1 else 0 end as Interno,
			dbo.capaObtenAsistentesAProgramacionSind(capa_Programacion.idprogramacion) as sindicalizados,
			dbo.capaObtenAsistentesAProgramacionConf(capa_Programacion.idprogramacion) as confianza,
			dbo.capaObtenAsistentesAProgramacion(capa_Programacion.idprogramacion) as asistentes,
			capa_Tipocurso.nombre as tipoCurso,
			capa_curso.empresa,
			'Normal' as grupo,
			capa_programacion.ffinal,
			dbo.capaObtenAvance(@idempresa,@nYear,@nMonth) as avance,
			case when capa_Programacion.ffinal>gETDATE()then 0*convert(decimal(18,2),isnull(capa_Programacion.tothoras,0))
			else dbo.capaObtenAsistentesAProgramacion(capa_Programacion.idprogramacion)*convert(decimal(18,2),isnull(capa_Programacion.tothoras,0))
			end as totalhoras,
			dbo.CapaObtenCostoMensual(@idempresa,@nYear,@nMonth,capa_programacion.idprogramacion) as costoMensual
		FROM
			empresas  
			LEFT  JOIN capa_Programacion  ON
				empresas.empresa = capa_Programacion.empresa
			LEFT  JOIN Capa_curso  ON
				capa_Programacion.empresa = capa_Curso.empresa AND
				capa_Programacion.idcurso = capa_Curso.idcurso
			LEFT  JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			LEFT  JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_Tipocurso.empresa AND
				capa_Curso.idTipocurso = capa_Tipocurso.idTipocurso
		WHERE
				capa_Curso.empresa = @idempresa and
				year(capa_programacion.ffinal)  = @nYear and
				month(capa_programacion.ffinal) = @nMonth
			    
        END TRY

    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO  

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAProgramacion') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAProgramacion
GO

CREATE FUNCTION dbo.capaObtenAsistentesAProgramacion
(
	@IdProgramacion as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_empleadoProgramacion 
	where asistencia='Si'
	and idprogramacion=@IdProgramacion	 
		
	return @regresa
	
end
go

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAProgramacionSind') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAProgramacionSind
GO

CREATE FUNCTION dbo.capaObtenAsistentesAProgramacionSind
(
	@IdProgramacion as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_empleadoProgramacion 
		left join empleados on empleados.codigo=capa_empleadoprogramacion.codigo
		and empleados.empresa=capa_empleadoprogramacion.empresa
	where asistencia='Si'
	and idprogramacion=@IdProgramacion	
	and empleados.sindicato='S' 
		
	return @regresa
	
end
go

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAProgramacionConf') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAProgramacionConf
GO

CREATE FUNCTION dbo.capaObtenAsistentesAProgramacionConf
(
	@IdProgramacion as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_empleadoProgramacion 
		left join empleados on empleados.codigo=capa_empleadoprogramacion.codigo
		and empleados.empresa=capa_empleadoprogramacion.empresa
	where asistencia='Si'
		and idprogramacion=@IdProgramacion	 
		and empleados.sindicato='C'
		
	return @regresa
	
end
go


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAEntrenamiento') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAEntrenamiento
GO

CREATE FUNCTION dbo.capaObtenAsistentesAEntrenamiento
(
	@IdEntrenamiento as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_Entrenamiento 
	where asistio='Si'
	and idEntrenamiento=@idEntrenamiento
		
	return @regresa
	
end
go

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAEntrenamientoSind') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAEntrenamientoSind
GO

CREATE FUNCTION dbo.capaObtenAsistentesAEntrenamientoSind
(
	@IdEntrenamiento as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_Entrenamiento
		left join empleados on empleados.codigo=capa_Entrenamiento.codigo
		and empleados.empresa=capa_Entrenamiento.empresa
	where asistio='Si'
	and idEntrenamiento=@IdEntrenamiento	
	and empleados.sindicato='S' 
		
	return @regresa
	
end
go

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAEntrenamientoConf') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAEntrenamientoConf
GO

CREATE FUNCTION dbo.capaObtenAsistentesAEntrenamientoConf
(
	@IdEntrenamiento as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_Entrenamiento
		left join empleados on empleados.codigo=capa_Entrenamiento.codigo
		and empleados.empresa=capa_Entrenamiento.empresa
	where asistio='Si'
	and idEntrenamiento=@IdEntrenamiento 
	and empleados.sindicato='C'
		
	return @regresa
	
end
go



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaReporteMensualEntrenamiento'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaReporteMensualEntrenamiento
GO

CREATE PROCEDURE  dbo.capaReporteMensualEntrenamiento
    (@idempresa as bigint,
     @nYear as bigint,
     @nMonth as bigint)
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY    
    	SELECT
			capa_entrenamiento.idEntrenamiento,
			capa_Curso.nombre,
			capa_entrenamiento.ffinal,			
			capa_entrenamiento.tothoras,
			capa_entrenamiento.stps, 
			capa_Instructor.Externo,
			dbo.capaObtenAsistentesAEntrenamientoSind(capa_entrenamiento.idEntrenamiento) as sindicalizados,
			dbo.capaObtenAsistentesAEntrenamientoConf(capa_entrenamiento.idEntrenamiento) as confianza,
			dbo.capaObtenAsistentesAEntrenamiento(capa_entrenamiento.idEntrenamiento) as asistentes,
			capa_Tipocurso.nombre as tipoCurso,
			capa_curso.empresa,
			dbo.capaObtenAvance(@idempresa,@nYear,@nMonth) as avance
		FROM
			empresas  
			LEFT JOIN capa_entrenamiento  ON
				empresas.empresa = capa_entrenamiento.empresa
			LEFT JOIN Capa_curso  ON
				capa_entrenamiento.empresa = capa_Curso.empresa AND
				capa_entrenamiento.idcurso = capa_Curso.idcurso
			LEFT JOIN capa_Instructor  ON
				capa_entrenamiento.empresa = capa_Instructor.empresa AND
				capa_entrenamiento.idInstructor = capa_Instructor.idInstructor
			LEFT JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_Tipocurso.empresa AND
				capa_Curso.idTipocurso = capa_Tipocurso.idTipocurso
		WHERE
			capa_Curso.empresa = @idempresa and
			year(capa_entrenamiento.ffinal)  = @nYear and
			month(capa_entrenamiento.ffinal) = @nMonth
			
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO			

if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAsistentesAEntrenamientoConf') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAsistentesAEntrenamientoConf
GO

CREATE FUNCTION dbo.capaObtenAsistentesAEntrenamientoConf
(
	@IdEntrenamiento as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint

	select @regresa=count(*)
	from capa_Entrenamiento
		left join empleados on empleados.codigo=capa_Entrenamiento.codigo
		and empleados.empresa=capa_Entrenamiento.empresa
	where asistio='Si'
	and idEntrenamiento=@IdEntrenamiento 
	and empleados.sindicato='C'
		
	return @regresa
	
end
go


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaObtenAvance') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaObtenAvance
GO

CREATE FUNCTION dbo.capaObtenAvance
(
	@idempresa as bigint,
	@nYear as bigint,
	@nMonth as bigint
)
RETURNS bigint	
AS
BEGIN
		
	declare @regresa as bigint
	declare @regresatotal as bigint
	declare @regresarealizado as bigint
	
	set @regresatotal=0
	set @regresarealizado=0
	

	select @regresatotal = count(*)
	from capa_programacion
	where year(ffinal)= @nyear
	and	month(ffinal) =  @nMonth

	
	select @regresarealizado = count(*)
	from capa_programacion
	where year(ffinal)= @nYear
	and month(ffinal) = @nmonth
	and ffinal<=getdate()
	
	set @regresa = (@regresarealizado*100)/@regresaTotal
					
	return @regresa
	
end
go

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCursosDetalladoReporte'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCursosDetalladoReporte
GO

CREATE PROCEDURE  dbo.capaCursosDetalladoReporte
    (@idempresa as bigint,
     @idcurso as varchar(30),
     @idlugar as bigint,
     @idInstructor as bigint,
     @finicial as datetime,
     @ffinal as datetime,
     @order as int     
     )
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY   
    
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''	
	
		set @selectStatement = ' SELECT
								capa_programacion.idprogramacion,
								capa_Curso.clave,
								capa_Curso.nombre as NombreCurso,
								capa_Programacion.idLugar,
								capa_Programacion.finicial,
								capa_Programacion.ffinal,
								capa_Programacion.horaini1,
								capa_Programacion.horafin1,
								capa_Programacion.horaini2,
								capa_Programacion.horafin2,
								capa_Programacion.tothoras,
								capa_Instructor.nombre as NombreInstructor,
								capa_Curso.empresa	'		
								
		set @fromStatement = ' FROM
								empresas  
								LEFT JOIN capa_Programacion  ON
									empresas.empresa = capa_Programacion.empresa
								LEFT JOIN capa_Instructor  ON
									capa_Programacion.empresa = capa_Instructor.empresa AND
									capa_Programacion.idInstructor = capa_Instructor.idInstructor
								LEFT JOIN Capa_curso  ON
									capa_Programacion.empresa = capa_Curso.empresa AND
									capa_Programacion.idcurso = capa_Curso.idcurso'
									
		set @whereStatement = ' WHERE
								capa_Programacion.empresa = ' +  convert(varchar(10),@idEmpresa) +
							  ' AND capa_Programacion.finicial between ''' + convert(varchar(50),@finicial,112)   
							  + ''' and ''' + convert(varchar(50),@ffinal,112) + ''''
							  
		if @idcurso <> '0' 
			begin
				set @whereStatement = @whereStatement + ' AND capa_curso.clave=''' + rtrim(@idcurso) + ''''			
			end	

		if @idlugar <> 0 
			begin
				set @whereStatement = @whereStatement + ' AND capa_Programacion.idlugar=' + convert(varchar(1),@idlugar)			
			end		
	
		if @idInstructor <> 0 
			begin
				set @whereStatement = @whereStatement + ' AND capa_Instructor.nombre=''' + rtrim(@idInstructor) +''''			
			end													  
		
		if @order <> 0
			begin						
				set @orderbyStatement = ' order by ' + convert(varchar(1), @order)									
			end	
	
		exec  (@selectstatement + @fromStatement  + @wherestatement + @orderbyStatement)		
		
	END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaTipoCursoReporte'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaTipoCursoReporte
GO

CREATE PROCEDURE  dbo.capaTipoCursoReporte
    (@idempresa as bigint,
     @idTipoCurso as varchar(30))
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY   
    
		declare @selectStatement as varchar(1024)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)	
		
		set @selectStatement = ''
		set @fromStatement = ''
		set @whereStatement =''
		set @orderbyStatement =''	
		
		set @selectStatement = ' SELECT
								empresas.empresa,
								capa_Curso.empresa,
								capa_Curso.clave,
								capa_Curso.nombre as nombreCurso,
								capa_Curso.costo_persona,
								capa_Curso.capacidad,
								capa_Curso.idTipocurso,
								capa_TipoCurso.nombre as nombreTipo	'		
								
		set @fromStatement = ' FROM empresas 
								INNER JOIN Capa_curso  ON
									empresas.empresa = capa_Curso.empresa
								INNER JOIN capa_Tipocurso  ON
									capa_Curso.empresa = capa_TipoCurso.empresa AND
									capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso'
									
		set @whereStatement = ' WHERE empresas.empresa= ' +  convert(varchar(10),@idEmpresa) 
							  
		if @idTipoCurso <> '0' 
			begin
				set @whereStatement = @whereStatement + ' AND capa_TipoCurso.idTipocurso=''' + @idTipocurso	+ ''''		
			end												  
								
		set @orderbyStatement = ' ORDER BY capa_Curso.idTipocurso, clave ASC'								

		exec  (@selectstatement + @fromStatement  + @wherestatement + @orderbyStatement)		
		
	END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaListadoEmpleadosRelacionCursoEmpleado'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaListadoEmpleadosRelacionCursoEmpleado
GO

CREATE PROCEDURE  dbo.capaCargaListadoEmpleadosRelacionCursoEmpleado
    (@idempresa as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY 
    
		Select	empleados.codigo, 
				rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno),
				centros.centro,
				centros.nomdepto,
				tabulador.ocupacion,
				tabulador.actividad
        from empleados 
        left join Llaves on  llaves.empresa=empleados.empresa and llaves.codigo=empleados.codigo
        left join tabulador on tabulador.ocupacion=llaves.ocupacion and tabulador.empresa=llaves.empresa
        left join centros on centros.centro=llaves.centro and centros.empresa=llaves.empresa
        where empleados.empresa=@idempresa
        and empleados.ultmov<>'B'          
            
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaCursosAsignadosAEmpleado'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaCursosAsignadosAEmpleado
GO

CREATE PROCEDURE  dbo.capaCargaCursosAsignadosAEmpleado
    (@idempresa as bigint,
     @codigo as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY 
    
		select idcurso, Clave, nombre
		from capa_curso
		where idcurso in (select idcurso from capa_EmpleadoCurso where codigo=@codigo and empresa=@idempresa)  
		and empresa=@idempresa
            
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaCursosSinAsignarAEmpleado'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaCursosSinAsignarAEmpleado
GO

CREATE PROCEDURE  dbo.capaCargaCursosSinAsignarAEmpleado
    (@idempresa as bigint,
     @codigo as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY 
    
		select idcurso, Clave, nombre
		from capa_curso
		where idcurso not in (select idcurso from capa_EmpleadoCurso where codigo=@codigo and empresa=@idempresa)  
		and empresa=@idempresa
            
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaCursosAsignadosAEmpleadoReporte'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaCursosAsignadosAEmpleadoReporte
GO

CREATE PROCEDURE  dbo.capaCargaCursosAsignadosAEmpleadoReporte
    (@idempresa as bigint,
     @codigo as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY 
    
	select  empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
			tabulador.actividad,
			capa_curso.idcurso, 
			capa_curso.Clave, 
			capa_curso.nombre
	from empleados
	left join Llaves on llaves.empresa=empleados.empresa
		and llaves.codigo=empleados.codigo
	left join tabulador on tabulador.empresa=llaves.empresa
		and tabulador.ocupacion=llaves.ocupacion	
	left join capa_EmpleadoCurso on capa_EmpleadoCurso.empresa=empleados.empresa 
		and capa_EmpleadoCurso.codigo=empleados.codigo
	left join capa_curso on capa_EmpleadoCurso.empresa=capa_curso.empresa 
		and capa_EmpleadoCurso.idCurso=capa_curso.idcurso
	where capa_EmpleadoCurso.idcurso in (	select idcurso 
												from capa_EmpleadoCurso 
												where codigo=@codigo	 
												and empresa=@idempresa)  
	and capa_curso.empresa=@idempresa
	and empleados.codigo=@codigo
	order by empleados.codigo, capa_curso.clave
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaCursosSinAsignarAEmpleadoReporte'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaCursosSinAsignarAEmpleadoReporte
GO

CREATE PROCEDURE  dbo.capaCargaCursosSinAsignarAEmpleadoReporte
    (@idempresa as bigint,
     @codigo as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY     
	select  empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
			tabulador.actividad,
			capa_curso.idcurso, 
			capa_curso.Clave, 
			capa_curso.nombre
	from empleados
			left join Llaves on llaves.empresa=empleados.empresa
				and llaves.codigo=empleados.codigo
			left join tabulador on tabulador.empresa=llaves.empresa
				and tabulador.ocupacion=llaves.ocupacion	
			left join capa_curso on Llaves.empresa=capa_curso.empresa 
	where capa_curso.idcurso not in (	select idcurso 
										from capa_EmpleadoCurso 
										where codigo=@codigo	 
										and empresa=@idempresa)  
	and capa_curso.empresa=@idempresa
	and empleados.codigo=@codigo
	order by empleados.codigo, capa_curso.clave
            
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCargaRelacionCompletaEmpleadoReporte'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCargaRelacionCompletaEmpleadoReporte
GO

CREATE PROCEDURE  dbo.capaCargaRelacionCompletaEmpleadoReporte
    (@idempresa as bigint)
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY    
    
    (select  empleados.codigo, 
		rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
		tabulador.actividad,
		capa_curso.idcurso, 
		capa_curso.Clave, 
		capa_curso.nombre,
		'No tomados an' as tipo
		from empleados
				left join Llaves on llaves.empresa=empleados.empresa
					and llaves.codigo=empleados.codigo
				left join tabulador on tabulador.empresa=llaves.empresa
					and tabulador.ocupacion=llaves.ocupacion	
				left join capa_EmpleadoProgramacion on Llaves.empresa=capa_EmpleadoProgramacion.empresa 
					and capa_EmpleadoProgramacion.codigo=empleados.codigo
				left join capa_programacion on Llaves.empresa=capa_EmpleadoProgramacion.empresa 
					and capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion						
				left join capa_curso on Llaves.empresa=capa_curso.empresa
					and capa_curso.idcurso =capa_programacion.idcurso		
		where capa_curso.idcurso in (	select idcurso 
										from capa_EmpleadoCurso 
										where codigo=empleados.codigo	 
										and empresa=@idempresa)  
		and capa_curso.empresa=@idempresa	
    )        
    
    union
    
    (
        
	select  empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
			tabulador.actividad,
			capa_curso.idcurso, 
			capa_curso.Clave, 
			capa_curso.nombre,
			'Asignados' as tipo
	from empleados
	left join Llaves on llaves.empresa=empleados.empresa
		and llaves.codigo=empleados.codigo
	left join tabulador on tabulador.empresa=llaves.empresa
		and tabulador.ocupacion=llaves.ocupacion	
	left join capa_EmpleadoCurso on capa_EmpleadoCurso.empresa=empleados.empresa 
		and capa_EmpleadoCurso.codigo=empleados.codigo
	left join capa_curso on capa_EmpleadoCurso.empresa=capa_curso.empresa 
		and capa_EmpleadoCurso.idCurso=capa_curso.idcurso
	where capa_EmpleadoCurso.idcurso in (	select idcurso 
												from capa_EmpleadoCurso 
												where codigo=empleados.codigo		 
												and empresa=@idempresa)  
	and capa_curso.empresa=@idempresa

    )
	order by empleados.codigo,tipo 
    
    
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaReporteCatalogoAreaTematica'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaReporteCatalogoAreaTematica
GO

CREATE PROCEDURE  dbo.CapaReporteCatalogoAreaTematica
     
 WITH ENCRYPTION  
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    
    BEGIN TRY    
        
		Select * from capa_catalogoareatematica order by area		
    
    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
								+ CHAR(13) + CHAR(10) + 'Severity: '
								+ LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
								+ 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
								+ CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
								+ 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
								+ 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaTablaCursosRequeridosPorPersona')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaTablaCursosRequeridosPorPersona
GO

CREATE PROCEDURE dbo.capaTablaCursosRequeridosPorPersona
	(@companyID bigint,
	 @codigo bigint) 
AS 

	DECLARE @cSelectClause udtStringSize1024
	DECLARE @cFromClause   udtStringSize1024
	DECLARE @cWhereClause  udtStringSize1024
	DECLARE @groupByClause udtStringSize1024
	DECLARE @orderByClause udtStringSize1024
	
	DECLARE @TotalOperaciones bigint
	
	/*select @TotalOperaciones=COUNT(capa_programacion.idprogramacion)*100
	from capa_programacion
	left join capa_EmpleadoProgramacion on capa_programacion.empresa=capa_EmpleadoProgramacion.empresa
	and capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion
	where capa_programacion.empresa=@companyId
	and capa_EmpleadoProgramacion.codigo=@codigo*/

    SET @cSelectClause = ' SELECT capa_curso.idcurso, 
							capa_curso.Clave, 
							capa_curso.nombre,
							empleados.codigo, 
							rtrim(empleados.nombre) + '' '' + rtrim(empleados.ap_paterno) + '' '' + rtrim(empleados.ap_materno) as nombreEmpleado, 
							tabulador.actividad,	
							case capa_empleadoprogramacion.asistencia
								when ''Si'' then ''*''
								else ''''
							end as cursoTomado, 
							capa_programacion.idprogramacion'
			
	SET @cFromClause = ' FROM capa_curso 	
			
						full  join capa_EmpleadoCurso on capa_EmpleadoCurso.empresa=capa_curso.empresa 
							and capa_EmpleadoCurso.idCurso=capa_curso.idcurso
						
						full  join empleados on capa_EmpleadoCurso.empresa=empleados.empresa  
							and capa_EmpleadoCurso.codigo= empleados.codigo
								
						left  join Llaves on llaves.empresa=empleados.empresa
							and llaves.codigo=empleados.codigo
							
						left  join tabulador on tabulador.empresa=llaves.empresa
							and tabulador.ocupacion=llaves.ocupacion		

						full  join capa_programacion on capa_programacion.empresa=capa_curso.empresa 
							and capa_programacion.idcurso=capa_curso.idcurso
							and capa_programacion.idCurso=capa_EmpleadoCurso.idcurso
						
						full  join capa_EmpleadoProgramacion on capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion
							and capa_programacion.empresa=capa_EmpleadoProgramacion.empresa
							and capa_EmpleadoProgramacion.codigo=empleados.codigo '
	
	set @cWhereClause=	' where empleados.empresa=' + CONVERT(varchar(20),@companyID)   
						
	if @codigo<>0 
		set @cWhereClause =	@cWhereClause + ' and empleados.codigo=' + CONVERT(varchar(20),@codigo)   
					 
		
	set @groupByClause= ' group by 	
							capa_curso.idcurso, 
							capa_curso.Clave, 
							capa_curso.nombre,
							empleados.codigo, 
							rtrim(empleados.nombre) + '' '' + rtrim(empleados.ap_paterno) + '' '' + rtrim(empleados.ap_materno) , 
							tabulador.actividad,	
							capa_empleadoprogramacion.asistencia,
							capa_programacion.idprogramacion
						'													

	set @orderByClause= ' order by  capa_curso.clave, empleados.codigo  '					
	
	EXEC ( @cSelectClause + @cFromClause + @cWhereClause  + @groupByClause + @orderByClause)
		
go  

UPDATE CAPA_POBLACION SET POBLACION='APATZINGAN' WHERE IDENTIDAD=16 AND IDPOBLACION=6
UPDATE CAPA_POBLACION SET POBLACION='PUEBLA' WHERE IDENTIDAD=21 AND IDPOBLACION=114


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaTablaFiltroEvaluacionBlanco')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaTablaFiltroEvaluacionBlanco
GO

CREATE PROCEDURE dbo.capaTablaFiltroEvaluacionBlanco
	(@IDEMPRESA bigint) 
AS 
BEGIN
	select capa_programacion.idProgramacion, 
			capa_curso.clave, 
			capa_curso.nombre, 
			capa_tipocurso.nombre,  
			capa_programacion.idlugar, 
			convert(varchar(10),capa_programacion.finicial,103)
	from  capa_programacion
		left join capa_curso on capa_programacion.idcurso=capa_curso.idcurso and capa_programacion.empresa=capa_curso.empresa
		left join capa_tipocurso on capa_tipocurso.idtipoCurso=capa_curso.idTipoCurso and capa_tipocurso.empresa=capa_curso.empresa 
	where capa_programacion.empresa= @IDEMPRESA
	order by capa_programacion.idProgramacion
            
 END
 GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaTablaReporteEvaluacionBlanco')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaTablaReporteEvaluacionBlanco
GO

CREATE PROCEDURE dbo.capaTablaReporteEvaluacionBlanco
	(@IDEMPRESA bigint, 
	@idprogramacion bigint) 
AS 
BEGIN	

	SELECT
		empresas.nombre_empresa,
		capa_Programacion.idprogramacion,
		capa_EvalPregunta.empresa,
		capa_EvalPregunta.idPregunta,
		capa_EvalPregunta.Texto,
		capa_evalEncabezado.encabezado,
		capa_evalEncabezado.pie,
		capa_Curso.nombre as nombrecurso,
		capa_Lugar.Lugar,
		capa_EvalTipoPregunta.idtipo,
		capa_EvalTipoPregunta.Tipo,
		capa_Instructor.nombre as nombreinstructor,
		capa_evalCalificacion.Orden,
		capa_evalCalificacion.valor,
		capa_evalCalificacion.Nombre,
		capa_programacion.finicial
	FROM
		empresas 
		LEFT OUTER JOIN capa_Programacion  ON
			empresas.empresa = capa_Programacion.empresa
		LEFT OUTER JOIN capa_EvalPregunta ON
			empresas.empresa = capa_EvalPregunta.empresa
		LEFT OUTER JOIN capa_evalEncabezado  ON
			empresas.empresa = capa_evalEncabezado.empresa
		LEFT OUTER JOIN capa_Curso  ON
			capa_Programacion.empresa = capa_Curso.empresa AND
			capa_Programacion.idcurso = capa_Curso.idcurso
		LEFT OUTER JOIN capa_Lugar  ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar
		LEFT OUTER JOIN  capa_EvalTipoPregunta ON
			capa_EvalPregunta.empresa = capa_EvalTipoPregunta.empresa AND
			capa_EvalPregunta.idtipo = capa_EvalTipoPregunta.idtipo
		LEFT OUTER JOIN capa_Instructor ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		left outer join capa_EvalProgra on 
			capa_Programacion.empresa = capa_evalprogra.empresa AND
			capa_programacion.idprogramacion=capa_evalprogra.idprogramacion
		left outer join capa_Evaluacion on 				 
			capa_evalprogra.idevaluacion=capa_Evaluacion.idEvaluacion			
			and capa_Evaluacion.idPregunta=capa_EvalPregunta.idPregunta
		left outer join capa_evalCalificacion on 
			capa_Programacion.empresa = capa_evalCalificacion.empresa
			and capa_Evaluacion.idEvaluacion=capa_evalCalificacion.idCalificacion									
	WHERE
		capa_Programacion.idprogramacion = @idProgramacion AND
		capa_Programacion.empresa = @idempresa 
	group by 
		empresas.nombre_empresa,
		capa_Programacion.idprogramacion,
		capa_EvalPregunta.empresa,
		capa_EvalPregunta.idPregunta,
		capa_EvalPregunta.Texto,
		capa_evalEncabezado.encabezado,
		capa_evalEncabezado.pie,
		capa_Curso.nombre,
		capa_Lugar.Lugar,
		capa_EvalTipoPregunta.idtipo,
		capa_EvalTipoPregunta.Tipo,
		capa_Instructor.nombre,
		capa_evalCalificacion.Orden,
		capa_evalCalificacion.valor,
		capa_evalCalificacion.Nombre,
		capa_programacion.finicial

	
END
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaReporteCapacitadosNoCapacitados')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaReporteCapacitadosNoCapacitados
GO

CREATE PROCEDURE dbo.capaReporteCapacitadosNoCapacitados
	(@IDEMPRESA bigint,
	 @fechainicio as datetime,
	 @fechafinal as datetime) 
AS 
BEGIN

    (
    SELECT  'Capacitados' as grupo ,
			empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
			tabulador.actividad,
			capa_programacion.idprogramacion,
			capa_curso.clave,
			Capa_curso.nombre,
			convert(varchar(10),capa_programacion.finicial,103) as fechainicial,
			convert(varchar(10),capa_programacion.ffinal,103) as fechafinal,
			iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)='Activo','S','N') as activo				
			
	FROM empleados  										 
								
			left  join Llaves on llaves.empresa=empleados.empresa
					and llaves.codigo=empleados.codigo
					
			left  join tabulador on tabulador.empresa=llaves.empresa
					and tabulador.ocupacion=llaves.ocupacion		

			left  join capa_EmpleadoProgramacion on 
					empleados.empresa=capa_EmpleadoProgramacion.empresa
					and capa_EmpleadoProgramacion.codigo=empleados.codigo 

			left  join capa_programacion on capa_programacion.empresa=empleados.empresa 
					and capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion

			left  join capa_curso on capa_curso.empresa=empleados.empresa  
					and capa_curso.idcurso=capa_programacion.idcurso
	
	 where empleados.empresa= @IDEMPRESA   
			and capa_programacion.finicial>=@fechainicio			
			and capa_programacion.finicial<=@fechafinal
			and capa_EmpleadoProgramacion.asistencia='Si'	
			and (empleados.ultmov<>'B')
				
					 		
	 group by capa_empleadoprogramacion.asistencia,
			empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) ,
			dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo),
			tabulador.actividad,
			capa_programacion.idprogramacion,
			capa_curso.clave,
			Capa_curso.nombre,
			capa_programacion.finicial,
			capa_programacion.ffinal,
			empleados.ultmov
	)		
	union
	(
	
	    SELECT  'No capacitados' as grupo ,
			empleados.codigo, 
			rtrim(empleados.nombre) + ' ' + rtrim(empleados.ap_paterno) + ' ' + rtrim(empleados.ap_materno) as nombreEmpleado, 
			tabulador.actividad,
			'' as idprogramacion,
			'' as clave,
			'' as nombre,
			'' as fechainicial,
			'' as fechafinal,
			iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)='Activo','S','N') as activo								
		FROM empleados 								
				left  join Llaves on llaves.empresa=empleados.empresa
					and llaves.codigo=empleados.codigo
					
				left  join tabulador on tabulador.empresa=llaves.empresa
					and tabulador.ocupacion=llaves.ocupacion		
	
		where empleados.empresa= @IDEMPRESA 
			and (empleados.activo='S' or empleados.ultmov<>'B')
				and empleados.codigo not in ( SELECT  distinct(capa_EmpleadoProgramacion.codigo) 			
											  FROM capa_EmpleadoProgramacion	
											  left join capa_programacion on capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion
											  and capa_EmpleadoProgramacion.empresa=capa_programacion.empresa		
											  where capa_EmpleadoProgramacion.empresa= @IDEMPRESA   
												and capa_programacion.finicial>=@fechainicio			
												and capa_programacion.finicial<=@fechafinal	
												and capa_EmpleadoProgramacion.asistencia='Si')									 		
																			
	)		
	order by grupo, empleados.codigo					
	
            
END
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaProgramacionesPoMes'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaProgramacionesPoMes
GO

CREATE PROCEDURE  dbo.capaProgramacionesPoMes
    (@idempresa as bigint,
     @nYear as bigint,
     @nMonth as bigint)
 WITH ENCRYPTION  

AS 

	BEGIN
	
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    

	SELECT
		month(capa_Programacion.finicial) as mes,
		year(capa_Programacion.finicial) as vyear,
		isnull(capa_Programacion.empresa,0) as empresa,
		isnull(capa_Programacion.idprogramacion,0) as idprogramacion,
		isnull(capa_Programacion.finicial,'') as finicial,
		isnull(capa_Programacion.ffinal,'') as ffinal,
		isnull(capa_Programacion.horaini1,'') as horaini1,
		isnull(capa_Programacion.horafin1,'') as horafin1,
		isnull(capa_Programacion.tothoras,'') as tothoras,
		isnull(capa_Instructor.nombre,'') as nombreInstructor,
		isnull(capa_Lugar.Lugar,'') as lugar,						
		isnull(capa_Curso.idcurso,0) as idcurso,
		isnull(capa_Curso.clave,'') as clavecurso,
		isnull(capa_Curso.nombre,'') as nombreCurso		
	FROM
		capa_Programacion 			
		INNER JOIN empresas ON
			capa_Programacion.empresa = empresas.empresa
		INNER JOIN capa_Instructor  ON
			capa_Programacion.empresa = capa_Instructor.empresa AND
			capa_Programacion.idInstructor = capa_Instructor.idInstructor
		INNER JOIN capa_Lugar  ON
			capa_Programacion.empresa = capa_Lugar.empresa AND
			capa_Programacion.idLugar = capa_Lugar.idLugar
		INNER JOIN capa_Curso  ON
			capa_Programacion.empresa = capa_Curso.empresa and
			capa_Programacion.idcurso = capa_Curso.idcurso
	WHERE
		capa_Programacion.empresa = @IdEMPRESA AND
		month(capa_Programacion.finicial) = @nMonth AND
		year(capa_Programacion.finicial) = @nYear
	ORDER BY
		capa_Programacion.finicial ASC
    
END    
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoInstitucionReporte')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoInstitucionReporte
GO

CREATE PROCEDURE dbo.capaCatalogoInstitucionReporte
	(	
		@companyId bigint,
		@Institucion varchar(200)
	) 
	
AS 
	begin
		DECLARE @cSelectClause udtStringSize1024
		DECLARE @cFromClause   udtStringSize1024
		DECLARE @cWhereClause  udtStringSize1024
		DECLARE @groupByClause udtStringSize1024
		DECLARE @orderByClause udtStringSize1024
				
		declare @idInstitucion as bigint

		set @cSelectClause=	' SELECT empresa
							  ,idInstitucion
							  ,clave
							  ,nombre
							  ,direccion
							  ,ciudad
							  ,estado
							  ,telefono
							  ,fax
							  ,contacto
							  ,email
							  ,rfc
							  ,fechaalta'
							  
		set @cFromClause=	' FROM capa_Institucion'

		set @cWhereClause=	' where capa_Institucion.empresa=' + convert(varchar(10),@companyId) 
		
		if @Institucion<>''
		begin						
			set @cWhereClause=	@cWhereClause + ' and capa_institucion.clave= ''' + @Institucion + ''''	
		end
							
		set @orderByClause=	' order by capa_Institucion.clave'
		  
		exec (@cSelectClause + @cFromClause + @cWhereClause + @orderByClause)
		  
	  end	
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaCatalogoInstructoresReporte')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaCatalogoInstructoresReporte
GO
					 	
CREATE PROCEDURE dbo.capaCatalogoInstructoresReporte
	(	
		@companyId bigint,
		@institucion varchar(500),
		@Instructor varchar(500)
	) 
	
AS 
	begin
		DECLARE @cSelectClause udtStringSize1024
		DECLARE @cFromClause   udtStringSize1024
		DECLARE @cWhereClause  udtStringSize1024
		DECLARE @groupByClause udtStringSize1024
		DECLARE @orderByClause udtStringSize1024
				
		declare @idInstitucion as bigint

		set @cSelectClause=	' SELECT capa_Instructor.empresa
							,capa_Instructor.idInstructor
							,capa_Instructor.nombre 
							,capa_Instructor.rfc
							,capa_Instructor.direccion
							,capa_Instructor.idCiudad
							,capa_Instructor.idEstado
							,capa_Instructor.Telefono
							,capa_Instructor.Email
							,capa_Instructor.FechaRegistro
							,capa_Instructor.idInstitucion
							,capa_Instructor.Externo
							,capa_Instructor.fechaalta
							,capa_Institucion.nombre as institucion'
							  
		set @cFromClause=	' FROM capa_Instructor 
							left join capa_Institucion on capa_Institucion.idinstitucion =capa_Instructor.idinstitucion
							and capa_instructor.empresa=capa_Institucion.empresa'

		set @cWhereClause=	' where capa_Institucion.empresa=' + convert(varchar(10),@companyId) 
		
		if @Institucion<>''
		begin						
			set @cWhereClause=	@cWhereClause + ' and capa_institucion.clave= ''' + @Institucion + ''''	
		end
		
		if @Instructor<>''
		begin						
			set @cWhereClause=	@cWhereClause + ' and capa_instructor.nombre= ''' + @Instructor + ''''	
		end
							
		set @orderByClause=	' order by capa_Institucion.clave'
		  
		exec (@cSelectClause + @cFromClause + @cWhereClause + @orderByClause)
			  
	  end	
GO


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaReporteHorasHombrePorEmpleado')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaReporteHorasHombrePorEmpleado
GO

CREATE PROCEDURE dbo.capaReporteHorasHombrePorEmpleado
(
		@companyId bigint,
		@idcurso bigint,
		@fechaDe datetime,	
		@fechaA datetime,
		@codigo bigint
)

AS 
	BEGIN

	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							capa_Programacion.empresa,
							capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.codigo,
							capa_EmpleadoProgramacion.asistencia,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) as asistentes,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) *
							convert(decimal(18,2),capa_programacion.tothoras) as totalHoras,							
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado '					
 
							
	set @fromStatement = ' FROM
							empresas empresas 
							inner JOIN capa_Programacion capa_Programacion ON
								empresas.empresa = capa_Programacion.empresa
							LEFT JOIN Capa_curso capa_Curso ON
								capa_Programacion.empresa = capa_Curso.empresa AND
								capa_Programacion.idcurso = capa_Curso.idcurso
							LEFT JOIN Capa_Lugar Capa_Lugar ON
								capa_Programacion.empresa = Capa_Lugar.empresa AND
								capa_Programacion.idLugar = Capa_Lugar.idLugar
							LEFT JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
								capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
								capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion 
						    LEFT JOIN empleados  ON
								empleados.empresa = capa_EmpleadoProgramacion.empresa AND
								empleados.codigo = capa_EmpleadoProgramacion.CODIGO 								'
			
	set  @whereStatement = ' WHERE
							capa_Programacion.finicial between ''' + CONVERT(varchar(10),@fechaDe,112) + ''' and ''' + CONVERT(varchar(10),@fechaA,112) + ''' AND
							capa_EmpleadoProgramacion.asistencia = ''Si'' AND
							capa_Programacion.empresa =  ' +  CONVERT(varchar(12),@companyId)
							
	If @idcurso<>0
		begin
			set @whereStatement = @whereStatement +  ' and Capa_curso.idcurso=' +  CONVERT(varchar(10),@idcurso) 
		end	
		
	If @codigo<>0
		begin
			set @whereStatement = @whereStatement +  ' and capa_EmpleadoProgramacion.codigo=' + CONVERT(varchar(10),@codigo)
		end											
							
	set @groupbyStatement = ' GROUP by empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								capa_Programacion.empresa,
								capa_Programacion.idprogramacion,
								capa_Programacion.idLugar,
								capa_Programacion.finicial,
								capa_Programacion.ffinal,
								capa_Programacion.tothoras,
								capa_Programacion.capacidad,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre,
								Capa_Lugar.Lugar,
								capa_EmpleadoProgramacion.codigo,
								capa_EmpleadoProgramacion.asistencia,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' +  rtrim(isnull(empleados.ap_materno,'''')) ORDER BY CODIGO' 							
								
	exec (@selectStatement + @fromStatement + @whereStatement + @groupByStatement)
		
	end
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaEntrenamientos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaEntrenamientos
GO


CREATE PROCEDURE dbo.capaEntrenamientos
(
		@companyId bigint,
		@fechaDe datetime,	
		@fechaA datetime,
		@codigo bigint	
)

AS 
	BEGIN
	
		declare @selectStatement as varchar(4096)
		declare @fromStatement as varchar(2048)
		declare @whereStatement as varchar(2048)
		declare @orderbyStatement as varchar(1024)

		set @selectStatement = ' SELECT
								empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								capa_entrenamiento.idEntrenamiento,
								capa_entrenamiento.empresa,
								capa_entrenamiento.finicial,
								capa_entrenamiento.ffinal,
								capa_entrenamiento.tothoras,
								capa_entrenamiento.asistio,
								empleados.codigo,
								rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre as nombrecurso '
								 
		set @fromStatement = '  FROM empresas  
								left JOIN capa_entrenamiento  ON
									empresas.empresa = capa_entrenamiento.empresa			
								left JOIN empleados  ON
									capa_entrenamiento.empresa = empleados.empresa AND
									capa_entrenamiento.codigo = empleados.codigo        
								left JOIN Capa_curso  ON
									capa_entrenamiento.empresa = capa_Curso.empresa AND
									capa_entrenamiento.idcurso = capa_Curso.idcurso ' 
									
		set  @whereStatement = ' WHERE
								 capa_entrenamiento.asistio = ''Si'' AND
								 capa_entrenamiento.finicial between ''' + CONVERT(varchar(10), @fechaDe, 112) + ''' and ''' + CONVERT(varchar(10), @fechaA, 112) + ''' AND
								 capa_entrenamiento.empresa = ' +  CONVERT(varchar(12),@companyId)
								
		If @codigo<>0
		begin
			set @whereStatement = @whereStatement + ' and empleados.codigo=' + CONVERT(varchar(10),@codigo)
		end								
			
		set  @orderbyStatement = ' ORDER BY capa_entrenamiento.idEntrenamiento ASC ' 
							
		exec (@selectStatement + @fromStatement + @whereStatement + @orderbyStatement)
		
	end			
go	


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'CapaHorasHombrePorCentroCostos')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.CapaHorasHombrePorCentroCostos
GO

CREATE PROCEDURE [dbo].[CapaHorasHombrePorCentroCostos]
(   @idCompany bigint,
	@codigo    bigint,
	@centros   varchar(500))
AS
BEGIn

	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(2048)
	declare @whereStatement as varchar(2048)
	declare @orderbyStatement as varchar(1024)
	declare @groupByStatement as varchar(2048)

	set @selectStatement = ' SELECT
							empresas.registro_patronal,
							empresas.rfc_empresa,
							empresas.nombre_empresa,
							capa_Programacion.empresa,
							capa_Programacion.idprogramacion,
							capa_Programacion.idLugar,
							capa_Programacion.finicial,
							capa_Programacion.ffinal,
							capa_Programacion.tothoras,
							capa_Programacion.capacidad,
							capa_Curso.idcurso,
							capa_Curso.clave,
							capa_Curso.nombre,
							Capa_Lugar.Lugar,
							capa_EmpleadoProgramacion.codigo,
							capa_EmpleadoProgramacion.asistencia,
							llaves.centro,
							centros.nomdepto,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) as asistentes,
							dbo.obtenasistencia(capa_Programacion.idprogramacion) *
							convert(decimal(18,2),capa_programacion.tothoras) as totalHoras,
							rtrim(isnull(empleados.nombre,'''')) + '' '' + rtrim(isnull(empleados.ap_paterno,'''')) + '' '' + rtrim(isnull(empleados.ap_materno,'''')) as nombreEmpleado'					
							

	set @fromStatement = ' FROM
						empresas empresas
						LEFT JOIN capa_Programacion  ON
							empresas.empresa = capa_Programacion.empresa
						LEFT JOIN Capa_curso  ON
							capa_Programacion.empresa = capa_Curso.empresa AND
							capa_Programacion.idcurso = capa_Curso.idcurso
						LEFT JOIN Capa_Lugar  ON
							capa_Programacion.empresa = Capa_Lugar.empresa AND
							capa_Programacion.idLugar = Capa_Lugar.idLugar
						LEFT JOIN capa_EmpleadoProgramacion  ON
							capa_Programacion.empresa = capa_EmpleadoProgramacion.empresa AND
							capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion
						LEFT JOIN Llaves ON
							capa_EmpleadoProgramacion.empresa = Llaves.empresa AND
							capa_EmpleadoProgramacion.codigo = Llaves.codigo
						LEFT JOIN empleados ON
							empleados.empresa = Llaves.empresa AND
							empleados.codigo = Llaves.codigo
						LEFT JOIN centros  ON
							Llaves.centro  = centros.centro AND
							Llaves.empresa = centros.empresa '

	set  @whereStatement = ' WHERE	
						capa_Programacion.empresa =  ' +  CONVERT(varchar(12),@idCompany) +
						' and capa_empleadoprogramacion.asistencia=''Si'''


	if 	@centros <> '0'
		BEGIN
			set @whereStatement = @whereStatement + ' AND Llaves.centro in ' + @centros
		END	


	set @groupbyStatement = '	GROUP by empresas.registro_patronal,
								empresas.rfc_empresa,
								empresas.nombre_empresa,
								llaves.centro,
								centros.nomdepto,
								capa_Programacion.empresa,
								capa_Programacion.idprogramacion,
								capa_Programacion.idLugar,
								capa_Programacion.finicial,
								capa_Programacion.ffinal,
								capa_Programacion.tothoras,
								capa_Programacion.capacidad,
								capa_Curso.idcurso,
								capa_Curso.clave,
								capa_Curso.nombre,
								Capa_Lugar.Lugar,
								capa_EmpleadoProgramacion.codigo,
								capa_EmpleadoProgramacion.asistencia,
								empleados.nombre,
								empleados.ap_paterno,
								empleados.ap_materno ' 							

	exec (@selectStatement + @fromStatement + @whereStatement + @groupbyStatement)

end

go	

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'capaReporteResultadosPorInstructor')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaReporteResultadosPorInstructor
GO

CREATE PROCEDURE [dbo].capaReporteResultadosPorInstructor
(@idEmpresa bigint,
 @idInstructor bigint,
 @fechaDe as datetime,
 @fechaA as datetime,
 @idCurso as bigint)
AS
	SET NOCOUNT ON
	BEGIn

	declare @selectStatement as varchar(4096)
	declare @fromStatement as varchar(4096)
	declare @whereStatement as varchar(4096)
	declare @orderbyStatement as varchar(4096)
	declare @groupByStatement as varchar(4096)	
	
	Declare @i as int	
	DECLARE @TablePregunta AS TABLE(idPregunta bigint NOT NULL, idtipo bigint, texto varchar(200), orden numeric(18,0))
	DECLARE @TableEvaluacion AS TABLE(idEvaluacion bigint NOT NULL)
	declare @PreguntaPVT as NVARCHAR(MAX) 
	declare @EvaluacionPVT as NVARCHAR(MAX)
	
	declare @Pregunta as int 
	declare @Evaluacion as int
	DECLARE @SQL as varchar(2048)
	DECLARE @pivot as varchar(2048)
		
	declare @cantidadEvaluaciones as bigint
	declare @cantidadPreguntas as bigint
	declare @columnas varchar(max)
	
	/*INSERT INTO @TableEvaluacion 
	select capa_Evalprogra.idEvaluacion
	from capa_programacion 
		inner join capa_Evalprogra on capa_programacion.empresa=capa_Evalprogra.empresa
		and capa_Evalprogra.idprogramacion=capa_programacion.idprogramacion
	where capa_programacion.empresa=@idEmpresa
	and idinstructor= @idInstructor
	and capa_programacion.finicial between @fechade and @fechaA
	and idcurso=@idCurso
	
	INSERT INTO @TablePregunta
	select idPregunta,idtipo,texto,orden
	from Capa_EvalPregunta
	where empresa=@idEmpresa	
		
	SET @Pregunta = (SELECT MIN(orden) FROM @TablePregunta)
	SET @PreguntaPVT=N''
	WHILE @Pregunta IS NOT NULL
		BEGIN  
			SET @PreguntaPVT = @PreguntaPVT + N'],['+ CONVERT(NVARCHAR(10),@Pregunta) + N''  
			SET @Pregunta = (SELECT MIN(orden) 
						FROM @TablePregunta
						WHERE orden>@Pregunta)				
		end
	SET @PreguntaPVT = SUBSTRING(@PreguntaPVT,2,LEN(@PreguntaPVT))
	
	
	SET @Evaluacion = (SELECT MIN(idEvaluacion) FROM @TableEvaluacion)
	SET @EvaluacionPVT=N''
	WHILE @Evaluacion IS NOT NULL
		BEGIN  
			SET @EvaluacionPVT = @EvaluacionPVT + N'],['+ CONVERT(NVARCHAR(10),@Evaluacion) + N''  
			SET @Evaluacion = (SELECT MIN(idEvaluacion) 
								FROM @TableEvaluacion
								WHERE idEvaluacion>@Evaluacion)		
		end
	SET @EvaluacionPVT = SUBSTRING(@EvaluacionPVT,3,LEN(@EvaluacionPVT))
	
	
	SET @SQL = ' SELECT * FROM (select  capa_evalprogra.idEvaluacion as evaluacion,
								capa_evalprogra.idprogramacion,
								capa_programacion.idLugar,
								capa_programacion.capacidad,
								capa_programacion.finicial,
								capa_programacion.ffinal,
								capa_curso.clave,
								capa_curso.nombre as nombrecurso,
								capa_programacion.idInstructor,
		  					    Capa_EvalPregunta.empresa,
								capa_EvaltipoPregunta.Tipo,
								capa_evaluacion.idPregunta, 
								Capa_EvalPregunta.texto,
								isnull(capa_evalCalificacion.idCalificacion,0) as idcalificacion,
								isnull(capa_evalCalificacion.Nombre,'''') as NombreCalificacion,
								isnull(capa_evalCalificacion.valor,0) as NumeroCalificacion
				   from capa_evalprogra
					left join capa_programacion on capa_programacion.empresa=capa_EvalProgra.empresa 
						and capa_programacion.idprogramacion= capa_EvalProgra.idprogramacion
					left join capa_curso on capa_curso.empresa=capa_programacion.empresa 
						and capa_curso.idcurso=capa_programacion.idcurso
					left join capa_Instructor on capa_Instructor.empresa=capa_programacion.empresa 
						and capa_Instructor.idInstructor=capa_programacion.idInstructor
					left join capa_Evaluacion on capa_EvalProgra.idEvaluacion= capa_Evaluacion.idEvaluacion
					left join Capa_EvalPregunta on capa_Evaluacion.idPregunta=Capa_EvalPregunta.idPregunta
					left join capa_EvaltipoPregunta on Capa_EvalPregunta.idtipo=capa_EvaltipoPregunta.idtipo
					left join capa_evalCalificacion on capa_Evaluacion.idCalificacion=capa_evalCalificacion.idCalificacion
								and capa_evalCalificacion.empresa=Capa_EvalPregunta.empresa
				where capa_evalprogra.empresa= ' + convert(varchar(10),@idempresa) + 
				' and capa_Instructor.idInstructor=' + convert(varchar(10),@idInstructor)
				' and capa_curso.idCurso=' + convert(varchar(10),@idcurso) +') S'
				
						
	set @pivot=' PIVOT (sum(NumeroCalificacion)
				 FOR idpregunta IN (' + @EvaluacionPVT + '])) as child order by idpregunta'
	
						
	PRINT (@SQL + @pivot)*/
	


	set @columnas = ''

	select @columnas = coalesce(@columnas + '[' + cast(idEvaluacion as varchar(12)) + '],', '')
	FROM (select distinct capa_EvalProgra.idEvaluacion from capa_EvalProgra.idevaluacion) as DTM
	

end
go



IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'CapaExcelProgramacionAnual'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.CapaExcelProgramacionAnual
GO

CREATE Procedure dbo.CapaExcelProgramacionAnual
	(			
		@idEmpresa bigint,
		@vYear bigint
	) 

AS 
BEGIN

	SELECT clave, nombre,
	   [1] as Enero, [2]as Febrero, [3]as Marzo, [4]as Abril ,[5]as Mayo, [6]as Junio, [7]as Julio, [8]as Agosto, [9] as Septiembre ,[10]as Octubre, [11]as Noviembre, [12]  as  Diciembre
	FROM  
	(
	 SELECT capa_curso.clave as clave, capa_curso.nombre as nombre, month(capa_programacion.finicial) as mes, capa_EmpleadoProgramacion.codigo as codigo 
	 from capa_EmpleadoProgramacion
		left join capa_programacion on capa_programacion.empresa=capa_EmpleadoProgramacion.empresa
									and capa_programacion.idprogramacion=capa_EmpleadoProgramacion.idprogramacion
		left join capa_curso on capa_programacion.empresa=capa_curso.empresa
									and capa_programacion.idcurso=capa_curso.idcurso
		where year(capa_programacion.finicial)=@vYear
		and capa_programacion.empresa=@idEmpresa

	) tablep
	PIVOT  
	(  
	  count(codigo)  
	  FOR mes IN ([1], [2], [3], [4] ,[5], [6], [7], [8], [9]  ,[10], [11], [12]  )  
	) AS PivotTable;

END
              
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaPatioCatalogo'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaPatioCatalogo
GO

CREATE Procedure dbo.capaPatioCatalogo
	(			
		@Empresa bigint
	) 

AS 
BEGIN

	select  distinct(isnull(campo_03,'')) 
	from clasificacion_empleados
	where empresa=@empresa
	order by 1 asc

END
              
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaUnidadCatalogo'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaUnidadCatalogo
GO

CREATE Procedure dbo.capaUnidadCatalogo
	(			
		@Empresa bigint
	) 

AS 
BEGIN

	select  distinct(isnull(campo_02,''))
	from clasificacion_empleados
	where empresa=@empresa
	order by 1 asc
END
              
GO


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaProgramacionObtenAyoOperacion') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaProgramacionObtenAyoOperacion
GO

CREATE FUNCTION dbo.capaProgramacionObtenAyoOperacion
(
	@empresa as bigint,
	@dFecha as datetime
)
RETURNS bigint
AS
BEGIN
	 
	declare @regresa as bigint
		
   SELECT @regresa=isnull(ayo_operacion,0)
   FROM  periodos
   WHERE empresa=@empresa
   and @dfecha>=inicio and @dfecha<=cierre

	return @regresa
end
go


if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaProgramacionObtenMesOperacion') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaProgramacionObtenMesOperacion
GO

CREATE FUNCTION dbo.capaProgramacionObtenMesOperacion
(
		@empresa as bigint,
		@dFecha as datetime
)
RETURNS char(2)
AS
BEGIN
	 
	declare @regresa as char(2)
	 
   SELECT @regresa= SUBSTRING(mes,1,2)
   FROM  periodos
   WHERE empresa=@empresa
   and @dfecha>=inicio and @dfecha>=cierre

	return @regresa
end
go



if exists (select * from dbo.sysobjects where id = object_id(N'dbo.capaProgramacionObtenSemanaOperacion') and xtype in (N'FN', N'IF', N'TF'))
	drop function dbo.capaProgramacionObtenSemanaOperacion
GO

CREATE FUNCTION dbo.capaProgramacionObtenSemanaOperacion
(
	@empresa as bigint,
	@dFecha as datetime
)
RETURNS int
AS
BEGIN
	 
	declare @regresa as int
		
   SELECT @regresa=periodo
   FROM  periodos
   WHERE empresa=@empresa
   and @dfecha>=inicio and @dfecha<=cierre

   return @regresa
end
go

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAvanceAcumuladoPatio')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAvanceAcumuladoPatio
GO

CREATE PROCEDURE dbo.capaAvanceAcumuladoPatio
	(	
		@empresa bigint,
		@fechaInicial datetime,
		@fechaFinal datetime,
		@patio varchar(25),
		@unidad varchar(25)
	) 

AS 
	BEGIN
	
	DECLARE @estatus varchar(5)
	DECLARE @cantidad bigint

		SELECT
			empresas.registro_patronal,
			empresas.rfc_empresa,
			empresas.nombre_empresa,
			capa_Programacion.empresa,
			capa_Programacion.idprogramacion,
			capa_Programacion.finicial,
			capa_Programacion.ffinal,
			capa_Programacion.horaini1,
			capa_Programacion.horafin1,
			capa_Programacion.horaini2,
			capa_Programacion.horafin2,
			capa_Programacion.tothoras,
			capa_Instructor.nombre as nombreInstructor,
			capa_Curso.clave,
			capa_Curso.nombre as nombreCurso,
			capa_Lugar.Lugar,
			(case when capa_Programacion.ffinal< GETDATE() then 'CYE'
				when capa_Programacion.ffinal > getdate() then 'CPE'
				when (getdate() between capa_programacion.ffinal and capa_programacion.finicial) then 'EFE' 
			end ) as estatus,
			dbo.capaProgramacionObtenAyoOperacion(capa_Programacion.empresa,capa_Programacion.finicial) as ayoOperacion,
			dbo.capaProgramacionObtenMesOperacion(capa_Programacion.empresa,capa_Programacion.finicial)  as mesOperacion,
			dbo.capaProgramacionObtenSemanaOperacion(capa_Programacion.empresa,capa_Programacion.finicial)  as semanaOperacion
		FROM
			empresas empresas 
			inner  JOIN capa_Programacion capa_Programacion ON
				empresas.empresa = capa_Programacion.empresa			
			inner  JOIN capa_Instructor capa_Instructor ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			inner JOIN capa_Curso capa_Curso ON
				capa_Programacion.empresa = capa_Curso.empresa	
				and capa_programacion.idcurso=capa_Curso.idcurso
			inner  JOIN capa_Lugar capa_Lugar ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
		WHERE
			capa_Programacion.empresa = @empresa AND
			capa_Programacion.finicial >= @fechaInicial  AND
			capa_Programacion.finicial <= @fechaFINAL and	                     
			capa_programacion.idprogramacion in (   select idprogramacion 
													from capa_empleadoProgramacion
													inner join clasificacion_empleados ON
														clasificacion_empleados.empresa=capa_empleadoProgramacion.empresa AND
														clasificacion_empleados.codigo=capa_empleadoProgramacion.codigo
													where capa_Programacion.empresa = @empresa AND
													capa_Programacion.finicial >= @fechaInicial  AND
													capa_Programacion.finicial <= @fechaFINAL and
													iif(@patio='NoAplica',0,clasificacion_empleados.campo_03)=iif(@patio='NoAplica',0,@patio)  AND
													 iif(@unidad='NoAplica',0,clasificacion_empleados.campo_02)=iif(@unidad='NoAplica',0,@unidad)
												)
		ORDER BY
			capa_Programacion.idprogramacion ASC

	end

go


IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaAvanceDetalladoPatio')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaAvanceDetalladoPatio
GO

CREATE PROCEDURE dbo.capaAvanceDetalladoPatio
	(	
		@empresa bigint,
		@fechaInicial datetime,
		@fechaFinal datetime,
		@patio varchar(25),
		@unidad varchar(25)
	) 

AS 
	BEGIN
		SELECT
			isnull(capa_Programacion.empresa,0) as empresa,
			isnull(capa_Programacion.idprogramacion,0) as idprogramacion,
			isnull(capa_Programacion.finicial,'') as finicial,
			isnull(capa_Programacion.ffinal,'') as ffinal,
			isnull(capa_Programacion.horaini1,'') as horaini1,
			isnull(capa_Programacion.horafin1,'') as horafin1,
			isnull(capa_Programacion.horaini2,'') as horaini2,
			isnull(capa_Programacion.horafin2,'') as horafin2,
			isnull(capa_Programacion.tothoras,'') as tothoras,
			isnull(capa_Instructor.nombre,'') as nombreInstructor,
			isnull(capa_Lugar.Lugar,'') as lugar,		
			isnull(capa_EmpleadoProgramacion.codigo,0 ) as codigo,
			isnull(capa_EmpleadoProgramacion.calificacion,0) as calificacion,
			isnull(capa_EmpleadoProgramacion.asistencia,'No') as asistencia,
			isnull(capa_EmpleadoProgramacion.comentarios,'') as comentarios,			
			isnull(capa_Curso.idcurso,0) as idcurso,
			isnull(capa_Curso.clave,'') as clavecurso,
			isnull(capa_Curso.nombre,'') as nombreCurso,
			isnull(empleados.nombre,'') as NombreEmpleado,
			isnull(empleados.ap_paterno,'') as paterno,
			isnull(empleados.ap_materno,'') as materno,
			(case when capa_Programacion.ffinal< GETDATE() then 'CYE'
				when capa_Programacion.ffinal > getdate() then 'CPE'
				when (getdate() between capa_programacion.ffinal and capa_programacion.finicial) then 'EFE' 
			end ) as estatus,
			supervisores.nombre as nombreSupervisor,
			dbo.capaProgramacionObtenAyoOperacion(capa_Programacion.empresa,capa_Programacion.finicial) as ayoOperacion,
			dbo.capaProgramacionObtenMesOperacion(capa_Programacion.empresa,capa_Programacion.finicial)  as mesOperacion,
			dbo.capaProgramacionObtenSemanaOperacion(capa_Programacion.empresa,capa_Programacion.finicial)  as semanaOperacion,
			campo_02 as unidadNegocio,
			campo_03 as patio
		FROM
			capa_Programacion 			
			INNER JOIN capa_Instructor  ON
				capa_Programacion.empresa = capa_Instructor.empresa AND
				capa_Programacion.idInstructor = capa_Instructor.idInstructor
			INNER JOIN capa_Lugar  ON
				capa_Programacion.empresa = capa_Lugar.empresa AND
				capa_Programacion.idLugar = capa_Lugar.idLugar
			INNER JOIN capa_EmpleadoProgramacion capa_EmpleadoProgramacion ON
				capa_Programacion.idprogramacion = capa_EmpleadoProgramacion.idprogramacion	and
				capa_Programacion.empresa=	capa_EmpleadoProgramacion.empresa	
			INNER JOIN empresas ON
				capa_Programacion.empresa = empresas.empresa
			INNER JOIN capa_Curso  ON
				capa_Programacion.empresa = capa_Curso.empresa and
				capa_Programacion.idcurso = capa_Curso.idcurso
			INNER JOIN empleados  ON
				capa_EmpleadoProgramacion.empresa = empleados.empresa AND
				capa_EmpleadoProgramacion.codigo = empleados.codigo
			left join Llaves on 
				empleados.codigo=llaves.codigo and
				empleados.empresa=llaves.empresa 
			left join supervisores on 
				llaves.empresa=supervisores.empresa and
				llaves.supervisor=supervisores.supervisor
			left join clasificacion_empleados ON
				clasificacion_empleados.empresa=llaves.empresa AND
				clasificacion_empleados.codigo=llaves.codigo

		WHERE
			capa_Programacion.empresa = @empresa AND
			capa_Programacion.finicial >= @fechaInicial AND
			capa_Programacion.finicial <= @fechaFinal and
			 iif(@patio='NoAplica',0,clasificacion_empleados.campo_03)=iif(@patio='NoAplica',0,@patio)  AND
		     iif(@unidad='NoAplica',0,clasificacion_empleados.campo_02)=iif(@unidad='NoAplica',0,@unidad)
		ORDER BY
			capa_Curso.idcurso ASC,
			capa_Programacion.idprogramacion ASC,
			empleados.codigo ASC
	end
			
go			


IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'capaCursosTablaGeneralPatio'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.capaCursosTablaGeneralPatio
GO

CREATE PROCEDURE  dbo.capaCursosTablaGeneralPatio
    (@empresa udtInteger,
    @finicio udtdatetime,
    @ffinal udtdatetime,
	@patio varchar(25),
	@unidad varchar(25))
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    SET XACT_ABORT ON
    BEGIN TRY
    
	Select	empresas.nombre_empresa,
			empleados.codigo,
			rtrim(isnull(empleados.nombre,'')) + ' ' + rtrim(isnull(empleados.ap_paterno,'')) + ' ' + rtrim(ISNULL(empleados.ap_materno,'')) as nombreEmpleado ,
			estadoCivil =   case when rtrim(datosemps.edocivil) = 'S' then 'Soltero'
			when rtrim(datosemps.edocivil) = 'C' then 'Casado'
			when rtrim(datosemps.edocivil) = 'V' then 'Viudo'
			when rtrim(datosemps.edocivil) = 'D' then 'Divorciado'
			else datosemps.edocivil end,
			isnull(DATEDIFF(YY,isnull(empleados.fchnac,'19000101'),GETDATE()),0),
			llaves.centro,
			centros.nomdepto,
			llaves.ocupacion,
			tabulador.actividad,
			capa_programacion.idprogramacion,
			convert(varchar(10),capa_programacion.finicial,112),
			convert(varchar(10),capa_programacion.ffinal,112),
			capa_programacion.horaini1,
			capa_programacion.ffinal,
			capa_programacion.idLugar ,
			capa_programacion.stps ,
			capa_programacion.capacidad ,
			capa_programacion.objetivo ,
			capa_programacion.modalidad ,
			capa_programacion.norma ,			
			Capa_curso.nombre as nombreCurso,
			capa_Institucion.nombre as nombreInstitucion,
			case when rtrim(capa_Instructor.Externo) = 'S' then 'Si' else 'No' end as externo,				
			Capa_curso.idTipocurso,
			case when rtrim(Capa_curso.automatico) = 'S' then 'Si' else 'No' end as automatico,
			capa_EmpleadoProgramacion.asistencia,
			case when rtrim(capa_programacion.stps) = 'S' then 'Si' else 'No' end as stps,
			capa_EmpleadoProgramacion.calificacion,
			iif(dbo.capaObtenEstatusEmpleado(empleados.empresa,empleados.codigo)='Activo','S','N') as activo,
			convert(varchar(10),capa_programacion.finicial,103) as fechaInicialDDMMYYY,
			convert(varchar(10),capa_programacion.ffinal,103) as fechaFinalDDMMYYY,
			capa_programacion.tothoras as Duracion,
			case CONVERT(VARCHAR(10),capa_programacion.fechaReprogramado,103) 
			when '01/01/1900' then ''
			else CONVERT(VARCHAR(10),capa_programacion.fechaReprogramado,103) 
			end as FechaReprogramado,
			isnull(capa_programacion.MotivoReprogramado,'') as motivoReprogramado,
			isnull(capa_programacion.idProgramacionNueva,0) as IdProgramacionNueva,
			isnull(campo_02,'') as unidadNegocio,
			isnull(campo_03,'') as patio

	from	empresas
			inner join empleados on empresas.empresa=empleados.empresa 
			inner join datosemps on datosemps.codigo=empleados.codigo 
								and datosemps.empresa=empleados.empresa 
			inner join llaves    on llaves.codigo=empleados.codigo 
								and empleados.empresa=llaves.empresa
			inner join centros   on Llaves.centro=centros.centro
								and llaves.empresa=centros.empresa		
			inner join tabulador on Llaves.ocupacion=tabulador.ocupacion 
								and tabulador.empresa=llaves.empresa
			inner join capa_EmpleadoProgramacion on Llaves.codigo=capa_EmpleadoProgramacion.codigo 
								and Llaves.empresa=capa_EmpleadoProgramacion.empresa
			inner join capa_programacion on capa_EmpleadoProgramacion.idprogramacion=capa_programacion.idprogramacion 
								and capa_EmpleadoProgramacion.empresa=capa_programacion.empresa
			inner join Capa_curso on capa_programacion.idcurso=capa_curso.idcurso 
								and capa_curso.empresa=capa_programacion.empresa
			inner join capa_Instructor on capa_programacion.idInstructor=capa_Instructor.idInstructor 
								and capa_programacion.empresa=capa_Instructor.empresa
			inner join capa_Institucion on capa_Instructor.idInstitucion=capa_institucion.idInstitucion
								and capa_Institucion.empresa=capa_programacion.empresa
			left join clasificacion_empleados ON
						clasificacion_empleados.empresa=llaves.empresa AND
						clasificacion_empleados.codigo=llaves.codigo
	where	empleados.empresa=@empresa
		and capa_programacion.finicial between @finicio and @ffinal
		and iif(@patio='NoAplica',0,clasificacion_empleados.campo_03)=iif(@patio='NoAplica',0,@patio)
		and iif(@unidad='NoAplica',0,clasificacion_empleados.campo_02)=iif(@unidad='NoAplica',0,@unidad)
	order by capa_EmpleadoProgramacion.codigo, capa_EmpleadoProgramacion.idprogramacion

    END TRY
    
    BEGIN CATCH

        DECLARE @ErrorSeverity udtInteger
        DECLARE @ErrorState udtInteger
        DECLARE @ErrorMessage udtStringSize2048

        SET @ErrorSeverity = ERROR_SEVERITY()
        SET @ErrorState = ERROR_STATE()
        SET @ErrorMessage = 'State: ' + LTRIM(RTRIM(STR(@ErrorState)))
            + CHAR(13) + CHAR(10) + 'Severity: '
            + LTRIM(RTRIM(STR(@ErrorSeverity))) + CHAR(13) + CHAR(10)
            + 'Error number:  ' + LTRIM(RTRIM(STR(ERROR_NUMBER()))) + CHAR(13)
            + CHAR(10) + 'Message: ' + ERROR_MESSAGE() + CHAR(13) + CHAR(10)
            + 'Procedure: ' + ERROR_PROCEDURE() + CHAR(13) + CHAR(10)
            + 'Line: ' + LTRIM(RTRIM(STR(ERROR_LINE())))

        RAISERROR ( @ErrorMessage, @ErrorSeverity, @ErrorState )

    END CATCH
GO

IF EXISTS ( SELECT  name
            FROM    dbo.sysobjects
            WHERE   name = 'GetSTPSCoursesEmployeeRelationConPatio'
                    AND type = 'P' ) 
    DROP PROCEDURE dbo.GetSTPSCoursesEmployeeRelationConPatio

GO

CREATE PROCEDURE  dbo.GetSTPSCoursesEmployeeRelationConPatio
    (
		@companyId AS Integer ,      
		@inicialDate as Datetime,
		@finalDate as DateTime,
		@centro as char(15)
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON
    SET DATEFORMAT MDY
    
    DECLARE @ayo_operation AS integer
    
    if @centro='0'
		begin 
    	select  isnull(empleados.curp,'') as curp, 
    			isnull(capa_CatalogoNorma.clave,'') as norma, 
    			convert(varchar(10),capa_programacion.finicial,103) as fecha,
				clasificacion_empleados.campo_02 as unidad,
				clasificacion_empleados.campo_03 as patio
		FROM capa_programacion 
		 left join capa_empleadoprogramacion
			on capa_programacion.empresa = capa_empleadoprogramacion.empresa
			and capa_programacion.idprogramacion=capa_empleadoProgramacion.idprogramacion
		 left join empleados 
			on capa_empleadoprogramacion.codigo=empleados.codigo
			and capa_empleadoprogramacion.empresa=empleados.empresa
		inner join llaves    on llaves.codigo=empleados.codigo 
				and empleados.empresa=llaves.empresa
		 left join capa_curso
			on capa_curso.idcurso=capa_programacion.idcurso
			and capa_curso.empresa=capa_programacion.empresa
		 left join capa_CatalogoNorma
		    on capa_CatalogoNorma.clave =capa_programacion.norma
		 left join clasificacion_empleados ON
						clasificacion_empleados.empresa=llaves.empresa AND
						clasificacion_empleados.codigo=llaves.codigo
		where Capa_curso.empresa=@companyId
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and Capa_programacion.numeroconsecutivo is not null	
		and capa_programacion.stps='S'
		and capa_EmpleadoProgramacion.asistencia='Si'
		order by capa_Curso.idcurso,empleados.curp
	end
 else
 	begin 
    	select  isnull(empleados.curp,'') as curp, 
    			isnull(capa_CatalogoNorma.clave,'') as norma, 
    			convert(varchar(10),capa_programacion.finicial,103) as fecha,
				clasificacion_empleados.campo_02 as unidad,
				clasificacion_empleados.campo_03 as patio
		FROM capa_programacion 
		 left join capa_empleadoprogramacion
			on capa_programacion.empresa = capa_empleadoprogramacion.empresa
			and capa_programacion.idprogramacion=capa_empleadoProgramacion.idprogramacion
		 left join empleados 
			on capa_empleadoprogramacion.codigo=empleados.codigo
			and capa_empleadoprogramacion.empresa=empleados.empresa
		left join llaves 
			on empleados.codigo=llaves.codigo
			and empleados.empresa=llaves.empresa
		 left join capa_curso
			on capa_curso.idcurso=capa_programacion.idcurso
			and capa_curso.empresa=capa_programacion.empresa
		 left join capa_CatalogoNorma
		    on capa_CatalogoNorma.clave =capa_programacion.norma
		left join clasificacion_empleados ON
						clasificacion_empleados.empresa=llaves.empresa AND
						clasificacion_empleados.codigo=llaves.codigo
		where Capa_curso.empresa=@companyId
		and capa_programacion.ffinal between @inicialDate and @finalDate
		and Capa_programacion.numeroconsecutivo is not null	
		and capa_EmpleadoProgramacion.asistencia='Si'
		and llaves.centro=@centro
		and capa_programacion.stps='S'
		order by capa_Curso.idcurso,empleados.curp
	end
			
			
GO

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.capaSTPSDatosBasicosConPatio')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.capaSTPSDatosBasicosConPatio
GO

CREATE PROCEDURE dbo.capaSTPSDatosBasicosConPatio
	(	
		@companyId bigint,
		@claveCapacitacion varchar(25),
		@fechaInicial datetime,
		@fechaFinal datetime,
		@centroCostos varchar(50)
	) 
	
	
WITH ENCRYPTION
AS 
	BEGIN
     
     if @centroCostos='0'
     begin      
		SELECT
			'' as nivelestudios,
			empleados.curp,
			empleados.nombre ,
			empleados.ap_paterno,
			empleados.ap_materno,
			capa_entidad.identidad,
			capa_poblacion.idPoblacion,
			capa_CatalogoOcupacion2016.idCatalogo,			
			dbo.capaNivelMaximoEstudios(rhsolicita.idsolicitudes) as nivelMaximoEstudios,
			dbo.capaDocumentoProbatorioSTPS(rhsolicita.idsolicitudes) as documentoProbatorioSTPS,
			dbo.capaInstitucionSTPS(rhsolicita.idsolicitudes) as InstitucionSTPS,
			isnull(capa_curso.clavestps,''),
			isnull(capa_curso.Nombre,''),
			isnull(capa_CatalogoAreaTematica.idDenominacion,'0') as areaTematica,
			cast(capa_programacion.tothoras as decimal(8,0)) as horas,
			convert(varchar(10),capa_programacion.finicial,103),
			convert(varchar(10),capa_programacion.ffinal,103),
			case capa_Instructor.externo 
				when 'N' then '1'
				when 'S' then '2'
				else '3' end as tipoInstructor,
			case capa_Instructor.externo 
				when 'S' then capa_instructor.RFC
				else '' end as RFCAgente,
			capa_programacion.modalidad,
			capa_programacion.objetivo,
			@claveCapacitacion as claveCapacitacion,
			clasificacion_empleados.campo_02 as unidad,
			clasificacion_empleados.campo_03 as patio
		FROM
			empleados  			
			inner join Llaves on
				empleados.codigo=Llaves.codigo and
				empleados.empresa=Llaves.empresa
			inner join datosemps on
				datosemps.empresa=empleados.empresa and
				datosemps.codigo=empleados.codigo
			inner join capa_EmpleadoProgramacion on 		
				capa_empleadoprogramacion.empresa=datosemps.empresa and
				capa_EmpleadoProgramacion.codigo=datosemps.codigo		
			inner join capa_programacion on
				capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
				capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion			 
			INNER JOIN Capa_curso  ON
				capa_programacion.empresa = capa_Curso.empresa AND
				capa_programacion.idcurso = capa_Curso.idcurso	
			inner join capa_Instructor on
				capa_programacion.empresa=capa_Instructor.empresa and
				capa_programacion.idinstructor=capa_Instructor.idInstructor						
			INNER JOIN tabulador  ON
				llaves.empresa = tabulador.empresa AND
				llaves.ocupacion = tabulador.ocupacion 				
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
			left join rhcatalogo on 
				rhcatalogo.empresa=capa_curso.empresa and
				rhcatalogo.codigo=capa_EmpleadoProgramacion.codigo
			left join rhsolicita on 
				rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo			
			left join capa_entidad on
				UPPER(datosemps.poblacion)=UPPER(capa_entidad.entidad)
			left join capa_poblacion on 
				UPPER(capa_poblacion.poblacion)=UPPER(datosemps.municipio)
				and capa_poblacion.idEntidad=capa_entidad.idEntidad	
			left join capa_CatalogoAreaTematica on
				capa_CatalogoAreaTematica.idDenominacion= capa_curso.idDenominacion 
			left outer join capa_relacionpuestos on
				llaves.empresa=capa_relacionpuestos.empresa and
				llaves.ocupacion=capa_relacionpuestos.ocupacion
			left outer join capa_CatalogoOcupacion2016 on
				capa_relacionpuestos.idCatalogo=capa_CatalogoOcupacion2016.idCatalogo
			left join clasificacion_empleados ON
						clasificacion_empleados.empresa=llaves.empresa AND
						clasificacion_empleados.codigo=llaves.codigo
		WHERE
			capa_Curso.empresa = @companyId 
			and capa_programacion.ffinal between @fechainicial and @fechafinal	
			and Capa_programacion.numeroconsecutivo is not null	
			and capa_programacion.stps='S'
			and capa_EmpleadoProgramacion.asistencia='Si'
		order by empleados.curp
	end
	else
	begin 
			SELECT
			'' as nivelestudios,
			empleados.curp,
			empleados.nombre ,
			empleados.ap_paterno,
			empleados.ap_materno,
			capa_entidad.identidad,
			capa_poblacion.idPoblacion,
			capa_CatalogoOcupacion2016.idCatalogo,			
			dbo.capaNivelMaximoEstudios(rhsolicita.idsolicitudes) as nivelMaximoEstudios,
			dbo.capaDocumentoProbatorioSTPS(rhsolicita.idsolicitudes) as documentoProbatorioSTPS,
			dbo.capaInstitucionSTPS(rhsolicita.idsolicitudes) as InstitucionSTPS,
			isnull(capa_curso.clavestps,''),
			isnull(capa_curso.Nombre,''),
			isnull(capa_CatalogoAreaTematica.idDenominacion,'0') as areaTematica,
			cast(capa_programacion.tothoras as decimal(8,0)) as horas,
			convert(varchar(10),capa_programacion.finicial,103),
			convert(varchar(10),capa_programacion.ffinal,103),
			case capa_Instructor.externo 
				when 'N' then '1'
				when 'S' then '2'
				else '3' end as tipoInstructor,
			isnull(capa_instructor.RFC,''),
			capa_programacion.modalidad,
			capa_programacion.objetivo,
			@claveCapacitacion as claveCapacitacion,
			clasificacion_empleados.campo_02 as unidad,
			clasificacion_empleados.campo_03 as patio
		FROM
			empleados  			
			inner join Llaves on
				empleados.codigo=Llaves.codigo and
				empleados.empresa=Llaves.empresa
			inner join datosemps on
				datosemps.empresa=empleados.empresa and
				datosemps.codigo=empleados.codigo
			inner join capa_EmpleadoProgramacion on 		
				capa_empleadoprogramacion.empresa=datosemps.empresa and
				capa_EmpleadoProgramacion.codigo=datosemps.codigo		
			inner join capa_programacion on
				capa_EmpleadoProgramacion.empresa = capa_programacion.empresa AND
				capa_EmpleadoProgramacion.idprogramacion = capa_programacion.idprogramacion			 
			INNER JOIN Capa_curso  ON
				capa_programacion.empresa = capa_Curso.empresa AND
				capa_programacion.idcurso = capa_Curso.idcurso	
			inner join capa_Instructor on
				capa_programacion.empresa=capa_Instructor.empresa and
				capa_programacion.idinstructor=capa_Instructor.idInstructor						
			INNER JOIN tabulador  ON
				llaves.empresa = tabulador.empresa AND
				llaves.ocupacion = tabulador.ocupacion 				
			INNER JOIN capa_Tipocurso  ON
				capa_Curso.empresa = capa_TipoCurso.empresa AND
				capa_Curso.idTipocurso = capa_TipoCurso.idTipocurso
			left join rhcatalogo on 
				rhcatalogo.empresa=capa_curso.empresa and
				rhcatalogo.codigo=capa_EmpleadoProgramacion.codigo
			left join rhsolicita on 
				rhsolicita.Idcatalogo=rhcatalogo.Idcatalogo			
			left join capa_entidad on
				UPPER(datosemps.poblacion)=UPPER(capa_entidad.entidad)
			left join capa_poblacion on 
				UPPER(capa_poblacion.poblacion)=UPPER(datosemps.municipio)
				and capa_poblacion.idEntidad=capa_entidad.idEntidad	
			left join capa_CatalogoAreaTematica on
				capa_CatalogoAreaTematica.idDenominacion= capa_curso.idDenominacion 
			left outer join capa_relacionpuestos on
				llaves.empresa=capa_relacionpuestos.empresa and
				llaves.ocupacion=capa_relacionpuestos.ocupacion
			left outer join capa_CatalogoOcupacion2016 on
				capa_relacionpuestos.idCatalogo=capa_CatalogoOcupacion2016.idCatalogo
		    left join clasificacion_empleados ON
						clasificacion_empleados.empresa=llaves.empresa AND
						clasificacion_empleados.codigo=llaves.codigo
		WHERE
			capa_Curso.empresa = @companyId 
			and capa_programacion.ffinal between @fechainicial and @fechafinal	
			and capa_programacion.stps='S'
			and llaves.centro = convert(varchar(30),@centroCostos)
			and capa_EmpleadoProgramacion.asistencia='Si'
			and Capa_programacion.numeroconsecutivo is not null	
		order by empleados.curp
	end

end
	
GO
